import{S as sc,i as rc,s as ac,e as n,k as c,w as v,t as a,M as ic,c as s,d as o,m as p,a as r,x as E,h as i,b as h,G as e,g as _,y as w,q as M,o as y,B as T,v as lc,L as Lo}from"../../chunks/vendor-hf-doc-builder.js";import{T as No}from"../../chunks/Tip-hf-doc-builder.js";import{D as x}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Wo}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as te}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Do}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function dc($){let d,k,g,u,b;return{c(){d=n("p"),k=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(m,"CODE",{});var z=r(g);u=i(z,"Module"),z.forEach(o),b=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){_(l,d,m),e(d,k),e(d,g),e(g,u),e(d,b)},d(l){l&&o(d)}}}function cc($){let d,k,g,u,b;return u=new Wo({props:{code:`from transformers import AutoTokenizer, ErnieMModel
import torch

tokenizer = AutoTokenizer.from_pretrained("susnato/ernie-m-base_pytorch")
model = ErnieMModel.from_pretrained("susnato/ernie-m-base_pytorch")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ErnieMModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMModel.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=n("p"),k=a("Example:"),g=c(),v(u.$$.fragment)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Example:"),m.forEach(o),g=p(l),E(u.$$.fragment,l)},m(l,m){_(l,d,m),e(d,k),_(l,g,m),w(u,l,m),b=!0},p:Lo,i(l){b||(M(u.$$.fragment,l),b=!0)},o(l){y(u.$$.fragment,l),b=!1},d(l){l&&o(d),l&&o(g),T(u,l)}}}function pc($){let d,k,g,u,b;return{c(){d=n("p"),k=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(m,"CODE",{});var z=r(g);u=i(z,"Module"),z.forEach(o),b=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){_(l,d,m),e(d,k),e(d,g),e(g,u),e(d,b)},d(l){l&&o(d)}}}function hc($){let d,k,g,u,b;return u=new Wo({props:{code:`import torch
from transformers import AutoTokenizer, ErnieMForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("susnato/ernie-m-base_pytorch")
model = ErnieMForSequenceClassification.from_pretrained("susnato/ernie-m-base_pytorch")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = ErnieMForSequenceClassification.from_pretrained("susnato/ernie-m-base_pytorch", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ErnieMForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),k=a("Example of single-label classification:"),g=c(),v(u.$$.fragment)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Example of single-label classification:"),m.forEach(o),g=p(l),E(u.$$.fragment,l)},m(l,m){_(l,d,m),e(d,k),_(l,g,m),w(u,l,m),b=!0},p:Lo,i(l){b||(M(u.$$.fragment,l),b=!0)},o(l){y(u.$$.fragment,l),b=!1},d(l){l&&o(d),l&&o(g),T(u,l)}}}function mc($){let d,k,g,u,b;return u=new Wo({props:{code:`import torch
from transformers import AutoTokenizer, ErnieMForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("susnato/ernie-m-base_pytorch")
model = ErnieMForSequenceClassification.from_pretrained("susnato/ernie-m-base_pytorch", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = ErnieMForSequenceClassification.from_pretrained(
    "susnato/ernie-m-base_pytorch", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ErnieMForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),k=a("Example of multi-label classification:"),g=c(),v(u.$$.fragment)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Example of multi-label classification:"),m.forEach(o),g=p(l),E(u.$$.fragment,l)},m(l,m){_(l,d,m),e(d,k),_(l,g,m),w(u,l,m),b=!0},p:Lo,i(l){b||(M(u.$$.fragment,l),b=!0)},o(l){y(u.$$.fragment,l),b=!1},d(l){l&&o(d),l&&o(g),T(u,l)}}}function uc($){let d,k,g,u,b;return{c(){d=n("p"),k=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(m,"CODE",{});var z=r(g);u=i(z,"Module"),z.forEach(o),b=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){_(l,d,m),e(d,k),e(d,g),e(g,u),e(d,b)},d(l){l&&o(d)}}}function fc($){let d,k,g,u,b;return u=new Wo({props:{code:`from transformers import AutoTokenizer, ErnieMForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("susnato/ernie-m-base_pytorch")
model = ErnieMForMultipleChoice.from_pretrained("susnato/ernie-m-base_pytorch")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ErnieMForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),k=a("Example:"),g=c(),v(u.$$.fragment)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Example:"),m.forEach(o),g=p(l),E(u.$$.fragment,l)},m(l,m){_(l,d,m),e(d,k),_(l,g,m),w(u,l,m),b=!0},p:Lo,i(l){b||(M(u.$$.fragment,l),b=!0)},o(l){y(u.$$.fragment,l),b=!1},d(l){l&&o(d),l&&o(g),T(u,l)}}}function gc($){let d,k,g,u,b;return{c(){d=n("p"),k=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(m,"CODE",{});var z=r(g);u=i(z,"Module"),z.forEach(o),b=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){_(l,d,m),e(d,k),e(d,g),e(g,u),e(d,b)},d(l){l&&o(d)}}}function _c($){let d,k,g,u,b;return u=new Wo({props:{code:`from transformers import AutoTokenizer, ErnieMForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("susnato/ernie-m-base_pytorch")
model = ErnieMForTokenClassification.from_pretrained("susnato/ernie-m-base_pytorch")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ErnieMForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMForTokenClassification.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),k=a("Example:"),g=c(),v(u.$$.fragment)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Example:"),m.forEach(o),g=p(l),E(u.$$.fragment,l)},m(l,m){_(l,d,m),e(d,k),_(l,g,m),w(u,l,m),b=!0},p:Lo,i(l){b||(M(u.$$.fragment,l),b=!0)},o(l){y(u.$$.fragment,l),b=!1},d(l){l&&o(d),l&&o(g),T(u,l)}}}function bc($){let d,k,g,u,b;return{c(){d=n("p"),k=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(m,"CODE",{});var z=r(g);u=i(z,"Module"),z.forEach(o),b=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){_(l,d,m),e(d,k),e(d,g),e(g,u),e(d,b)},d(l){l&&o(d)}}}function kc($){let d,k,g,u,b;return u=new Wo({props:{code:`from transformers import AutoTokenizer, ErnieMForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("susnato/ernie-m-base_pytorch")
model = ErnieMForQuestionAnswering.from_pretrained("susnato/ernie-m-base_pytorch")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ErnieMForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ErnieMForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;susnato/ernie-m-base_pytorch&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){d=n("p"),k=a("Example:"),g=c(),v(u.$$.fragment)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Example:"),m.forEach(o),g=p(l),E(u.$$.fragment,l)},m(l,m){_(l,d,m),e(d,k),_(l,g,m),w(u,l,m),b=!0},p:Lo,i(l){b||(M(u.$$.fragment,l),b=!0)},o(l){y(u.$$.fragment,l),b=!1},d(l){l&&o(d),l&&o(g),T(u,l)}}}function vc($){let d,k,g,u,b;return{c(){d=n("p"),k=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var m=r(d);k=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(m,"CODE",{});var z=r(g);u=i(z,"Module"),z.forEach(o),b=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){_(l,d,m),e(d,k),e(d,g),e(g,u),e(d,b)},d(l){l&&o(d)}}}function Ec($){let d,k,g,u,b,l,m,z,Ls,Bn,oe,we,Ho,Ze,Ws,Qo,Hs,Un,Me,Qs,et,Bs,Us,Rn,to,Rs,Vn,oo,Bo,Vs,Gn,no,Gs,Jn,N,Uo,Js,Ks,ne,Xs,Ro,Ys,Zs,Vo,er,tr,or,Go,nr,sr,Jo,rr,Kn,U,ar,tt,ir,lr,ot,dr,cr,Xn,se,ye,Ko,nt,pr,Xo,hr,Yn,O,st,mr,B,ur,so,fr,gr,Yo,_r,br,rt,kr,vr,Er,re,wr,ro,Mr,yr,ao,Tr,$r,zr,ae,xr,Zo,qr,Cr,en,Fr,Pr,Zn,ie,Te,tn,at,jr,on,Ar,es,q,it,Sr,lt,Ir,nn,Or,Nr,Dr,R,dt,Lr,sn,Wr,Hr,ct,io,Qr,rn,Br,Ur,lo,Rr,an,Vr,Gr,$e,pt,Jr,ht,Kr,ln,Xr,Yr,Zr,ze,mt,ea,ut,ta,co,oa,na,sa,po,ft,ts,le,xe,dn,gt,ra,cn,aa,os,C,_t,ia,pn,la,da,bt,ca,ho,pa,ha,ma,kt,ua,vt,fa,ga,_a,D,Et,ba,de,ka,mo,va,Ea,hn,wa,Ma,ya,qe,Ta,Ce,ns,ce,Fe,mn,wt,$a,un,za,ss,F,Mt,xa,fn,qa,Ca,yt,Fa,uo,Pa,ja,Aa,Tt,Sa,$t,Ia,Oa,Na,I,zt,Da,pe,La,fo,Wa,Ha,gn,Qa,Ba,Ua,Pe,Ra,je,Va,Ae,rs,he,Se,_n,xt,Ga,bn,Ja,as,P,qt,Ka,kn,Xa,Ya,Ct,Za,go,ei,ti,oi,Ft,ni,Pt,si,ri,ai,L,jt,ii,me,li,_o,di,ci,vn,pi,hi,mi,Ie,ui,Oe,is,ue,Ne,En,At,fi,wn,gi,ls,j,St,_i,Mn,bi,ki,It,vi,bo,Ei,wi,Mi,Ot,yi,Nt,Ti,$i,zi,W,Dt,xi,fe,qi,ko,Ci,Fi,yn,Pi,ji,Ai,De,Si,Le,ds,ge,We,Tn,Lt,Ii,$n,Oi,cs,A,Wt,Ni,_e,Di,zn,Li,Wi,xn,Hi,Qi,Bi,Ht,Ui,vo,Ri,Vi,Gi,Qt,Ji,Bt,Ki,Xi,Yi,H,Ut,Zi,be,el,Eo,tl,ol,qn,nl,sl,rl,He,al,Qe,ps,ke,Be,Cn,Rt,il,Fn,ll,hs,S,Vt,dl,ve,cl,Pn,pl,hl,jn,ml,ul,fl,Gt,gl,wo,_l,bl,kl,Jt,vl,Kt,El,wl,Ml,V,Xt,yl,Ee,Tl,Mo,$l,zl,An,xl,ql,Cl,Ue,ms;return l=new te({}),Ze=new te({}),nt=new te({}),st=new x({props:{name:"class transformers.ErnieMConfig",anchor:"transformers.ErnieMConfig",parameters:[{name:"vocab_size",val:": int = 250002"},{name:"hidden_size",val:": int = 768"},{name:"num_hidden_layers",val:": int = 12"},{name:"num_attention_heads",val:": int = 12"},{name:"intermediate_size",val:": int = 3072"},{name:"hidden_act",val:": str = 'gelu'"},{name:"hidden_dropout_prob",val:": float = 0.1"},{name:"attention_probs_dropout_prob",val:": float = 0.1"},{name:"max_position_embeddings",val:": int = 514"},{name:"initializer_range",val:": float = 0.02"},{name:"pad_token_id",val:": int = 1"},{name:"layer_norm_eps",val:": float = 1e-05"},{name:"classifier_dropout",val:" = None"},{name:"is_decoder",val:" = False"},{name:"act_dropout",val:" = 0.0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ErnieMConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 250002) &#x2014;
Vocabulary size of <code>inputs_ids</code> in <a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMModel">ErnieMModel</a>. Also is the vocab size of token embedding matrix.
Defines the number of different tokens that can be represented by the <code>inputs_ids</code> passed when calling
<a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMModel">ErnieMModel</a>.`,name:"vocab_size"},{anchor:"transformers.ErnieMConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the embedding layer, encoder layers and pooler layer.`,name:"hidden_size"},{anchor:"transformers.ErnieMConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.ErnieMConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.ErnieMConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the feed-forward (ff) layer in the encoder. Input tensors to feed-forward layers are
firstly projected from hidden_size to intermediate_size, and then projected back to hidden_size. Typically
intermediate_size is larger than hidden_size.`,name:"intermediate_size"},{anchor:"transformers.ErnieMConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function in the feed-forward layer. <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code> and any other torch
supported activation functions are supported.`,name:"hidden_act"},{anchor:"transformers.ErnieMConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings and encoder.`,name:"hidden_dropout_prob"},{anchor:"transformers.ErnieMConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability used in <code>MultiHeadAttention</code> in all encoder layers to drop some attention target.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.ErnieMConfig.act_dropout",description:`<strong>act_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
This dropout probability is used in <code>ErnieMEncoderLayer</code> after activation.`,name:"act_dropout"},{anchor:"transformers.ErnieMConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum value of the dimensionality of position encoding, which dictates the maximum supported length
of an input sequence.`,name:"max_position_embeddings"},{anchor:"transformers.ErnieMConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-05) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.ErnieMConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"},{anchor:"transformers.ErnieMConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the normal initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.ErnieMConfig.pad_token_id(int,",description:`<strong>pad_token_id(<code>int</code>,</strong> <em>optional</em>, defaults to 1) &#x2014;
The index of padding token in the token vocabulary.`,name:"pad_token_id(int,"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/configuration_ernie_m.py#L31"}}),at=new te({}),it=new x({props:{name:"class transformers.ErnieMTokenizer",anchor:"transformers.ErnieMTokenizer",parameters:[{name:"sentencepiece_model_ckpt",val:""},{name:"vocab_file",val:" = None"},{name:"do_lower_case",val:" = False"},{name:"encoding",val:" = 'utf8'"},{name:"unk_token",val:" = '[UNK]'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '[PAD]'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ErnieMTokenizer.sentencepiece_model_file",description:`<strong>sentencepiece_model_file</strong> (<code>str</code>) &#x2014;
The file path of sentencepiece model.`,name:"sentencepiece_model_file"},{anchor:"transformers.ErnieMTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The file path of the vocabulary.`,name:"vocab_file"},{anchor:"transformers.ErnieMTokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>str</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.ErnieMTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[UNK]&quot;</code>) &#x2014;
A special token representing the <code>unknown (out-of-vocabulary)</code> token. An unknown token is set to be
<code>unk_token</code> inorder to be converted to an ID.`,name:"unk_token"},{anchor:"transformers.ErnieMTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
A special token separating two different sentences in the same input.`,name:"sep_token"},{anchor:"transformers.ErnieMTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[PAD]&quot;</code>) &#x2014;
A special token used to make arrays of tokens the same size for batching purposes.`,name:"pad_token"},{anchor:"transformers.ErnieMTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
A special token used for sequence classification. It is the last token of the sequence when built with
special tokens.`,name:"cls_token"},{anchor:"transformers.ErnieMTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
A special token representing a masked token. This is the token used in the masked language modeling task
which the model tries to predict the original unmasked ones.`,name:"mask_token"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/tokenization_ernie_m.py#L62"}}),dt=new x({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.ErnieMTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],parametersDescription:[{anchor:"transformers.ErnieMTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.ErnieMTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/tokenization_ernie_m.py#L262",returnDescription:`
<p>List of input_id with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),pt=new x({props:{name:"get_special_tokens_mask",anchor:"transformers.ErnieMTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"},{name:"already_has_special_tokens",val:" = False"}],parametersDescription:[{anchor:"transformers.ErnieMTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of ids of the first sequence.`,name:"token_ids_0"},{anchor:"transformers.ErnieMTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.ErnieMTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>str</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/tokenization_ernie_m.py#L305",returnDescription:`
<p>The list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),mt=new x({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.ErnieMTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.ErnieMTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
The first tokenized sequence.`,name:"token_ids_0"},{anchor:"transformers.ErnieMTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
The second tokenized sequence.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/tokenization_ernie_m.py#L334",returnDescription:`
<p>The token type ids.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ft=new x({props:{name:"save_vocabulary",anchor:"transformers.ErnieMTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/tokenization_ernie_m.py#L403"}}),gt=new te({}),_t=new x({props:{name:"class transformers.ErnieMModel",anchor:"transformers.ErnieMModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.ErnieMModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig">ErnieMConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L501"}}),Et=new x({props:{name:"forward",anchor:"transformers.ErnieMModel.forward",parameters:[{name:"input_ids",val:": typing.Union[<built-in method tensor of type object at 0x7f81f28b1420>, NoneType] = None"},{name:"position_ids",val:": typing.Union[<built-in method tensor of type object at 0x7f81f28b1420>, NoneType] = None"},{name:"attention_mask",val:": typing.Union[<built-in method tensor of type object at 0x7f81f28b1420>, NoneType] = None"},{name:"head_mask",val:": typing.Union[<built-in method tensor of type object at 0x7f81f28b1420>, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[<built-in method tensor of type object at 0x7f81f28b1420>, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[<built-in method tensor of type object at 0x7f81f28b1420>]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ErnieMModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMTokenizer">ErnieMTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ErnieMModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ErnieMModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ErnieMModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ErnieMModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ErnieMModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ErnieMModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ErnieMModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L524",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig"
>ErnieMConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qe=new No({props:{$$slots:{default:[dc]},$$scope:{ctx:$}}}),Ce=new Do({props:{anchor:"transformers.ErnieMModel.forward.example",$$slots:{default:[cc]},$$scope:{ctx:$}}}),wt=new te({}),Mt=new x({props:{name:"class transformers.ErnieMForSequenceClassification",anchor:"transformers.ErnieMForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ErnieMForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig">ErnieMConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L615"}}),zt=new x({props:{name:"forward",anchor:"transformers.ErnieMForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = True"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.ErnieMForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMTokenizer">ErnieMTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ErnieMForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ErnieMForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ErnieMForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ErnieMForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ErnieMForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ErnieMForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ErnieMForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ErnieMForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L632",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig"
>ErnieMConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pe=new No({props:{$$slots:{default:[pc]},$$scope:{ctx:$}}}),je=new Do({props:{anchor:"transformers.ErnieMForSequenceClassification.forward.example",$$slots:{default:[hc]},$$scope:{ctx:$}}}),Ae=new Do({props:{anchor:"transformers.ErnieMForSequenceClassification.forward.example-2",$$slots:{default:[mc]},$$scope:{ctx:$}}}),xt=new te({}),qt=new x({props:{name:"class transformers.ErnieMForMultipleChoice",anchor:"transformers.ErnieMForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ErnieMForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig">ErnieMConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L717"}}),jt=new x({props:{name:"forward",anchor:"transformers.ErnieMForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = True"}],parametersDescription:[{anchor:"transformers.ErnieMForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMTokenizer">ErnieMTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ErnieMForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ErnieMForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ErnieMForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ErnieMForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ErnieMForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ErnieMForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ErnieMForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ErnieMForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L732",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig"
>ErnieMConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ie=new No({props:{$$slots:{default:[uc]},$$scope:{ctx:$}}}),Oe=new Do({props:{anchor:"transformers.ErnieMForMultipleChoice.forward.example",$$slots:{default:[fc]},$$scope:{ctx:$}}}),At=new te({}),St=new x({props:{name:"class transformers.ErnieMForTokenClassification",anchor:"transformers.ErnieMForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ErnieMForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig">ErnieMConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L807"}}),Dt=new x({props:{name:"forward",anchor:"transformers.ErnieMForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = True"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.ErnieMForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMTokenizer">ErnieMTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ErnieMForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ErnieMForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ErnieMForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ErnieMForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ErnieMForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ErnieMForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ErnieMForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ErnieMForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L823",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig"
>ErnieMConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),De=new No({props:{$$slots:{default:[gc]},$$scope:{ctx:$}}}),Le=new Do({props:{anchor:"transformers.ErnieMForTokenClassification.forward.example",$$slots:{default:[_c]},$$scope:{ctx:$}}}),Lt=new te({}),Wt=new x({props:{name:"class transformers.ErnieMForQuestionAnswering",anchor:"transformers.ErnieMForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ErnieMForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig">ErnieMConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L888"}}),Ut=new x({props:{name:"forward",anchor:"transformers.ErnieMForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"start_positions",val:": typing.Optional[torch.Tensor] = None"},{name:"end_positions",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = True"}],parametersDescription:[{anchor:"transformers.ErnieMForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMTokenizer">ErnieMTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.ErnieMForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L900",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig"
>ErnieMConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),He=new No({props:{$$slots:{default:[bc]},$$scope:{ctx:$}}}),Qe=new Do({props:{anchor:"transformers.ErnieMForQuestionAnswering.forward.example",$$slots:{default:[kc]},$$scope:{ctx:$}}}),Rt=new te({}),Vt=new x({props:{name:"class transformers.ErnieMForInformationExtraction",anchor:"transformers.ErnieMForInformationExtraction",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ErnieMForInformationExtraction.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMConfig">ErnieMConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L986"}}),Xt=new x({props:{name:"forward",anchor:"transformers.ErnieMForInformationExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"start_positions",val:": typing.Optional[torch.Tensor] = None"},{name:"end_positions",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = True"}],parametersDescription:[{anchor:"transformers.ErnieMForInformationExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMTokenizer">ErnieMTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ErnieMForInformationExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ErnieMForInformationExtraction.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ErnieMForInformationExtraction.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ErnieMForInformationExtraction.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ErnieMForInformationExtraction.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ErnieMForInformationExtraction.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ErnieMForInformationExtraction.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ErnieMForInformationExtraction.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for position (index) for computing the start_positions loss. Position outside of the sequence are
not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.ErnieMForInformationExtraction.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) for computing the end_positions loss. Position outside of the sequence are not
taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ernie_m/modeling_ernie_m.py#L995"}}),Ue=new No({props:{$$slots:{default:[vc]},$$scope:{ctx:$}}}),{c(){d=n("meta"),k=c(),g=n("h1"),u=n("a"),b=n("span"),v(l.$$.fragment),m=c(),z=n("span"),Ls=a("ErnieM"),Bn=c(),oe=n("h2"),we=n("a"),Ho=n("span"),v(Ze.$$.fragment),Ws=c(),Qo=n("span"),Hs=a("Overview"),Un=c(),Me=n("p"),Qs=a("The ErnieM model was proposed in "),et=n("a"),Bs=a(`ERNIE-M: Enhanced Multilingual Representation by Aligning
Cross-lingual Semantics with Monolingual Corpora`),Us=a(`  by Xuan Ouyang, Shuohuan Wang, Chao Pang, Yu Sun,
Hao Tian, Hua Wu, Haifeng Wang.`),Rn=c(),to=n("p"),Rs=a("The abstract from the paper is the following:"),Vn=c(),oo=n("p"),Bo=n("em"),Vs=a("Recent studies have demonstrated that pre-trained cross-lingual models achieve impressive performance in downstream cross-lingual tasks. This improvement benefits from learning a large amount of monolingual and parallel corpora. Although it is generally acknowledged that parallel corpora are critical for improving the model performance, existing methods are often constrained by the size of parallel corpora, especially for lowresource languages. In this paper, we propose ERNIE-M, a new training method that encourages the model to align the representation of multiple languages with monolingual corpora, to overcome the constraint that the parallel corpus size places on the model performance. Our key insight is to integrate back-translation into the pre-training process. We generate pseudo-parallel sentence pairs on a monolingual corpus to enable the learning of semantic alignments between different languages, thereby enhancing the semantic modeling of cross-lingual models. Experimental results show that ERNIE-M outperforms existing cross-lingual models and delivers new state-of-the-art results in various cross-lingual downstream tasks."),Gn=c(),no=n("p"),Gs=a("Tips:"),Jn=c(),N=n("ol"),Uo=n("li"),Js=a("Ernie-M is a BERT-like model so it is a stacked Transformer Encoder."),Ks=c(),ne=n("li"),Xs=a("Instead of using MaskedLM for pretraining (like BERT) the authors used two novel techniques: "),Ro=n("code"),Ys=a("Cross-attention Masked Language Modeling"),Zs=a(" and "),Vo=n("code"),er=a("Back-translation Masked Language Modeling"),tr=a(". For now these two LMHead objectives are not implemented here."),or=c(),Go=n("li"),nr=a("It is a multilingual language model."),sr=c(),Jo=n("li"),rr=a("Next Sentence Prediction was not used in pretraining process."),Kn=c(),U=n("p"),ar=a("This model was contributed by "),tt=n("a"),ir=a("Susnato Dhar"),lr=a(". The original code can be found "),ot=n("a"),dr=a("here"),cr=a("."),Xn=c(),se=n("h2"),ye=n("a"),Ko=n("span"),v(nt.$$.fragment),pr=c(),Xo=n("span"),hr=a("ErnieMConfig"),Yn=c(),O=n("div"),v(st.$$.fragment),mr=c(),B=n("p"),ur=a("This is the configuration class to store the configuration of a "),so=n("a"),fr=a("ErnieMModel"),gr=a(`. It is used to instantiate a
Ernie-M model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the `),Yo=n("code"),_r=a("Ernie-M"),br=c(),rt=n("a"),kr=a("susnato/ernie-m-base_pytorch"),vr=a(" architecture."),Er=c(),re=n("p"),wr=a("Configuration objects inherit from "),ro=n("a"),Mr=a("PretrainedConfig"),yr=a(` and can be used to control the model outputs. Read the
documentation from `),ao=n("a"),Tr=a("PretrainedConfig"),$r=a(" for more information."),zr=c(),ae=n("p"),xr=a(`A normal_initializer initializes weight matrices as normal distributions. See
`),Zo=n("code"),qr=a("ErnieMPretrainedModel._init_weights()"),Cr=a(" for how weights are initialized in "),en=n("code"),Fr=a("ErnieMModel"),Pr=a("."),Zn=c(),ie=n("h2"),Te=n("a"),tn=n("span"),v(at.$$.fragment),jr=c(),on=n("span"),Ar=a("ErnieMTokenizer"),es=c(),q=n("div"),v(it.$$.fragment),Sr=c(),lt=n("p"),Ir=a("Constructs a Ernie-M tokenizer. It uses the "),nn=n("code"),Or=a("sentencepiece"),Nr=a(" tools to cut the words to sub-words."),Dr=c(),R=n("div"),v(dt.$$.fragment),Lr=c(),sn=n("p"),Wr=a(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ErnieM sequence has the following format:`),Hr=c(),ct=n("ul"),io=n("li"),Qr=a("single sequence: "),rn=n("code"),Br=a("[CLS] X [SEP]"),Ur=c(),lo=n("li"),Rr=a("pair of sequences: "),an=n("code"),Vr=a("[CLS] A [SEP] [SEP] B [SEP]"),Gr=c(),$e=n("div"),v(pt.$$.fragment),Jr=c(),ht=n("p"),Kr=a(`Retrieves sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),ln=n("code"),Xr=a("encode"),Yr=a(" method."),Zr=c(),ze=n("div"),v(mt.$$.fragment),ea=c(),ut=n("p"),ta=a("Create the token type IDs corresponding to the sequences passed. "),co=n("a"),oa=a(`What are token type
IDs?`),na=a(` Should be overridden in a subclass if the model has a special way of
building: those.`),sa=c(),po=n("div"),v(ft.$$.fragment),ts=c(),le=n("h2"),xe=n("a"),dn=n("span"),v(gt.$$.fragment),ra=c(),cn=n("span"),aa=a("ErnieMModel"),os=c(),C=n("div"),v(_t.$$.fragment),ia=c(),pn=n("p"),la=a("The bare ErnieM Model transformer outputting raw hidden-states without any specific head on top."),da=c(),bt=n("p"),ca=a("This model inherits from "),ho=n("a"),pa=a("PreTrainedModel"),ha=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ma=c(),kt=n("p"),ua=a("This model is a PyTorch "),vt=n("a"),fa=a("torch.nn.Module"),ga=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),_a=c(),D=n("div"),v(Et.$$.fragment),ba=c(),de=n("p"),ka=a("The "),mo=n("a"),va=a("ErnieMModel"),Ea=a(" forward method, overrides the "),hn=n("code"),wa=a("__call__"),Ma=a(" special method."),ya=c(),v(qe.$$.fragment),Ta=c(),v(Ce.$$.fragment),ns=c(),ce=n("h2"),Fe=n("a"),mn=n("span"),v(wt.$$.fragment),$a=c(),un=n("span"),za=a("ErnieMForSequenceClassification"),ss=c(),F=n("div"),v(Mt.$$.fragment),xa=c(),fn=n("p"),qa=a(`ErnieM Model transformer with a sequence classification/regression head on top (a linear layer on top of
the pooled output) e.g. for GLUE tasks.`),Ca=c(),yt=n("p"),Fa=a("This model inherits from "),uo=n("a"),Pa=a("PreTrainedModel"),ja=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Aa=c(),Tt=n("p"),Sa=a("This model is a PyTorch "),$t=n("a"),Ia=a("torch.nn.Module"),Oa=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Na=c(),I=n("div"),v(zt.$$.fragment),Da=c(),pe=n("p"),La=a("The "),fo=n("a"),Wa=a("ErnieMForSequenceClassification"),Ha=a(" forward method, overrides the "),gn=n("code"),Qa=a("__call__"),Ba=a(" special method."),Ua=c(),v(Pe.$$.fragment),Ra=c(),v(je.$$.fragment),Va=c(),v(Ae.$$.fragment),rs=c(),he=n("h2"),Se=n("a"),_n=n("span"),v(xt.$$.fragment),Ga=c(),bn=n("span"),Ja=a("ErnieMForMultipleChoice"),as=c(),P=n("div"),v(qt.$$.fragment),Ka=c(),kn=n("p"),Xa=a(`ErnieM Model with a multiple choice classification head on top (a linear layer on top of
the pooled output and a softmax) e.g. for RocStories/SWAG tasks.`),Ya=c(),Ct=n("p"),Za=a("This model inherits from "),go=n("a"),ei=a("PreTrainedModel"),ti=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),oi=c(),Ft=n("p"),ni=a("This model is a PyTorch "),Pt=n("a"),si=a("torch.nn.Module"),ri=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ai=c(),L=n("div"),v(jt.$$.fragment),ii=c(),me=n("p"),li=a("The "),_o=n("a"),di=a("ErnieMForMultipleChoice"),ci=a(" forward method, overrides the "),vn=n("code"),pi=a("__call__"),hi=a(" special method."),mi=c(),v(Ie.$$.fragment),ui=c(),v(Oe.$$.fragment),is=c(),ue=n("h2"),Ne=n("a"),En=n("span"),v(At.$$.fragment),fi=c(),wn=n("span"),gi=a("ErnieMForTokenClassification"),ls=c(),j=n("div"),v(St.$$.fragment),_i=c(),Mn=n("p"),bi=a(`ErnieM Model with a token classification head on top (a linear layer on top of
the hidden-states output) e.g. for Named-Entity-Recognition (NER) tasks.`),ki=c(),It=n("p"),vi=a("This model inherits from "),bo=n("a"),Ei=a("PreTrainedModel"),wi=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Mi=c(),Ot=n("p"),yi=a("This model is a PyTorch "),Nt=n("a"),Ti=a("torch.nn.Module"),$i=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),zi=c(),W=n("div"),v(Dt.$$.fragment),xi=c(),fe=n("p"),qi=a("The "),ko=n("a"),Ci=a("ErnieMForTokenClassification"),Fi=a(" forward method, overrides the "),yn=n("code"),Pi=a("__call__"),ji=a(" special method."),Ai=c(),v(De.$$.fragment),Si=c(),v(Le.$$.fragment),ds=c(),ge=n("h2"),We=n("a"),Tn=n("span"),v(Lt.$$.fragment),Ii=c(),$n=n("span"),Oi=a("ErnieMForQuestionAnswering"),cs=c(),A=n("div"),v(Wt.$$.fragment),Ni=c(),_e=n("p"),Di=a(`ErnieM Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),zn=n("code"),Li=a("span start logits"),Wi=a(" and "),xn=n("code"),Hi=a("span end logits"),Qi=a(")."),Bi=c(),Ht=n("p"),Ui=a("This model inherits from "),vo=n("a"),Ri=a("PreTrainedModel"),Vi=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Gi=c(),Qt=n("p"),Ji=a("This model is a PyTorch "),Bt=n("a"),Ki=a("torch.nn.Module"),Xi=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Yi=c(),H=n("div"),v(Ut.$$.fragment),Zi=c(),be=n("p"),el=a("The "),Eo=n("a"),tl=a("ErnieMForQuestionAnswering"),ol=a(" forward method, overrides the "),qn=n("code"),nl=a("__call__"),sl=a(" special method."),rl=c(),v(He.$$.fragment),al=c(),v(Qe.$$.fragment),ps=c(),ke=n("h2"),Be=n("a"),Cn=n("span"),v(Rt.$$.fragment),il=c(),Fn=n("span"),ll=a("ErnieMForInformationExtraction"),hs=c(),S=n("div"),v(Vt.$$.fragment),dl=c(),ve=n("p"),cl=a(`ErnieMForInformationExtraction is a Ernie-M Model with two linear layer on top of the hidden-states output to
compute `),Pn=n("code"),pl=a("start_prob"),hl=a(" and "),jn=n("code"),ml=a("end_prob"),ul=a(", designed for Universal Information Extraction."),fl=c(),Gt=n("p"),gl=a("This model inherits from "),wo=n("a"),_l=a("PreTrainedModel"),bl=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kl=c(),Jt=n("p"),vl=a("This model is a PyTorch "),Kt=n("a"),El=a("torch.nn.Module"),wl=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ml=c(),V=n("div"),v(Xt.$$.fragment),yl=c(),Ee=n("p"),Tl=a("The "),Mo=n("a"),$l=a("ErnieMForInformationExtraction"),zl=a(" forward method, overrides the "),An=n("code"),xl=a("__call__"),ql=a(" special method."),Cl=c(),v(Ue.$$.fragment),this.h()},l(t){const f=ic('[data-svelte="svelte-1phssyn"]',document.head);d=s(f,"META",{name:!0,content:!0}),f.forEach(o),k=p(t),g=s(t,"H1",{class:!0});var Yt=r(g);u=s(Yt,"A",{id:!0,class:!0,href:!0});var Sn=r(u);b=s(Sn,"SPAN",{});var In=r(b);E(l.$$.fragment,In),In.forEach(o),Sn.forEach(o),m=p(Yt),z=s(Yt,"SPAN",{});var On=r(z);Ls=i(On,"ErnieM"),On.forEach(o),Yt.forEach(o),Bn=p(t),oe=s(t,"H2",{class:!0});var Zt=r(oe);we=s(Zt,"A",{id:!0,class:!0,href:!0});var Nn=r(we);Ho=s(Nn,"SPAN",{});var Dn=r(Ho);E(Ze.$$.fragment,Dn),Dn.forEach(o),Nn.forEach(o),Ws=p(Zt),Qo=s(Zt,"SPAN",{});var Ln=r(Qo);Hs=i(Ln,"Overview"),Ln.forEach(o),Zt.forEach(o),Un=p(t),Me=s(t,"P",{});var eo=r(Me);Qs=i(eo,"The ErnieM model was proposed in "),et=s(eo,"A",{href:!0,rel:!0});var Wn=r(et);Bs=i(Wn,`ERNIE-M: Enhanced Multilingual Representation by Aligning
Cross-lingual Semantics with Monolingual Corpora`),Wn.forEach(o),Us=i(eo,`  by Xuan Ouyang, Shuohuan Wang, Chao Pang, Yu Sun,
Hao Tian, Hua Wu, Haifeng Wang.`),eo.forEach(o),Rn=p(t),to=s(t,"P",{});var Hn=r(to);Rs=i(Hn,"The abstract from the paper is the following:"),Hn.forEach(o),Vn=p(t),oo=s(t,"P",{});var Qn=r(oo);Bo=s(Qn,"EM",{});var jl=r(Bo);Vs=i(jl,"Recent studies have demonstrated that pre-trained cross-lingual models achieve impressive performance in downstream cross-lingual tasks. This improvement benefits from learning a large amount of monolingual and parallel corpora. Although it is generally acknowledged that parallel corpora are critical for improving the model performance, existing methods are often constrained by the size of parallel corpora, especially for lowresource languages. In this paper, we propose ERNIE-M, a new training method that encourages the model to align the representation of multiple languages with monolingual corpora, to overcome the constraint that the parallel corpus size places on the model performance. Our key insight is to integrate back-translation into the pre-training process. We generate pseudo-parallel sentence pairs on a monolingual corpus to enable the learning of semantic alignments between different languages, thereby enhancing the semantic modeling of cross-lingual models. Experimental results show that ERNIE-M outperforms existing cross-lingual models and delivers new state-of-the-art results in various cross-lingual downstream tasks."),jl.forEach(o),Qn.forEach(o),Gn=p(t),no=s(t,"P",{});var Al=r(no);Gs=i(Al,"Tips:"),Al.forEach(o),Jn=p(t),N=s(t,"OL",{});var Re=r(N);Uo=s(Re,"LI",{});var Sl=r(Uo);Js=i(Sl,"Ernie-M is a BERT-like model so it is a stacked Transformer Encoder."),Sl.forEach(o),Ks=p(Re),ne=s(Re,"LI",{});var yo=r(ne);Xs=i(yo,"Instead of using MaskedLM for pretraining (like BERT) the authors used two novel techniques: "),Ro=s(yo,"CODE",{});var Il=r(Ro);Ys=i(Il,"Cross-attention Masked Language Modeling"),Il.forEach(o),Zs=i(yo," and "),Vo=s(yo,"CODE",{});var Ol=r(Vo);er=i(Ol,"Back-translation Masked Language Modeling"),Ol.forEach(o),tr=i(yo,". For now these two LMHead objectives are not implemented here."),yo.forEach(o),or=p(Re),Go=s(Re,"LI",{});var Nl=r(Go);nr=i(Nl,"It is a multilingual language model."),Nl.forEach(o),sr=p(Re),Jo=s(Re,"LI",{});var Dl=r(Jo);rr=i(Dl,"Next Sentence Prediction was not used in pretraining process."),Dl.forEach(o),Re.forEach(o),Kn=p(t),U=s(t,"P",{});var To=r(U);ar=i(To,"This model was contributed by "),tt=s(To,"A",{href:!0,rel:!0});var Ll=r(tt);ir=i(Ll,"Susnato Dhar"),Ll.forEach(o),lr=i(To,". The original code can be found "),ot=s(To,"A",{href:!0,rel:!0});var Wl=r(ot);dr=i(Wl,"here"),Wl.forEach(o),cr=i(To,"."),To.forEach(o),Xn=p(t),se=s(t,"H2",{class:!0});var us=r(se);ye=s(us,"A",{id:!0,class:!0,href:!0});var Hl=r(ye);Ko=s(Hl,"SPAN",{});var Ql=r(Ko);E(nt.$$.fragment,Ql),Ql.forEach(o),Hl.forEach(o),pr=p(us),Xo=s(us,"SPAN",{});var Bl=r(Xo);hr=i(Bl,"ErnieMConfig"),Bl.forEach(o),us.forEach(o),Yn=p(t),O=s(t,"DIV",{class:!0});var Ve=r(O);E(st.$$.fragment,Ve),mr=p(Ve),B=s(Ve,"P",{});var Ge=r(B);ur=i(Ge,"This is the configuration class to store the configuration of a "),so=s(Ge,"A",{href:!0});var Ul=r(so);fr=i(Ul,"ErnieMModel"),Ul.forEach(o),gr=i(Ge,`. It is used to instantiate a
Ernie-M model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the `),Yo=s(Ge,"CODE",{});var Rl=r(Yo);_r=i(Rl,"Ernie-M"),Rl.forEach(o),br=p(Ge),rt=s(Ge,"A",{href:!0,rel:!0});var Vl=r(rt);kr=i(Vl,"susnato/ernie-m-base_pytorch"),Vl.forEach(o),vr=i(Ge," architecture."),Ge.forEach(o),Er=p(Ve),re=s(Ve,"P",{});var $o=r(re);wr=i($o,"Configuration objects inherit from "),ro=s($o,"A",{href:!0});var Gl=r(ro);Mr=i(Gl,"PretrainedConfig"),Gl.forEach(o),yr=i($o,` and can be used to control the model outputs. Read the
documentation from `),ao=s($o,"A",{href:!0});var Jl=r(ao);Tr=i(Jl,"PretrainedConfig"),Jl.forEach(o),$r=i($o," for more information."),$o.forEach(o),zr=p(Ve),ae=s(Ve,"P",{});var zo=r(ae);xr=i(zo,`A normal_initializer initializes weight matrices as normal distributions. See
`),Zo=s(zo,"CODE",{});var Kl=r(Zo);qr=i(Kl,"ErnieMPretrainedModel._init_weights()"),Kl.forEach(o),Cr=i(zo," for how weights are initialized in "),en=s(zo,"CODE",{});var Xl=r(en);Fr=i(Xl,"ErnieMModel"),Xl.forEach(o),Pr=i(zo,"."),zo.forEach(o),Ve.forEach(o),Zn=p(t),ie=s(t,"H2",{class:!0});var fs=r(ie);Te=s(fs,"A",{id:!0,class:!0,href:!0});var Yl=r(Te);tn=s(Yl,"SPAN",{});var Zl=r(tn);E(at.$$.fragment,Zl),Zl.forEach(o),Yl.forEach(o),jr=p(fs),on=s(fs,"SPAN",{});var ed=r(on);Ar=i(ed,"ErnieMTokenizer"),ed.forEach(o),fs.forEach(o),es=p(t),q=s(t,"DIV",{class:!0});var Q=r(q);E(it.$$.fragment,Q),Sr=p(Q),lt=s(Q,"P",{});var gs=r(lt);Ir=i(gs,"Constructs a Ernie-M tokenizer. It uses the "),nn=s(gs,"CODE",{});var td=r(nn);Or=i(td,"sentencepiece"),td.forEach(o),Nr=i(gs," tools to cut the words to sub-words."),gs.forEach(o),Dr=p(Q),R=s(Q,"DIV",{class:!0});var xo=r(R);E(dt.$$.fragment,xo),Lr=p(xo),sn=s(xo,"P",{});var od=r(sn);Wr=i(od,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ErnieM sequence has the following format:`),od.forEach(o),Hr=p(xo),ct=s(xo,"UL",{});var _s=r(ct);io=s(_s,"LI",{});var Fl=r(io);Qr=i(Fl,"single sequence: "),rn=s(Fl,"CODE",{});var nd=r(rn);Br=i(nd,"[CLS] X [SEP]"),nd.forEach(o),Fl.forEach(o),Ur=p(_s),lo=s(_s,"LI",{});var Pl=r(lo);Rr=i(Pl,"pair of sequences: "),an=s(Pl,"CODE",{});var sd=r(an);Vr=i(sd,"[CLS] A [SEP] [SEP] B [SEP]"),sd.forEach(o),Pl.forEach(o),_s.forEach(o),xo.forEach(o),Gr=p(Q),$e=s(Q,"DIV",{class:!0});var bs=r($e);E(pt.$$.fragment,bs),Jr=p(bs),ht=s(bs,"P",{});var ks=r(ht);Kr=i(ks,`Retrieves sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),ln=s(ks,"CODE",{});var rd=r(ln);Xr=i(rd,"encode"),rd.forEach(o),Yr=i(ks," method."),ks.forEach(o),bs.forEach(o),Zr=p(Q),ze=s(Q,"DIV",{class:!0});var vs=r(ze);E(mt.$$.fragment,vs),ea=p(vs),ut=s(vs,"P",{});var Es=r(ut);ta=i(Es,"Create the token type IDs corresponding to the sequences passed. "),co=s(Es,"A",{href:!0});var ad=r(co);oa=i(ad,`What are token type
IDs?`),ad.forEach(o),na=i(Es,` Should be overridden in a subclass if the model has a special way of
building: those.`),Es.forEach(o),vs.forEach(o),sa=p(Q),po=s(Q,"DIV",{class:!0});var id=r(po);E(ft.$$.fragment,id),id.forEach(o),Q.forEach(o),ts=p(t),le=s(t,"H2",{class:!0});var ws=r(le);xe=s(ws,"A",{id:!0,class:!0,href:!0});var ld=r(xe);dn=s(ld,"SPAN",{});var dd=r(dn);E(gt.$$.fragment,dd),dd.forEach(o),ld.forEach(o),ra=p(ws),cn=s(ws,"SPAN",{});var cd=r(cn);aa=i(cd,"ErnieMModel"),cd.forEach(o),ws.forEach(o),os=p(t),C=s(t,"DIV",{class:!0});var G=r(C);E(_t.$$.fragment,G),ia=p(G),pn=s(G,"P",{});var pd=r(pn);la=i(pd,"The bare ErnieM Model transformer outputting raw hidden-states without any specific head on top."),pd.forEach(o),da=p(G),bt=s(G,"P",{});var Ms=r(bt);ca=i(Ms,"This model inherits from "),ho=s(Ms,"A",{href:!0});var hd=r(ho);pa=i(hd,"PreTrainedModel"),hd.forEach(o),ha=i(Ms,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ms.forEach(o),ma=p(G),kt=s(G,"P",{});var ys=r(kt);ua=i(ys,"This model is a PyTorch "),vt=s(ys,"A",{href:!0,rel:!0});var md=r(vt);fa=i(md,"torch.nn.Module"),md.forEach(o),ga=i(ys,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ys.forEach(o),_a=p(G),D=s(G,"DIV",{class:!0});var Je=r(D);E(Et.$$.fragment,Je),ba=p(Je),de=s(Je,"P",{});var qo=r(de);ka=i(qo,"The "),mo=s(qo,"A",{href:!0});var ud=r(mo);va=i(ud,"ErnieMModel"),ud.forEach(o),Ea=i(qo," forward method, overrides the "),hn=s(qo,"CODE",{});var fd=r(hn);wa=i(fd,"__call__"),fd.forEach(o),Ma=i(qo," special method."),qo.forEach(o),ya=p(Je),E(qe.$$.fragment,Je),Ta=p(Je),E(Ce.$$.fragment,Je),Je.forEach(o),G.forEach(o),ns=p(t),ce=s(t,"H2",{class:!0});var Ts=r(ce);Fe=s(Ts,"A",{id:!0,class:!0,href:!0});var gd=r(Fe);mn=s(gd,"SPAN",{});var _d=r(mn);E(wt.$$.fragment,_d),_d.forEach(o),gd.forEach(o),$a=p(Ts),un=s(Ts,"SPAN",{});var bd=r(un);za=i(bd,"ErnieMForSequenceClassification"),bd.forEach(o),Ts.forEach(o),ss=p(t),F=s(t,"DIV",{class:!0});var J=r(F);E(Mt.$$.fragment,J),xa=p(J),fn=s(J,"P",{});var kd=r(fn);qa=i(kd,`ErnieM Model transformer with a sequence classification/regression head on top (a linear layer on top of
the pooled output) e.g. for GLUE tasks.`),kd.forEach(o),Ca=p(J),yt=s(J,"P",{});var $s=r(yt);Fa=i($s,"This model inherits from "),uo=s($s,"A",{href:!0});var vd=r(uo);Pa=i(vd,"PreTrainedModel"),vd.forEach(o),ja=i($s,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$s.forEach(o),Aa=p(J),Tt=s(J,"P",{});var zs=r(Tt);Sa=i(zs,"This model is a PyTorch "),$t=s(zs,"A",{href:!0,rel:!0});var Ed=r($t);Ia=i(Ed,"torch.nn.Module"),Ed.forEach(o),Oa=i(zs,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),zs.forEach(o),Na=p(J),I=s(J,"DIV",{class:!0});var K=r(I);E(zt.$$.fragment,K),Da=p(K),pe=s(K,"P",{});var Co=r(pe);La=i(Co,"The "),fo=s(Co,"A",{href:!0});var wd=r(fo);Wa=i(wd,"ErnieMForSequenceClassification"),wd.forEach(o),Ha=i(Co," forward method, overrides the "),gn=s(Co,"CODE",{});var Md=r(gn);Qa=i(Md,"__call__"),Md.forEach(o),Ba=i(Co," special method."),Co.forEach(o),Ua=p(K),E(Pe.$$.fragment,K),Ra=p(K),E(je.$$.fragment,K),Va=p(K),E(Ae.$$.fragment,K),K.forEach(o),J.forEach(o),rs=p(t),he=s(t,"H2",{class:!0});var xs=r(he);Se=s(xs,"A",{id:!0,class:!0,href:!0});var yd=r(Se);_n=s(yd,"SPAN",{});var Td=r(_n);E(xt.$$.fragment,Td),Td.forEach(o),yd.forEach(o),Ga=p(xs),bn=s(xs,"SPAN",{});var $d=r(bn);Ja=i($d,"ErnieMForMultipleChoice"),$d.forEach(o),xs.forEach(o),as=p(t),P=s(t,"DIV",{class:!0});var X=r(P);E(qt.$$.fragment,X),Ka=p(X),kn=s(X,"P",{});var zd=r(kn);Xa=i(zd,`ErnieM Model with a multiple choice classification head on top (a linear layer on top of
the pooled output and a softmax) e.g. for RocStories/SWAG tasks.`),zd.forEach(o),Ya=p(X),Ct=s(X,"P",{});var qs=r(Ct);Za=i(qs,"This model inherits from "),go=s(qs,"A",{href:!0});var xd=r(go);ei=i(xd,"PreTrainedModel"),xd.forEach(o),ti=i(qs,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qs.forEach(o),oi=p(X),Ft=s(X,"P",{});var Cs=r(Ft);ni=i(Cs,"This model is a PyTorch "),Pt=s(Cs,"A",{href:!0,rel:!0});var qd=r(Pt);si=i(qd,"torch.nn.Module"),qd.forEach(o),ri=i(Cs,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Cs.forEach(o),ai=p(X),L=s(X,"DIV",{class:!0});var Ke=r(L);E(jt.$$.fragment,Ke),ii=p(Ke),me=s(Ke,"P",{});var Fo=r(me);li=i(Fo,"The "),_o=s(Fo,"A",{href:!0});var Cd=r(_o);di=i(Cd,"ErnieMForMultipleChoice"),Cd.forEach(o),ci=i(Fo," forward method, overrides the "),vn=s(Fo,"CODE",{});var Fd=r(vn);pi=i(Fd,"__call__"),Fd.forEach(o),hi=i(Fo," special method."),Fo.forEach(o),mi=p(Ke),E(Ie.$$.fragment,Ke),ui=p(Ke),E(Oe.$$.fragment,Ke),Ke.forEach(o),X.forEach(o),is=p(t),ue=s(t,"H2",{class:!0});var Fs=r(ue);Ne=s(Fs,"A",{id:!0,class:!0,href:!0});var Pd=r(Ne);En=s(Pd,"SPAN",{});var jd=r(En);E(At.$$.fragment,jd),jd.forEach(o),Pd.forEach(o),fi=p(Fs),wn=s(Fs,"SPAN",{});var Ad=r(wn);gi=i(Ad,"ErnieMForTokenClassification"),Ad.forEach(o),Fs.forEach(o),ls=p(t),j=s(t,"DIV",{class:!0});var Y=r(j);E(St.$$.fragment,Y),_i=p(Y),Mn=s(Y,"P",{});var Sd=r(Mn);bi=i(Sd,`ErnieM Model with a token classification head on top (a linear layer on top of
the hidden-states output) e.g. for Named-Entity-Recognition (NER) tasks.`),Sd.forEach(o),ki=p(Y),It=s(Y,"P",{});var Ps=r(It);vi=i(Ps,"This model inherits from "),bo=s(Ps,"A",{href:!0});var Id=r(bo);Ei=i(Id,"PreTrainedModel"),Id.forEach(o),wi=i(Ps,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ps.forEach(o),Mi=p(Y),Ot=s(Y,"P",{});var js=r(Ot);yi=i(js,"This model is a PyTorch "),Nt=s(js,"A",{href:!0,rel:!0});var Od=r(Nt);Ti=i(Od,"torch.nn.Module"),Od.forEach(o),$i=i(js,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),js.forEach(o),zi=p(Y),W=s(Y,"DIV",{class:!0});var Xe=r(W);E(Dt.$$.fragment,Xe),xi=p(Xe),fe=s(Xe,"P",{});var Po=r(fe);qi=i(Po,"The "),ko=s(Po,"A",{href:!0});var Nd=r(ko);Ci=i(Nd,"ErnieMForTokenClassification"),Nd.forEach(o),Fi=i(Po," forward method, overrides the "),yn=s(Po,"CODE",{});var Dd=r(yn);Pi=i(Dd,"__call__"),Dd.forEach(o),ji=i(Po," special method."),Po.forEach(o),Ai=p(Xe),E(De.$$.fragment,Xe),Si=p(Xe),E(Le.$$.fragment,Xe),Xe.forEach(o),Y.forEach(o),ds=p(t),ge=s(t,"H2",{class:!0});var As=r(ge);We=s(As,"A",{id:!0,class:!0,href:!0});var Ld=r(We);Tn=s(Ld,"SPAN",{});var Wd=r(Tn);E(Lt.$$.fragment,Wd),Wd.forEach(o),Ld.forEach(o),Ii=p(As),$n=s(As,"SPAN",{});var Hd=r($n);Oi=i(Hd,"ErnieMForQuestionAnswering"),Hd.forEach(o),As.forEach(o),cs=p(t),A=s(t,"DIV",{class:!0});var Z=r(A);E(Wt.$$.fragment,Z),Ni=p(Z),_e=s(Z,"P",{});var jo=r(_e);Di=i(jo,`ErnieM Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),zn=s(jo,"CODE",{});var Qd=r(zn);Li=i(Qd,"span start logits"),Qd.forEach(o),Wi=i(jo," and "),xn=s(jo,"CODE",{});var Bd=r(xn);Hi=i(Bd,"span end logits"),Bd.forEach(o),Qi=i(jo,")."),jo.forEach(o),Bi=p(Z),Ht=s(Z,"P",{});var Ss=r(Ht);Ui=i(Ss,"This model inherits from "),vo=s(Ss,"A",{href:!0});var Ud=r(vo);Ri=i(Ud,"PreTrainedModel"),Ud.forEach(o),Vi=i(Ss,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ss.forEach(o),Gi=p(Z),Qt=s(Z,"P",{});var Is=r(Qt);Ji=i(Is,"This model is a PyTorch "),Bt=s(Is,"A",{href:!0,rel:!0});var Rd=r(Bt);Ki=i(Rd,"torch.nn.Module"),Rd.forEach(o),Xi=i(Is,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Is.forEach(o),Yi=p(Z),H=s(Z,"DIV",{class:!0});var Ye=r(H);E(Ut.$$.fragment,Ye),Zi=p(Ye),be=s(Ye,"P",{});var Ao=r(be);el=i(Ao,"The "),Eo=s(Ao,"A",{href:!0});var Vd=r(Eo);tl=i(Vd,"ErnieMForQuestionAnswering"),Vd.forEach(o),ol=i(Ao," forward method, overrides the "),qn=s(Ao,"CODE",{});var Gd=r(qn);nl=i(Gd,"__call__"),Gd.forEach(o),sl=i(Ao," special method."),Ao.forEach(o),rl=p(Ye),E(He.$$.fragment,Ye),al=p(Ye),E(Qe.$$.fragment,Ye),Ye.forEach(o),Z.forEach(o),ps=p(t),ke=s(t,"H2",{class:!0});var Os=r(ke);Be=s(Os,"A",{id:!0,class:!0,href:!0});var Jd=r(Be);Cn=s(Jd,"SPAN",{});var Kd=r(Cn);E(Rt.$$.fragment,Kd),Kd.forEach(o),Jd.forEach(o),il=p(Os),Fn=s(Os,"SPAN",{});var Xd=r(Fn);ll=i(Xd,"ErnieMForInformationExtraction"),Xd.forEach(o),Os.forEach(o),hs=p(t),S=s(t,"DIV",{class:!0});var ee=r(S);E(Vt.$$.fragment,ee),dl=p(ee),ve=s(ee,"P",{});var So=r(ve);cl=i(So,`ErnieMForInformationExtraction is a Ernie-M Model with two linear layer on top of the hidden-states output to
compute `),Pn=s(So,"CODE",{});var Yd=r(Pn);pl=i(Yd,"start_prob"),Yd.forEach(o),hl=i(So," and "),jn=s(So,"CODE",{});var Zd=r(jn);ml=i(Zd,"end_prob"),Zd.forEach(o),ul=i(So,", designed for Universal Information Extraction."),So.forEach(o),fl=p(ee),Gt=s(ee,"P",{});var Ns=r(Gt);gl=i(Ns,"This model inherits from "),wo=s(Ns,"A",{href:!0});var ec=r(wo);_l=i(ec,"PreTrainedModel"),ec.forEach(o),bl=i(Ns,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ns.forEach(o),kl=p(ee),Jt=s(ee,"P",{});var Ds=r(Jt);vl=i(Ds,"This model is a PyTorch "),Kt=s(Ds,"A",{href:!0,rel:!0});var tc=r(Kt);El=i(tc,"torch.nn.Module"),tc.forEach(o),wl=i(Ds,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ds.forEach(o),Ml=p(ee),V=s(ee,"DIV",{class:!0});var Io=r(V);E(Xt.$$.fragment,Io),yl=p(Io),Ee=s(Io,"P",{});var Oo=r(Ee);Tl=i(Oo,"The "),Mo=s(Oo,"A",{href:!0});var oc=r(Mo);$l=i(oc,"ErnieMForInformationExtraction"),oc.forEach(o),zl=i(Oo," forward method, overrides the "),An=s(Oo,"CODE",{});var nc=r(An);xl=i(nc,"__call__"),nc.forEach(o),ql=i(Oo," special method."),Oo.forEach(o),Cl=p(Io),E(Ue.$$.fragment,Io),Io.forEach(o),ee.forEach(o),this.h()},h(){h(d,"name","hf:doc:metadata"),h(d,"content",JSON.stringify(wc)),h(u,"id","erniem"),h(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(u,"href","#erniem"),h(g,"class","relative group"),h(we,"id","overview"),h(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(we,"href","#overview"),h(oe,"class","relative group"),h(et,"href","https://arxiv.org/abs/2012.15674"),h(et,"rel","nofollow"),h(tt,"href","https://huggingface.co/susnato"),h(tt,"rel","nofollow"),h(ot,"href","https://github.com/PaddlePaddle/PaddleNLP/tree/develop/paddlenlp/transformers/ernie_m"),h(ot,"rel","nofollow"),h(ye,"id","transformers.ErnieMConfig"),h(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(ye,"href","#transformers.ErnieMConfig"),h(se,"class","relative group"),h(so,"href","/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMModel"),h(rt,"href","https://huggingface.co/susnato/ernie-m-base_pytorch"),h(rt,"rel","nofollow"),h(ro,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),h(ao,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),h(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(Te,"id","transformers.ErnieMTokenizer"),h(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Te,"href","#transformers.ErnieMTokenizer"),h(ie,"class","relative group"),h(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(co,"href","../glossary#token-type-ids"),h(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(po,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(xe,"id","transformers.ErnieMModel"),h(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(xe,"href","#transformers.ErnieMModel"),h(le,"class","relative group"),h(ho,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),h(vt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(vt,"rel","nofollow"),h(mo,"href","/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMModel"),h(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(Fe,"id","transformers.ErnieMForSequenceClassification"),h(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Fe,"href","#transformers.ErnieMForSequenceClassification"),h(ce,"class","relative group"),h(uo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),h($t,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h($t,"rel","nofollow"),h(fo,"href","/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMForSequenceClassification"),h(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(Se,"id","transformers.ErnieMForMultipleChoice"),h(Se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Se,"href","#transformers.ErnieMForMultipleChoice"),h(he,"class","relative group"),h(go,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),h(Pt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(Pt,"rel","nofollow"),h(_o,"href","/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMForMultipleChoice"),h(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(Ne,"id","transformers.ErnieMForTokenClassification"),h(Ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Ne,"href","#transformers.ErnieMForTokenClassification"),h(ue,"class","relative group"),h(bo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),h(Nt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(Nt,"rel","nofollow"),h(ko,"href","/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMForTokenClassification"),h(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(We,"id","transformers.ErnieMForQuestionAnswering"),h(We,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(We,"href","#transformers.ErnieMForQuestionAnswering"),h(ge,"class","relative group"),h(vo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),h(Bt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(Bt,"rel","nofollow"),h(Eo,"href","/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMForQuestionAnswering"),h(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(Be,"id","transformers.ErnieMForInformationExtraction"),h(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Be,"href","#transformers.ErnieMForInformationExtraction"),h(ke,"class","relative group"),h(wo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),h(Kt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(Kt,"rel","nofollow"),h(Mo,"href","/docs/transformers/main/en/model_doc/ernie_m#transformers.ErnieMForInformationExtraction"),h(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,d),_(t,k,f),_(t,g,f),e(g,u),e(u,b),w(l,b,null),e(g,m),e(g,z),e(z,Ls),_(t,Bn,f),_(t,oe,f),e(oe,we),e(we,Ho),w(Ze,Ho,null),e(oe,Ws),e(oe,Qo),e(Qo,Hs),_(t,Un,f),_(t,Me,f),e(Me,Qs),e(Me,et),e(et,Bs),e(Me,Us),_(t,Rn,f),_(t,to,f),e(to,Rs),_(t,Vn,f),_(t,oo,f),e(oo,Bo),e(Bo,Vs),_(t,Gn,f),_(t,no,f),e(no,Gs),_(t,Jn,f),_(t,N,f),e(N,Uo),e(Uo,Js),e(N,Ks),e(N,ne),e(ne,Xs),e(ne,Ro),e(Ro,Ys),e(ne,Zs),e(ne,Vo),e(Vo,er),e(ne,tr),e(N,or),e(N,Go),e(Go,nr),e(N,sr),e(N,Jo),e(Jo,rr),_(t,Kn,f),_(t,U,f),e(U,ar),e(U,tt),e(tt,ir),e(U,lr),e(U,ot),e(ot,dr),e(U,cr),_(t,Xn,f),_(t,se,f),e(se,ye),e(ye,Ko),w(nt,Ko,null),e(se,pr),e(se,Xo),e(Xo,hr),_(t,Yn,f),_(t,O,f),w(st,O,null),e(O,mr),e(O,B),e(B,ur),e(B,so),e(so,fr),e(B,gr),e(B,Yo),e(Yo,_r),e(B,br),e(B,rt),e(rt,kr),e(B,vr),e(O,Er),e(O,re),e(re,wr),e(re,ro),e(ro,Mr),e(re,yr),e(re,ao),e(ao,Tr),e(re,$r),e(O,zr),e(O,ae),e(ae,xr),e(ae,Zo),e(Zo,qr),e(ae,Cr),e(ae,en),e(en,Fr),e(ae,Pr),_(t,Zn,f),_(t,ie,f),e(ie,Te),e(Te,tn),w(at,tn,null),e(ie,jr),e(ie,on),e(on,Ar),_(t,es,f),_(t,q,f),w(it,q,null),e(q,Sr),e(q,lt),e(lt,Ir),e(lt,nn),e(nn,Or),e(lt,Nr),e(q,Dr),e(q,R),w(dt,R,null),e(R,Lr),e(R,sn),e(sn,Wr),e(R,Hr),e(R,ct),e(ct,io),e(io,Qr),e(io,rn),e(rn,Br),e(ct,Ur),e(ct,lo),e(lo,Rr),e(lo,an),e(an,Vr),e(q,Gr),e(q,$e),w(pt,$e,null),e($e,Jr),e($e,ht),e(ht,Kr),e(ht,ln),e(ln,Xr),e(ht,Yr),e(q,Zr),e(q,ze),w(mt,ze,null),e(ze,ea),e(ze,ut),e(ut,ta),e(ut,co),e(co,oa),e(ut,na),e(q,sa),e(q,po),w(ft,po,null),_(t,ts,f),_(t,le,f),e(le,xe),e(xe,dn),w(gt,dn,null),e(le,ra),e(le,cn),e(cn,aa),_(t,os,f),_(t,C,f),w(_t,C,null),e(C,ia),e(C,pn),e(pn,la),e(C,da),e(C,bt),e(bt,ca),e(bt,ho),e(ho,pa),e(bt,ha),e(C,ma),e(C,kt),e(kt,ua),e(kt,vt),e(vt,fa),e(kt,ga),e(C,_a),e(C,D),w(Et,D,null),e(D,ba),e(D,de),e(de,ka),e(de,mo),e(mo,va),e(de,Ea),e(de,hn),e(hn,wa),e(de,Ma),e(D,ya),w(qe,D,null),e(D,Ta),w(Ce,D,null),_(t,ns,f),_(t,ce,f),e(ce,Fe),e(Fe,mn),w(wt,mn,null),e(ce,$a),e(ce,un),e(un,za),_(t,ss,f),_(t,F,f),w(Mt,F,null),e(F,xa),e(F,fn),e(fn,qa),e(F,Ca),e(F,yt),e(yt,Fa),e(yt,uo),e(uo,Pa),e(yt,ja),e(F,Aa),e(F,Tt),e(Tt,Sa),e(Tt,$t),e($t,Ia),e(Tt,Oa),e(F,Na),e(F,I),w(zt,I,null),e(I,Da),e(I,pe),e(pe,La),e(pe,fo),e(fo,Wa),e(pe,Ha),e(pe,gn),e(gn,Qa),e(pe,Ba),e(I,Ua),w(Pe,I,null),e(I,Ra),w(je,I,null),e(I,Va),w(Ae,I,null),_(t,rs,f),_(t,he,f),e(he,Se),e(Se,_n),w(xt,_n,null),e(he,Ga),e(he,bn),e(bn,Ja),_(t,as,f),_(t,P,f),w(qt,P,null),e(P,Ka),e(P,kn),e(kn,Xa),e(P,Ya),e(P,Ct),e(Ct,Za),e(Ct,go),e(go,ei),e(Ct,ti),e(P,oi),e(P,Ft),e(Ft,ni),e(Ft,Pt),e(Pt,si),e(Ft,ri),e(P,ai),e(P,L),w(jt,L,null),e(L,ii),e(L,me),e(me,li),e(me,_o),e(_o,di),e(me,ci),e(me,vn),e(vn,pi),e(me,hi),e(L,mi),w(Ie,L,null),e(L,ui),w(Oe,L,null),_(t,is,f),_(t,ue,f),e(ue,Ne),e(Ne,En),w(At,En,null),e(ue,fi),e(ue,wn),e(wn,gi),_(t,ls,f),_(t,j,f),w(St,j,null),e(j,_i),e(j,Mn),e(Mn,bi),e(j,ki),e(j,It),e(It,vi),e(It,bo),e(bo,Ei),e(It,wi),e(j,Mi),e(j,Ot),e(Ot,yi),e(Ot,Nt),e(Nt,Ti),e(Ot,$i),e(j,zi),e(j,W),w(Dt,W,null),e(W,xi),e(W,fe),e(fe,qi),e(fe,ko),e(ko,Ci),e(fe,Fi),e(fe,yn),e(yn,Pi),e(fe,ji),e(W,Ai),w(De,W,null),e(W,Si),w(Le,W,null),_(t,ds,f),_(t,ge,f),e(ge,We),e(We,Tn),w(Lt,Tn,null),e(ge,Ii),e(ge,$n),e($n,Oi),_(t,cs,f),_(t,A,f),w(Wt,A,null),e(A,Ni),e(A,_e),e(_e,Di),e(_e,zn),e(zn,Li),e(_e,Wi),e(_e,xn),e(xn,Hi),e(_e,Qi),e(A,Bi),e(A,Ht),e(Ht,Ui),e(Ht,vo),e(vo,Ri),e(Ht,Vi),e(A,Gi),e(A,Qt),e(Qt,Ji),e(Qt,Bt),e(Bt,Ki),e(Qt,Xi),e(A,Yi),e(A,H),w(Ut,H,null),e(H,Zi),e(H,be),e(be,el),e(be,Eo),e(Eo,tl),e(be,ol),e(be,qn),e(qn,nl),e(be,sl),e(H,rl),w(He,H,null),e(H,al),w(Qe,H,null),_(t,ps,f),_(t,ke,f),e(ke,Be),e(Be,Cn),w(Rt,Cn,null),e(ke,il),e(ke,Fn),e(Fn,ll),_(t,hs,f),_(t,S,f),w(Vt,S,null),e(S,dl),e(S,ve),e(ve,cl),e(ve,Pn),e(Pn,pl),e(ve,hl),e(ve,jn),e(jn,ml),e(ve,ul),e(S,fl),e(S,Gt),e(Gt,gl),e(Gt,wo),e(wo,_l),e(Gt,bl),e(S,kl),e(S,Jt),e(Jt,vl),e(Jt,Kt),e(Kt,El),e(Jt,wl),e(S,Ml),e(S,V),w(Xt,V,null),e(V,yl),e(V,Ee),e(Ee,Tl),e(Ee,Mo),e(Mo,$l),e(Ee,zl),e(Ee,An),e(An,xl),e(Ee,ql),e(V,Cl),w(Ue,V,null),ms=!0},p(t,[f]){const Yt={};f&2&&(Yt.$$scope={dirty:f,ctx:t}),qe.$set(Yt);const Sn={};f&2&&(Sn.$$scope={dirty:f,ctx:t}),Ce.$set(Sn);const In={};f&2&&(In.$$scope={dirty:f,ctx:t}),Pe.$set(In);const On={};f&2&&(On.$$scope={dirty:f,ctx:t}),je.$set(On);const Zt={};f&2&&(Zt.$$scope={dirty:f,ctx:t}),Ae.$set(Zt);const Nn={};f&2&&(Nn.$$scope={dirty:f,ctx:t}),Ie.$set(Nn);const Dn={};f&2&&(Dn.$$scope={dirty:f,ctx:t}),Oe.$set(Dn);const Ln={};f&2&&(Ln.$$scope={dirty:f,ctx:t}),De.$set(Ln);const eo={};f&2&&(eo.$$scope={dirty:f,ctx:t}),Le.$set(eo);const Wn={};f&2&&(Wn.$$scope={dirty:f,ctx:t}),He.$set(Wn);const Hn={};f&2&&(Hn.$$scope={dirty:f,ctx:t}),Qe.$set(Hn);const Qn={};f&2&&(Qn.$$scope={dirty:f,ctx:t}),Ue.$set(Qn)},i(t){ms||(M(l.$$.fragment,t),M(Ze.$$.fragment,t),M(nt.$$.fragment,t),M(st.$$.fragment,t),M(at.$$.fragment,t),M(it.$$.fragment,t),M(dt.$$.fragment,t),M(pt.$$.fragment,t),M(mt.$$.fragment,t),M(ft.$$.fragment,t),M(gt.$$.fragment,t),M(_t.$$.fragment,t),M(Et.$$.fragment,t),M(qe.$$.fragment,t),M(Ce.$$.fragment,t),M(wt.$$.fragment,t),M(Mt.$$.fragment,t),M(zt.$$.fragment,t),M(Pe.$$.fragment,t),M(je.$$.fragment,t),M(Ae.$$.fragment,t),M(xt.$$.fragment,t),M(qt.$$.fragment,t),M(jt.$$.fragment,t),M(Ie.$$.fragment,t),M(Oe.$$.fragment,t),M(At.$$.fragment,t),M(St.$$.fragment,t),M(Dt.$$.fragment,t),M(De.$$.fragment,t),M(Le.$$.fragment,t),M(Lt.$$.fragment,t),M(Wt.$$.fragment,t),M(Ut.$$.fragment,t),M(He.$$.fragment,t),M(Qe.$$.fragment,t),M(Rt.$$.fragment,t),M(Vt.$$.fragment,t),M(Xt.$$.fragment,t),M(Ue.$$.fragment,t),ms=!0)},o(t){y(l.$$.fragment,t),y(Ze.$$.fragment,t),y(nt.$$.fragment,t),y(st.$$.fragment,t),y(at.$$.fragment,t),y(it.$$.fragment,t),y(dt.$$.fragment,t),y(pt.$$.fragment,t),y(mt.$$.fragment,t),y(ft.$$.fragment,t),y(gt.$$.fragment,t),y(_t.$$.fragment,t),y(Et.$$.fragment,t),y(qe.$$.fragment,t),y(Ce.$$.fragment,t),y(wt.$$.fragment,t),y(Mt.$$.fragment,t),y(zt.$$.fragment,t),y(Pe.$$.fragment,t),y(je.$$.fragment,t),y(Ae.$$.fragment,t),y(xt.$$.fragment,t),y(qt.$$.fragment,t),y(jt.$$.fragment,t),y(Ie.$$.fragment,t),y(Oe.$$.fragment,t),y(At.$$.fragment,t),y(St.$$.fragment,t),y(Dt.$$.fragment,t),y(De.$$.fragment,t),y(Le.$$.fragment,t),y(Lt.$$.fragment,t),y(Wt.$$.fragment,t),y(Ut.$$.fragment,t),y(He.$$.fragment,t),y(Qe.$$.fragment,t),y(Rt.$$.fragment,t),y(Vt.$$.fragment,t),y(Xt.$$.fragment,t),y(Ue.$$.fragment,t),ms=!1},d(t){o(d),t&&o(k),t&&o(g),T(l),t&&o(Bn),t&&o(oe),T(Ze),t&&o(Un),t&&o(Me),t&&o(Rn),t&&o(to),t&&o(Vn),t&&o(oo),t&&o(Gn),t&&o(no),t&&o(Jn),t&&o(N),t&&o(Kn),t&&o(U),t&&o(Xn),t&&o(se),T(nt),t&&o(Yn),t&&o(O),T(st),t&&o(Zn),t&&o(ie),T(at),t&&o(es),t&&o(q),T(it),T(dt),T(pt),T(mt),T(ft),t&&o(ts),t&&o(le),T(gt),t&&o(os),t&&o(C),T(_t),T(Et),T(qe),T(Ce),t&&o(ns),t&&o(ce),T(wt),t&&o(ss),t&&o(F),T(Mt),T(zt),T(Pe),T(je),T(Ae),t&&o(rs),t&&o(he),T(xt),t&&o(as),t&&o(P),T(qt),T(jt),T(Ie),T(Oe),t&&o(is),t&&o(ue),T(At),t&&o(ls),t&&o(j),T(St),T(Dt),T(De),T(Le),t&&o(ds),t&&o(ge),T(Lt),t&&o(cs),t&&o(A),T(Wt),T(Ut),T(He),T(Qe),t&&o(ps),t&&o(ke),T(Rt),t&&o(hs),t&&o(S),T(Vt),T(Xt),T(Ue)}}}const wc={local:"erniem",sections:[{local:"overview",title:"Overview"},{local:"transformers.ErnieMConfig",title:"ErnieMConfig"},{local:"transformers.ErnieMTokenizer",title:"ErnieMTokenizer"},{local:"transformers.ErnieMModel",title:"ErnieMModel"},{local:"transformers.ErnieMForSequenceClassification",title:"ErnieMForSequenceClassification"},{local:"transformers.ErnieMForMultipleChoice",title:"ErnieMForMultipleChoice"},{local:"transformers.ErnieMForTokenClassification",title:"ErnieMForTokenClassification"},{local:"transformers.ErnieMForQuestionAnswering",title:"ErnieMForQuestionAnswering"},{local:"transformers.ErnieMForInformationExtraction",title:"ErnieMForInformationExtraction"}],title:"ErnieM"};function Mc($){return lc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Cc extends sc{constructor(d){super();rc(this,d,Mc,Ec,ac,{})}}export{Cc as default,wc as metadata};
