import{S as LM,i as GM,s as WM,e as a,k as c,w as y,t as i,M as RM,c as s,d as t,m as p,a as r,x as v,h as d,b as m,N as DM,G as e,g,y as T,q as w,o as $,B as x,v as UM,L as P}from"../../chunks/vendor-hf-doc-builder.js";import{T as _t}from"../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../chunks/Docstring-hf-doc-builder.js";import{C as E}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as V}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as A}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function XM(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBartConfig, MBartModel

# Initializing a MBART facebook/mbart-large-cc25 style configuration
configuration = MBartConfig()

# Initializing a model (with random weights) from the facebook/mbart-large-cc25 style configuration
model = MBartModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartConfig, MBartModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a MBART facebook/mbart-large-cc25 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = MBartConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/mbart-large-cc25 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function QM(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO")
example_english_phrase = " UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function HM(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBartTokenizerFast

tokenizer = MBartTokenizerFast.from_pretrained(
    "facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO"
)
example_english_phrase = " UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartTokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizerFast.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function VM(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBart50Tokenizer

tokenizer = MBart50Tokenizer.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")
src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")
# model(**model_inputs) should work`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBart50Tokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBart50Tokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model(**model_inputs) should work</span>`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function KM(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBart50TokenizerFast

tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")
src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")
# model(**model_inputs) should work`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBart50TokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model(**model_inputs) should work</span>`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function JM(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function ZM(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartModel
import torch

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function YM(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function e1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-en-ro")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-en-ro")

example_english_phrase = "42 is the answer"
inputs = tokenizer(example_english_phrase, return_tensors="pt")

# Translate
generated_ids = model.generate(inputs["input_ids"], num_beams=4, max_length=5)
tokenizer.batch_decode(generated_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot;42 is the answer&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Translate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>], num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;42 este r\u0103spuns&#x27;</span>`}}),{c(){l=a("p"),b=i("Translation example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Translation example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function t1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"

input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="pt")["input_ids"]
logits = model(input_ids).logits

masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero().item()
probs = logits[0, masked_index].softmax(dim=0)
values, predictions = probs.topk(5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits[<span class="hljs-number">0</span>, masked_index].softmax(dim=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = probs.topk(<span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()
[<span class="hljs-string">&#x27;nett&#x27;</span>, <span class="hljs-string">&#x27;sehr&#x27;</span>, <span class="hljs-string">&#x27;ganz&#x27;</span>, <span class="hljs-string">&#x27;nicht&#x27;</span>, <span class="hljs-string">&#x27;so&#x27;</span>]`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Mask filling example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function o1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function n1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForQuestionAnswering.from_pretrained("facebook/mbart-large-cc25")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function a1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function s1(M){let l,b,f,h,k;return h=new E({props:{code:`import torch
from transformers import AutoTokenizer, MBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){l=a("p"),b=i("Example of single-label classification:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example of single-label classification:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function r1(M){let l,b,f,h,k;return h=new E({props:{code:`import torch
from transformers import AutoTokenizer, MBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = MBartForSequenceClassification.from_pretrained(
    "facebook/mbart-large-cc25", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){l=a("p"),b=i("Example of multi-label classification:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example of multi-label classification:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function i1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForCausalLM

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForCausalLM.from_pretrained("facebook/mbart-large-cc25", add_cross_attention=False)
assert model.config.is_decoder, f"{model.__class__} has to be configured as a decoder."
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits
expected_shape = [1, inputs.input_ids.shape[-1], model.config.vocab_size]
list(logits.shape) == expected_shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForCausalLM.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, add_cross_attention=<span class="hljs-literal">False</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> model.config.is_decoder, <span class="hljs-string">f&quot;<span class="hljs-subst">{model.__class__}</span> has to be configured as a decoder.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_shape = [<span class="hljs-number">1</span>, inputs.input_ids.shape[-<span class="hljs-number">1</span>], model.config.vocab_size]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape) == expected_shape
<span class="hljs-literal">True</span>`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function d1(M){let l,b,f,h,k,n,u,q,gt,tt,U,Pe,he,B,kt,ee,Se,Ot,me,re,Ue,ve,bt,Te,we,yt,ot,X,fe,Xe,ie,O,I,vt,_e,ge,Tt,J,wt,$t,R,Oe,$e,nt,de,xe,Me,xt,le,ze,Fe,at,Z,S,Qe,N,Mt,He;return{c(){l=a("p"),b=i("TensorFlow models and layers in "),f=a("code"),h=i("transformers"),k=i(" accept two formats as input:"),n=c(),u=a("ul"),q=a("li"),gt=i("having all inputs as keyword arguments (like PyTorch models), or"),tt=c(),U=a("li"),Pe=i("having all inputs as a list, tuple or dict in the first positional argument."),he=c(),B=a("p"),kt=i(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=a("code"),Se=i("model.fit()"),Ot=i(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=a("code"),re=i("model.fit()"),Ue=i(` supports! If, however, you want to use the second
format outside of Keras methods like `),ve=a("code"),bt=i("fit()"),Te=i(" and "),we=a("code"),yt=i("predict()"),ot=i(`, such as when creating your own layers or models with
the Keras `),X=a("code"),fe=i("Functional"),Xe=i(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ie=c(),O=a("ul"),I=a("li"),vt=i("a single Tensor with "),_e=a("code"),ge=i("input_ids"),Tt=i(" only and nothing else: "),J=a("code"),wt=i("model(input_ids)"),$t=c(),R=a("li"),Oe=i(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),$e=a("code"),nt=i("model([input_ids, attention_mask])"),de=i(" or "),xe=a("code"),Me=i("model([input_ids, attention_mask, token_type_ids])"),xt=c(),le=a("li"),ze=i(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Fe=a("code"),at=i('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=c(),S=a("p"),Qe=i(`Note that when creating models and layers with
`),N=a("a"),Mt=i("subclassing"),He=i(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){l=s(z,"P",{});var j=r(l);b=d(j,"TensorFlow models and layers in "),f=s(j,"CODE",{});var K=r(f);h=d(K,"transformers"),K.forEach(t),k=d(j," accept two formats as input:"),j.forEach(t),n=p(z),u=s(z,"UL",{});var Ve=r(u);q=s(Ve,"LI",{});var zt=r(q);gt=d(zt,"having all inputs as keyword arguments (like PyTorch models), or"),zt.forEach(t),tt=p(Ve),U=s(Ve,"LI",{});var Vt=r(U);Pe=d(Vt,"having all inputs as a list, tuple or dict in the first positional argument."),Vt.forEach(t),Ve.forEach(t),he=p(z),B=s(z,"P",{});var C=r(B);kt=d(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=s(C,"CODE",{});var Ft=r(ee);Se=d(Ft,"model.fit()"),Ft.forEach(t),Ot=d(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=s(C,"CODE",{});var Kt=r(me);re=d(Kt,"model.fit()"),Kt.forEach(t),Ue=d(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),ve=s(C,"CODE",{});var Jt=r(ve);bt=d(Jt,"fit()"),Jt.forEach(t),Te=d(C," and "),we=s(C,"CODE",{});var qt=r(we);yt=d(qt,"predict()"),qt.forEach(t),ot=d(C,`, such as when creating your own layers or models with
the Keras `),X=s(C,"CODE",{});var Zt=r(X);fe=d(Zt,"Functional"),Zt.forEach(t),Xe=d(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),ie=p(z),O=s(z,"UL",{});var ce=r(O);I=s(ce,"LI",{});var pe=r(I);vt=d(pe,"a single Tensor with "),_e=s(pe,"CODE",{});var Yt=r(_e);ge=d(Yt,"input_ids"),Yt.forEach(t),Tt=d(pe," only and nothing else: "),J=s(pe,"CODE",{});var eo=r(J);wt=d(eo,"model(input_ids)"),eo.forEach(t),pe.forEach(t),$t=p(ce),R=s(ce,"LI",{});var ke=r(R);Oe=d(ke,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),$e=s(ke,"CODE",{});var te=r($e);nt=d(te,"model([input_ids, attention_mask])"),te.forEach(t),de=d(ke," or "),xe=s(ke,"CODE",{});var to=r(xe);Me=d(to,"model([input_ids, attention_mask, token_type_ids])"),to.forEach(t),ke.forEach(t),xt=p(ce),le=s(ce,"LI",{});var qe=r(le);ze=d(qe,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Fe=s(qe,"CODE",{});var Bt=r(Fe);at=d(Bt,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Bt.forEach(t),qe.forEach(t),ce.forEach(t),Z=p(z),S=s(z,"P",{});var Ke=r(S);Qe=d(Ke,`Note that when creating models and layers with
`),N=s(Ke,"A",{href:!0,rel:!0});var oo=r(N);Mt=d(oo,"subclassing"),oo.forEach(t),He=d(Ke,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ke.forEach(t),this.h()},h(){m(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(N,"rel","nofollow")},m(z,j){g(z,l,j),e(l,b),e(l,f),e(f,h),e(l,k),g(z,n,j),g(z,u,j),e(u,q),e(q,gt),e(u,tt),e(u,U),e(U,Pe),g(z,he,j),g(z,B,j),e(B,kt),e(B,ee),e(ee,Se),e(B,Ot),e(B,me),e(me,re),e(B,Ue),e(B,ve),e(ve,bt),e(B,Te),e(B,we),e(we,yt),e(B,ot),e(B,X),e(X,fe),e(B,Xe),g(z,ie,j),g(z,O,j),e(O,I),e(I,vt),e(I,_e),e(_e,ge),e(I,Tt),e(I,J),e(J,wt),e(O,$t),e(O,R),e(R,Oe),e(R,$e),e($e,nt),e(R,de),e(R,xe),e(xe,Me),e(O,xt),e(O,le),e(le,ze),e(le,Fe),e(Fe,at),g(z,Z,j),g(z,S,j),e(S,Qe),e(S,N),e(N,Mt),e(S,He)},d(z){z&&t(l),z&&t(n),z&&t(u),z&&t(he),z&&t(B),z&&t(ie),z&&t(O),z&&t(Z),z&&t(S)}}}function l1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function c1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = TFMBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function p1(M){let l,b,f,h,k,n,u,q,gt,tt,U,Pe,he,B,kt,ee,Se,Ot,me,re,Ue,ve,bt,Te,we,yt,ot,X,fe,Xe,ie,O,I,vt,_e,ge,Tt,J,wt,$t,R,Oe,$e,nt,de,xe,Me,xt,le,ze,Fe,at,Z,S,Qe,N,Mt,He;return{c(){l=a("p"),b=i("TensorFlow models and layers in "),f=a("code"),h=i("transformers"),k=i(" accept two formats as input:"),n=c(),u=a("ul"),q=a("li"),gt=i("having all inputs as keyword arguments (like PyTorch models), or"),tt=c(),U=a("li"),Pe=i("having all inputs as a list, tuple or dict in the first positional argument."),he=c(),B=a("p"),kt=i(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=a("code"),Se=i("model.fit()"),Ot=i(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=a("code"),re=i("model.fit()"),Ue=i(` supports! If, however, you want to use the second
format outside of Keras methods like `),ve=a("code"),bt=i("fit()"),Te=i(" and "),we=a("code"),yt=i("predict()"),ot=i(`, such as when creating your own layers or models with
the Keras `),X=a("code"),fe=i("Functional"),Xe=i(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ie=c(),O=a("ul"),I=a("li"),vt=i("a single Tensor with "),_e=a("code"),ge=i("input_ids"),Tt=i(" only and nothing else: "),J=a("code"),wt=i("model(input_ids)"),$t=c(),R=a("li"),Oe=i(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),$e=a("code"),nt=i("model([input_ids, attention_mask])"),de=i(" or "),xe=a("code"),Me=i("model([input_ids, attention_mask, token_type_ids])"),xt=c(),le=a("li"),ze=i(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Fe=a("code"),at=i('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=c(),S=a("p"),Qe=i(`Note that when creating models and layers with
`),N=a("a"),Mt=i("subclassing"),He=i(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){l=s(z,"P",{});var j=r(l);b=d(j,"TensorFlow models and layers in "),f=s(j,"CODE",{});var K=r(f);h=d(K,"transformers"),K.forEach(t),k=d(j," accept two formats as input:"),j.forEach(t),n=p(z),u=s(z,"UL",{});var Ve=r(u);q=s(Ve,"LI",{});var zt=r(q);gt=d(zt,"having all inputs as keyword arguments (like PyTorch models), or"),zt.forEach(t),tt=p(Ve),U=s(Ve,"LI",{});var Vt=r(U);Pe=d(Vt,"having all inputs as a list, tuple or dict in the first positional argument."),Vt.forEach(t),Ve.forEach(t),he=p(z),B=s(z,"P",{});var C=r(B);kt=d(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=s(C,"CODE",{});var Ft=r(ee);Se=d(Ft,"model.fit()"),Ft.forEach(t),Ot=d(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=s(C,"CODE",{});var Kt=r(me);re=d(Kt,"model.fit()"),Kt.forEach(t),Ue=d(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),ve=s(C,"CODE",{});var Jt=r(ve);bt=d(Jt,"fit()"),Jt.forEach(t),Te=d(C," and "),we=s(C,"CODE",{});var qt=r(we);yt=d(qt,"predict()"),qt.forEach(t),ot=d(C,`, such as when creating your own layers or models with
the Keras `),X=s(C,"CODE",{});var Zt=r(X);fe=d(Zt,"Functional"),Zt.forEach(t),Xe=d(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),ie=p(z),O=s(z,"UL",{});var ce=r(O);I=s(ce,"LI",{});var pe=r(I);vt=d(pe,"a single Tensor with "),_e=s(pe,"CODE",{});var Yt=r(_e);ge=d(Yt,"input_ids"),Yt.forEach(t),Tt=d(pe," only and nothing else: "),J=s(pe,"CODE",{});var eo=r(J);wt=d(eo,"model(input_ids)"),eo.forEach(t),pe.forEach(t),$t=p(ce),R=s(ce,"LI",{});var ke=r(R);Oe=d(ke,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),$e=s(ke,"CODE",{});var te=r($e);nt=d(te,"model([input_ids, attention_mask])"),te.forEach(t),de=d(ke," or "),xe=s(ke,"CODE",{});var to=r(xe);Me=d(to,"model([input_ids, attention_mask, token_type_ids])"),to.forEach(t),ke.forEach(t),xt=p(ce),le=s(ce,"LI",{});var qe=r(le);ze=d(qe,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Fe=s(qe,"CODE",{});var Bt=r(Fe);at=d(Bt,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Bt.forEach(t),qe.forEach(t),ce.forEach(t),Z=p(z),S=s(z,"P",{});var Ke=r(S);Qe=d(Ke,`Note that when creating models and layers with
`),N=s(Ke,"A",{href:!0,rel:!0});var oo=r(N);Mt=d(oo,"subclassing"),oo.forEach(t),He=d(Ke,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ke.forEach(t),this.h()},h(){m(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(N,"rel","nofollow")},m(z,j){g(z,l,j),e(l,b),e(l,f),e(f,h),e(l,k),g(z,n,j),g(z,u,j),e(u,q),e(q,gt),e(u,tt),e(u,U),e(U,Pe),g(z,he,j),g(z,B,j),e(B,kt),e(B,ee),e(ee,Se),e(B,Ot),e(B,me),e(me,re),e(B,Ue),e(B,ve),e(ve,bt),e(B,Te),e(B,we),e(we,yt),e(B,ot),e(B,X),e(X,fe),e(B,Xe),g(z,ie,j),g(z,O,j),e(O,I),e(I,vt),e(I,_e),e(_e,ge),e(I,Tt),e(I,J),e(J,wt),e(O,$t),e(O,R),e(R,Oe),e(R,$e),e($e,nt),e(R,de),e(R,xe),e(xe,Me),e(O,xt),e(O,le),e(le,ze),e(le,Fe),e(Fe,at),g(z,Z,j),g(z,S,j),e(S,Qe),e(S,N),e(N,Mt),e(S,He)},d(z){z&&t(l),z&&t(n),z&&t(u),z&&t(he),z&&t(B),z&&t(ie),z&&t(O),z&&t(Z),z&&t(S)}}}function u1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function h1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartForConditionalGeneration, MBartConfig

model = TFMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

ARTICLE_TO_SUMMARIZE = "Meine Freunde sind cool, aber sie essen zu viel Kuchen."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=1024, return_tensors="tf")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"], num_beams=4, max_length=5)
print(tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartForConditionalGeneration, MBartConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;Meine Freunde sind cool, aber sie essen zu viel Kuchen.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>], num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){l=a("p"),b=i("Summarization example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Summarization example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function m1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"
input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="tf")["input_ids"]

logits = model(input_ids).logits
probs = tf.nn.softmax(logits[0])
# probs[5] is associated with the mask token`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = tf.nn.softmax(logits[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># probs[5] is associated with the mask token</span>`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Mask filling example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function f1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function _1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartModel

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function g1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function k1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function b1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function y1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration, MBartConfig

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

ARTICLE_TO_SUMMARIZE = "Meine Freunde sind cool, aber sie essen zu viel Kuchen."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=1024, return_tensors="np")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"], num_beams=4, max_length=5).sequences
print(tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration, MBartConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;Meine Freunde sind cool, aber sie essen zu viel Kuchen.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>], num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>).sequences
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){l=a("p"),b=i("Summarization example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Summarization example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function v1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"
input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="np")["input_ids"]

logits = model(input_ids).logits
masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero()[0].item()
probs = logits[0, masked_index].softmax(dim=0)
values, predictions = probs.topk(5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero()[<span class="hljs-number">0</span>].item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits[<span class="hljs-number">0</span>, masked_index].softmax(dim=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = probs.topk(<span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Mask filling example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function T1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function w1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function $1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function x1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function M1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function z1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function F1(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function q1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartForQuestionAnswering.from_pretrained("facebook/mbart-large-cc25")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function B1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function j1(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function E1(M){let l,b,f,h,k,n,u,q,gt,tt,U,Pe,he,B,kt,ee,Se,Ot,me,re,Ue,ve,bt,Te,we,yt,ot,X,fe,Xe,ie,O,I,vt,_e,ge,Tt,J,wt,$t,R,Oe,$e,nt,de,xe,Me,xt,le,ze,Fe,at,Z,S,Qe,N,Mt,He,z,j,K,Ve,zt,Vt,C,Ft,Kt,Jt,qt,Zt,ce,pe,Yt,eo,ke,te,to,qe,Bt,Ke,oo,Dh,kd,Lh,Gh,bd,Wh,Rh,yp,vi,yd,Uh,vp,Ea,Tp,Ti,Ca,vd,Xh,Qh,no,Hh,Td,Vh,Kh,wd,Jh,Zh,wp,Aa,$p,ao,Wo,$d,Pa,Yh,xd,em,xp,It,tm,Sa,om,nm,Md,am,sm,Mp,wi,rm,zp,$i,zd,im,Fp,so,Ro,Fd,Oa,dm,qd,lm,qp,st,cm,Bd,pm,um,jd,hm,mm,Ed,fm,_m,Bp,Uo,gm,xi,km,bm,jp,Mi,Cd,ym,Ep,Ia,Cp,zi,Na,Ad,vm,Tm,Be,wm,Pd,$m,xm,Sd,Mm,zm,Od,Fm,qm,Id,Bm,jm,Nd,Em,Cm,Ap,Da,Pp,ro,Xo,Dd,La,Am,Ld,Pm,Sp,Je,Ga,Sm,io,Om,Fi,Im,Nm,Wa,Dm,Lm,Gm,lo,Wm,qi,Rm,Um,Bi,Xm,Qm,Hm,Qo,Op,co,Ho,Gd,Ra,Vm,Wd,Km,Ip,ue,Ua,Jm,Rd,Zm,Ym,jt,ef,ji,tf,of,Ei,nf,af,Xa,sf,rf,df,po,lf,Ud,cf,pf,Xd,uf,hf,mf,Vo,ff,rt,Qa,_f,Ha,gf,Qd,kf,bf,yf,Va,Ka,Hd,vf,Tf,Vd,wf,$f,Ja,Kd,xf,Mf,Jd,zf,Ff,Zd,qf,Np,uo,Ko,Yd,Za,Bf,el,jf,Dp,D,Ya,Ef,ho,Cf,tl,Af,Pf,es,Sf,Of,If,ts,Nf,Ci,Df,Lf,Gf,mo,Wf,ol,Rf,Uf,nl,Xf,Qf,Hf,Jo,Vf,Ie,os,Kf,al,Jf,Zf,ns,Yf,sl,e_,t_,o_,as,ss,rl,n_,a_,il,s_,r_,rs,dl,i_,d_,ll,l_,c_,cl,p_,u_,Zo,is,h_,pl,m_,f_,Yo,ds,__,ul,g_,k_,en,ls,b_,hl,y_,Lp,fo,tn,ml,cs,v_,fl,T_,Gp,L,ps,w_,us,$_,hs,x_,M_,z_,ms,F_,Ai,q_,B_,j_,on,E_,it,fs,C_,_s,A_,_l,P_,S_,O_,gs,ks,gl,I_,N_,kl,D_,L_,bs,bl,G_,W_,yl,R_,U_,vl,X_,Q_,nn,ys,H_,Tl,V_,K_,an,vs,J_,Ts,Z_,wl,Y_,eg,tg,sn,ws,og,$l,ng,ag,rn,$s,sg,xl,rg,Wp,_o,dn,Ml,xs,ig,zl,dg,Rp,Y,Ms,lg,go,cg,Fl,pg,ug,zs,hg,mg,fg,Fs,_g,Pi,gg,kg,bg,ln,yg,Ne,qs,vg,ql,Tg,wg,Bs,$g,Bl,xg,Mg,zg,js,Es,jl,Fg,qg,El,Bg,jg,Cs,Cl,Eg,Cg,Al,Ag,Pg,Pl,Sg,Og,cn,As,Ig,Sl,Ng,Dg,pn,Ps,Lg,Ol,Gg,Up,ko,un,Il,Ss,Wg,Nl,Rg,Xp,Ze,Os,Ug,Is,Xg,Si,Qg,Hg,Vg,Ns,Kg,Ds,Jg,Zg,Yg,dt,Ls,ek,bo,tk,Oi,ok,nk,Dl,ak,sk,rk,hn,ik,mn,Qp,yo,fn,Ll,Gs,dk,Gl,lk,Hp,Ye,Ws,ck,Rs,pk,Ii,uk,hk,mk,Us,fk,Xs,_k,gk,kk,De,Qs,bk,vo,yk,Ni,vk,Tk,Wl,wk,$k,xk,_n,Mk,gn,zk,kn,Vp,To,bn,Rl,Hs,Fk,Ul,qk,Kp,je,Vs,Bk,wo,jk,Xl,Ek,Ck,Ql,Ak,Pk,Sk,Ks,Ok,Di,Ik,Nk,Dk,Js,Lk,Zs,Gk,Wk,Rk,lt,Ys,Uk,$o,Xk,Li,Qk,Hk,Hl,Vk,Kk,Jk,yn,Zk,vn,Jp,xo,Tn,Vl,er,Yk,Kl,eb,Zp,Ee,tr,tb,Jl,ob,nb,or,ab,Gi,sb,rb,ib,nr,db,ar,lb,cb,pb,Le,sr,ub,Mo,hb,Wi,mb,fb,Zl,_b,gb,kb,wn,bb,$n,yb,xn,Yp,zo,Mn,Yl,rr,vb,ec,Tb,eu,Fo,ir,wb,zn,dr,$b,Fn,tu,qo,qn,tc,lr,xb,oc,Mb,ou,Ce,cr,zb,pr,Fb,Ri,qb,Bb,jb,ur,Eb,hr,Cb,Ab,Pb,Bn,Sb,ct,mr,Ob,Bo,Ib,Ui,Nb,Db,nc,Lb,Gb,Wb,jn,Rb,En,nu,jo,Cn,ac,fr,Ub,sc,Xb,au,Ae,_r,Qb,gr,Hb,Xi,Vb,Kb,Jb,kr,Zb,br,Yb,ey,ty,An,oy,Ge,yr,ny,Eo,ay,Qi,sy,ry,rc,iy,dy,ly,Pn,cy,Sn,py,On,su,Co,In,ic,vr,uy,dc,hy,ru,Q,Tr,my,wr,fy,Hi,_y,gy,ky,$r,by,xr,yy,vy,Ty,lc,wy,$y,Et,cc,Mr,xy,My,pc,zr,zy,Fy,uc,Fr,qy,By,hc,qr,jy,Ey,pt,Br,Cy,Ao,Ay,mc,Py,Sy,fc,Oy,Iy,Ny,Nn,Dy,Dn,Ly,Ln,jr,Gy,Gn,Wy,Wn,Er,Ry,Rn,iu,Po,Un,_c,Cr,Uy,gc,Xy,du,H,Ar,Qy,Pr,Hy,Vi,Vy,Ky,Jy,Sr,Zy,Or,Yy,ev,tv,kc,ov,nv,Ct,bc,Ir,av,sv,yc,Nr,rv,iv,vc,Dr,dv,lv,Tc,Lr,cv,pv,We,Gr,uv,So,hv,wc,mv,fv,$c,_v,gv,kv,Xn,bv,Qn,yv,Hn,vv,Vn,Wr,Tv,Kn,wv,Jn,Rr,$v,Zn,lu,Oo,Yn,xc,Ur,xv,Mc,Mv,cu,G,Xr,zv,zc,Fv,qv,Qr,Bv,Ki,jv,Ev,Cv,Hr,Av,Vr,Pv,Sv,Ov,Fc,Iv,Nv,At,qc,Kr,Dv,Lv,Bc,Jr,Gv,Wv,jc,Zr,Rv,Uv,Ec,Yr,Xv,Qv,ut,ei,Hv,Io,Vv,Cc,Kv,Jv,Ac,Zv,Yv,eT,ea,tT,ta,oT,oa,ti,nT,na,aT,aa,oi,sT,sa,pu,No,ra,Pc,ni,rT,Sc,iT,uu,W,ai,dT,Do,lT,Oc,cT,pT,Ic,uT,hT,mT,si,fT,Ji,_T,gT,kT,ri,bT,ii,yT,vT,TT,Nc,wT,$T,Pt,Dc,di,xT,MT,Lc,li,zT,FT,Gc,ci,qT,BT,Wc,pi,jT,ET,ht,ui,CT,Lo,AT,Rc,PT,ST,Uc,OT,IT,NT,ia,DT,da,LT,la,hi,GT,ca,WT,pa,mi,RT,ua,hu;return n=new V({}),ie=new V({}),N=new V({}),Ea=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO")
example_english_phrase = "UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"

inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-en-ro")
# forward pass
model(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot;UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model(**inputs)`}}),Aa=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX")
article = "UN Chief Says There Is No Military Solution in Syria"
inputs = tokenizer(article, return_tensors="pt")
translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id["ro_RO"])
tokenizer.batch_decode(translated_tokens, skip_special_tokens=True)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>article = <span class="hljs-string">&quot;UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(article, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;ro_RO&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(translated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>`}}),Pa=new V({}),Oa=new V({}),Ia=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBart50TokenizerFast

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-50")
tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")

src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"

model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")

model(**model_inputs)  # forward pass`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBart50TokenizerFast

model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>)
tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)

src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>

model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

model(**model_inputs)  <span class="hljs-comment"># forward pass</span>`}}),Da=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBart50TokenizerFast

article_hi = "\u0938\u0902\u092F\u0941\u0915\u094D\u0924 \u0930\u093E\u0937\u094D\u091F\u094D\u0930 \u0915\u0947 \u092A\u094D\u0930\u092E\u0941\u0916 \u0915\u093E \u0915\u0939\u0928\u093E \u0939\u0948 \u0915\u093F \u0938\u0940\u0930\u093F\u092F\u093E \u092E\u0947\u0902 \u0915\u094B\u0908 \u0938\u0948\u0928\u094D\u092F \u0938\u092E\u093E\u0927\u093E\u0928 \u0928\u0939\u0940\u0902 \u0939\u0948"
article_ar = "\u0627\u0644\u0623\u0645\u064A\u0646 \u0627\u0644\u0639\u0627\u0645 \u0644\u0644\u0623\u0645\u0645 \u0627\u0644\u0645\u062A\u062D\u062F\u0629 \u064A\u0642\u0648\u0644 \u0625\u0646\u0647 \u0644\u0627 \u064A\u0648\u062C\u062F \u062D\u0644 \u0639\u0633\u0643\u0631\u064A \u0641\u064A \u0633\u0648\u0631\u064A\u0627."

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-50-many-to-many-mmt")
tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50-many-to-many-mmt")

# translate Hindi to French
tokenizer.src_lang = "hi_IN"
encoded_hi = tokenizer(article_hi, return_tensors="pt")
generated_tokens = model.generate(**encoded_hi, forced_bos_token_id=tokenizer.lang_code_to_id["fr_XX"])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=True)
# => "Le chef de l 'ONU affirme qu 'il n 'y a pas de solution militaire en Syria."

# translate Arabic to English
tokenizer.src_lang = "ar_AR"
encoded_ar = tokenizer(article_ar, return_tensors="pt")
generated_tokens = model.generate(**encoded_ar, forced_bos_token_id=tokenizer.lang_code_to_id["en_XX"])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=True)
# => "The Secretary-General of the United Nations says there is no military solution in Syria."`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBart50TokenizerFast

article_hi = <span class="hljs-string">&quot;\u0938\u0902\u092F\u0941\u0915\u094D\u0924 \u0930\u093E\u0937\u094D\u091F\u094D\u0930 \u0915\u0947 \u092A\u094D\u0930\u092E\u0941\u0916 \u0915\u093E \u0915\u0939\u0928\u093E \u0939\u0948 \u0915\u093F \u0938\u0940\u0930\u093F\u092F\u093E \u092E\u0947\u0902 \u0915\u094B\u0908 \u0938\u0948\u0928\u094D\u092F \u0938\u092E\u093E\u0927\u093E\u0928 \u0928\u0939\u0940\u0902 \u0939\u0948&quot;</span>
article_ar = <span class="hljs-string">&quot;\u0627\u0644\u0623\u0645\u064A\u0646 \u0627\u0644\u0639\u0627\u0645 \u0644\u0644\u0623\u0645\u0645 \u0627\u0644\u0645\u062A\u062D\u062F\u0629 \u064A\u0642\u0648\u0644 \u0625\u0646\u0647 \u0644\u0627 \u064A\u0648\u062C\u062F \u062D\u0644 \u0639\u0633\u0643\u0631\u064A \u0641\u064A \u0633\u0648\u0631\u064A\u0627.&quot;</span>

model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50-many-to-many-mmt&quot;</span>)
tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50-many-to-many-mmt&quot;</span>)

<span class="hljs-comment"># translate Hindi to French</span>
tokenizer.src_lang = <span class="hljs-string">&quot;hi_IN&quot;</span>
encoded_hi = tokenizer(article_hi, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
generated_tokens = model.generate(**encoded_hi, forced_bos_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;fr_XX&quot;</span>])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># =&gt; &quot;Le chef de l &#x27;ONU affirme qu &#x27;il n &#x27;y a pas de solution militaire en Syria.&quot;</span>

<span class="hljs-comment"># translate Arabic to English</span>
tokenizer.src_lang = <span class="hljs-string">&quot;ar_AR&quot;</span>
encoded_ar = tokenizer(article_ar, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
generated_tokens = model.generate(**encoded_ar, forced_bos_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;en_XX&quot;</span>])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># =&gt; &quot;The Secretary-General of the United Nations says there is no military solution in Syria.&quot;</span>`}}),La=new V({}),Ga=new F({props:{name:"class transformers.MBartConfig",anchor:"transformers.MBartConfig",parameters:[{name:"vocab_size",val:" = 50265"},{name:"max_position_embeddings",val:" = 1024"},{name:"encoder_layers",val:" = 12"},{name:"encoder_ffn_dim",val:" = 4096"},{name:"encoder_attention_heads",val:" = 16"},{name:"decoder_layers",val:" = 12"},{name:"decoder_ffn_dim",val:" = 4096"},{name:"decoder_attention_heads",val:" = 16"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 1024"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"classifier_dropout",val:" = 0.0"},{name:"scale_embedding",val:" = False"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"forced_eos_token_id",val:" = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBartConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50265) &#x2014;
Vocabulary size of the MBART model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartModel">MBartModel</a> or <a href="/docs/transformers/main/en/model_doc/mbart#transformers.TFMBartModel">TFMBartModel</a>.`,name:"vocab_size"},{anchor:"transformers.MBartConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.MBartConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.MBartConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.MBartConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.MBartConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.MBartConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.MBartConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.MBartConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.MBartConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.MBartConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.MBartConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.MBartConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for classifier.`,name:"classifier_dropout"},{anchor:"transformers.MBartConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.MBartConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.MBartConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.MBartConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.MBartConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.MBartConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models)`,name:"use_cache"},{anchor:"transformers.MBartConfig.forced_eos_token_id",description:`<strong>forced_eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The id of the token to force as the last generated token when <code>max_length</code> is reached. Usually set to
<code>eos_token_id</code>.`,name:"forced_eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/configuration_mbart.py#L34"}}),Qo=new A({props:{anchor:"transformers.MBartConfig.example",$$slots:{default:[XM]},$$scope:{ctx:M}}}),Ra=new V({}),Ua=new F({props:{name:"class transformers.MBartTokenizer",anchor:"transformers.MBartTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"tokenizer_file",val:" = None"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/tokenization_mbart.py#L53"}}),Vo=new A({props:{anchor:"transformers.MBartTokenizer.example",$$slots:{default:[QM]},$$scope:{ctx:M}}}),Qa=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/tokenization_mbart.py#L217",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Za=new V({}),Ya=new F({props:{name:"class transformers.MBartTokenizerFast",anchor:"transformers.MBartTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/tokenization_mbart_fast.py#L63"}}),Jo=new A({props:{anchor:"transformers.MBartTokenizerFast.example",$$slots:{default:[HM]},$$scope:{ctx:M}}}),os=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/tokenization_mbart_fast.py#L161",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),is=new F({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/tokenization_mbart_fast.py#L190",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ds=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBartTokenizerFast.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/tokenization_mbart_fast.py#L245"}}),ls=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBartTokenizerFast.set_tgt_lang_special_tokens",parameters:[{name:"lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/tokenization_mbart_fast.py#L260"}}),cs=new V({}),ps=new F({props:{name:"class transformers.MBart50Tokenizer",anchor:"transformers.MBart50Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.MBart50Tokenizer.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"src_lang"},{anchor:"transformers.MBart50Tokenizer.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"tgt_lang"},{anchor:"transformers.MBart50Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.MBart50Tokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.MBart50Tokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.MBart50Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.MBart50Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.MBart50Tokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.MBart50Tokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50.py#L49"}}),on=new A({props:{anchor:"transformers.MBart50Tokenizer.example",$$slots:{default:[VM]},$$scope:{ctx:M}}}),fs=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50.py#L301",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ys=new F({props:{name:"convert_tokens_to_string",anchor:"transformers.MBart50Tokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50.py#L235"}}),vs=new F({props:{name:"get_special_tokens_mask",anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50.py#L271",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ws=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBart50Tokenizer.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50.py#L358"}}),$s=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBart50Tokenizer.set_tgt_lang_special_tokens",parameters:[{name:"tgt_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50.py#L364"}}),xs=new V({}),Ms=new F({props:{name:"class transformers.MBart50TokenizerFast",anchor:"transformers.MBart50TokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBart50TokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.MBart50TokenizerFast.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"src_lang"},{anchor:"transformers.MBart50TokenizerFast.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"tgt_lang"},{anchor:"transformers.MBart50TokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.MBart50TokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.MBart50TokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.MBart50TokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.MBart50TokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.MBart50TokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L59"}}),ln=new A({props:{anchor:"transformers.MBart50TokenizerFast.example",$$slots:{default:[KM]},$$scope:{ctx:M}}}),qs=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L170",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),As=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBart50TokenizerFast.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L217"}}),Ps=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBart50TokenizerFast.set_tgt_lang_special_tokens",parameters:[{name:"tgt_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L232"}}),Ss=new V({}),Os=new F({props:{name:"class transformers.MBartModel",anchor:"transformers.MBartModel",parameters:[{name:"config",val:": MBartConfig"}],parametersDescription:[{anchor:"transformers.MBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1145"}}),Ls=new F({props:{name:"forward",anchor:"transformers.MBartModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1174",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),hn=new _t({props:{$$slots:{default:[JM]},$$scope:{ctx:M}}}),mn=new A({props:{anchor:"transformers.MBartModel.forward.example",$$slots:{default:[ZM]},$$scope:{ctx:M}}}),Gs=new V({}),Ws=new F({props:{name:"class transformers.MBartForConditionalGeneration",anchor:"transformers.MBartForConditionalGeneration",parameters:[{name:"config",val:": MBartConfig"}],parametersDescription:[{anchor:"transformers.MBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1263"}}),Qs=new F({props:{name:"forward",anchor:"transformers.MBartForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1309",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),_n=new _t({props:{$$slots:{default:[YM]},$$scope:{ctx:M}}}),gn=new A({props:{anchor:"transformers.MBartForConditionalGeneration.forward.example",$$slots:{default:[e1]},$$scope:{ctx:M}}}),kn=new A({props:{anchor:"transformers.MBartForConditionalGeneration.forward.example-2",$$slots:{default:[t1]},$$scope:{ctx:M}}}),Hs=new V({}),Vs=new F({props:{name:"class transformers.MBartForQuestionAnswering",anchor:"transformers.MBartForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.MBartForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1566"}}),Ys=new F({props:{name:"forward",anchor:"transformers.MBartForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": Tensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForQuestionAnswering.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForQuestionAnswering.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<em>sequence_length</em>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.MBartForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<em>sequence_length</em>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1581",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),yn=new _t({props:{$$slots:{default:[o1]},$$scope:{ctx:M}}}),vn=new A({props:{anchor:"transformers.MBartForQuestionAnswering.forward.example",$$slots:{default:[n1]},$$scope:{ctx:M}}}),er=new V({}),tr=new F({props:{name:"class transformers.MBartForSequenceClassification",anchor:"transformers.MBartForSequenceClassification",parameters:[{name:"config",val:": MBartConfig"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBartForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1438"}}),sr=new F({props:{name:"forward",anchor:"transformers.MBartForSequenceClassification.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1454",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>label</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),wn=new _t({props:{$$slots:{default:[a1]},$$scope:{ctx:M}}}),$n=new A({props:{anchor:"transformers.MBartForSequenceClassification.forward.example",$$slots:{default:[s1]},$$scope:{ctx:M}}}),xn=new A({props:{anchor:"transformers.MBartForSequenceClassification.forward.example-2",$$slots:{default:[r1]},$$scope:{ctx:M}}}),rr=new V({}),ir=new F({props:{name:"class transformers.MBartForCausalLM",anchor:"transformers.MBartForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1699"}}),dr=new F({props:{name:"forward",anchor:"transformers.MBartForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention
if the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.MBartForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used
in the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.MBartForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.MBartForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.MBartForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.MBartForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_mbart.py#L1732",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fn=new A({props:{anchor:"transformers.MBartForCausalLM.forward.example",$$slots:{default:[i1]},$$scope:{ctx:M}}}),lr=new V({}),cr=new F({props:{name:"class transformers.TFMBartModel",anchor:"transformers.TFMBartModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_tf_mbart.py#L1200"}}),Bn=new _t({props:{$$slots:{default:[d1]},$$scope:{ctx:M}}}),mr=new F({props:{name:"call",anchor:"transformers.TFMBartModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple, transformers.modeling_tf_outputs.TFBaseModelOutput, NoneType] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[tensorflow.python.framework.ops.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMBartModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMBartModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.TFMBartModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMBartModel.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMBartModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMBartModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMBartModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMBartModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMBartModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMBartModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMBartModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMBartModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMBartModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMBartModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_tf_mbart.py#L1212",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),jn=new _t({props:{$$slots:{default:[l1]},$$scope:{ctx:M}}}),En=new A({props:{anchor:"transformers.TFMBartModel.call.example",$$slots:{default:[c1]},$$scope:{ctx:M}}}),fr=new V({}),_r=new F({props:{name:"class transformers.TFMBartForConditionalGeneration",anchor:"transformers.TFMBartForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_tf_mbart.py#L1305"}}),An=new _t({props:{$$slots:{default:[p1]},$$scope:{ctx:M}}}),yr=new F({props:{name:"call",anchor:"transformers.TFMBartForConditionalGeneration.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[transformers.modeling_tf_outputs.TFBaseModelOutput] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFMBartForConditionalGeneration.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMBartForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMBartForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMBartForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMBartForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMBartForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMBartForConditionalGeneration.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFMBartForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_tf_mbart.py#L1343",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Pn=new _t({props:{$$slots:{default:[u1]},$$scope:{ctx:M}}}),Sn=new A({props:{anchor:"transformers.TFMBartForConditionalGeneration.call.example",$$slots:{default:[h1]},$$scope:{ctx:M}}}),On=new A({props:{anchor:"transformers.TFMBartForConditionalGeneration.call.example-2",$$slots:{default:[m1]},$$scope:{ctx:M}}}),vr=new V({}),Tr=new F({props:{name:"class transformers.FlaxMBartModel",anchor:"transformers.FlaxMBartModel",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1277"}}),Br=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Nn=new _t({props:{$$slots:{default:[f1]},$$scope:{ctx:M}}}),Dn=new A({props:{anchor:"transformers.FlaxMBartModel.__call__.example",$$slots:{default:[_1]},$$scope:{ctx:M}}}),jr=new F({props:{name:"encode",anchor:"transformers.FlaxMBartModel.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartModel.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartModel.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartModel.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Gn=new A({props:{anchor:"transformers.FlaxMBartModel.encode.example",$$slots:{default:[g1]},$$scope:{ctx:M}}}),Er=new F({props:{name:"decode",anchor:"transformers.FlaxMBartModel.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartModel.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartModel.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartModel.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartModel.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1101",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Rn=new A({props:{anchor:"transformers.FlaxMBartModel.decode.example",$$slots:{default:[k1]},$$scope:{ctx:M}}}),Cr=new V({}),Ar=new F({props:{name:"class transformers.FlaxMBartForConditionalGeneration",anchor:"transformers.FlaxMBartForConditionalGeneration",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForConditionalGeneration.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1362"}}),Gr=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForConditionalGeneration.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xn=new _t({props:{$$slots:{default:[b1]},$$scope:{ctx:M}}}),Qn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.example",$$slots:{default:[y1]},$$scope:{ctx:M}}}),Hn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.example-2",$$slots:{default:[v1]},$$scope:{ctx:M}}}),Wr=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForConditionalGeneration.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Kn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.example",$$slots:{default:[T1]},$$scope:{ctx:M}}}),Rr=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForConditionalGeneration.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1366",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Zn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.example",$$slots:{default:[w1]},$$scope:{ctx:M}}}),Ur=new V({}),Xr=new F({props:{name:"class transformers.FlaxMBartForSequenceClassification",anchor:"transformers.FlaxMBartForSequenceClassification",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForSequenceClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1675"}}),ei=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForSequenceClassification.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ea=new _t({props:{$$slots:{default:[$1]},$$scope:{ctx:M}}}),ta=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.example",$$slots:{default:[x1]},$$scope:{ctx:M}}}),ti=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForSequenceClassification.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),na=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.encode.example",$$slots:{default:[M1]},$$scope:{ctx:M}}}),oi=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForSequenceClassification.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1101",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),sa=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.decode.example",$$slots:{default:[z1]},$$scope:{ctx:M}}}),ni=new V({}),ai=new F({props:{name:"class transformers.FlaxMBartForQuestionAnswering",anchor:"transformers.FlaxMBartForQuestionAnswering",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForQuestionAnswering.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1762"}}),ui=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ia=new _t({props:{$$slots:{default:[F1]},$$scope:{ctx:M}}}),da=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.example",$$slots:{default:[q1]},$$scope:{ctx:M}}}),hi=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForQuestionAnswering.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ca=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.example",$$slots:{default:[B1]},$$scope:{ctx:M}}}),mi=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForQuestionAnswering.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/mbart/modeling_flax_mbart.py#L1101",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ua=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.example",$$slots:{default:[j1]},$$scope:{ctx:M}}}),{c(){l=a("meta"),b=c(),f=a("h1"),h=a("a"),k=a("span"),y(n.$$.fragment),u=c(),q=a("span"),gt=i("MBart and MBart-50"),tt=c(),U=a("div"),Pe=a("a"),he=a("img"),kt=c(),ee=a("a"),Se=a("img"),me=c(),re=a("p"),Ue=a("strong"),ve=i("DISCLAIMER:"),bt=i(" If you see something strange, file a "),Te=a("a"),we=i("Github Issue"),yt=i(` and assign
@patrickvonplaten`),ot=c(),X=a("h2"),fe=a("a"),Xe=a("span"),y(ie.$$.fragment),O=c(),I=a("span"),vt=i("Overview of MBart"),_e=c(),ge=a("p"),Tt=i("The MBart model was presented in "),J=a("a"),wt=i("Multilingual Denoising Pre-training for Neural Machine Translation"),$t=i(` by Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov Marjan
Ghazvininejad, Mike Lewis, Luke Zettlemoyer.`),R=c(),Oe=a("p"),$e=i(`According to the abstract, MBART is a sequence-to-sequence denoising auto-encoder pretrained on large-scale monolingual
corpora in many languages using the BART objective. mBART is one of the first methods for pretraining a complete
sequence-to-sequence model by denoising full texts in multiple languages, while previous approaches have focused only
on the encoder, decoder, or reconstructing parts of the text.`),nt=c(),de=a("p"),xe=i("This model was contributed by "),Me=a("a"),xt=i("valhalla"),le=i(". The Authors\u2019 code can be found "),ze=a("a"),Fe=i("here"),at=c(),Z=a("h3"),S=a("a"),Qe=a("span"),y(N.$$.fragment),Mt=c(),He=a("span"),z=i("Training of MBart"),j=c(),K=a("p"),Ve=i(`MBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for translation task. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),zt=a("code"),Vt=i("X [eos, src_lang_code]"),C=i(" where "),Ft=a("code"),Kt=i("X"),Jt=i(` is the source text. The
target text format is `),qt=a("code"),Zt=i("[tgt_lang_code] X [eos]"),ce=i(". "),pe=a("code"),Yt=i("bos"),eo=i(" is never used."),ke=c(),te=a("p"),to=i("The regular "),qe=a("a"),Bt=a("strong"),Ke=i("call"),oo=i("()"),Dh=i(" will encode source text format passed as first argument or with the "),kd=a("code"),Lh=i("text"),Gh=i(`
keyword, and target text format passed with the `),bd=a("code"),Wh=i("text_label"),Rh=i(" keyword argument."),yp=c(),vi=a("ul"),yd=a("li"),Uh=i("Supervised training"),vp=c(),y(Ea.$$.fragment),Tp=c(),Ti=a("ul"),Ca=a("li"),vd=a("p"),Xh=i("Generation"),Qh=c(),no=a("p"),Hh=i("While generating the target text set the "),Td=a("code"),Vh=i("decoder_start_token_id"),Kh=i(` to the target language id. The following
example shows how to translate English to Romanian using the `),wd=a("em"),Jh=i("facebook/mbart-large-en-ro"),Zh=i(" model."),wp=c(),y(Aa.$$.fragment),$p=c(),ao=a("h2"),Wo=a("a"),$d=a("span"),y(Pa.$$.fragment),Yh=c(),xd=a("span"),em=i("Overview of MBart-50"),xp=c(),It=a("p"),tm=i("MBart-50 was introduced in the "),Sa=a("a"),om=i("Multilingual Translation with Extensible Multilingual Pretraining and Finetuning"),nm=i(` paper by Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav
Chaudhary, Jiatao Gu, Angela Fan. MBart-50 is created using the original `),Md=a("em"),am=i("mbart-large-cc25"),sm=i(` checkpoint by extendeding
its embedding layers with randomly initialized vectors for an extra set of 25 language tokens and then pretrained on 50
languages.`),Mp=c(),wi=a("p"),rm=i("According to the abstract"),zp=c(),$i=a("p"),zd=a("em"),im=i(`Multilingual translation models can be created through multilingual finetuning. Instead of finetuning on one
direction, a pretrained model is finetuned on many directions at the same time. It demonstrates that pretrained models
can be extended to incorporate additional languages without loss of performance. Multilingual finetuning improves on
average 1 BLEU over the strongest baselines (being either multilingual from scratch or bilingual finetuning) while
improving 9.3 BLEU on average over bilingual baselines from scratch.`),Fp=c(),so=a("h3"),Ro=a("a"),Fd=a("span"),y(Oa.$$.fragment),dm=c(),qd=a("span"),lm=i("Training of MBart-50"),qp=c(),st=a("p"),cm=i(`The text format for MBart-50 is slightly different from mBART. For MBart-50 the language id token is used as a prefix
for both source and target text i.e the text format is `),Bd=a("code"),pm=i("[lang_code] X [eos]"),um=i(", where "),jd=a("code"),hm=i("lang_code"),mm=i(` is source
language id for source text and target language id for target text, with `),Ed=a("code"),fm=i("X"),_m=i(` being the source or target text
respectively.`),Bp=c(),Uo=a("p"),gm=i("MBart-50 has its own tokenizer "),xi=a("a"),km=i("MBart50Tokenizer"),bm=i("."),jp=c(),Mi=a("ul"),Cd=a("li"),ym=i("Supervised training"),Ep=c(),y(Ia.$$.fragment),Cp=c(),zi=a("ul"),Na=a("li"),Ad=a("p"),vm=i("Generation"),Tm=c(),Be=a("p"),wm=i("To generate using the mBART-50 multilingual translation models, "),Pd=a("code"),$m=i("eos_token_id"),xm=i(` is used as the
`),Sd=a("code"),Mm=i("decoder_start_token_id"),zm=i(` and the target language id is forced as the first generated token. To force the
target language id as the first generated token, pass the `),Od=a("em"),Fm=i("forced_bos_token_id"),qm=i(" parameter to the "),Id=a("em"),Bm=i("generate"),jm=i(` method.
The following example shows how to translate between Hindi to French and Arabic to English using the
`),Nd=a("em"),Em=i("facebook/mbart-50-large-many-to-many"),Cm=i(" checkpoint."),Ap=c(),y(Da.$$.fragment),Pp=c(),ro=a("h2"),Xo=a("a"),Dd=a("span"),y(La.$$.fragment),Am=c(),Ld=a("span"),Pm=i("MBartConfig"),Sp=c(),Je=a("div"),y(Ga.$$.fragment),Sm=c(),io=a("p"),Om=i("This is the configuration class to store the configuration of a "),Fi=a("a"),Im=i("MBartModel"),Nm=i(`. It is used to instantiate an MBART
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the MBART
`),Wa=a("a"),Dm=i("facebook/mbart-large-cc25"),Lm=i(" architecture."),Gm=c(),lo=a("p"),Wm=i("Configuration objects inherit from "),qi=a("a"),Rm=i("PretrainedConfig"),Um=i(` and can be used to control the model outputs. Read the
documentation from `),Bi=a("a"),Xm=i("PretrainedConfig"),Qm=i(" for more information."),Hm=c(),y(Qo.$$.fragment),Op=c(),co=a("h2"),Ho=a("a"),Gd=a("span"),y(Ra.$$.fragment),Vm=c(),Wd=a("span"),Km=i("MBartTokenizer"),Ip=c(),ue=a("div"),y(Ua.$$.fragment),Jm=c(),Rd=a("p"),Zm=i("Construct an MBART tokenizer."),Ym=c(),jt=a("p"),ef=i("Adapted from "),ji=a("a"),tf=i("RobertaTokenizer"),of=i(" and "),Ei=a("a"),nf=i("XLNetTokenizer"),af=i(`. Based on
`),Xa=a("a"),sf=i("SentencePiece"),rf=i("."),df=c(),po=a("p"),lf=i("The tokenization method is "),Ud=a("code"),cf=i("<tokens> <eos> <language code>"),pf=i(" for source language documents, and "),Xd=a("code"),uf=i("<language code> <tokens> <eos>"),hf=i(" for target language documents."),mf=c(),y(Vo.$$.fragment),ff=c(),rt=a("div"),y(Qa.$$.fragment),_f=c(),Ha=a("p"),gf=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART sequence has the following format, where `),Qd=a("code"),kf=i("X"),bf=i(" represents the sequence:"),yf=c(),Va=a("ul"),Ka=a("li"),Hd=a("code"),vf=i("input_ids"),Tf=i(" (for encoder) "),Vd=a("code"),wf=i("X [eos, src_lang_code]"),$f=c(),Ja=a("li"),Kd=a("code"),xf=i("decoder_input_ids"),Mf=i(": (for decoder) "),Jd=a("code"),zf=i("X [eos, tgt_lang_code]"),Ff=c(),Zd=a("p"),qf=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Np=c(),uo=a("h2"),Ko=a("a"),Yd=a("span"),y(Za.$$.fragment),Bf=c(),el=a("span"),jf=i("MBartTokenizerFast"),Dp=c(),D=a("div"),y(Ya.$$.fragment),Ef=c(),ho=a("p"),Cf=i("Construct a \u201Cfast\u201D MBART tokenizer (backed by HuggingFace\u2019s "),tl=a("em"),Af=i("tokenizers"),Pf=i(` library). Based on
`),es=a("a"),Sf=i("BPE"),Of=i("."),If=c(),ts=a("p"),Nf=i("This tokenizer inherits from "),Ci=a("a"),Df=i("PreTrainedTokenizerFast"),Lf=i(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Gf=c(),mo=a("p"),Wf=i("The tokenization method is "),ol=a("code"),Rf=i("<tokens> <eos> <language code>"),Uf=i(" for source language documents, and "),nl=a("code"),Xf=i("<language code> <tokens> <eos>"),Qf=i(" for target language documents."),Hf=c(),y(Jo.$$.fragment),Vf=c(),Ie=a("div"),y(os.$$.fragment),Kf=c(),al=a("p"),Jf=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),Zf=c(),ns=a("p"),Yf=i("An MBART sequence has the following format, where "),sl=a("code"),e_=i("X"),t_=i(" represents the sequence:"),o_=c(),as=a("ul"),ss=a("li"),rl=a("code"),n_=i("input_ids"),a_=i(" (for encoder) "),il=a("code"),s_=i("X [eos, src_lang_code]"),r_=c(),rs=a("li"),dl=a("code"),i_=i("decoder_input_ids"),d_=i(": (for decoder) "),ll=a("code"),l_=i("X [eos, tgt_lang_code]"),c_=c(),cl=a("p"),p_=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),u_=c(),Zo=a("div"),y(is.$$.fragment),h_=c(),pl=a("p"),m_=i(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. mBART does not
make use of token type ids, therefore a list of zeros is returned.`),f_=c(),Yo=a("div"),y(ds.$$.fragment),__=c(),ul=a("p"),g_=i("Reset the special tokens to the source lang setting. No prefix and suffix=[eos, src_lang_code]."),k_=c(),en=a("div"),y(ls.$$.fragment),b_=c(),hl=a("p"),y_=i("Reset the special tokens to the target language setting. No prefix and suffix=[eos, tgt_lang_code]."),Lp=c(),fo=a("h2"),tn=a("a"),ml=a("span"),y(cs.$$.fragment),v_=c(),fl=a("span"),T_=i("MBart50Tokenizer"),Gp=c(),L=a("div"),y(ps.$$.fragment),w_=c(),us=a("p"),$_=i("Construct a MBart50 tokenizer. Based on "),hs=a("a"),x_=i("SentencePiece"),M_=i("."),z_=c(),ms=a("p"),F_=i("This tokenizer inherits from "),Ai=a("a"),q_=i("PreTrainedTokenizer"),B_=i(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),j_=c(),y(on.$$.fragment),E_=c(),it=a("div"),y(fs.$$.fragment),C_=c(),_s=a("p"),A_=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART-50 sequence has the following format, where `),_l=a("code"),P_=i("X"),S_=i(" represents the sequence:"),O_=c(),gs=a("ul"),ks=a("li"),gl=a("code"),I_=i("input_ids"),N_=i(" (for encoder) "),kl=a("code"),D_=i("[src_lang_code] X [eos]"),L_=c(),bs=a("li"),bl=a("code"),G_=i("labels"),W_=i(": (for decoder) "),yl=a("code"),R_=i("[tgt_lang_code] X [eos]"),U_=c(),vl=a("p"),X_=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Q_=c(),nn=a("div"),y(ys.$$.fragment),H_=c(),Tl=a("p"),V_=i("Converts a sequence of tokens (string) in a single string."),K_=c(),an=a("div"),y(vs.$$.fragment),J_=c(),Ts=a("p"),Z_=i(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),wl=a("code"),Y_=i("prepare_for_model"),eg=i(" method."),tg=c(),sn=a("div"),y(ws.$$.fragment),og=c(),$l=a("p"),ng=i("Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),ag=c(),rn=a("div"),y($s.$$.fragment),sg=c(),xl=a("p"),rg=i("Reset the special tokens to the target language setting. prefix=[tgt_lang_code] and suffix=[eos]."),Wp=c(),_o=a("h2"),dn=a("a"),Ml=a("span"),y(xs.$$.fragment),ig=c(),zl=a("span"),dg=i("MBart50TokenizerFast"),Rp=c(),Y=a("div"),y(Ms.$$.fragment),lg=c(),go=a("p"),cg=i("Construct a \u201Cfast\u201D MBART tokenizer for mBART-50 (backed by HuggingFace\u2019s "),Fl=a("em"),pg=i("tokenizers"),ug=i(` library). Based on
`),zs=a("a"),hg=i("BPE"),mg=i("."),fg=c(),Fs=a("p"),_g=i("This tokenizer inherits from "),Pi=a("a"),gg=i("PreTrainedTokenizerFast"),kg=i(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),bg=c(),y(ln.$$.fragment),yg=c(),Ne=a("div"),y(qs.$$.fragment),vg=c(),ql=a("p"),Tg=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),wg=c(),Bs=a("p"),$g=i("An MBART-50 sequence has the following format, where "),Bl=a("code"),xg=i("X"),Mg=i(" represents the sequence:"),zg=c(),js=a("ul"),Es=a("li"),jl=a("code"),Fg=i("input_ids"),qg=i(" (for encoder) "),El=a("code"),Bg=i("[src_lang_code] X [eos]"),jg=c(),Cs=a("li"),Cl=a("code"),Eg=i("labels"),Cg=i(": (for decoder) "),Al=a("code"),Ag=i("[tgt_lang_code] X [eos]"),Pg=c(),Pl=a("p"),Sg=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Og=c(),cn=a("div"),y(As.$$.fragment),Ig=c(),Sl=a("p"),Ng=i("Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),Dg=c(),pn=a("div"),y(Ps.$$.fragment),Lg=c(),Ol=a("p"),Gg=i("Reset the special tokens to the target language setting. prefix=[src_lang_code] and suffix=[eos]."),Up=c(),ko=a("h2"),un=a("a"),Il=a("span"),y(Ss.$$.fragment),Wg=c(),Nl=a("span"),Rg=i("MBartModel"),Xp=c(),Ze=a("div"),y(Os.$$.fragment),Ug=c(),Is=a("p"),Xg=i(`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Si=a("a"),Qg=i("PreTrainedModel"),Hg=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Vg=c(),Ns=a("p"),Kg=i("This model is also a PyTorch "),Ds=a("a"),Jg=i("torch.nn.Module"),Zg=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Yg=c(),dt=a("div"),y(Ls.$$.fragment),ek=c(),bo=a("p"),tk=i("The "),Oi=a("a"),ok=i("MBartModel"),nk=i(" forward method, overrides the "),Dl=a("code"),ak=i("__call__"),sk=i(" special method."),rk=c(),y(hn.$$.fragment),ik=c(),y(mn.$$.fragment),Qp=c(),yo=a("h2"),fn=a("a"),Ll=a("span"),y(Gs.$$.fragment),dk=c(),Gl=a("span"),lk=i("MBartForConditionalGeneration"),Hp=c(),Ye=a("div"),y(Ws.$$.fragment),ck=c(),Rs=a("p"),pk=i(`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Ii=a("a"),uk=i("PreTrainedModel"),hk=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),mk=c(),Us=a("p"),fk=i("This model is also a PyTorch "),Xs=a("a"),_k=i("torch.nn.Module"),gk=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),kk=c(),De=a("div"),y(Qs.$$.fragment),bk=c(),vo=a("p"),yk=i("The "),Ni=a("a"),vk=i("MBartForConditionalGeneration"),Tk=i(" forward method, overrides the "),Wl=a("code"),wk=i("__call__"),$k=i(" special method."),xk=c(),y(_n.$$.fragment),Mk=c(),y(gn.$$.fragment),zk=c(),y(kn.$$.fragment),Vp=c(),To=a("h2"),bn=a("a"),Rl=a("span"),y(Hs.$$.fragment),Fk=c(),Ul=a("span"),qk=i("MBartForQuestionAnswering"),Kp=c(),je=a("div"),y(Vs.$$.fragment),Bk=c(),wo=a("p"),jk=i(`MBART Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Xl=a("code"),Ek=i("span start logits"),Ck=i(" and "),Ql=a("code"),Ak=i("span end logits"),Pk=i(")."),Sk=c(),Ks=a("p"),Ok=i("This model inherits from "),Di=a("a"),Ik=i("PreTrainedModel"),Nk=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Dk=c(),Js=a("p"),Lk=i("This model is also a PyTorch "),Zs=a("a"),Gk=i("torch.nn.Module"),Wk=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Rk=c(),lt=a("div"),y(Ys.$$.fragment),Uk=c(),$o=a("p"),Xk=i("The "),Li=a("a"),Qk=i("MBartForQuestionAnswering"),Hk=i(" forward method, overrides the "),Hl=a("code"),Vk=i("__call__"),Kk=i(" special method."),Jk=c(),y(yn.$$.fragment),Zk=c(),y(vn.$$.fragment),Jp=c(),xo=a("h2"),Tn=a("a"),Vl=a("span"),y(er.$$.fragment),Yk=c(),Kl=a("span"),eb=i("MBartForSequenceClassification"),Zp=c(),Ee=a("div"),y(tr.$$.fragment),tb=c(),Jl=a("p"),ob=i(`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),nb=c(),or=a("p"),ab=i("This model inherits from "),Gi=a("a"),sb=i("PreTrainedModel"),rb=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ib=c(),nr=a("p"),db=i("This model is also a PyTorch "),ar=a("a"),lb=i("torch.nn.Module"),cb=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),pb=c(),Le=a("div"),y(sr.$$.fragment),ub=c(),Mo=a("p"),hb=i("The "),Wi=a("a"),mb=i("MBartForSequenceClassification"),fb=i(" forward method, overrides the "),Zl=a("code"),_b=i("__call__"),gb=i(" special method."),kb=c(),y(wn.$$.fragment),bb=c(),y($n.$$.fragment),yb=c(),y(xn.$$.fragment),Yp=c(),zo=a("h2"),Mn=a("a"),Yl=a("span"),y(rr.$$.fragment),vb=c(),ec=a("span"),Tb=i("MBartForCausalLM"),eu=c(),Fo=a("div"),y(ir.$$.fragment),wb=c(),zn=a("div"),y(dr.$$.fragment),$b=c(),y(Fn.$$.fragment),tu=c(),qo=a("h2"),qn=a("a"),tc=a("span"),y(lr.$$.fragment),xb=c(),oc=a("span"),Mb=i("TFMBartModel"),ou=c(),Ce=a("div"),y(cr.$$.fragment),zb=c(),pr=a("p"),Fb=i(`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Ri=a("a"),qb=i("TFPreTrainedModel"),Bb=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jb=c(),ur=a("p"),Eb=i("This model is also a "),hr=a("a"),Cb=i("tf.keras.Model"),Ab=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Pb=c(),y(Bn.$$.fragment),Sb=c(),ct=a("div"),y(mr.$$.fragment),Ob=c(),Bo=a("p"),Ib=i("The "),Ui=a("a"),Nb=i("TFMBartModel"),Db=i(" forward method, overrides the "),nc=a("code"),Lb=i("__call__"),Gb=i(" special method."),Wb=c(),y(jn.$$.fragment),Rb=c(),y(En.$$.fragment),nu=c(),jo=a("h2"),Cn=a("a"),ac=a("span"),y(fr.$$.fragment),Ub=c(),sc=a("span"),Xb=i("TFMBartForConditionalGeneration"),au=c(),Ae=a("div"),y(_r.$$.fragment),Qb=c(),gr=a("p"),Hb=i(`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Xi=a("a"),Vb=i("TFPreTrainedModel"),Kb=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jb=c(),kr=a("p"),Zb=i("This model is also a "),br=a("a"),Yb=i("tf.keras.Model"),ey=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ty=c(),y(An.$$.fragment),oy=c(),Ge=a("div"),y(yr.$$.fragment),ny=c(),Eo=a("p"),ay=i("The "),Qi=a("a"),sy=i("TFMBartForConditionalGeneration"),ry=i(" forward method, overrides the "),rc=a("code"),iy=i("__call__"),dy=i(" special method."),ly=c(),y(Pn.$$.fragment),cy=c(),y(Sn.$$.fragment),py=c(),y(On.$$.fragment),su=c(),Co=a("h2"),In=a("a"),ic=a("span"),y(vr.$$.fragment),uy=c(),dc=a("span"),hy=i("FlaxMBartModel"),ru=c(),Q=a("div"),y(Tr.$$.fragment),my=c(),wr=a("p"),fy=i(`The bare MBart Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),Hi=a("a"),_y=i("FlaxPreTrainedModel"),gy=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ky=c(),$r=a("p"),by=i(`This model is also a Flax Linen
`),xr=a("a"),yy=i("flax.nn.Module"),vy=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Ty=c(),lc=a("p"),wy=i("Finally, this model supports inherent JAX features such as:"),$y=c(),Et=a("ul"),cc=a("li"),Mr=a("a"),xy=i("Just-In-Time (JIT) compilation"),My=c(),pc=a("li"),zr=a("a"),zy=i("Automatic Differentiation"),Fy=c(),uc=a("li"),Fr=a("a"),qy=i("Vectorization"),By=c(),hc=a("li"),qr=a("a"),jy=i("Parallelization"),Ey=c(),pt=a("div"),y(Br.$$.fragment),Cy=c(),Ao=a("p"),Ay=i("The "),mc=a("code"),Py=i("FlaxMBartPreTrainedModel"),Sy=i(" forward method, overrides the "),fc=a("code"),Oy=i("__call__"),Iy=i(" special method."),Ny=c(),y(Nn.$$.fragment),Dy=c(),y(Dn.$$.fragment),Ly=c(),Ln=a("div"),y(jr.$$.fragment),Gy=c(),y(Gn.$$.fragment),Wy=c(),Wn=a("div"),y(Er.$$.fragment),Ry=c(),y(Rn.$$.fragment),iu=c(),Po=a("h2"),Un=a("a"),_c=a("span"),y(Cr.$$.fragment),Uy=c(),gc=a("span"),Xy=i("FlaxMBartForConditionalGeneration"),du=c(),H=a("div"),y(Ar.$$.fragment),Qy=c(),Pr=a("p"),Hy=i(`The MMBart Model with a language modeling head. Can be used for summarization.
This model inherits from `),Vi=a("a"),Vy=i("FlaxPreTrainedModel"),Ky=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jy=c(),Sr=a("p"),Zy=i(`This model is also a Flax Linen
`),Or=a("a"),Yy=i("flax.nn.Module"),ev=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),tv=c(),kc=a("p"),ov=i("Finally, this model supports inherent JAX features such as:"),nv=c(),Ct=a("ul"),bc=a("li"),Ir=a("a"),av=i("Just-In-Time (JIT) compilation"),sv=c(),yc=a("li"),Nr=a("a"),rv=i("Automatic Differentiation"),iv=c(),vc=a("li"),Dr=a("a"),dv=i("Vectorization"),lv=c(),Tc=a("li"),Lr=a("a"),cv=i("Parallelization"),pv=c(),We=a("div"),y(Gr.$$.fragment),uv=c(),So=a("p"),hv=i("The "),wc=a("code"),mv=i("FlaxMBartPreTrainedModel"),fv=i(" forward method, overrides the "),$c=a("code"),_v=i("__call__"),gv=i(" special method."),kv=c(),y(Xn.$$.fragment),bv=c(),y(Qn.$$.fragment),yv=c(),y(Hn.$$.fragment),vv=c(),Vn=a("div"),y(Wr.$$.fragment),Tv=c(),y(Kn.$$.fragment),wv=c(),Jn=a("div"),y(Rr.$$.fragment),$v=c(),y(Zn.$$.fragment),lu=c(),Oo=a("h2"),Yn=a("a"),xc=a("span"),y(Ur.$$.fragment),xv=c(),Mc=a("span"),Mv=i("FlaxMBartForSequenceClassification"),cu=c(),G=a("div"),y(Xr.$$.fragment),zv=c(),zc=a("p"),Fv=i(`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),qv=c(),Qr=a("p"),Bv=i("This model inherits from "),Ki=a("a"),jv=i("FlaxPreTrainedModel"),Ev=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cv=c(),Hr=a("p"),Av=i(`This model is also a Flax Linen
`),Vr=a("a"),Pv=i("flax.nn.Module"),Sv=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Ov=c(),Fc=a("p"),Iv=i("Finally, this model supports inherent JAX features such as:"),Nv=c(),At=a("ul"),qc=a("li"),Kr=a("a"),Dv=i("Just-In-Time (JIT) compilation"),Lv=c(),Bc=a("li"),Jr=a("a"),Gv=i("Automatic Differentiation"),Wv=c(),jc=a("li"),Zr=a("a"),Rv=i("Vectorization"),Uv=c(),Ec=a("li"),Yr=a("a"),Xv=i("Parallelization"),Qv=c(),ut=a("div"),y(ei.$$.fragment),Hv=c(),Io=a("p"),Vv=i("The "),Cc=a("code"),Kv=i("FlaxMBartPreTrainedModel"),Jv=i(" forward method, overrides the "),Ac=a("code"),Zv=i("__call__"),Yv=i(" special method."),eT=c(),y(ea.$$.fragment),tT=c(),y(ta.$$.fragment),oT=c(),oa=a("div"),y(ti.$$.fragment),nT=c(),y(na.$$.fragment),aT=c(),aa=a("div"),y(oi.$$.fragment),sT=c(),y(sa.$$.fragment),pu=c(),No=a("h2"),ra=a("a"),Pc=a("span"),y(ni.$$.fragment),rT=c(),Sc=a("span"),iT=i("FlaxMBartForQuestionAnswering"),uu=c(),W=a("div"),y(ai.$$.fragment),dT=c(),Do=a("p"),lT=i(`MBart Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Oc=a("code"),cT=i("span start logits"),pT=i(" and "),Ic=a("code"),uT=i("span end logits"),hT=i(")."),mT=c(),si=a("p"),fT=i("This model inherits from "),Ji=a("a"),_T=i("FlaxPreTrainedModel"),gT=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kT=c(),ri=a("p"),bT=i(`This model is also a Flax Linen
`),ii=a("a"),yT=i("flax.nn.Module"),vT=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),TT=c(),Nc=a("p"),wT=i("Finally, this model supports inherent JAX features such as:"),$T=c(),Pt=a("ul"),Dc=a("li"),di=a("a"),xT=i("Just-In-Time (JIT) compilation"),MT=c(),Lc=a("li"),li=a("a"),zT=i("Automatic Differentiation"),FT=c(),Gc=a("li"),ci=a("a"),qT=i("Vectorization"),BT=c(),Wc=a("li"),pi=a("a"),jT=i("Parallelization"),ET=c(),ht=a("div"),y(ui.$$.fragment),CT=c(),Lo=a("p"),AT=i("The "),Rc=a("code"),PT=i("FlaxMBartPreTrainedModel"),ST=i(" forward method, overrides the "),Uc=a("code"),OT=i("__call__"),IT=i(" special method."),NT=c(),y(ia.$$.fragment),DT=c(),y(da.$$.fragment),LT=c(),la=a("div"),y(hi.$$.fragment),GT=c(),y(ca.$$.fragment),WT=c(),pa=a("div"),y(mi.$$.fragment),RT=c(),y(ua.$$.fragment),this.h()},l(o){const _=RM('[data-svelte="svelte-1phssyn"]',document.head);l=s(_,"META",{name:!0,content:!0}),_.forEach(t),b=p(o),f=s(o,"H1",{class:!0});var fi=r(f);h=s(fi,"A",{id:!0,class:!0,href:!0});var Xc=r(h);k=s(Xc,"SPAN",{});var Qc=r(k);v(n.$$.fragment,Qc),Qc.forEach(t),Xc.forEach(t),u=p(fi),q=s(fi,"SPAN",{});var Hc=r(q);gt=d(Hc,"MBart and MBart-50"),Hc.forEach(t),fi.forEach(t),tt=p(o),U=s(o,"DIV",{class:!0});var _i=r(U);Pe=s(_i,"A",{href:!0});var Vc=r(Pe);he=s(Vc,"IMG",{alt:!0,src:!0}),Vc.forEach(t),kt=p(_i),ee=s(_i,"A",{href:!0});var Kc=r(ee);Se=s(Kc,"IMG",{alt:!0,src:!0}),Kc.forEach(t),_i.forEach(t),me=p(o),re=s(o,"P",{});var ha=r(re);Ue=s(ha,"STRONG",{});var Jc=r(Ue);ve=d(Jc,"DISCLAIMER:"),Jc.forEach(t),bt=d(ha," If you see something strange, file a "),Te=s(ha,"A",{href:!0,rel:!0});var Zc=r(Te);we=d(Zc,"Github Issue"),Zc.forEach(t),yt=d(ha,` and assign
@patrickvonplaten`),ha.forEach(t),ot=p(o),X=s(o,"H2",{class:!0});var gi=r(X);fe=s(gi,"A",{id:!0,class:!0,href:!0});var Yc=r(fe);Xe=s(Yc,"SPAN",{});var ep=r(Xe);v(ie.$$.fragment,ep),ep.forEach(t),Yc.forEach(t),O=p(gi),I=s(gi,"SPAN",{});var tp=r(I);vt=d(tp,"Overview of MBart"),tp.forEach(t),gi.forEach(t),_e=p(o),ge=s(o,"P",{});var ki=r(ge);Tt=d(ki,"The MBart model was presented in "),J=s(ki,"A",{href:!0,rel:!0});var op=r(J);wt=d(op,"Multilingual Denoising Pre-training for Neural Machine Translation"),op.forEach(t),$t=d(ki,` by Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov Marjan
Ghazvininejad, Mike Lewis, Luke Zettlemoyer.`),ki.forEach(t),R=p(o),Oe=s(o,"P",{});var np=r(Oe);$e=d(np,`According to the abstract, MBART is a sequence-to-sequence denoising auto-encoder pretrained on large-scale monolingual
corpora in many languages using the BART objective. mBART is one of the first methods for pretraining a complete
sequence-to-sequence model by denoising full texts in multiple languages, while previous approaches have focused only
on the encoder, decoder, or reconstructing parts of the text.`),np.forEach(t),nt=p(o),de=s(o,"P",{});var ma=r(de);xe=d(ma,"This model was contributed by "),Me=s(ma,"A",{href:!0,rel:!0});var ap=r(Me);xt=d(ap,"valhalla"),ap.forEach(t),le=d(ma,". The Authors\u2019 code can be found "),ze=s(ma,"A",{href:!0,rel:!0});var sp=r(ze);Fe=d(sp,"here"),sp.forEach(t),ma.forEach(t),at=p(o),Z=s(o,"H3",{class:!0});var bi=r(Z);S=s(bi,"A",{id:!0,class:!0,href:!0});var rp=r(S);Qe=s(rp,"SPAN",{});var ip=r(Qe);v(N.$$.fragment,ip),ip.forEach(t),rp.forEach(t),Mt=p(bi),He=s(bi,"SPAN",{});var dp=r(He);z=d(dp,"Training of MBart"),dp.forEach(t),bi.forEach(t),j=p(o),K=s(o,"P",{});var et=r(K);Ve=d(et,`MBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for translation task. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),zt=s(et,"CODE",{});var lp=r(zt);Vt=d(lp,"X [eos, src_lang_code]"),lp.forEach(t),C=d(et," where "),Ft=s(et,"CODE",{});var cp=r(Ft);Kt=d(cp,"X"),cp.forEach(t),Jt=d(et,` is the source text. The
target text format is `),qt=s(et,"CODE",{});var pp=r(qt);Zt=d(pp,"[tgt_lang_code] X [eos]"),pp.forEach(t),ce=d(et,". "),pe=s(et,"CODE",{});var up=r(pe);Yt=d(up,"bos"),up.forEach(t),eo=d(et," is never used."),et.forEach(t),ke=p(o),te=s(o,"P",{});var St=r(te);to=d(St,"The regular "),qe=s(St,"A",{href:!0});var Zi=r(qe);Bt=s(Zi,"STRONG",{});var hp=r(Bt);Ke=d(hp,"call"),hp.forEach(t),oo=d(Zi,"()"),Zi.forEach(t),Dh=d(St," will encode source text format passed as first argument or with the "),kd=s(St,"CODE",{});var mp=r(kd);Lh=d(mp,"text"),mp.forEach(t),Gh=d(St,`
keyword, and target text format passed with the `),bd=s(St,"CODE",{});var fp=r(bd);Wh=d(fp,"text_label"),fp.forEach(t),Rh=d(St," keyword argument."),St.forEach(t),yp=p(o),vi=s(o,"UL",{});var _p=r(vi);yd=s(_p,"LI",{});var gp=r(yd);Uh=d(gp,"Supervised training"),gp.forEach(t),_p.forEach(t),vp=p(o),v(Ea.$$.fragment,o),Tp=p(o),Ti=s(o,"UL",{});var kp=r(Ti);Ca=s(kp,"LI",{});var yi=r(Ca);vd=s(yi,"P",{});var bp=r(vd);Xh=d(bp,"Generation"),bp.forEach(t),Qh=p(yi),no=s(yi,"P",{});var Go=r(no);Hh=d(Go,"While generating the target text set the "),Td=s(Go,"CODE",{});var UT=r(Td);Vh=d(UT,"decoder_start_token_id"),UT.forEach(t),Kh=d(Go,` to the target language id. The following
example shows how to translate English to Romanian using the `),wd=s(Go,"EM",{});var XT=r(wd);Jh=d(XT,"facebook/mbart-large-en-ro"),XT.forEach(t),Zh=d(Go," model."),Go.forEach(t),yi.forEach(t),kp.forEach(t),wp=p(o),v(Aa.$$.fragment,o),$p=p(o),ao=s(o,"H2",{class:!0});var mu=r(ao);Wo=s(mu,"A",{id:!0,class:!0,href:!0});var QT=r(Wo);$d=s(QT,"SPAN",{});var HT=r($d);v(Pa.$$.fragment,HT),HT.forEach(t),QT.forEach(t),Yh=p(mu),xd=s(mu,"SPAN",{});var VT=r(xd);em=d(VT,"Overview of MBart-50"),VT.forEach(t),mu.forEach(t),xp=p(o),It=s(o,"P",{});var Yi=r(It);tm=d(Yi,"MBart-50 was introduced in the "),Sa=s(Yi,"A",{href:!0,rel:!0});var KT=r(Sa);om=d(KT,"Multilingual Translation with Extensible Multilingual Pretraining and Finetuning"),KT.forEach(t),nm=d(Yi,` paper by Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav
Chaudhary, Jiatao Gu, Angela Fan. MBart-50 is created using the original `),Md=s(Yi,"EM",{});var JT=r(Md);am=d(JT,"mbart-large-cc25"),JT.forEach(t),sm=d(Yi,` checkpoint by extendeding
its embedding layers with randomly initialized vectors for an extra set of 25 language tokens and then pretrained on 50
languages.`),Yi.forEach(t),Mp=p(o),wi=s(o,"P",{});var ZT=r(wi);rm=d(ZT,"According to the abstract"),ZT.forEach(t),zp=p(o),$i=s(o,"P",{});var YT=r($i);zd=s(YT,"EM",{});var ew=r(zd);im=d(ew,`Multilingual translation models can be created through multilingual finetuning. Instead of finetuning on one
direction, a pretrained model is finetuned on many directions at the same time. It demonstrates that pretrained models
can be extended to incorporate additional languages without loss of performance. Multilingual finetuning improves on
average 1 BLEU over the strongest baselines (being either multilingual from scratch or bilingual finetuning) while
improving 9.3 BLEU on average over bilingual baselines from scratch.`),ew.forEach(t),YT.forEach(t),Fp=p(o),so=s(o,"H3",{class:!0});var fu=r(so);Ro=s(fu,"A",{id:!0,class:!0,href:!0});var tw=r(Ro);Fd=s(tw,"SPAN",{});var ow=r(Fd);v(Oa.$$.fragment,ow),ow.forEach(t),tw.forEach(t),dm=p(fu),qd=s(fu,"SPAN",{});var nw=r(qd);lm=d(nw,"Training of MBart-50"),nw.forEach(t),fu.forEach(t),qp=p(o),st=s(o,"P",{});var fa=r(st);cm=d(fa,`The text format for MBart-50 is slightly different from mBART. For MBart-50 the language id token is used as a prefix
for both source and target text i.e the text format is `),Bd=s(fa,"CODE",{});var aw=r(Bd);pm=d(aw,"[lang_code] X [eos]"),aw.forEach(t),um=d(fa,", where "),jd=s(fa,"CODE",{});var sw=r(jd);hm=d(sw,"lang_code"),sw.forEach(t),mm=d(fa,` is source
language id for source text and target language id for target text, with `),Ed=s(fa,"CODE",{});var rw=r(Ed);fm=d(rw,"X"),rw.forEach(t),_m=d(fa,` being the source or target text
respectively.`),fa.forEach(t),Bp=p(o),Uo=s(o,"P",{});var _u=r(Uo);gm=d(_u,"MBart-50 has its own tokenizer "),xi=s(_u,"A",{href:!0});var iw=r(xi);km=d(iw,"MBart50Tokenizer"),iw.forEach(t),bm=d(_u,"."),_u.forEach(t),jp=p(o),Mi=s(o,"UL",{});var dw=r(Mi);Cd=s(dw,"LI",{});var lw=r(Cd);ym=d(lw,"Supervised training"),lw.forEach(t),dw.forEach(t),Ep=p(o),v(Ia.$$.fragment,o),Cp=p(o),zi=s(o,"UL",{});var cw=r(zi);Na=s(cw,"LI",{});var gu=r(Na);Ad=s(gu,"P",{});var pw=r(Ad);vm=d(pw,"Generation"),pw.forEach(t),Tm=p(gu),Be=s(gu,"P",{});var mt=r(Be);wm=d(mt,"To generate using the mBART-50 multilingual translation models, "),Pd=s(mt,"CODE",{});var uw=r(Pd);$m=d(uw,"eos_token_id"),uw.forEach(t),xm=d(mt,` is used as the
`),Sd=s(mt,"CODE",{});var hw=r(Sd);Mm=d(hw,"decoder_start_token_id"),hw.forEach(t),zm=d(mt,` and the target language id is forced as the first generated token. To force the
target language id as the first generated token, pass the `),Od=s(mt,"EM",{});var mw=r(Od);Fm=d(mw,"forced_bos_token_id"),mw.forEach(t),qm=d(mt," parameter to the "),Id=s(mt,"EM",{});var fw=r(Id);Bm=d(fw,"generate"),fw.forEach(t),jm=d(mt,` method.
The following example shows how to translate between Hindi to French and Arabic to English using the
`),Nd=s(mt,"EM",{});var _w=r(Nd);Em=d(_w,"facebook/mbart-50-large-many-to-many"),_w.forEach(t),Cm=d(mt," checkpoint."),mt.forEach(t),gu.forEach(t),cw.forEach(t),Ap=p(o),v(Da.$$.fragment,o),Pp=p(o),ro=s(o,"H2",{class:!0});var ku=r(ro);Xo=s(ku,"A",{id:!0,class:!0,href:!0});var gw=r(Xo);Dd=s(gw,"SPAN",{});var kw=r(Dd);v(La.$$.fragment,kw),kw.forEach(t),gw.forEach(t),Am=p(ku),Ld=s(ku,"SPAN",{});var bw=r(Ld);Pm=d(bw,"MBartConfig"),bw.forEach(t),ku.forEach(t),Sp=p(o),Je=s(o,"DIV",{class:!0});var _a=r(Je);v(Ga.$$.fragment,_a),Sm=p(_a),io=s(_a,"P",{});var ed=r(io);Om=d(ed,"This is the configuration class to store the configuration of a "),Fi=s(ed,"A",{href:!0});var yw=r(Fi);Im=d(yw,"MBartModel"),yw.forEach(t),Nm=d(ed,`. It is used to instantiate an MBART
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the MBART
`),Wa=s(ed,"A",{href:!0,rel:!0});var vw=r(Wa);Dm=d(vw,"facebook/mbart-large-cc25"),vw.forEach(t),Lm=d(ed," architecture."),ed.forEach(t),Gm=p(_a),lo=s(_a,"P",{});var td=r(lo);Wm=d(td,"Configuration objects inherit from "),qi=s(td,"A",{href:!0});var Tw=r(qi);Rm=d(Tw,"PretrainedConfig"),Tw.forEach(t),Um=d(td,` and can be used to control the model outputs. Read the
documentation from `),Bi=s(td,"A",{href:!0});var ww=r(Bi);Xm=d(ww,"PretrainedConfig"),ww.forEach(t),Qm=d(td," for more information."),td.forEach(t),Hm=p(_a),v(Qo.$$.fragment,_a),_a.forEach(t),Op=p(o),co=s(o,"H2",{class:!0});var bu=r(co);Ho=s(bu,"A",{id:!0,class:!0,href:!0});var $w=r(Ho);Gd=s($w,"SPAN",{});var xw=r(Gd);v(Ra.$$.fragment,xw),xw.forEach(t),$w.forEach(t),Vm=p(bu),Wd=s(bu,"SPAN",{});var Mw=r(Wd);Km=d(Mw,"MBartTokenizer"),Mw.forEach(t),bu.forEach(t),Ip=p(o),ue=s(o,"DIV",{class:!0});var ft=r(ue);v(Ua.$$.fragment,ft),Jm=p(ft),Rd=s(ft,"P",{});var zw=r(Rd);Zm=d(zw,"Construct an MBART tokenizer."),zw.forEach(t),Ym=p(ft),jt=s(ft,"P",{});var ga=r(jt);ef=d(ga,"Adapted from "),ji=s(ga,"A",{href:!0});var Fw=r(ji);tf=d(Fw,"RobertaTokenizer"),Fw.forEach(t),of=d(ga," and "),Ei=s(ga,"A",{href:!0});var qw=r(Ei);nf=d(qw,"XLNetTokenizer"),qw.forEach(t),af=d(ga,`. Based on
`),Xa=s(ga,"A",{href:!0,rel:!0});var Bw=r(Xa);sf=d(Bw,"SentencePiece"),Bw.forEach(t),rf=d(ga,"."),ga.forEach(t),df=p(ft),po=s(ft,"P",{});var od=r(po);lf=d(od,"The tokenization method is "),Ud=s(od,"CODE",{});var jw=r(Ud);cf=d(jw,"<tokens> <eos> <language code>"),jw.forEach(t),pf=d(od," for source language documents, and "),Xd=s(od,"CODE",{});var Ew=r(Xd);uf=d(Ew,"<language code> <tokens> <eos>"),Ew.forEach(t),hf=d(od," for target language documents."),od.forEach(t),mf=p(ft),v(Vo.$$.fragment,ft),ff=p(ft),rt=s(ft,"DIV",{class:!0});var ka=r(rt);v(Qa.$$.fragment,ka),_f=p(ka),Ha=s(ka,"P",{});var yu=r(Ha);gf=d(yu,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART sequence has the following format, where `),Qd=s(yu,"CODE",{});var Cw=r(Qd);kf=d(Cw,"X"),Cw.forEach(t),bf=d(yu," represents the sequence:"),yu.forEach(t),yf=p(ka),Va=s(ka,"UL",{});var vu=r(Va);Ka=s(vu,"LI",{});var Tu=r(Ka);Hd=s(Tu,"CODE",{});var Aw=r(Hd);vf=d(Aw,"input_ids"),Aw.forEach(t),Tf=d(Tu," (for encoder) "),Vd=s(Tu,"CODE",{});var Pw=r(Vd);wf=d(Pw,"X [eos, src_lang_code]"),Pw.forEach(t),Tu.forEach(t),$f=p(vu),Ja=s(vu,"LI",{});var wu=r(Ja);Kd=s(wu,"CODE",{});var Sw=r(Kd);xf=d(Sw,"decoder_input_ids"),Sw.forEach(t),Mf=d(wu,": (for decoder) "),Jd=s(wu,"CODE",{});var Ow=r(Jd);zf=d(Ow,"X [eos, tgt_lang_code]"),Ow.forEach(t),wu.forEach(t),vu.forEach(t),Ff=p(ka),Zd=s(ka,"P",{});var Iw=r(Zd);qf=d(Iw,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Iw.forEach(t),ka.forEach(t),ft.forEach(t),Np=p(o),uo=s(o,"H2",{class:!0});var $u=r(uo);Ko=s($u,"A",{id:!0,class:!0,href:!0});var Nw=r(Ko);Yd=s(Nw,"SPAN",{});var Dw=r(Yd);v(Za.$$.fragment,Dw),Dw.forEach(t),Nw.forEach(t),Bf=p($u),el=s($u,"SPAN",{});var Lw=r(el);jf=d(Lw,"MBartTokenizerFast"),Lw.forEach(t),$u.forEach(t),Dp=p(o),D=s(o,"DIV",{class:!0});var oe=r(D);v(Ya.$$.fragment,oe),Ef=p(oe),ho=s(oe,"P",{});var nd=r(ho);Cf=d(nd,"Construct a \u201Cfast\u201D MBART tokenizer (backed by HuggingFace\u2019s "),tl=s(nd,"EM",{});var Gw=r(tl);Af=d(Gw,"tokenizers"),Gw.forEach(t),Pf=d(nd,` library). Based on
`),es=s(nd,"A",{href:!0,rel:!0});var Ww=r(es);Sf=d(Ww,"BPE"),Ww.forEach(t),Of=d(nd,"."),nd.forEach(t),If=p(oe),ts=s(oe,"P",{});var xu=r(ts);Nf=d(xu,"This tokenizer inherits from "),Ci=s(xu,"A",{href:!0});var Rw=r(Ci);Df=d(Rw,"PreTrainedTokenizerFast"),Rw.forEach(t),Lf=d(xu,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),xu.forEach(t),Gf=p(oe),mo=s(oe,"P",{});var ad=r(mo);Wf=d(ad,"The tokenization method is "),ol=s(ad,"CODE",{});var Uw=r(ol);Rf=d(Uw,"<tokens> <eos> <language code>"),Uw.forEach(t),Uf=d(ad," for source language documents, and "),nl=s(ad,"CODE",{});var Xw=r(nl);Xf=d(Xw,"<language code> <tokens> <eos>"),Xw.forEach(t),Qf=d(ad," for target language documents."),ad.forEach(t),Hf=p(oe),v(Jo.$$.fragment,oe),Vf=p(oe),Ie=s(oe,"DIV",{class:!0});var Nt=r(Ie);v(os.$$.fragment,Nt),Kf=p(Nt),al=s(Nt,"P",{});var Qw=r(al);Jf=d(Qw,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),Qw.forEach(t),Zf=p(Nt),ns=s(Nt,"P",{});var Mu=r(ns);Yf=d(Mu,"An MBART sequence has the following format, where "),sl=s(Mu,"CODE",{});var Hw=r(sl);e_=d(Hw,"X"),Hw.forEach(t),t_=d(Mu," represents the sequence:"),Mu.forEach(t),o_=p(Nt),as=s(Nt,"UL",{});var zu=r(as);ss=s(zu,"LI",{});var Fu=r(ss);rl=s(Fu,"CODE",{});var Vw=r(rl);n_=d(Vw,"input_ids"),Vw.forEach(t),a_=d(Fu," (for encoder) "),il=s(Fu,"CODE",{});var Kw=r(il);s_=d(Kw,"X [eos, src_lang_code]"),Kw.forEach(t),Fu.forEach(t),r_=p(zu),rs=s(zu,"LI",{});var qu=r(rs);dl=s(qu,"CODE",{});var Jw=r(dl);i_=d(Jw,"decoder_input_ids"),Jw.forEach(t),d_=d(qu,": (for decoder) "),ll=s(qu,"CODE",{});var Zw=r(ll);l_=d(Zw,"X [eos, tgt_lang_code]"),Zw.forEach(t),qu.forEach(t),zu.forEach(t),c_=p(Nt),cl=s(Nt,"P",{});var Yw=r(cl);p_=d(Yw,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Yw.forEach(t),Nt.forEach(t),u_=p(oe),Zo=s(oe,"DIV",{class:!0});var Bu=r(Zo);v(is.$$.fragment,Bu),h_=p(Bu),pl=s(Bu,"P",{});var e$=r(pl);m_=d(e$,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. mBART does not
make use of token type ids, therefore a list of zeros is returned.`),e$.forEach(t),Bu.forEach(t),f_=p(oe),Yo=s(oe,"DIV",{class:!0});var ju=r(Yo);v(ds.$$.fragment,ju),__=p(ju),ul=s(ju,"P",{});var t$=r(ul);g_=d(t$,"Reset the special tokens to the source lang setting. No prefix and suffix=[eos, src_lang_code]."),t$.forEach(t),ju.forEach(t),k_=p(oe),en=s(oe,"DIV",{class:!0});var Eu=r(en);v(ls.$$.fragment,Eu),b_=p(Eu),hl=s(Eu,"P",{});var o$=r(hl);y_=d(o$,"Reset the special tokens to the target language setting. No prefix and suffix=[eos, tgt_lang_code]."),o$.forEach(t),Eu.forEach(t),oe.forEach(t),Lp=p(o),fo=s(o,"H2",{class:!0});var Cu=r(fo);tn=s(Cu,"A",{id:!0,class:!0,href:!0});var n$=r(tn);ml=s(n$,"SPAN",{});var a$=r(ml);v(cs.$$.fragment,a$),a$.forEach(t),n$.forEach(t),v_=p(Cu),fl=s(Cu,"SPAN",{});var s$=r(fl);T_=d(s$,"MBart50Tokenizer"),s$.forEach(t),Cu.forEach(t),Gp=p(o),L=s(o,"DIV",{class:!0});var ne=r(L);v(ps.$$.fragment,ne),w_=p(ne),us=s(ne,"P",{});var Au=r(us);$_=d(Au,"Construct a MBart50 tokenizer. Based on "),hs=s(Au,"A",{href:!0,rel:!0});var r$=r(hs);x_=d(r$,"SentencePiece"),r$.forEach(t),M_=d(Au,"."),Au.forEach(t),z_=p(ne),ms=s(ne,"P",{});var Pu=r(ms);F_=d(Pu,"This tokenizer inherits from "),Ai=s(Pu,"A",{href:!0});var i$=r(Ai);q_=d(i$,"PreTrainedTokenizer"),i$.forEach(t),B_=d(Pu,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Pu.forEach(t),j_=p(ne),v(on.$$.fragment,ne),E_=p(ne),it=s(ne,"DIV",{class:!0});var ba=r(it);v(fs.$$.fragment,ba),C_=p(ba),_s=s(ba,"P",{});var Su=r(_s);A_=d(Su,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART-50 sequence has the following format, where `),_l=s(Su,"CODE",{});var d$=r(_l);P_=d(d$,"X"),d$.forEach(t),S_=d(Su," represents the sequence:"),Su.forEach(t),O_=p(ba),gs=s(ba,"UL",{});var Ou=r(gs);ks=s(Ou,"LI",{});var Iu=r(ks);gl=s(Iu,"CODE",{});var l$=r(gl);I_=d(l$,"input_ids"),l$.forEach(t),N_=d(Iu," (for encoder) "),kl=s(Iu,"CODE",{});var c$=r(kl);D_=d(c$,"[src_lang_code] X [eos]"),c$.forEach(t),Iu.forEach(t),L_=p(Ou),bs=s(Ou,"LI",{});var Nu=r(bs);bl=s(Nu,"CODE",{});var p$=r(bl);G_=d(p$,"labels"),p$.forEach(t),W_=d(Nu,": (for decoder) "),yl=s(Nu,"CODE",{});var u$=r(yl);R_=d(u$,"[tgt_lang_code] X [eos]"),u$.forEach(t),Nu.forEach(t),Ou.forEach(t),U_=p(ba),vl=s(ba,"P",{});var h$=r(vl);X_=d(h$,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),h$.forEach(t),ba.forEach(t),Q_=p(ne),nn=s(ne,"DIV",{class:!0});var Du=r(nn);v(ys.$$.fragment,Du),H_=p(Du),Tl=s(Du,"P",{});var m$=r(Tl);V_=d(m$,"Converts a sequence of tokens (string) in a single string."),m$.forEach(t),Du.forEach(t),K_=p(ne),an=s(ne,"DIV",{class:!0});var Lu=r(an);v(vs.$$.fragment,Lu),J_=p(Lu),Ts=s(Lu,"P",{});var Gu=r(Ts);Z_=d(Gu,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),wl=s(Gu,"CODE",{});var f$=r(wl);Y_=d(f$,"prepare_for_model"),f$.forEach(t),eg=d(Gu," method."),Gu.forEach(t),Lu.forEach(t),tg=p(ne),sn=s(ne,"DIV",{class:!0});var Wu=r(sn);v(ws.$$.fragment,Wu),og=p(Wu),$l=s(Wu,"P",{});var _$=r($l);ng=d(_$,"Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),_$.forEach(t),Wu.forEach(t),ag=p(ne),rn=s(ne,"DIV",{class:!0});var Ru=r(rn);v($s.$$.fragment,Ru),sg=p(Ru),xl=s(Ru,"P",{});var g$=r(xl);rg=d(g$,"Reset the special tokens to the target language setting. prefix=[tgt_lang_code] and suffix=[eos]."),g$.forEach(t),Ru.forEach(t),ne.forEach(t),Wp=p(o),_o=s(o,"H2",{class:!0});var Uu=r(_o);dn=s(Uu,"A",{id:!0,class:!0,href:!0});var k$=r(dn);Ml=s(k$,"SPAN",{});var b$=r(Ml);v(xs.$$.fragment,b$),b$.forEach(t),k$.forEach(t),ig=p(Uu),zl=s(Uu,"SPAN",{});var y$=r(zl);dg=d(y$,"MBart50TokenizerFast"),y$.forEach(t),Uu.forEach(t),Rp=p(o),Y=s(o,"DIV",{class:!0});var Re=r(Y);v(Ms.$$.fragment,Re),lg=p(Re),go=s(Re,"P",{});var sd=r(go);cg=d(sd,"Construct a \u201Cfast\u201D MBART tokenizer for mBART-50 (backed by HuggingFace\u2019s "),Fl=s(sd,"EM",{});var v$=r(Fl);pg=d(v$,"tokenizers"),v$.forEach(t),ug=d(sd,` library). Based on
`),zs=s(sd,"A",{href:!0,rel:!0});var T$=r(zs);hg=d(T$,"BPE"),T$.forEach(t),mg=d(sd,"."),sd.forEach(t),fg=p(Re),Fs=s(Re,"P",{});var Xu=r(Fs);_g=d(Xu,"This tokenizer inherits from "),Pi=s(Xu,"A",{href:!0});var w$=r(Pi);gg=d(w$,"PreTrainedTokenizerFast"),w$.forEach(t),kg=d(Xu,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Xu.forEach(t),bg=p(Re),v(ln.$$.fragment,Re),yg=p(Re),Ne=s(Re,"DIV",{class:!0});var Dt=r(Ne);v(qs.$$.fragment,Dt),vg=p(Dt),ql=s(Dt,"P",{});var $$=r(ql);Tg=d($$,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),$$.forEach(t),wg=p(Dt),Bs=s(Dt,"P",{});var Qu=r(Bs);$g=d(Qu,"An MBART-50 sequence has the following format, where "),Bl=s(Qu,"CODE",{});var x$=r(Bl);xg=d(x$,"X"),x$.forEach(t),Mg=d(Qu," represents the sequence:"),Qu.forEach(t),zg=p(Dt),js=s(Dt,"UL",{});var Hu=r(js);Es=s(Hu,"LI",{});var Vu=r(Es);jl=s(Vu,"CODE",{});var M$=r(jl);Fg=d(M$,"input_ids"),M$.forEach(t),qg=d(Vu," (for encoder) "),El=s(Vu,"CODE",{});var z$=r(El);Bg=d(z$,"[src_lang_code] X [eos]"),z$.forEach(t),Vu.forEach(t),jg=p(Hu),Cs=s(Hu,"LI",{});var Ku=r(Cs);Cl=s(Ku,"CODE",{});var F$=r(Cl);Eg=d(F$,"labels"),F$.forEach(t),Cg=d(Ku,": (for decoder) "),Al=s(Ku,"CODE",{});var q$=r(Al);Ag=d(q$,"[tgt_lang_code] X [eos]"),q$.forEach(t),Ku.forEach(t),Hu.forEach(t),Pg=p(Dt),Pl=s(Dt,"P",{});var B$=r(Pl);Sg=d(B$,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),B$.forEach(t),Dt.forEach(t),Og=p(Re),cn=s(Re,"DIV",{class:!0});var Ju=r(cn);v(As.$$.fragment,Ju),Ig=p(Ju),Sl=s(Ju,"P",{});var j$=r(Sl);Ng=d(j$,"Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),j$.forEach(t),Ju.forEach(t),Dg=p(Re),pn=s(Re,"DIV",{class:!0});var Zu=r(pn);v(Ps.$$.fragment,Zu),Lg=p(Zu),Ol=s(Zu,"P",{});var E$=r(Ol);Gg=d(E$,"Reset the special tokens to the target language setting. prefix=[src_lang_code] and suffix=[eos]."),E$.forEach(t),Zu.forEach(t),Re.forEach(t),Up=p(o),ko=s(o,"H2",{class:!0});var Yu=r(ko);un=s(Yu,"A",{id:!0,class:!0,href:!0});var C$=r(un);Il=s(C$,"SPAN",{});var A$=r(Il);v(Ss.$$.fragment,A$),A$.forEach(t),C$.forEach(t),Wg=p(Yu),Nl=s(Yu,"SPAN",{});var P$=r(Nl);Rg=d(P$,"MBartModel"),P$.forEach(t),Yu.forEach(t),Xp=p(o),Ze=s(o,"DIV",{class:!0});var ya=r(Ze);v(Os.$$.fragment,ya),Ug=p(ya),Is=s(ya,"P",{});var eh=r(Is);Xg=d(eh,`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Si=s(eh,"A",{href:!0});var S$=r(Si);Qg=d(S$,"PreTrainedModel"),S$.forEach(t),Hg=d(eh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),eh.forEach(t),Vg=p(ya),Ns=s(ya,"P",{});var th=r(Ns);Kg=d(th,"This model is also a PyTorch "),Ds=s(th,"A",{href:!0,rel:!0});var O$=r(Ds);Jg=d(O$,"torch.nn.Module"),O$.forEach(t),Zg=d(th,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),th.forEach(t),Yg=p(ya),dt=s(ya,"DIV",{class:!0});var va=r(dt);v(Ls.$$.fragment,va),ek=p(va),bo=s(va,"P",{});var rd=r(bo);tk=d(rd,"The "),Oi=s(rd,"A",{href:!0});var I$=r(Oi);ok=d(I$,"MBartModel"),I$.forEach(t),nk=d(rd," forward method, overrides the "),Dl=s(rd,"CODE",{});var N$=r(Dl);ak=d(N$,"__call__"),N$.forEach(t),sk=d(rd," special method."),rd.forEach(t),rk=p(va),v(hn.$$.fragment,va),ik=p(va),v(mn.$$.fragment,va),va.forEach(t),ya.forEach(t),Qp=p(o),yo=s(o,"H2",{class:!0});var oh=r(yo);fn=s(oh,"A",{id:!0,class:!0,href:!0});var D$=r(fn);Ll=s(D$,"SPAN",{});var L$=r(Ll);v(Gs.$$.fragment,L$),L$.forEach(t),D$.forEach(t),dk=p(oh),Gl=s(oh,"SPAN",{});var G$=r(Gl);lk=d(G$,"MBartForConditionalGeneration"),G$.forEach(t),oh.forEach(t),Hp=p(o),Ye=s(o,"DIV",{class:!0});var Ta=r(Ye);v(Ws.$$.fragment,Ta),ck=p(Ta),Rs=s(Ta,"P",{});var nh=r(Rs);pk=d(nh,`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Ii=s(nh,"A",{href:!0});var W$=r(Ii);uk=d(W$,"PreTrainedModel"),W$.forEach(t),hk=d(nh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nh.forEach(t),mk=p(Ta),Us=s(Ta,"P",{});var ah=r(Us);fk=d(ah,"This model is also a PyTorch "),Xs=s(ah,"A",{href:!0,rel:!0});var R$=r(Xs);_k=d(R$,"torch.nn.Module"),R$.forEach(t),gk=d(ah,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ah.forEach(t),kk=p(Ta),De=s(Ta,"DIV",{class:!0});var Lt=r(De);v(Qs.$$.fragment,Lt),bk=p(Lt),vo=s(Lt,"P",{});var id=r(vo);yk=d(id,"The "),Ni=s(id,"A",{href:!0});var U$=r(Ni);vk=d(U$,"MBartForConditionalGeneration"),U$.forEach(t),Tk=d(id," forward method, overrides the "),Wl=s(id,"CODE",{});var X$=r(Wl);wk=d(X$,"__call__"),X$.forEach(t),$k=d(id," special method."),id.forEach(t),xk=p(Lt),v(_n.$$.fragment,Lt),Mk=p(Lt),v(gn.$$.fragment,Lt),zk=p(Lt),v(kn.$$.fragment,Lt),Lt.forEach(t),Ta.forEach(t),Vp=p(o),To=s(o,"H2",{class:!0});var sh=r(To);bn=s(sh,"A",{id:!0,class:!0,href:!0});var Q$=r(bn);Rl=s(Q$,"SPAN",{});var H$=r(Rl);v(Hs.$$.fragment,H$),H$.forEach(t),Q$.forEach(t),Fk=p(sh),Ul=s(sh,"SPAN",{});var V$=r(Ul);qk=d(V$,"MBartForQuestionAnswering"),V$.forEach(t),sh.forEach(t),Kp=p(o),je=s(o,"DIV",{class:!0});var Gt=r(je);v(Vs.$$.fragment,Gt),Bk=p(Gt),wo=s(Gt,"P",{});var dd=r(wo);jk=d(dd,`MBART Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Xl=s(dd,"CODE",{});var K$=r(Xl);Ek=d(K$,"span start logits"),K$.forEach(t),Ck=d(dd," and "),Ql=s(dd,"CODE",{});var J$=r(Ql);Ak=d(J$,"span end logits"),J$.forEach(t),Pk=d(dd,")."),dd.forEach(t),Sk=p(Gt),Ks=s(Gt,"P",{});var rh=r(Ks);Ok=d(rh,"This model inherits from "),Di=s(rh,"A",{href:!0});var Z$=r(Di);Ik=d(Z$,"PreTrainedModel"),Z$.forEach(t),Nk=d(rh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rh.forEach(t),Dk=p(Gt),Js=s(Gt,"P",{});var ih=r(Js);Lk=d(ih,"This model is also a PyTorch "),Zs=s(ih,"A",{href:!0,rel:!0});var Y$=r(Zs);Gk=d(Y$,"torch.nn.Module"),Y$.forEach(t),Wk=d(ih,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ih.forEach(t),Rk=p(Gt),lt=s(Gt,"DIV",{class:!0});var wa=r(lt);v(Ys.$$.fragment,wa),Uk=p(wa),$o=s(wa,"P",{});var ld=r($o);Xk=d(ld,"The "),Li=s(ld,"A",{href:!0});var ex=r(Li);Qk=d(ex,"MBartForQuestionAnswering"),ex.forEach(t),Hk=d(ld," forward method, overrides the "),Hl=s(ld,"CODE",{});var tx=r(Hl);Vk=d(tx,"__call__"),tx.forEach(t),Kk=d(ld," special method."),ld.forEach(t),Jk=p(wa),v(yn.$$.fragment,wa),Zk=p(wa),v(vn.$$.fragment,wa),wa.forEach(t),Gt.forEach(t),Jp=p(o),xo=s(o,"H2",{class:!0});var dh=r(xo);Tn=s(dh,"A",{id:!0,class:!0,href:!0});var ox=r(Tn);Vl=s(ox,"SPAN",{});var nx=r(Vl);v(er.$$.fragment,nx),nx.forEach(t),ox.forEach(t),Yk=p(dh),Kl=s(dh,"SPAN",{});var ax=r(Kl);eb=d(ax,"MBartForSequenceClassification"),ax.forEach(t),dh.forEach(t),Zp=p(o),Ee=s(o,"DIV",{class:!0});var Wt=r(Ee);v(tr.$$.fragment,Wt),tb=p(Wt),Jl=s(Wt,"P",{});var sx=r(Jl);ob=d(sx,`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),sx.forEach(t),nb=p(Wt),or=s(Wt,"P",{});var lh=r(or);ab=d(lh,"This model inherits from "),Gi=s(lh,"A",{href:!0});var rx=r(Gi);sb=d(rx,"PreTrainedModel"),rx.forEach(t),rb=d(lh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lh.forEach(t),ib=p(Wt),nr=s(Wt,"P",{});var ch=r(nr);db=d(ch,"This model is also a PyTorch "),ar=s(ch,"A",{href:!0,rel:!0});var ix=r(ar);lb=d(ix,"torch.nn.Module"),ix.forEach(t),cb=d(ch,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ch.forEach(t),pb=p(Wt),Le=s(Wt,"DIV",{class:!0});var Rt=r(Le);v(sr.$$.fragment,Rt),ub=p(Rt),Mo=s(Rt,"P",{});var cd=r(Mo);hb=d(cd,"The "),Wi=s(cd,"A",{href:!0});var dx=r(Wi);mb=d(dx,"MBartForSequenceClassification"),dx.forEach(t),fb=d(cd," forward method, overrides the "),Zl=s(cd,"CODE",{});var lx=r(Zl);_b=d(lx,"__call__"),lx.forEach(t),gb=d(cd," special method."),cd.forEach(t),kb=p(Rt),v(wn.$$.fragment,Rt),bb=p(Rt),v($n.$$.fragment,Rt),yb=p(Rt),v(xn.$$.fragment,Rt),Rt.forEach(t),Wt.forEach(t),Yp=p(o),zo=s(o,"H2",{class:!0});var ph=r(zo);Mn=s(ph,"A",{id:!0,class:!0,href:!0});var cx=r(Mn);Yl=s(cx,"SPAN",{});var px=r(Yl);v(rr.$$.fragment,px),px.forEach(t),cx.forEach(t),vb=p(ph),ec=s(ph,"SPAN",{});var ux=r(ec);Tb=d(ux,"MBartForCausalLM"),ux.forEach(t),ph.forEach(t),eu=p(o),Fo=s(o,"DIV",{class:!0});var uh=r(Fo);v(ir.$$.fragment,uh),wb=p(uh),zn=s(uh,"DIV",{class:!0});var hh=r(zn);v(dr.$$.fragment,hh),$b=p(hh),v(Fn.$$.fragment,hh),hh.forEach(t),uh.forEach(t),tu=p(o),qo=s(o,"H2",{class:!0});var mh=r(qo);qn=s(mh,"A",{id:!0,class:!0,href:!0});var hx=r(qn);tc=s(hx,"SPAN",{});var mx=r(tc);v(lr.$$.fragment,mx),mx.forEach(t),hx.forEach(t),xb=p(mh),oc=s(mh,"SPAN",{});var fx=r(oc);Mb=d(fx,"TFMBartModel"),fx.forEach(t),mh.forEach(t),ou=p(o),Ce=s(o,"DIV",{class:!0});var Ut=r(Ce);v(cr.$$.fragment,Ut),zb=p(Ut),pr=s(Ut,"P",{});var fh=r(pr);Fb=d(fh,`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Ri=s(fh,"A",{href:!0});var _x=r(Ri);qb=d(_x,"TFPreTrainedModel"),_x.forEach(t),Bb=d(fh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fh.forEach(t),jb=p(Ut),ur=s(Ut,"P",{});var _h=r(ur);Eb=d(_h,"This model is also a "),hr=s(_h,"A",{href:!0,rel:!0});var gx=r(hr);Cb=d(gx,"tf.keras.Model"),gx.forEach(t),Ab=d(_h,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),_h.forEach(t),Pb=p(Ut),v(Bn.$$.fragment,Ut),Sb=p(Ut),ct=s(Ut,"DIV",{class:!0});var $a=r(ct);v(mr.$$.fragment,$a),Ob=p($a),Bo=s($a,"P",{});var pd=r(Bo);Ib=d(pd,"The "),Ui=s(pd,"A",{href:!0});var kx=r(Ui);Nb=d(kx,"TFMBartModel"),kx.forEach(t),Db=d(pd," forward method, overrides the "),nc=s(pd,"CODE",{});var bx=r(nc);Lb=d(bx,"__call__"),bx.forEach(t),Gb=d(pd," special method."),pd.forEach(t),Wb=p($a),v(jn.$$.fragment,$a),Rb=p($a),v(En.$$.fragment,$a),$a.forEach(t),Ut.forEach(t),nu=p(o),jo=s(o,"H2",{class:!0});var gh=r(jo);Cn=s(gh,"A",{id:!0,class:!0,href:!0});var yx=r(Cn);ac=s(yx,"SPAN",{});var vx=r(ac);v(fr.$$.fragment,vx),vx.forEach(t),yx.forEach(t),Ub=p(gh),sc=s(gh,"SPAN",{});var Tx=r(sc);Xb=d(Tx,"TFMBartForConditionalGeneration"),Tx.forEach(t),gh.forEach(t),au=p(o),Ae=s(o,"DIV",{class:!0});var Xt=r(Ae);v(_r.$$.fragment,Xt),Qb=p(Xt),gr=s(Xt,"P",{});var kh=r(gr);Hb=d(kh,`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Xi=s(kh,"A",{href:!0});var wx=r(Xi);Vb=d(wx,"TFPreTrainedModel"),wx.forEach(t),Kb=d(kh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kh.forEach(t),Jb=p(Xt),kr=s(Xt,"P",{});var bh=r(kr);Zb=d(bh,"This model is also a "),br=s(bh,"A",{href:!0,rel:!0});var $x=r(br);Yb=d($x,"tf.keras.Model"),$x.forEach(t),ey=d(bh,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),bh.forEach(t),ty=p(Xt),v(An.$$.fragment,Xt),oy=p(Xt),Ge=s(Xt,"DIV",{class:!0});var Qt=r(Ge);v(yr.$$.fragment,Qt),ny=p(Qt),Eo=s(Qt,"P",{});var ud=r(Eo);ay=d(ud,"The "),Qi=s(ud,"A",{href:!0});var xx=r(Qi);sy=d(xx,"TFMBartForConditionalGeneration"),xx.forEach(t),ry=d(ud," forward method, overrides the "),rc=s(ud,"CODE",{});var Mx=r(rc);iy=d(Mx,"__call__"),Mx.forEach(t),dy=d(ud," special method."),ud.forEach(t),ly=p(Qt),v(Pn.$$.fragment,Qt),cy=p(Qt),v(Sn.$$.fragment,Qt),py=p(Qt),v(On.$$.fragment,Qt),Qt.forEach(t),Xt.forEach(t),su=p(o),Co=s(o,"H2",{class:!0});var yh=r(Co);In=s(yh,"A",{id:!0,class:!0,href:!0});var zx=r(In);ic=s(zx,"SPAN",{});var Fx=r(ic);v(vr.$$.fragment,Fx),Fx.forEach(t),zx.forEach(t),uy=p(yh),dc=s(yh,"SPAN",{});var qx=r(dc);hy=d(qx,"FlaxMBartModel"),qx.forEach(t),yh.forEach(t),ru=p(o),Q=s(o,"DIV",{class:!0});var be=r(Q);v(Tr.$$.fragment,be),my=p(be),wr=s(be,"P",{});var vh=r(wr);fy=d(vh,`The bare MBart Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),Hi=s(vh,"A",{href:!0});var Bx=r(Hi);_y=d(Bx,"FlaxPreTrainedModel"),Bx.forEach(t),gy=d(vh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vh.forEach(t),ky=p(be),$r=s(be,"P",{});var Th=r($r);by=d(Th,`This model is also a Flax Linen
`),xr=s(Th,"A",{href:!0,rel:!0});var jx=r(xr);yy=d(jx,"flax.nn.Module"),jx.forEach(t),vy=d(Th,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Th.forEach(t),Ty=p(be),lc=s(be,"P",{});var Ex=r(lc);wy=d(Ex,"Finally, this model supports inherent JAX features such as:"),Ex.forEach(t),$y=p(be),Et=s(be,"UL",{});var xa=r(Et);cc=s(xa,"LI",{});var Cx=r(cc);Mr=s(Cx,"A",{href:!0,rel:!0});var Ax=r(Mr);xy=d(Ax,"Just-In-Time (JIT) compilation"),Ax.forEach(t),Cx.forEach(t),My=p(xa),pc=s(xa,"LI",{});var Px=r(pc);zr=s(Px,"A",{href:!0,rel:!0});var Sx=r(zr);zy=d(Sx,"Automatic Differentiation"),Sx.forEach(t),Px.forEach(t),Fy=p(xa),uc=s(xa,"LI",{});var Ox=r(uc);Fr=s(Ox,"A",{href:!0,rel:!0});var Ix=r(Fr);qy=d(Ix,"Vectorization"),Ix.forEach(t),Ox.forEach(t),By=p(xa),hc=s(xa,"LI",{});var Nx=r(hc);qr=s(Nx,"A",{href:!0,rel:!0});var Dx=r(qr);jy=d(Dx,"Parallelization"),Dx.forEach(t),Nx.forEach(t),xa.forEach(t),Ey=p(be),pt=s(be,"DIV",{class:!0});var Ma=r(pt);v(Br.$$.fragment,Ma),Cy=p(Ma),Ao=s(Ma,"P",{});var hd=r(Ao);Ay=d(hd,"The "),mc=s(hd,"CODE",{});var Lx=r(mc);Py=d(Lx,"FlaxMBartPreTrainedModel"),Lx.forEach(t),Sy=d(hd," forward method, overrides the "),fc=s(hd,"CODE",{});var Gx=r(fc);Oy=d(Gx,"__call__"),Gx.forEach(t),Iy=d(hd," special method."),hd.forEach(t),Ny=p(Ma),v(Nn.$$.fragment,Ma),Dy=p(Ma),v(Dn.$$.fragment,Ma),Ma.forEach(t),Ly=p(be),Ln=s(be,"DIV",{class:!0});var wh=r(Ln);v(jr.$$.fragment,wh),Gy=p(wh),v(Gn.$$.fragment,wh),wh.forEach(t),Wy=p(be),Wn=s(be,"DIV",{class:!0});var $h=r(Wn);v(Er.$$.fragment,$h),Ry=p($h),v(Rn.$$.fragment,$h),$h.forEach(t),be.forEach(t),iu=p(o),Po=s(o,"H2",{class:!0});var xh=r(Po);Un=s(xh,"A",{id:!0,class:!0,href:!0});var Wx=r(Un);_c=s(Wx,"SPAN",{});var Rx=r(_c);v(Cr.$$.fragment,Rx),Rx.forEach(t),Wx.forEach(t),Uy=p(xh),gc=s(xh,"SPAN",{});var Ux=r(gc);Xy=d(Ux,"FlaxMBartForConditionalGeneration"),Ux.forEach(t),xh.forEach(t),du=p(o),H=s(o,"DIV",{class:!0});var ye=r(H);v(Ar.$$.fragment,ye),Qy=p(ye),Pr=s(ye,"P",{});var Mh=r(Pr);Hy=d(Mh,`The MMBart Model with a language modeling head. Can be used for summarization.
This model inherits from `),Vi=s(Mh,"A",{href:!0});var Xx=r(Vi);Vy=d(Xx,"FlaxPreTrainedModel"),Xx.forEach(t),Ky=d(Mh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Mh.forEach(t),Jy=p(ye),Sr=s(ye,"P",{});var zh=r(Sr);Zy=d(zh,`This model is also a Flax Linen
`),Or=s(zh,"A",{href:!0,rel:!0});var Qx=r(Or);Yy=d(Qx,"flax.nn.Module"),Qx.forEach(t),ev=d(zh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),zh.forEach(t),tv=p(ye),kc=s(ye,"P",{});var Hx=r(kc);ov=d(Hx,"Finally, this model supports inherent JAX features such as:"),Hx.forEach(t),nv=p(ye),Ct=s(ye,"UL",{});var za=r(Ct);bc=s(za,"LI",{});var Vx=r(bc);Ir=s(Vx,"A",{href:!0,rel:!0});var Kx=r(Ir);av=d(Kx,"Just-In-Time (JIT) compilation"),Kx.forEach(t),Vx.forEach(t),sv=p(za),yc=s(za,"LI",{});var Jx=r(yc);Nr=s(Jx,"A",{href:!0,rel:!0});var Zx=r(Nr);rv=d(Zx,"Automatic Differentiation"),Zx.forEach(t),Jx.forEach(t),iv=p(za),vc=s(za,"LI",{});var Yx=r(vc);Dr=s(Yx,"A",{href:!0,rel:!0});var eM=r(Dr);dv=d(eM,"Vectorization"),eM.forEach(t),Yx.forEach(t),lv=p(za),Tc=s(za,"LI",{});var tM=r(Tc);Lr=s(tM,"A",{href:!0,rel:!0});var oM=r(Lr);cv=d(oM,"Parallelization"),oM.forEach(t),tM.forEach(t),za.forEach(t),pv=p(ye),We=s(ye,"DIV",{class:!0});var Ht=r(We);v(Gr.$$.fragment,Ht),uv=p(Ht),So=s(Ht,"P",{});var md=r(So);hv=d(md,"The "),wc=s(md,"CODE",{});var nM=r(wc);mv=d(nM,"FlaxMBartPreTrainedModel"),nM.forEach(t),fv=d(md," forward method, overrides the "),$c=s(md,"CODE",{});var aM=r($c);_v=d(aM,"__call__"),aM.forEach(t),gv=d(md," special method."),md.forEach(t),kv=p(Ht),v(Xn.$$.fragment,Ht),bv=p(Ht),v(Qn.$$.fragment,Ht),yv=p(Ht),v(Hn.$$.fragment,Ht),Ht.forEach(t),vv=p(ye),Vn=s(ye,"DIV",{class:!0});var Fh=r(Vn);v(Wr.$$.fragment,Fh),Tv=p(Fh),v(Kn.$$.fragment,Fh),Fh.forEach(t),wv=p(ye),Jn=s(ye,"DIV",{class:!0});var qh=r(Jn);v(Rr.$$.fragment,qh),$v=p(qh),v(Zn.$$.fragment,qh),qh.forEach(t),ye.forEach(t),lu=p(o),Oo=s(o,"H2",{class:!0});var Bh=r(Oo);Yn=s(Bh,"A",{id:!0,class:!0,href:!0});var sM=r(Yn);xc=s(sM,"SPAN",{});var rM=r(xc);v(Ur.$$.fragment,rM),rM.forEach(t),sM.forEach(t),xv=p(Bh),Mc=s(Bh,"SPAN",{});var iM=r(Mc);Mv=d(iM,"FlaxMBartForSequenceClassification"),iM.forEach(t),Bh.forEach(t),cu=p(o),G=s(o,"DIV",{class:!0});var ae=r(G);v(Xr.$$.fragment,ae),zv=p(ae),zc=s(ae,"P",{});var dM=r(zc);Fv=d(dM,`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),dM.forEach(t),qv=p(ae),Qr=s(ae,"P",{});var jh=r(Qr);Bv=d(jh,"This model inherits from "),Ki=s(jh,"A",{href:!0});var lM=r(Ki);jv=d(lM,"FlaxPreTrainedModel"),lM.forEach(t),Ev=d(jh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jh.forEach(t),Cv=p(ae),Hr=s(ae,"P",{});var Eh=r(Hr);Av=d(Eh,`This model is also a Flax Linen
`),Vr=s(Eh,"A",{href:!0,rel:!0});var cM=r(Vr);Pv=d(cM,"flax.nn.Module"),cM.forEach(t),Sv=d(Eh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Eh.forEach(t),Ov=p(ae),Fc=s(ae,"P",{});var pM=r(Fc);Iv=d(pM,"Finally, this model supports inherent JAX features such as:"),pM.forEach(t),Nv=p(ae),At=s(ae,"UL",{});var Fa=r(At);qc=s(Fa,"LI",{});var uM=r(qc);Kr=s(uM,"A",{href:!0,rel:!0});var hM=r(Kr);Dv=d(hM,"Just-In-Time (JIT) compilation"),hM.forEach(t),uM.forEach(t),Lv=p(Fa),Bc=s(Fa,"LI",{});var mM=r(Bc);Jr=s(mM,"A",{href:!0,rel:!0});var fM=r(Jr);Gv=d(fM,"Automatic Differentiation"),fM.forEach(t),mM.forEach(t),Wv=p(Fa),jc=s(Fa,"LI",{});var _M=r(jc);Zr=s(_M,"A",{href:!0,rel:!0});var gM=r(Zr);Rv=d(gM,"Vectorization"),gM.forEach(t),_M.forEach(t),Uv=p(Fa),Ec=s(Fa,"LI",{});var kM=r(Ec);Yr=s(kM,"A",{href:!0,rel:!0});var bM=r(Yr);Xv=d(bM,"Parallelization"),bM.forEach(t),kM.forEach(t),Fa.forEach(t),Qv=p(ae),ut=s(ae,"DIV",{class:!0});var qa=r(ut);v(ei.$$.fragment,qa),Hv=p(qa),Io=s(qa,"P",{});var fd=r(Io);Vv=d(fd,"The "),Cc=s(fd,"CODE",{});var yM=r(Cc);Kv=d(yM,"FlaxMBartPreTrainedModel"),yM.forEach(t),Jv=d(fd," forward method, overrides the "),Ac=s(fd,"CODE",{});var vM=r(Ac);Zv=d(vM,"__call__"),vM.forEach(t),Yv=d(fd," special method."),fd.forEach(t),eT=p(qa),v(ea.$$.fragment,qa),tT=p(qa),v(ta.$$.fragment,qa),qa.forEach(t),oT=p(ae),oa=s(ae,"DIV",{class:!0});var Ch=r(oa);v(ti.$$.fragment,Ch),nT=p(Ch),v(na.$$.fragment,Ch),Ch.forEach(t),aT=p(ae),aa=s(ae,"DIV",{class:!0});var Ah=r(aa);v(oi.$$.fragment,Ah),sT=p(Ah),v(sa.$$.fragment,Ah),Ah.forEach(t),ae.forEach(t),pu=p(o),No=s(o,"H2",{class:!0});var Ph=r(No);ra=s(Ph,"A",{id:!0,class:!0,href:!0});var TM=r(ra);Pc=s(TM,"SPAN",{});var wM=r(Pc);v(ni.$$.fragment,wM),wM.forEach(t),TM.forEach(t),rT=p(Ph),Sc=s(Ph,"SPAN",{});var $M=r(Sc);iT=d($M,"FlaxMBartForQuestionAnswering"),$M.forEach(t),Ph.forEach(t),uu=p(o),W=s(o,"DIV",{class:!0});var se=r(W);v(ai.$$.fragment,se),dT=p(se),Do=s(se,"P",{});var _d=r(Do);lT=d(_d,`MBart Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Oc=s(_d,"CODE",{});var xM=r(Oc);cT=d(xM,"span start logits"),xM.forEach(t),pT=d(_d," and "),Ic=s(_d,"CODE",{});var MM=r(Ic);uT=d(MM,"span end logits"),MM.forEach(t),hT=d(_d,")."),_d.forEach(t),mT=p(se),si=s(se,"P",{});var Sh=r(si);fT=d(Sh,"This model inherits from "),Ji=s(Sh,"A",{href:!0});var zM=r(Ji);_T=d(zM,"FlaxPreTrainedModel"),zM.forEach(t),gT=d(Sh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Sh.forEach(t),kT=p(se),ri=s(se,"P",{});var Oh=r(ri);bT=d(Oh,`This model is also a Flax Linen
`),ii=s(Oh,"A",{href:!0,rel:!0});var FM=r(ii);yT=d(FM,"flax.nn.Module"),FM.forEach(t),vT=d(Oh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Oh.forEach(t),TT=p(se),Nc=s(se,"P",{});var qM=r(Nc);wT=d(qM,"Finally, this model supports inherent JAX features such as:"),qM.forEach(t),$T=p(se),Pt=s(se,"UL",{});var Ba=r(Pt);Dc=s(Ba,"LI",{});var BM=r(Dc);di=s(BM,"A",{href:!0,rel:!0});var jM=r(di);xT=d(jM,"Just-In-Time (JIT) compilation"),jM.forEach(t),BM.forEach(t),MT=p(Ba),Lc=s(Ba,"LI",{});var EM=r(Lc);li=s(EM,"A",{href:!0,rel:!0});var CM=r(li);zT=d(CM,"Automatic Differentiation"),CM.forEach(t),EM.forEach(t),FT=p(Ba),Gc=s(Ba,"LI",{});var AM=r(Gc);ci=s(AM,"A",{href:!0,rel:!0});var PM=r(ci);qT=d(PM,"Vectorization"),PM.forEach(t),AM.forEach(t),BT=p(Ba),Wc=s(Ba,"LI",{});var SM=r(Wc);pi=s(SM,"A",{href:!0,rel:!0});var OM=r(pi);jT=d(OM,"Parallelization"),OM.forEach(t),SM.forEach(t),Ba.forEach(t),ET=p(se),ht=s(se,"DIV",{class:!0});var ja=r(ht);v(ui.$$.fragment,ja),CT=p(ja),Lo=s(ja,"P",{});var gd=r(Lo);AT=d(gd,"The "),Rc=s(gd,"CODE",{});var IM=r(Rc);PT=d(IM,"FlaxMBartPreTrainedModel"),IM.forEach(t),ST=d(gd," forward method, overrides the "),Uc=s(gd,"CODE",{});var NM=r(Uc);OT=d(NM,"__call__"),NM.forEach(t),IT=d(gd," special method."),gd.forEach(t),NT=p(ja),v(ia.$$.fragment,ja),DT=p(ja),v(da.$$.fragment,ja),ja.forEach(t),LT=p(se),la=s(se,"DIV",{class:!0});var Ih=r(la);v(hi.$$.fragment,Ih),GT=p(Ih),v(ca.$$.fragment,Ih),Ih.forEach(t),WT=p(se),pa=s(se,"DIV",{class:!0});var Nh=r(pa);v(mi.$$.fragment,Nh),RT=p(Nh),v(ua.$$.fragment,Nh),Nh.forEach(t),se.forEach(t),this.h()},h(){m(l,"name","hf:doc:metadata"),m(l,"content",JSON.stringify(C1)),m(h,"id","mbart-and-mbart50"),m(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(h,"href","#mbart-and-mbart50"),m(f,"class","relative group"),m(he,"alt","Models"),DM(he.src,B="https://img.shields.io/badge/All_model_pages-mbart-blueviolet")||m(he,"src",B),m(Pe,"href","https://huggingface.co/models?filter=mbart"),m(Se,"alt","Spaces"),DM(Se.src,Ot="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||m(Se,"src",Ot),m(ee,"href","https://huggingface.co/spaces/docs-demos/mbart-large-50-one-to-many-mmt"),m(U,"class","flex flex-wrap space-x-1"),m(Te,"href","https://github.com/huggingface/transformers/issues/new?assignees=&labels=&template=bug-report.md&title"),m(Te,"rel","nofollow"),m(fe,"id","overview-of-mbart"),m(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(fe,"href","#overview-of-mbart"),m(X,"class","relative group"),m(J,"href","https://arxiv.org/abs/2001.08210"),m(J,"rel","nofollow"),m(Me,"href","https://huggingface.co/valhalla"),m(Me,"rel","nofollow"),m(ze,"href","https://github.com/pytorch/fairseq/tree/master/examples/mbart"),m(ze,"rel","nofollow"),m(S,"id","training-of-mbart"),m(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(S,"href","#training-of-mbart"),m(Z,"class","relative group"),m(qe,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),m(Wo,"id","overview-of-mbart50"),m(Wo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Wo,"href","#overview-of-mbart50"),m(ao,"class","relative group"),m(Sa,"href","https://arxiv.org/abs/2008.00401"),m(Sa,"rel","nofollow"),m(Ro,"id","training-of-mbart50"),m(Ro,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ro,"href","#training-of-mbart50"),m(so,"class","relative group"),m(xi,"href","/docs/transformers/main/en/model_doc/mbart#transformers.MBart50Tokenizer"),m(Xo,"id","transformers.MBartConfig"),m(Xo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Xo,"href","#transformers.MBartConfig"),m(ro,"class","relative group"),m(Fi,"href","/docs/transformers/main/en/model_doc/mbart#transformers.MBartModel"),m(Wa,"href","https://huggingface.co/facebook/mbart-large-cc25"),m(Wa,"rel","nofollow"),m(qi,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),m(Bi,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),m(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ho,"id","transformers.MBartTokenizer"),m(Ho,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ho,"href","#transformers.MBartTokenizer"),m(co,"class","relative group"),m(ji,"href","/docs/transformers/main/en/model_doc/roberta#transformers.RobertaTokenizer"),m(Ei,"href","/docs/transformers/main/en/model_doc/xlnet#transformers.XLNetTokenizer"),m(Xa,"href","https://github.com/google/sentencepiece"),m(Xa,"rel","nofollow"),m(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ko,"id","transformers.MBartTokenizerFast"),m(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ko,"href","#transformers.MBartTokenizerFast"),m(uo,"class","relative group"),m(es,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),m(es,"rel","nofollow"),m(Ci,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),m(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Zo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Yo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(en,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(tn,"id","transformers.MBart50Tokenizer"),m(tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(tn,"href","#transformers.MBart50Tokenizer"),m(fo,"class","relative group"),m(hs,"href","https://github.com/google/sentencepiece"),m(hs,"rel","nofollow"),m(Ai,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),m(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(nn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(an,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(sn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(dn,"id","transformers.MBart50TokenizerFast"),m(dn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(dn,"href","#transformers.MBart50TokenizerFast"),m(_o,"class","relative group"),m(zs,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),m(zs,"rel","nofollow"),m(Pi,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),m(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(cn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(pn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(un,"id","transformers.MBartModel"),m(un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(un,"href","#transformers.MBartModel"),m(ko,"class","relative group"),m(Si,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(Ds,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Ds,"rel","nofollow"),m(Oi,"href","/docs/transformers/main/en/model_doc/mbart#transformers.MBartModel"),m(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(fn,"id","transformers.MBartForConditionalGeneration"),m(fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(fn,"href","#transformers.MBartForConditionalGeneration"),m(yo,"class","relative group"),m(Ii,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(Xs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Xs,"rel","nofollow"),m(Ni,"href","/docs/transformers/main/en/model_doc/mbart#transformers.MBartForConditionalGeneration"),m(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(bn,"id","transformers.MBartForQuestionAnswering"),m(bn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(bn,"href","#transformers.MBartForQuestionAnswering"),m(To,"class","relative group"),m(Di,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(Zs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Zs,"rel","nofollow"),m(Li,"href","/docs/transformers/main/en/model_doc/mbart#transformers.MBartForQuestionAnswering"),m(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Tn,"id","transformers.MBartForSequenceClassification"),m(Tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Tn,"href","#transformers.MBartForSequenceClassification"),m(xo,"class","relative group"),m(Gi,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(ar,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(ar,"rel","nofollow"),m(Wi,"href","/docs/transformers/main/en/model_doc/mbart#transformers.MBartForSequenceClassification"),m(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Mn,"id","transformers.MBartForCausalLM"),m(Mn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Mn,"href","#transformers.MBartForCausalLM"),m(zo,"class","relative group"),m(zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Fo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(qn,"id","transformers.TFMBartModel"),m(qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(qn,"href","#transformers.TFMBartModel"),m(qo,"class","relative group"),m(Ri,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),m(hr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(hr,"rel","nofollow"),m(Ui,"href","/docs/transformers/main/en/model_doc/mbart#transformers.TFMBartModel"),m(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Cn,"id","transformers.TFMBartForConditionalGeneration"),m(Cn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Cn,"href","#transformers.TFMBartForConditionalGeneration"),m(jo,"class","relative group"),m(Xi,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),m(br,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(br,"rel","nofollow"),m(Qi,"href","/docs/transformers/main/en/model_doc/mbart#transformers.TFMBartForConditionalGeneration"),m(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(In,"id","transformers.FlaxMBartModel"),m(In,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(In,"href","#transformers.FlaxMBartModel"),m(Co,"class","relative group"),m(Hi,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(xr,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(xr,"rel","nofollow"),m(Mr,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Mr,"rel","nofollow"),m(zr,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(zr,"rel","nofollow"),m(Fr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Fr,"rel","nofollow"),m(qr,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(qr,"rel","nofollow"),m(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ln,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Wn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Un,"id","transformers.FlaxMBartForConditionalGeneration"),m(Un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Un,"href","#transformers.FlaxMBartForConditionalGeneration"),m(Po,"class","relative group"),m(Vi,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(Or,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(Or,"rel","nofollow"),m(Ir,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Ir,"rel","nofollow"),m(Nr,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(Nr,"rel","nofollow"),m(Dr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Dr,"rel","nofollow"),m(Lr,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(Lr,"rel","nofollow"),m(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Vn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Jn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Yn,"id","transformers.FlaxMBartForSequenceClassification"),m(Yn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Yn,"href","#transformers.FlaxMBartForSequenceClassification"),m(Oo,"class","relative group"),m(Ki,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(Vr,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(Vr,"rel","nofollow"),m(Kr,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Kr,"rel","nofollow"),m(Jr,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(Jr,"rel","nofollow"),m(Zr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Zr,"rel","nofollow"),m(Yr,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(Yr,"rel","nofollow"),m(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(oa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(aa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ra,"id","transformers.FlaxMBartForQuestionAnswering"),m(ra,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ra,"href","#transformers.FlaxMBartForQuestionAnswering"),m(No,"class","relative group"),m(Ji,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(ii,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(ii,"rel","nofollow"),m(di,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(di,"rel","nofollow"),m(li,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(li,"rel","nofollow"),m(ci,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(ci,"rel","nofollow"),m(pi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(pi,"rel","nofollow"),m(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(la,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(pa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,_){e(document.head,l),g(o,b,_),g(o,f,_),e(f,h),e(h,k),T(n,k,null),e(f,u),e(f,q),e(q,gt),g(o,tt,_),g(o,U,_),e(U,Pe),e(Pe,he),e(U,kt),e(U,ee),e(ee,Se),g(o,me,_),g(o,re,_),e(re,Ue),e(Ue,ve),e(re,bt),e(re,Te),e(Te,we),e(re,yt),g(o,ot,_),g(o,X,_),e(X,fe),e(fe,Xe),T(ie,Xe,null),e(X,O),e(X,I),e(I,vt),g(o,_e,_),g(o,ge,_),e(ge,Tt),e(ge,J),e(J,wt),e(ge,$t),g(o,R,_),g(o,Oe,_),e(Oe,$e),g(o,nt,_),g(o,de,_),e(de,xe),e(de,Me),e(Me,xt),e(de,le),e(de,ze),e(ze,Fe),g(o,at,_),g(o,Z,_),e(Z,S),e(S,Qe),T(N,Qe,null),e(Z,Mt),e(Z,He),e(He,z),g(o,j,_),g(o,K,_),e(K,Ve),e(K,zt),e(zt,Vt),e(K,C),e(K,Ft),e(Ft,Kt),e(K,Jt),e(K,qt),e(qt,Zt),e(K,ce),e(K,pe),e(pe,Yt),e(K,eo),g(o,ke,_),g(o,te,_),e(te,to),e(te,qe),e(qe,Bt),e(Bt,Ke),e(qe,oo),e(te,Dh),e(te,kd),e(kd,Lh),e(te,Gh),e(te,bd),e(bd,Wh),e(te,Rh),g(o,yp,_),g(o,vi,_),e(vi,yd),e(yd,Uh),g(o,vp,_),T(Ea,o,_),g(o,Tp,_),g(o,Ti,_),e(Ti,Ca),e(Ca,vd),e(vd,Xh),e(Ca,Qh),e(Ca,no),e(no,Hh),e(no,Td),e(Td,Vh),e(no,Kh),e(no,wd),e(wd,Jh),e(no,Zh),g(o,wp,_),T(Aa,o,_),g(o,$p,_),g(o,ao,_),e(ao,Wo),e(Wo,$d),T(Pa,$d,null),e(ao,Yh),e(ao,xd),e(xd,em),g(o,xp,_),g(o,It,_),e(It,tm),e(It,Sa),e(Sa,om),e(It,nm),e(It,Md),e(Md,am),e(It,sm),g(o,Mp,_),g(o,wi,_),e(wi,rm),g(o,zp,_),g(o,$i,_),e($i,zd),e(zd,im),g(o,Fp,_),g(o,so,_),e(so,Ro),e(Ro,Fd),T(Oa,Fd,null),e(so,dm),e(so,qd),e(qd,lm),g(o,qp,_),g(o,st,_),e(st,cm),e(st,Bd),e(Bd,pm),e(st,um),e(st,jd),e(jd,hm),e(st,mm),e(st,Ed),e(Ed,fm),e(st,_m),g(o,Bp,_),g(o,Uo,_),e(Uo,gm),e(Uo,xi),e(xi,km),e(Uo,bm),g(o,jp,_),g(o,Mi,_),e(Mi,Cd),e(Cd,ym),g(o,Ep,_),T(Ia,o,_),g(o,Cp,_),g(o,zi,_),e(zi,Na),e(Na,Ad),e(Ad,vm),e(Na,Tm),e(Na,Be),e(Be,wm),e(Be,Pd),e(Pd,$m),e(Be,xm),e(Be,Sd),e(Sd,Mm),e(Be,zm),e(Be,Od),e(Od,Fm),e(Be,qm),e(Be,Id),e(Id,Bm),e(Be,jm),e(Be,Nd),e(Nd,Em),e(Be,Cm),g(o,Ap,_),T(Da,o,_),g(o,Pp,_),g(o,ro,_),e(ro,Xo),e(Xo,Dd),T(La,Dd,null),e(ro,Am),e(ro,Ld),e(Ld,Pm),g(o,Sp,_),g(o,Je,_),T(Ga,Je,null),e(Je,Sm),e(Je,io),e(io,Om),e(io,Fi),e(Fi,Im),e(io,Nm),e(io,Wa),e(Wa,Dm),e(io,Lm),e(Je,Gm),e(Je,lo),e(lo,Wm),e(lo,qi),e(qi,Rm),e(lo,Um),e(lo,Bi),e(Bi,Xm),e(lo,Qm),e(Je,Hm),T(Qo,Je,null),g(o,Op,_),g(o,co,_),e(co,Ho),e(Ho,Gd),T(Ra,Gd,null),e(co,Vm),e(co,Wd),e(Wd,Km),g(o,Ip,_),g(o,ue,_),T(Ua,ue,null),e(ue,Jm),e(ue,Rd),e(Rd,Zm),e(ue,Ym),e(ue,jt),e(jt,ef),e(jt,ji),e(ji,tf),e(jt,of),e(jt,Ei),e(Ei,nf),e(jt,af),e(jt,Xa),e(Xa,sf),e(jt,rf),e(ue,df),e(ue,po),e(po,lf),e(po,Ud),e(Ud,cf),e(po,pf),e(po,Xd),e(Xd,uf),e(po,hf),e(ue,mf),T(Vo,ue,null),e(ue,ff),e(ue,rt),T(Qa,rt,null),e(rt,_f),e(rt,Ha),e(Ha,gf),e(Ha,Qd),e(Qd,kf),e(Ha,bf),e(rt,yf),e(rt,Va),e(Va,Ka),e(Ka,Hd),e(Hd,vf),e(Ka,Tf),e(Ka,Vd),e(Vd,wf),e(Va,$f),e(Va,Ja),e(Ja,Kd),e(Kd,xf),e(Ja,Mf),e(Ja,Jd),e(Jd,zf),e(rt,Ff),e(rt,Zd),e(Zd,qf),g(o,Np,_),g(o,uo,_),e(uo,Ko),e(Ko,Yd),T(Za,Yd,null),e(uo,Bf),e(uo,el),e(el,jf),g(o,Dp,_),g(o,D,_),T(Ya,D,null),e(D,Ef),e(D,ho),e(ho,Cf),e(ho,tl),e(tl,Af),e(ho,Pf),e(ho,es),e(es,Sf),e(ho,Of),e(D,If),e(D,ts),e(ts,Nf),e(ts,Ci),e(Ci,Df),e(ts,Lf),e(D,Gf),e(D,mo),e(mo,Wf),e(mo,ol),e(ol,Rf),e(mo,Uf),e(mo,nl),e(nl,Xf),e(mo,Qf),e(D,Hf),T(Jo,D,null),e(D,Vf),e(D,Ie),T(os,Ie,null),e(Ie,Kf),e(Ie,al),e(al,Jf),e(Ie,Zf),e(Ie,ns),e(ns,Yf),e(ns,sl),e(sl,e_),e(ns,t_),e(Ie,o_),e(Ie,as),e(as,ss),e(ss,rl),e(rl,n_),e(ss,a_),e(ss,il),e(il,s_),e(as,r_),e(as,rs),e(rs,dl),e(dl,i_),e(rs,d_),e(rs,ll),e(ll,l_),e(Ie,c_),e(Ie,cl),e(cl,p_),e(D,u_),e(D,Zo),T(is,Zo,null),e(Zo,h_),e(Zo,pl),e(pl,m_),e(D,f_),e(D,Yo),T(ds,Yo,null),e(Yo,__),e(Yo,ul),e(ul,g_),e(D,k_),e(D,en),T(ls,en,null),e(en,b_),e(en,hl),e(hl,y_),g(o,Lp,_),g(o,fo,_),e(fo,tn),e(tn,ml),T(cs,ml,null),e(fo,v_),e(fo,fl),e(fl,T_),g(o,Gp,_),g(o,L,_),T(ps,L,null),e(L,w_),e(L,us),e(us,$_),e(us,hs),e(hs,x_),e(us,M_),e(L,z_),e(L,ms),e(ms,F_),e(ms,Ai),e(Ai,q_),e(ms,B_),e(L,j_),T(on,L,null),e(L,E_),e(L,it),T(fs,it,null),e(it,C_),e(it,_s),e(_s,A_),e(_s,_l),e(_l,P_),e(_s,S_),e(it,O_),e(it,gs),e(gs,ks),e(ks,gl),e(gl,I_),e(ks,N_),e(ks,kl),e(kl,D_),e(gs,L_),e(gs,bs),e(bs,bl),e(bl,G_),e(bs,W_),e(bs,yl),e(yl,R_),e(it,U_),e(it,vl),e(vl,X_),e(L,Q_),e(L,nn),T(ys,nn,null),e(nn,H_),e(nn,Tl),e(Tl,V_),e(L,K_),e(L,an),T(vs,an,null),e(an,J_),e(an,Ts),e(Ts,Z_),e(Ts,wl),e(wl,Y_),e(Ts,eg),e(L,tg),e(L,sn),T(ws,sn,null),e(sn,og),e(sn,$l),e($l,ng),e(L,ag),e(L,rn),T($s,rn,null),e(rn,sg),e(rn,xl),e(xl,rg),g(o,Wp,_),g(o,_o,_),e(_o,dn),e(dn,Ml),T(xs,Ml,null),e(_o,ig),e(_o,zl),e(zl,dg),g(o,Rp,_),g(o,Y,_),T(Ms,Y,null),e(Y,lg),e(Y,go),e(go,cg),e(go,Fl),e(Fl,pg),e(go,ug),e(go,zs),e(zs,hg),e(go,mg),e(Y,fg),e(Y,Fs),e(Fs,_g),e(Fs,Pi),e(Pi,gg),e(Fs,kg),e(Y,bg),T(ln,Y,null),e(Y,yg),e(Y,Ne),T(qs,Ne,null),e(Ne,vg),e(Ne,ql),e(ql,Tg),e(Ne,wg),e(Ne,Bs),e(Bs,$g),e(Bs,Bl),e(Bl,xg),e(Bs,Mg),e(Ne,zg),e(Ne,js),e(js,Es),e(Es,jl),e(jl,Fg),e(Es,qg),e(Es,El),e(El,Bg),e(js,jg),e(js,Cs),e(Cs,Cl),e(Cl,Eg),e(Cs,Cg),e(Cs,Al),e(Al,Ag),e(Ne,Pg),e(Ne,Pl),e(Pl,Sg),e(Y,Og),e(Y,cn),T(As,cn,null),e(cn,Ig),e(cn,Sl),e(Sl,Ng),e(Y,Dg),e(Y,pn),T(Ps,pn,null),e(pn,Lg),e(pn,Ol),e(Ol,Gg),g(o,Up,_),g(o,ko,_),e(ko,un),e(un,Il),T(Ss,Il,null),e(ko,Wg),e(ko,Nl),e(Nl,Rg),g(o,Xp,_),g(o,Ze,_),T(Os,Ze,null),e(Ze,Ug),e(Ze,Is),e(Is,Xg),e(Is,Si),e(Si,Qg),e(Is,Hg),e(Ze,Vg),e(Ze,Ns),e(Ns,Kg),e(Ns,Ds),e(Ds,Jg),e(Ns,Zg),e(Ze,Yg),e(Ze,dt),T(Ls,dt,null),e(dt,ek),e(dt,bo),e(bo,tk),e(bo,Oi),e(Oi,ok),e(bo,nk),e(bo,Dl),e(Dl,ak),e(bo,sk),e(dt,rk),T(hn,dt,null),e(dt,ik),T(mn,dt,null),g(o,Qp,_),g(o,yo,_),e(yo,fn),e(fn,Ll),T(Gs,Ll,null),e(yo,dk),e(yo,Gl),e(Gl,lk),g(o,Hp,_),g(o,Ye,_),T(Ws,Ye,null),e(Ye,ck),e(Ye,Rs),e(Rs,pk),e(Rs,Ii),e(Ii,uk),e(Rs,hk),e(Ye,mk),e(Ye,Us),e(Us,fk),e(Us,Xs),e(Xs,_k),e(Us,gk),e(Ye,kk),e(Ye,De),T(Qs,De,null),e(De,bk),e(De,vo),e(vo,yk),e(vo,Ni),e(Ni,vk),e(vo,Tk),e(vo,Wl),e(Wl,wk),e(vo,$k),e(De,xk),T(_n,De,null),e(De,Mk),T(gn,De,null),e(De,zk),T(kn,De,null),g(o,Vp,_),g(o,To,_),e(To,bn),e(bn,Rl),T(Hs,Rl,null),e(To,Fk),e(To,Ul),e(Ul,qk),g(o,Kp,_),g(o,je,_),T(Vs,je,null),e(je,Bk),e(je,wo),e(wo,jk),e(wo,Xl),e(Xl,Ek),e(wo,Ck),e(wo,Ql),e(Ql,Ak),e(wo,Pk),e(je,Sk),e(je,Ks),e(Ks,Ok),e(Ks,Di),e(Di,Ik),e(Ks,Nk),e(je,Dk),e(je,Js),e(Js,Lk),e(Js,Zs),e(Zs,Gk),e(Js,Wk),e(je,Rk),e(je,lt),T(Ys,lt,null),e(lt,Uk),e(lt,$o),e($o,Xk),e($o,Li),e(Li,Qk),e($o,Hk),e($o,Hl),e(Hl,Vk),e($o,Kk),e(lt,Jk),T(yn,lt,null),e(lt,Zk),T(vn,lt,null),g(o,Jp,_),g(o,xo,_),e(xo,Tn),e(Tn,Vl),T(er,Vl,null),e(xo,Yk),e(xo,Kl),e(Kl,eb),g(o,Zp,_),g(o,Ee,_),T(tr,Ee,null),e(Ee,tb),e(Ee,Jl),e(Jl,ob),e(Ee,nb),e(Ee,or),e(or,ab),e(or,Gi),e(Gi,sb),e(or,rb),e(Ee,ib),e(Ee,nr),e(nr,db),e(nr,ar),e(ar,lb),e(nr,cb),e(Ee,pb),e(Ee,Le),T(sr,Le,null),e(Le,ub),e(Le,Mo),e(Mo,hb),e(Mo,Wi),e(Wi,mb),e(Mo,fb),e(Mo,Zl),e(Zl,_b),e(Mo,gb),e(Le,kb),T(wn,Le,null),e(Le,bb),T($n,Le,null),e(Le,yb),T(xn,Le,null),g(o,Yp,_),g(o,zo,_),e(zo,Mn),e(Mn,Yl),T(rr,Yl,null),e(zo,vb),e(zo,ec),e(ec,Tb),g(o,eu,_),g(o,Fo,_),T(ir,Fo,null),e(Fo,wb),e(Fo,zn),T(dr,zn,null),e(zn,$b),T(Fn,zn,null),g(o,tu,_),g(o,qo,_),e(qo,qn),e(qn,tc),T(lr,tc,null),e(qo,xb),e(qo,oc),e(oc,Mb),g(o,ou,_),g(o,Ce,_),T(cr,Ce,null),e(Ce,zb),e(Ce,pr),e(pr,Fb),e(pr,Ri),e(Ri,qb),e(pr,Bb),e(Ce,jb),e(Ce,ur),e(ur,Eb),e(ur,hr),e(hr,Cb),e(ur,Ab),e(Ce,Pb),T(Bn,Ce,null),e(Ce,Sb),e(Ce,ct),T(mr,ct,null),e(ct,Ob),e(ct,Bo),e(Bo,Ib),e(Bo,Ui),e(Ui,Nb),e(Bo,Db),e(Bo,nc),e(nc,Lb),e(Bo,Gb),e(ct,Wb),T(jn,ct,null),e(ct,Rb),T(En,ct,null),g(o,nu,_),g(o,jo,_),e(jo,Cn),e(Cn,ac),T(fr,ac,null),e(jo,Ub),e(jo,sc),e(sc,Xb),g(o,au,_),g(o,Ae,_),T(_r,Ae,null),e(Ae,Qb),e(Ae,gr),e(gr,Hb),e(gr,Xi),e(Xi,Vb),e(gr,Kb),e(Ae,Jb),e(Ae,kr),e(kr,Zb),e(kr,br),e(br,Yb),e(kr,ey),e(Ae,ty),T(An,Ae,null),e(Ae,oy),e(Ae,Ge),T(yr,Ge,null),e(Ge,ny),e(Ge,Eo),e(Eo,ay),e(Eo,Qi),e(Qi,sy),e(Eo,ry),e(Eo,rc),e(rc,iy),e(Eo,dy),e(Ge,ly),T(Pn,Ge,null),e(Ge,cy),T(Sn,Ge,null),e(Ge,py),T(On,Ge,null),g(o,su,_),g(o,Co,_),e(Co,In),e(In,ic),T(vr,ic,null),e(Co,uy),e(Co,dc),e(dc,hy),g(o,ru,_),g(o,Q,_),T(Tr,Q,null),e(Q,my),e(Q,wr),e(wr,fy),e(wr,Hi),e(Hi,_y),e(wr,gy),e(Q,ky),e(Q,$r),e($r,by),e($r,xr),e(xr,yy),e($r,vy),e(Q,Ty),e(Q,lc),e(lc,wy),e(Q,$y),e(Q,Et),e(Et,cc),e(cc,Mr),e(Mr,xy),e(Et,My),e(Et,pc),e(pc,zr),e(zr,zy),e(Et,Fy),e(Et,uc),e(uc,Fr),e(Fr,qy),e(Et,By),e(Et,hc),e(hc,qr),e(qr,jy),e(Q,Ey),e(Q,pt),T(Br,pt,null),e(pt,Cy),e(pt,Ao),e(Ao,Ay),e(Ao,mc),e(mc,Py),e(Ao,Sy),e(Ao,fc),e(fc,Oy),e(Ao,Iy),e(pt,Ny),T(Nn,pt,null),e(pt,Dy),T(Dn,pt,null),e(Q,Ly),e(Q,Ln),T(jr,Ln,null),e(Ln,Gy),T(Gn,Ln,null),e(Q,Wy),e(Q,Wn),T(Er,Wn,null),e(Wn,Ry),T(Rn,Wn,null),g(o,iu,_),g(o,Po,_),e(Po,Un),e(Un,_c),T(Cr,_c,null),e(Po,Uy),e(Po,gc),e(gc,Xy),g(o,du,_),g(o,H,_),T(Ar,H,null),e(H,Qy),e(H,Pr),e(Pr,Hy),e(Pr,Vi),e(Vi,Vy),e(Pr,Ky),e(H,Jy),e(H,Sr),e(Sr,Zy),e(Sr,Or),e(Or,Yy),e(Sr,ev),e(H,tv),e(H,kc),e(kc,ov),e(H,nv),e(H,Ct),e(Ct,bc),e(bc,Ir),e(Ir,av),e(Ct,sv),e(Ct,yc),e(yc,Nr),e(Nr,rv),e(Ct,iv),e(Ct,vc),e(vc,Dr),e(Dr,dv),e(Ct,lv),e(Ct,Tc),e(Tc,Lr),e(Lr,cv),e(H,pv),e(H,We),T(Gr,We,null),e(We,uv),e(We,So),e(So,hv),e(So,wc),e(wc,mv),e(So,fv),e(So,$c),e($c,_v),e(So,gv),e(We,kv),T(Xn,We,null),e(We,bv),T(Qn,We,null),e(We,yv),T(Hn,We,null),e(H,vv),e(H,Vn),T(Wr,Vn,null),e(Vn,Tv),T(Kn,Vn,null),e(H,wv),e(H,Jn),T(Rr,Jn,null),e(Jn,$v),T(Zn,Jn,null),g(o,lu,_),g(o,Oo,_),e(Oo,Yn),e(Yn,xc),T(Ur,xc,null),e(Oo,xv),e(Oo,Mc),e(Mc,Mv),g(o,cu,_),g(o,G,_),T(Xr,G,null),e(G,zv),e(G,zc),e(zc,Fv),e(G,qv),e(G,Qr),e(Qr,Bv),e(Qr,Ki),e(Ki,jv),e(Qr,Ev),e(G,Cv),e(G,Hr),e(Hr,Av),e(Hr,Vr),e(Vr,Pv),e(Hr,Sv),e(G,Ov),e(G,Fc),e(Fc,Iv),e(G,Nv),e(G,At),e(At,qc),e(qc,Kr),e(Kr,Dv),e(At,Lv),e(At,Bc),e(Bc,Jr),e(Jr,Gv),e(At,Wv),e(At,jc),e(jc,Zr),e(Zr,Rv),e(At,Uv),e(At,Ec),e(Ec,Yr),e(Yr,Xv),e(G,Qv),e(G,ut),T(ei,ut,null),e(ut,Hv),e(ut,Io),e(Io,Vv),e(Io,Cc),e(Cc,Kv),e(Io,Jv),e(Io,Ac),e(Ac,Zv),e(Io,Yv),e(ut,eT),T(ea,ut,null),e(ut,tT),T(ta,ut,null),e(G,oT),e(G,oa),T(ti,oa,null),e(oa,nT),T(na,oa,null),e(G,aT),e(G,aa),T(oi,aa,null),e(aa,sT),T(sa,aa,null),g(o,pu,_),g(o,No,_),e(No,ra),e(ra,Pc),T(ni,Pc,null),e(No,rT),e(No,Sc),e(Sc,iT),g(o,uu,_),g(o,W,_),T(ai,W,null),e(W,dT),e(W,Do),e(Do,lT),e(Do,Oc),e(Oc,cT),e(Do,pT),e(Do,Ic),e(Ic,uT),e(Do,hT),e(W,mT),e(W,si),e(si,fT),e(si,Ji),e(Ji,_T),e(si,gT),e(W,kT),e(W,ri),e(ri,bT),e(ri,ii),e(ii,yT),e(ri,vT),e(W,TT),e(W,Nc),e(Nc,wT),e(W,$T),e(W,Pt),e(Pt,Dc),e(Dc,di),e(di,xT),e(Pt,MT),e(Pt,Lc),e(Lc,li),e(li,zT),e(Pt,FT),e(Pt,Gc),e(Gc,ci),e(ci,qT),e(Pt,BT),e(Pt,Wc),e(Wc,pi),e(pi,jT),e(W,ET),e(W,ht),T(ui,ht,null),e(ht,CT),e(ht,Lo),e(Lo,AT),e(Lo,Rc),e(Rc,PT),e(Lo,ST),e(Lo,Uc),e(Uc,OT),e(Lo,IT),e(ht,NT),T(ia,ht,null),e(ht,DT),T(da,ht,null),e(W,LT),e(W,la),T(hi,la,null),e(la,GT),T(ca,la,null),e(W,WT),e(W,pa),T(mi,pa,null),e(pa,RT),T(ua,pa,null),hu=!0},p(o,[_]){const fi={};_&2&&(fi.$$scope={dirty:_,ctx:o}),Qo.$set(fi);const Xc={};_&2&&(Xc.$$scope={dirty:_,ctx:o}),Vo.$set(Xc);const Qc={};_&2&&(Qc.$$scope={dirty:_,ctx:o}),Jo.$set(Qc);const Hc={};_&2&&(Hc.$$scope={dirty:_,ctx:o}),on.$set(Hc);const _i={};_&2&&(_i.$$scope={dirty:_,ctx:o}),ln.$set(_i);const Vc={};_&2&&(Vc.$$scope={dirty:_,ctx:o}),hn.$set(Vc);const Kc={};_&2&&(Kc.$$scope={dirty:_,ctx:o}),mn.$set(Kc);const ha={};_&2&&(ha.$$scope={dirty:_,ctx:o}),_n.$set(ha);const Jc={};_&2&&(Jc.$$scope={dirty:_,ctx:o}),gn.$set(Jc);const Zc={};_&2&&(Zc.$$scope={dirty:_,ctx:o}),kn.$set(Zc);const gi={};_&2&&(gi.$$scope={dirty:_,ctx:o}),yn.$set(gi);const Yc={};_&2&&(Yc.$$scope={dirty:_,ctx:o}),vn.$set(Yc);const ep={};_&2&&(ep.$$scope={dirty:_,ctx:o}),wn.$set(ep);const tp={};_&2&&(tp.$$scope={dirty:_,ctx:o}),$n.$set(tp);const ki={};_&2&&(ki.$$scope={dirty:_,ctx:o}),xn.$set(ki);const op={};_&2&&(op.$$scope={dirty:_,ctx:o}),Fn.$set(op);const np={};_&2&&(np.$$scope={dirty:_,ctx:o}),Bn.$set(np);const ma={};_&2&&(ma.$$scope={dirty:_,ctx:o}),jn.$set(ma);const ap={};_&2&&(ap.$$scope={dirty:_,ctx:o}),En.$set(ap);const sp={};_&2&&(sp.$$scope={dirty:_,ctx:o}),An.$set(sp);const bi={};_&2&&(bi.$$scope={dirty:_,ctx:o}),Pn.$set(bi);const rp={};_&2&&(rp.$$scope={dirty:_,ctx:o}),Sn.$set(rp);const ip={};_&2&&(ip.$$scope={dirty:_,ctx:o}),On.$set(ip);const dp={};_&2&&(dp.$$scope={dirty:_,ctx:o}),Nn.$set(dp);const et={};_&2&&(et.$$scope={dirty:_,ctx:o}),Dn.$set(et);const lp={};_&2&&(lp.$$scope={dirty:_,ctx:o}),Gn.$set(lp);const cp={};_&2&&(cp.$$scope={dirty:_,ctx:o}),Rn.$set(cp);const pp={};_&2&&(pp.$$scope={dirty:_,ctx:o}),Xn.$set(pp);const up={};_&2&&(up.$$scope={dirty:_,ctx:o}),Qn.$set(up);const St={};_&2&&(St.$$scope={dirty:_,ctx:o}),Hn.$set(St);const Zi={};_&2&&(Zi.$$scope={dirty:_,ctx:o}),Kn.$set(Zi);const hp={};_&2&&(hp.$$scope={dirty:_,ctx:o}),Zn.$set(hp);const mp={};_&2&&(mp.$$scope={dirty:_,ctx:o}),ea.$set(mp);const fp={};_&2&&(fp.$$scope={dirty:_,ctx:o}),ta.$set(fp);const _p={};_&2&&(_p.$$scope={dirty:_,ctx:o}),na.$set(_p);const gp={};_&2&&(gp.$$scope={dirty:_,ctx:o}),sa.$set(gp);const kp={};_&2&&(kp.$$scope={dirty:_,ctx:o}),ia.$set(kp);const yi={};_&2&&(yi.$$scope={dirty:_,ctx:o}),da.$set(yi);const bp={};_&2&&(bp.$$scope={dirty:_,ctx:o}),ca.$set(bp);const Go={};_&2&&(Go.$$scope={dirty:_,ctx:o}),ua.$set(Go)},i(o){hu||(w(n.$$.fragment,o),w(ie.$$.fragment,o),w(N.$$.fragment,o),w(Ea.$$.fragment,o),w(Aa.$$.fragment,o),w(Pa.$$.fragment,o),w(Oa.$$.fragment,o),w(Ia.$$.fragment,o),w(Da.$$.fragment,o),w(La.$$.fragment,o),w(Ga.$$.fragment,o),w(Qo.$$.fragment,o),w(Ra.$$.fragment,o),w(Ua.$$.fragment,o),w(Vo.$$.fragment,o),w(Qa.$$.fragment,o),w(Za.$$.fragment,o),w(Ya.$$.fragment,o),w(Jo.$$.fragment,o),w(os.$$.fragment,o),w(is.$$.fragment,o),w(ds.$$.fragment,o),w(ls.$$.fragment,o),w(cs.$$.fragment,o),w(ps.$$.fragment,o),w(on.$$.fragment,o),w(fs.$$.fragment,o),w(ys.$$.fragment,o),w(vs.$$.fragment,o),w(ws.$$.fragment,o),w($s.$$.fragment,o),w(xs.$$.fragment,o),w(Ms.$$.fragment,o),w(ln.$$.fragment,o),w(qs.$$.fragment,o),w(As.$$.fragment,o),w(Ps.$$.fragment,o),w(Ss.$$.fragment,o),w(Os.$$.fragment,o),w(Ls.$$.fragment,o),w(hn.$$.fragment,o),w(mn.$$.fragment,o),w(Gs.$$.fragment,o),w(Ws.$$.fragment,o),w(Qs.$$.fragment,o),w(_n.$$.fragment,o),w(gn.$$.fragment,o),w(kn.$$.fragment,o),w(Hs.$$.fragment,o),w(Vs.$$.fragment,o),w(Ys.$$.fragment,o),w(yn.$$.fragment,o),w(vn.$$.fragment,o),w(er.$$.fragment,o),w(tr.$$.fragment,o),w(sr.$$.fragment,o),w(wn.$$.fragment,o),w($n.$$.fragment,o),w(xn.$$.fragment,o),w(rr.$$.fragment,o),w(ir.$$.fragment,o),w(dr.$$.fragment,o),w(Fn.$$.fragment,o),w(lr.$$.fragment,o),w(cr.$$.fragment,o),w(Bn.$$.fragment,o),w(mr.$$.fragment,o),w(jn.$$.fragment,o),w(En.$$.fragment,o),w(fr.$$.fragment,o),w(_r.$$.fragment,o),w(An.$$.fragment,o),w(yr.$$.fragment,o),w(Pn.$$.fragment,o),w(Sn.$$.fragment,o),w(On.$$.fragment,o),w(vr.$$.fragment,o),w(Tr.$$.fragment,o),w(Br.$$.fragment,o),w(Nn.$$.fragment,o),w(Dn.$$.fragment,o),w(jr.$$.fragment,o),w(Gn.$$.fragment,o),w(Er.$$.fragment,o),w(Rn.$$.fragment,o),w(Cr.$$.fragment,o),w(Ar.$$.fragment,o),w(Gr.$$.fragment,o),w(Xn.$$.fragment,o),w(Qn.$$.fragment,o),w(Hn.$$.fragment,o),w(Wr.$$.fragment,o),w(Kn.$$.fragment,o),w(Rr.$$.fragment,o),w(Zn.$$.fragment,o),w(Ur.$$.fragment,o),w(Xr.$$.fragment,o),w(ei.$$.fragment,o),w(ea.$$.fragment,o),w(ta.$$.fragment,o),w(ti.$$.fragment,o),w(na.$$.fragment,o),w(oi.$$.fragment,o),w(sa.$$.fragment,o),w(ni.$$.fragment,o),w(ai.$$.fragment,o),w(ui.$$.fragment,o),w(ia.$$.fragment,o),w(da.$$.fragment,o),w(hi.$$.fragment,o),w(ca.$$.fragment,o),w(mi.$$.fragment,o),w(ua.$$.fragment,o),hu=!0)},o(o){$(n.$$.fragment,o),$(ie.$$.fragment,o),$(N.$$.fragment,o),$(Ea.$$.fragment,o),$(Aa.$$.fragment,o),$(Pa.$$.fragment,o),$(Oa.$$.fragment,o),$(Ia.$$.fragment,o),$(Da.$$.fragment,o),$(La.$$.fragment,o),$(Ga.$$.fragment,o),$(Qo.$$.fragment,o),$(Ra.$$.fragment,o),$(Ua.$$.fragment,o),$(Vo.$$.fragment,o),$(Qa.$$.fragment,o),$(Za.$$.fragment,o),$(Ya.$$.fragment,o),$(Jo.$$.fragment,o),$(os.$$.fragment,o),$(is.$$.fragment,o),$(ds.$$.fragment,o),$(ls.$$.fragment,o),$(cs.$$.fragment,o),$(ps.$$.fragment,o),$(on.$$.fragment,o),$(fs.$$.fragment,o),$(ys.$$.fragment,o),$(vs.$$.fragment,o),$(ws.$$.fragment,o),$($s.$$.fragment,o),$(xs.$$.fragment,o),$(Ms.$$.fragment,o),$(ln.$$.fragment,o),$(qs.$$.fragment,o),$(As.$$.fragment,o),$(Ps.$$.fragment,o),$(Ss.$$.fragment,o),$(Os.$$.fragment,o),$(Ls.$$.fragment,o),$(hn.$$.fragment,o),$(mn.$$.fragment,o),$(Gs.$$.fragment,o),$(Ws.$$.fragment,o),$(Qs.$$.fragment,o),$(_n.$$.fragment,o),$(gn.$$.fragment,o),$(kn.$$.fragment,o),$(Hs.$$.fragment,o),$(Vs.$$.fragment,o),$(Ys.$$.fragment,o),$(yn.$$.fragment,o),$(vn.$$.fragment,o),$(er.$$.fragment,o),$(tr.$$.fragment,o),$(sr.$$.fragment,o),$(wn.$$.fragment,o),$($n.$$.fragment,o),$(xn.$$.fragment,o),$(rr.$$.fragment,o),$(ir.$$.fragment,o),$(dr.$$.fragment,o),$(Fn.$$.fragment,o),$(lr.$$.fragment,o),$(cr.$$.fragment,o),$(Bn.$$.fragment,o),$(mr.$$.fragment,o),$(jn.$$.fragment,o),$(En.$$.fragment,o),$(fr.$$.fragment,o),$(_r.$$.fragment,o),$(An.$$.fragment,o),$(yr.$$.fragment,o),$(Pn.$$.fragment,o),$(Sn.$$.fragment,o),$(On.$$.fragment,o),$(vr.$$.fragment,o),$(Tr.$$.fragment,o),$(Br.$$.fragment,o),$(Nn.$$.fragment,o),$(Dn.$$.fragment,o),$(jr.$$.fragment,o),$(Gn.$$.fragment,o),$(Er.$$.fragment,o),$(Rn.$$.fragment,o),$(Cr.$$.fragment,o),$(Ar.$$.fragment,o),$(Gr.$$.fragment,o),$(Xn.$$.fragment,o),$(Qn.$$.fragment,o),$(Hn.$$.fragment,o),$(Wr.$$.fragment,o),$(Kn.$$.fragment,o),$(Rr.$$.fragment,o),$(Zn.$$.fragment,o),$(Ur.$$.fragment,o),$(Xr.$$.fragment,o),$(ei.$$.fragment,o),$(ea.$$.fragment,o),$(ta.$$.fragment,o),$(ti.$$.fragment,o),$(na.$$.fragment,o),$(oi.$$.fragment,o),$(sa.$$.fragment,o),$(ni.$$.fragment,o),$(ai.$$.fragment,o),$(ui.$$.fragment,o),$(ia.$$.fragment,o),$(da.$$.fragment,o),$(hi.$$.fragment,o),$(ca.$$.fragment,o),$(mi.$$.fragment,o),$(ua.$$.fragment,o),hu=!1},d(o){t(l),o&&t(b),o&&t(f),x(n),o&&t(tt),o&&t(U),o&&t(me),o&&t(re),o&&t(ot),o&&t(X),x(ie),o&&t(_e),o&&t(ge),o&&t(R),o&&t(Oe),o&&t(nt),o&&t(de),o&&t(at),o&&t(Z),x(N),o&&t(j),o&&t(K),o&&t(ke),o&&t(te),o&&t(yp),o&&t(vi),o&&t(vp),x(Ea,o),o&&t(Tp),o&&t(Ti),o&&t(wp),x(Aa,o),o&&t($p),o&&t(ao),x(Pa),o&&t(xp),o&&t(It),o&&t(Mp),o&&t(wi),o&&t(zp),o&&t($i),o&&t(Fp),o&&t(so),x(Oa),o&&t(qp),o&&t(st),o&&t(Bp),o&&t(Uo),o&&t(jp),o&&t(Mi),o&&t(Ep),x(Ia,o),o&&t(Cp),o&&t(zi),o&&t(Ap),x(Da,o),o&&t(Pp),o&&t(ro),x(La),o&&t(Sp),o&&t(Je),x(Ga),x(Qo),o&&t(Op),o&&t(co),x(Ra),o&&t(Ip),o&&t(ue),x(Ua),x(Vo),x(Qa),o&&t(Np),o&&t(uo),x(Za),o&&t(Dp),o&&t(D),x(Ya),x(Jo),x(os),x(is),x(ds),x(ls),o&&t(Lp),o&&t(fo),x(cs),o&&t(Gp),o&&t(L),x(ps),x(on),x(fs),x(ys),x(vs),x(ws),x($s),o&&t(Wp),o&&t(_o),x(xs),o&&t(Rp),o&&t(Y),x(Ms),x(ln),x(qs),x(As),x(Ps),o&&t(Up),o&&t(ko),x(Ss),o&&t(Xp),o&&t(Ze),x(Os),x(Ls),x(hn),x(mn),o&&t(Qp),o&&t(yo),x(Gs),o&&t(Hp),o&&t(Ye),x(Ws),x(Qs),x(_n),x(gn),x(kn),o&&t(Vp),o&&t(To),x(Hs),o&&t(Kp),o&&t(je),x(Vs),x(Ys),x(yn),x(vn),o&&t(Jp),o&&t(xo),x(er),o&&t(Zp),o&&t(Ee),x(tr),x(sr),x(wn),x($n),x(xn),o&&t(Yp),o&&t(zo),x(rr),o&&t(eu),o&&t(Fo),x(ir),x(dr),x(Fn),o&&t(tu),o&&t(qo),x(lr),o&&t(ou),o&&t(Ce),x(cr),x(Bn),x(mr),x(jn),x(En),o&&t(nu),o&&t(jo),x(fr),o&&t(au),o&&t(Ae),x(_r),x(An),x(yr),x(Pn),x(Sn),x(On),o&&t(su),o&&t(Co),x(vr),o&&t(ru),o&&t(Q),x(Tr),x(Br),x(Nn),x(Dn),x(jr),x(Gn),x(Er),x(Rn),o&&t(iu),o&&t(Po),x(Cr),o&&t(du),o&&t(H),x(Ar),x(Gr),x(Xn),x(Qn),x(Hn),x(Wr),x(Kn),x(Rr),x(Zn),o&&t(lu),o&&t(Oo),x(Ur),o&&t(cu),o&&t(G),x(Xr),x(ei),x(ea),x(ta),x(ti),x(na),x(oi),x(sa),o&&t(pu),o&&t(No),x(ni),o&&t(uu),o&&t(W),x(ai),x(ui),x(ia),x(da),x(hi),x(ca),x(mi),x(ua)}}}const C1={local:"mbart-and-mbart50",sections:[{local:"overview-of-mbart",sections:[{local:"training-of-mbart",title:"Training of MBart"}],title:"Overview of MBart"},{local:"overview-of-mbart50",sections:[{local:"training-of-mbart50",title:"Training of MBart-50"}],title:"Overview of MBart-50"},{local:"transformers.MBartConfig",title:"MBartConfig"},{local:"transformers.MBartTokenizer",title:"MBartTokenizer"},{local:"transformers.MBartTokenizerFast",title:"MBartTokenizerFast"},{local:"transformers.MBart50Tokenizer",title:"MBart50Tokenizer"},{local:"transformers.MBart50TokenizerFast",title:"MBart50TokenizerFast"},{local:"transformers.MBartModel",title:"MBartModel"},{local:"transformers.MBartForConditionalGeneration",title:"MBartForConditionalGeneration"},{local:"transformers.MBartForQuestionAnswering",title:"MBartForQuestionAnswering"},{local:"transformers.MBartForSequenceClassification",title:"MBartForSequenceClassification"},{local:"transformers.MBartForCausalLM",title:"MBartForCausalLM"},{local:"transformers.TFMBartModel",title:"TFMBartModel"},{local:"transformers.TFMBartForConditionalGeneration",title:"TFMBartForConditionalGeneration"},{local:"transformers.FlaxMBartModel",title:"FlaxMBartModel"},{local:"transformers.FlaxMBartForConditionalGeneration",title:"FlaxMBartForConditionalGeneration"},{local:"transformers.FlaxMBartForSequenceClassification",title:"FlaxMBartForSequenceClassification"},{local:"transformers.FlaxMBartForQuestionAnswering",title:"FlaxMBartForQuestionAnswering"}],title:"MBart and MBart-50"};function A1(M){return UM(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class L1 extends LM{constructor(l){super();GM(this,l,A1,E1,WM,{})}}export{L1 as default,C1 as metadata};
