import{S as Cu,i as qu,s as ju,e as a,k as p,w as v,t as n,M as Au,c as r,d as t,m as u,a as i,x as w,h as s,b as d,G as e,g as f,y as k,q as P,o as $,B as O,v as Lu,L as ft}from"../../chunks/vendor-hf-doc-builder.js";import{T as qs}from"../../chunks/Tip-hf-doc-builder.js";import{D as ee}from"../../chunks/Docstring-hf-doc-builder.js";import{C as gt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ie}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as mt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as jc}from"../../chunks/PipelineTag-hf-doc-builder.js";function Iu(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import OPTConfig, OPTModel

# Initializing a OPT facebook/opt-large style configuration
configuration = OPTConfig()

# Initializing a model (with random weights) from the facebook/opt-large style configuration
model = OPTModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> OPTConfig, OPTModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a OPT facebook/opt-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = OPTConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/opt-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Nu(x){let c,b,_,m,T;return{c(){c=a("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),m=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(h,"CODE",{});var M=i(_);m=s(M,"Module"),M.forEach(t),T=s(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){f(l,c,h),e(c,b),e(c,_),e(_,m),e(c,T)},d(l){l&&t(c)}}}function Su(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import AutoTokenizer, OPTModel
import torch

tokenizer = AutoTokenizer.from_pretrained("facebook/opt-350m")
model = OPTModel.from_pretrained("facebook/opt-350m")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, OPTModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTModel.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Du(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import AutoTokenizer, OPTForCausalLM

model = OPTForCausalLM.from_pretrained("facebook/opt-350m")
tokenizer = AutoTokenizer.from_pretrained("facebook/opt-350m")

prompt = "Hey, are you consciours? Can you talk to me?"
inputs = tokenizer(prompt, return_tensors="pt")

# Generate
generate_ids = model.generate(inputs.input_ids, max_length=30)
tokenizer.batch_decode(generate_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, OPTForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTForCausalLM.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;Hey, are you consciours? Can you talk to me?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>generate_ids = model.generate(inputs.input_ids, max_length=<span class="hljs-number">30</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generate_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;Hey, are you consciours? Can you talk to me?\\nI&#x27;m not consciours, but I can talk to you.&quot;</span>`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Wu(x){let c,b,_,m,T,l,h,M,Ne,Fe,j,te,ae,F,Se,R,De,xe,D,We,re,ie,He,ze,K,Be,Ee,V,be,Qe,me,C,A,Me,W,le,Ue,Z,Ke,Ve,L,I,de,ye,Ge,ce,ve,Re,J,we,pe,Ze,oe,N,Je,H,q,Ye;return{c(){c=a("p"),b=n("TensorFlow models and layers in "),_=a("code"),m=n("transformers"),T=n(" accept two formats as input:"),l=p(),h=a("ul"),M=a("li"),Ne=n("having all inputs as keyword arguments (like PyTorch models), or"),Fe=p(),j=a("li"),te=n("having all inputs as a list, tuple or dict in the first positional argument."),ae=p(),F=a("p"),Se=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a("code"),De=n("model.fit()"),xe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a("code"),We=n("model.fit()"),re=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),ie=a("code"),He=n("fit()"),ze=n(" and "),K=a("code"),Be=n("predict()"),Ee=n(`, such as when creating your own layers or models with
the Keras `),V=a("code"),be=n("Functional"),Qe=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),me=p(),C=a("ul"),A=a("li"),Me=n("a single Tensor with "),W=a("code"),le=n("input_ids"),Ue=n(" only and nothing else: "),Z=a("code"),Ke=n("model(input_ids)"),Ve=p(),L=a("li"),I=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),de=a("code"),ye=n("model([input_ids, attention_mask])"),Ge=n(" or "),ce=a("code"),ve=n("model([input_ids, attention_mask, token_type_ids])"),Re=p(),J=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),pe=a("code"),Ze=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),N=a("p"),Je=n(`Note that when creating models and layers with
`),H=a("a"),q=n("subclassing"),Ye=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){c=r(y,"P",{});var z=i(c);b=s(z,"TensorFlow models and layers in "),_=r(z,"CODE",{});var _t=i(_);m=s(_t,"transformers"),_t.forEach(t),T=s(z," accept two formats as input:"),z.forEach(t),l=u(y),h=r(y,"UL",{});var Y=i(h);M=r(Y,"LI",{});var Tt=i(M);Ne=s(Tt,"having all inputs as keyword arguments (like PyTorch models), or"),Tt.forEach(t),Fe=u(Y),j=r(Y,"LI",{});var bt=i(j);te=s(bt,"having all inputs as a list, tuple or dict in the first positional argument."),bt.forEach(t),Y.forEach(t),ae=u(y),F=r(y,"P",{});var E=i(F);Se=s(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r(E,"CODE",{});var yt=i(R);De=s(yt,"model.fit()"),yt.forEach(t),xe=s(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=r(E,"CODE",{});var vt=i(D);We=s(vt,"model.fit()"),vt.forEach(t),re=s(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),ie=r(E,"CODE",{});var ke=i(ie);He=s(ke,"fit()"),ke.forEach(t),ze=s(E," and "),K=r(E,"CODE",{});var wt=i(K);Be=s(wt,"predict()"),wt.forEach(t),Ee=s(E,`, such as when creating your own layers or models with
the Keras `),V=r(E,"CODE",{});var kt=i(V);be=s(kt,"Functional"),kt.forEach(t),Qe=s(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),me=u(y),C=r(y,"UL",{});var G=i(C);A=r(G,"LI",{});var S=i(A);Me=s(S,"a single Tensor with "),W=r(S,"CODE",{});var fe=i(W);le=s(fe,"input_ids"),fe.forEach(t),Ue=s(S," only and nothing else: "),Z=r(S,"CODE",{});var Xe=i(Z);Ke=s(Xe,"model(input_ids)"),Xe.forEach(t),S.forEach(t),Ve=u(G),L=r(G,"LI",{});var B=i(L);I=s(B,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),de=r(B,"CODE",{});var Pt=i(de);ye=s(Pt,"model([input_ids, attention_mask])"),Pt.forEach(t),Ge=s(B," or "),ce=r(B,"CODE",{});var et=i(ce);ve=s(et,"model([input_ids, attention_mask, token_type_ids])"),et.forEach(t),B.forEach(t),Re=u(G),J=r(G,"LI",{});var tt=i(J);we=s(tt,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),pe=r(tt,"CODE",{});var nt=i(pe);Ze=s(nt,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),nt.forEach(t),tt.forEach(t),G.forEach(t),oe=u(y),N=r(y,"P",{});var ne=i(N);Je=s(ne,`Note that when creating models and layers with
`),H=r(ne,"A",{href:!0,rel:!0});var $t=i(H);q=s($t,"subclassing"),$t.forEach(t),Ye=s(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){d(H,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(H,"rel","nofollow")},m(y,z){f(y,c,z),e(c,b),e(c,_),e(_,m),e(c,T),f(y,l,z),f(y,h,z),e(h,M),e(M,Ne),e(h,Fe),e(h,j),e(j,te),f(y,ae,z),f(y,F,z),e(F,Se),e(F,R),e(R,De),e(F,xe),e(F,D),e(D,We),e(F,re),e(F,ie),e(ie,He),e(F,ze),e(F,K),e(K,Be),e(F,Ee),e(F,V),e(V,be),e(F,Qe),f(y,me,z),f(y,C,z),e(C,A),e(A,Me),e(A,W),e(W,le),e(A,Ue),e(A,Z),e(Z,Ke),e(C,Ve),e(C,L),e(L,I),e(L,de),e(de,ye),e(L,Ge),e(L,ce),e(ce,ve),e(C,Re),e(C,J),e(J,we),e(J,pe),e(pe,Ze),f(y,oe,z),f(y,N,z),e(N,Je),e(N,H),e(H,q),e(N,Ye)},d(y){y&&t(c),y&&t(l),y&&t(h),y&&t(ae),y&&t(F),y&&t(me),y&&t(C),y&&t(oe),y&&t(N)}}}function Hu(x){let c,b,_,m,T;return{c(){c=a("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),m=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(h,"CODE",{});var M=i(_);m=s(M,"Module"),M.forEach(t),T=s(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){f(l,c,h),e(c,b),e(c,_),e(_,m),e(c,T)},d(l){l&&t(c)}}}function Bu(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import AutoTokenizer, TFOPTModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("facebook/opt-350m")
model = TFOPTModel.from_pretrained("facebook/opt-350m")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFOPTModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFOPTModel.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Qu(x){let c,b,_,m,T,l,h,M,Ne,Fe,j,te,ae,F,Se,R,De,xe,D,We,re,ie,He,ze,K,Be,Ee,V,be,Qe,me,C,A,Me,W,le,Ue,Z,Ke,Ve,L,I,de,ye,Ge,ce,ve,Re,J,we,pe,Ze,oe,N,Je,H,q,Ye;return{c(){c=a("p"),b=n("TensorFlow models and layers in "),_=a("code"),m=n("transformers"),T=n(" accept two formats as input:"),l=p(),h=a("ul"),M=a("li"),Ne=n("having all inputs as keyword arguments (like PyTorch models), or"),Fe=p(),j=a("li"),te=n("having all inputs as a list, tuple or dict in the first positional argument."),ae=p(),F=a("p"),Se=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a("code"),De=n("model.fit()"),xe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a("code"),We=n("model.fit()"),re=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),ie=a("code"),He=n("fit()"),ze=n(" and "),K=a("code"),Be=n("predict()"),Ee=n(`, such as when creating your own layers or models with
the Keras `),V=a("code"),be=n("Functional"),Qe=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),me=p(),C=a("ul"),A=a("li"),Me=n("a single Tensor with "),W=a("code"),le=n("input_ids"),Ue=n(" only and nothing else: "),Z=a("code"),Ke=n("model(input_ids)"),Ve=p(),L=a("li"),I=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),de=a("code"),ye=n("model([input_ids, attention_mask])"),Ge=n(" or "),ce=a("code"),ve=n("model([input_ids, attention_mask, token_type_ids])"),Re=p(),J=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),pe=a("code"),Ze=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),N=a("p"),Je=n(`Note that when creating models and layers with
`),H=a("a"),q=n("subclassing"),Ye=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){c=r(y,"P",{});var z=i(c);b=s(z,"TensorFlow models and layers in "),_=r(z,"CODE",{});var _t=i(_);m=s(_t,"transformers"),_t.forEach(t),T=s(z," accept two formats as input:"),z.forEach(t),l=u(y),h=r(y,"UL",{});var Y=i(h);M=r(Y,"LI",{});var Tt=i(M);Ne=s(Tt,"having all inputs as keyword arguments (like PyTorch models), or"),Tt.forEach(t),Fe=u(Y),j=r(Y,"LI",{});var bt=i(j);te=s(bt,"having all inputs as a list, tuple or dict in the first positional argument."),bt.forEach(t),Y.forEach(t),ae=u(y),F=r(y,"P",{});var E=i(F);Se=s(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r(E,"CODE",{});var yt=i(R);De=s(yt,"model.fit()"),yt.forEach(t),xe=s(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=r(E,"CODE",{});var vt=i(D);We=s(vt,"model.fit()"),vt.forEach(t),re=s(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),ie=r(E,"CODE",{});var ke=i(ie);He=s(ke,"fit()"),ke.forEach(t),ze=s(E," and "),K=r(E,"CODE",{});var wt=i(K);Be=s(wt,"predict()"),wt.forEach(t),Ee=s(E,`, such as when creating your own layers or models with
the Keras `),V=r(E,"CODE",{});var kt=i(V);be=s(kt,"Functional"),kt.forEach(t),Qe=s(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),me=u(y),C=r(y,"UL",{});var G=i(C);A=r(G,"LI",{});var S=i(A);Me=s(S,"a single Tensor with "),W=r(S,"CODE",{});var fe=i(W);le=s(fe,"input_ids"),fe.forEach(t),Ue=s(S," only and nothing else: "),Z=r(S,"CODE",{});var Xe=i(Z);Ke=s(Xe,"model(input_ids)"),Xe.forEach(t),S.forEach(t),Ve=u(G),L=r(G,"LI",{});var B=i(L);I=s(B,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),de=r(B,"CODE",{});var Pt=i(de);ye=s(Pt,"model([input_ids, attention_mask])"),Pt.forEach(t),Ge=s(B," or "),ce=r(B,"CODE",{});var et=i(ce);ve=s(et,"model([input_ids, attention_mask, token_type_ids])"),et.forEach(t),B.forEach(t),Re=u(G),J=r(G,"LI",{});var tt=i(J);we=s(tt,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),pe=r(tt,"CODE",{});var nt=i(pe);Ze=s(nt,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),nt.forEach(t),tt.forEach(t),G.forEach(t),oe=u(y),N=r(y,"P",{});var ne=i(N);Je=s(ne,`Note that when creating models and layers with
`),H=r(ne,"A",{href:!0,rel:!0});var $t=i(H);q=s($t,"subclassing"),$t.forEach(t),Ye=s(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){d(H,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(H,"rel","nofollow")},m(y,z){f(y,c,z),e(c,b),e(c,_),e(_,m),e(c,T),f(y,l,z),f(y,h,z),e(h,M),e(M,Ne),e(h,Fe),e(h,j),e(j,te),f(y,ae,z),f(y,F,z),e(F,Se),e(F,R),e(R,De),e(F,xe),e(F,D),e(D,We),e(F,re),e(F,ie),e(ie,He),e(F,ze),e(F,K),e(K,Be),e(F,Ee),e(F,V),e(V,be),e(F,Qe),f(y,me,z),f(y,C,z),e(C,A),e(A,Me),e(A,W),e(W,le),e(A,Ue),e(A,Z),e(Z,Ke),e(C,Ve),e(C,L),e(L,I),e(L,de),e(de,ye),e(L,Ge),e(L,ce),e(ce,ve),e(C,Re),e(C,J),e(J,we),e(J,pe),e(pe,Ze),f(y,oe,z),f(y,N,z),e(N,Je),e(N,H),e(H,q),e(N,Ye)},d(y){y&&t(c),y&&t(l),y&&t(h),y&&t(ae),y&&t(F),y&&t(me),y&&t(C),y&&t(oe),y&&t(N)}}}function Uu(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import AutoTokenizer, TFOPTForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("facebook/opt-350m")
model = TFOPTForCausalLM.from_pretrained("facebook/opt-350m")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFOPTForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFOPTForCausalLM.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Ku(x){let c,b,_,m,T;return{c(){c=a("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),m=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(h,"CODE",{});var M=i(_);m=s(M,"Module"),M.forEach(t),T=s(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){f(l,c,h),e(c,b),e(c,_),e(_,m),e(c,T)},d(l){l&&t(c)}}}function Vu(x){let c,b,_,m,T;return m=new gt({props:{code:`import torch
from transformers import AutoTokenizer, OPTForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("ArthurZ/opt-350m-dummy-sc")
model = OPTForSequenceClassification.from_pretrained("ArthurZ/opt-350m-dummy-sc")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = OPTForSequenceClassification.from_pretrained("ArthurZ/opt-350m-dummy-sc", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, OPTForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ArthurZ/opt-350m-dummy-sc&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ArthurZ/opt-350m-dummy-sc&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_0&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ArthurZ/opt-350m-dummy-sc&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">1.71</span>`}}),{c(){c=a("p"),b=n("Example of single-label classification:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example of single-label classification:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Gu(x){let c,b,_,m,T;return m=new gt({props:{code:`import torch
from transformers import AutoTokenizer, OPTForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("ArthurZ/opt-350m-dummy-sc")
model = OPTForSequenceClassification.from_pretrained("ArthurZ/opt-350m-dummy-sc", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = OPTForSequenceClassification.from_pretrained(
    "ArthurZ/opt-350m-dummy-sc", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, OPTForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ArthurZ/opt-350m-dummy-sc&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ArthurZ/opt-350m-dummy-sc&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;ArthurZ/opt-350m-dummy-sc&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){c=a("p"),b=n("Example of multi-label classification:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example of multi-label classification:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Ru(x){let c,b,_,m,T;return{c(){c=a("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),m=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(h,"CODE",{});var M=i(_);m=s(M,"Module"),M.forEach(t),T=s(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){f(l,c,h),e(c,b),e(c,_),e(_,m),e(c,T)},d(l){l&&t(c)}}}function Zu(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import AutoTokenizer, OPTForQuestionAnswering
import torch

torch.manual_seed(4)
tokenizer = AutoTokenizer.from_pretrained("facebook/opt-350m")

# note: we are loading a OPTForQuestionAnswering from the hub here,
# so the head will be randomly initialized, hence the predictions will be random
model = OPTForQuestionAnswering.from_pretrained("facebook/opt-350m")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
predicted = tokenizer.decode(predict_answer_tokens)
predicted`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, OPTForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>torch.manual_seed(<span class="hljs-number">4</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># note: we are loading a OPTForQuestionAnswering from the hub here,</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># so the head will be randomly initialized, hence the predictions will be random</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OPTForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted = tokenizer.decode(predict_answer_tokens)
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted
<span class="hljs-string">&#x27; Henson?&#x27;</span>`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Ju(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import AutoTokenizer, FlaxOPTModel

tokenizer = AutoTokenizer.from_pretrained("facebook/opt-350m")
model = FlaxOPTModel.from_pretrained("facebook/opt-350m")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxOPTModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxOPTModel.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Yu(x){let c,b,_,m,T;return m=new gt({props:{code:`from transformers import AutoTokenizer, FlaxOPTForCausalLM

tokenizer = AutoTokenizer.from_pretrained("facebook/opt-350m")
model = FlaxOPTForCausalLM.from_pretrained("facebook/opt-350m")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

# retrieve logts for next token
next_token_logits = outputs.logits[:, -1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxOPTForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxOPTForCausalLM.from_pretrained(<span class="hljs-string">&quot;facebook/opt-350m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve logts for next token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>next_token_logits = outputs.logits[:, -<span class="hljs-number">1</span>]`}}),{c(){c=a("p"),b=n("Example:"),_=p(),v(m.$$.fragment)},l(l){c=r(l,"P",{});var h=i(c);b=s(h,"Example:"),h.forEach(t),_=u(l),w(m.$$.fragment,l)},m(l,h){f(l,c,h),e(c,b),f(l,_,h),k(m,l,h),T=!0},p:ft,i(l){T||(P(m.$$.fragment,l),T=!0)},o(l){$(m.$$.fragment,l),T=!1},d(l){l&&t(c),l&&t(_),O(m,l)}}}function Xu(x){let c,b,_,m,T,l,h,M,Ne,Fe,j,te,ae,F,Se,R,De,xe,D,We,re,ie,He,ze,K,Be,Ee,V,be,Qe,me,C,A,Me,W,le,Ue,Z,Ke,Ve,L,I,de,ye,Ge,ce,ve,Re,J,we,pe,Ze,oe,N,Je,H,q,Ye,y,z,_t,Y,Tt,bt,E,yt,vt,ke,wt,kt,G,S,fe,Xe,B,Pt,et,tt,nt,ne,$t,xa,zo,za,se,Eo,jr,Mo,Ar,Lr,Ir,Co,Nr,qo,Sr,Dr,Wr,ts,jo,Hr,Br,Qr,st,os,Ur,Kr,Ao,Vr,Gr,Lo,Rr,Zr,Jr,at,ns,Yr,Xr,Io,ei,ti,No,oi,ni,si,Qt,ss,ai,ri,So,ii,li,Ea,Do,Ma,Ut,as,Wo,di,ci,pi,rt,rs,ui,hi,Ho,mi,fi,Bo,gi,_i,Ca,Qo,qa,Kt,it,is,Ti,bi,Uo,yi,vi,Ko,wi,ki,Pi,ls,Vo,$i,Oi,ja,ds,Fi,Aa,cs,Go,xi,Ro,zi,Ei,La,Ot,Vt,js,Zo,Mi,As,Ci,Ia,Pe,Jo,qi,Ft,ji,ps,Ai,Li,Yo,Ii,Ni,Si,xt,Di,us,Wi,Hi,hs,Bi,Qi,Ui,Gt,Na,zt,Rt,Ls,Xo,Ki,Is,Vi,Sa,$e,en,Gi,tn,Ri,ms,Zi,Ji,Yi,on,Xi,nn,el,tl,ol,Ce,sn,nl,Et,sl,fs,al,rl,Ns,il,ll,dl,Zt,cl,Jt,Da,Mt,Yt,Ss,an,pl,Ds,ul,Wa,Ct,rn,hl,Xt,ln,ml,eo,Ha,qt,to,Ws,dn,fl,Hs,gl,Ba,ue,cn,_l,pn,Tl,gs,bl,yl,vl,un,wl,hn,kl,Pl,$l,oo,Ol,qe,mn,Fl,jt,xl,_s,zl,El,Bs,Ml,Cl,ql,no,jl,so,Qa,At,ao,Qs,fn,Al,Us,Ll,Ua,X,gn,Il,Ks,Nl,Sl,_n,Dl,Ts,Wl,Hl,Bl,Tn,Ql,bn,Ul,Kl,Vl,ro,Gl,io,yn,Rl,lo,Ka,Lt,co,Vs,vn,Zl,Gs,Jl,Va,Q,wn,Yl,Rs,Xl,ed,bs,ys,td,od,nd,Oe,sd,Zs,ad,rd,Js,id,ld,Ys,dd,cd,Xs,pd,ud,hd,kn,md,vs,fd,gd,_d,Pn,Td,$n,bd,yd,vd,ge,On,wd,It,kd,ws,Pd,$d,ea,Od,Fd,xd,po,zd,uo,Ed,ho,Ga,Nt,mo,ta,Fn,Md,oa,Cd,Ra,he,xn,qd,St,jd,na,Ad,Ld,sa,Id,Nd,Sd,zn,Dd,ks,Wd,Hd,Bd,En,Qd,Mn,Ud,Kd,Vd,je,Cn,Gd,Dt,Rd,Ps,Zd,Jd,aa,Yd,Xd,ec,fo,tc,go,Za,Wt,_o,ra,qn,oc,ia,nc,Ja,Ht,jn,sc,To,An,ac,bo,Ya,Bt,yo,la,Ln,rc,da,ic,Xa,U,In,lc,ca,dc,cc,Nn,pc,$s,uc,hc,mc,Sn,fc,Dn,gc,_c,Tc,pa,bc,yc,ot,ua,Wn,vc,wc,ha,Hn,kc,Pc,ma,Bn,$c,Oc,fa,Qn,Fc,xc,vo,Un,zc,wo,er;return l=new Ie({}),F=new Ie({}),B=new Ie({}),zo=new jc({props:{pipeline:"text-generation"}}),Do=new jc({props:{pipeline:"text-classification"}}),Qo=new jc({props:{pipeline:"question-answering"}}),Zo=new Ie({}),Jo=new ee({props:{name:"class transformers.OPTConfig",anchor:"transformers.OPTConfig",parameters:[{name:"vocab_size",val:" = 50272"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"ffn_dim",val:" = 3072"},{name:"max_position_embeddings",val:" = 2048"},{name:"do_layer_norm_before",val:" = True"},{name:"_remove_final_layer_norm",val:" = False"},{name:"word_embed_proj_dim",val:" = None"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.0"},{name:"num_attention_heads",val:" = 12"},{name:"activation_function",val:" = 'relu'"},{name:"layerdrop",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"use_cache",val:" = True"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 2"},{name:"eos_token_id",val:" = 2"},{name:"enable_bias",val:" = True"},{name:"layer_norm_elementwise_affine",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.OPTConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50272) &#x2014;
Vocabulary size of the OPT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/opt#transformers.OPTModel">OPTModel</a>`,name:"vocab_size"},{anchor:"transformers.OPTConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.OPTConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"num_hidden_layers"},{anchor:"transformers.OPTConfig.ffn_dim",description:`<strong>ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"ffn_dim"},{anchor:"transformers.OPTConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"num_attention_heads"},{anchor:"transformers.OPTConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.OPTConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.OPTConfig.do_layer_norm_before",description:`<strong>do_layer_norm_before</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to perform layer normalization before the attention block.`,name:"do_layer_norm_before"},{anchor:"transformers.OPTConfig.word_embed_proj_dim",description:`<strong>word_embed_proj_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014;
<code>word_embed_proj_dim</code> can be set to down-project word embeddings, <em>e.g.</em> <code>opt-350m</code>. Defaults to
<code>hidden_size</code>.`,name:"word_embed_proj_dim"},{anchor:"transformers.OPTConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.OPTConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.
layerdrop &#x2014; (<code>float</code>, <em>optional</em>, defaults to 0.0):
The LayerDrop probability. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>) for more
details.`,name:"attention_dropout"},{anchor:"transformers.OPTConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.OPTConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.OPTConfig.enable_bias",description:`<strong>enable_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not if the linear layers in the attention blocks should use the bias term.`,name:"enable_bias"},{anchor:"transformers.OPTConfig.layer_norm_elementwise_affine",description:`<strong>layer_norm_elementwise_affine</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not if the layer norms should have learnable parameters.`,name:"layer_norm_elementwise_affine"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/configuration_opt.py#L32"}}),Gt=new mt({props:{anchor:"transformers.OPTConfig.example",$$slots:{default:[Iu]},$$scope:{ctx:x}}}),Xo=new Ie({}),en=new ee({props:{name:"class transformers.OPTModel",anchor:"transformers.OPTModel",parameters:[{name:"config",val:": OPTConfig"}],parametersDescription:[{anchor:"transformers.OPTModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig">OPTConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L736"}}),sn=new ee({props:{name:"forward",anchor:"transformers.OPTModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.OPTModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.OPTModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>If you want to change padding behavior, you should read <code>modeling_opt._prepare_decoder_attention_mask</code>
and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more
information on the default strategy.`,name:"attention_mask"},{anchor:"transformers.OPTModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.OPTModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.OPTModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.OPTModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.OPTModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.OPTModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.OPTModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L752",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Zt=new qs({props:{$$slots:{default:[Nu]},$$scope:{ctx:x}}}),Jt=new mt({props:{anchor:"transformers.OPTModel.forward.example",$$slots:{default:[Su]},$$scope:{ctx:x}}}),an=new Ie({}),rn=new ee({props:{name:"class transformers.OPTForCausalLM",anchor:"transformers.OPTForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L802"}}),ln=new ee({props:{name:"forward",anchor:"transformers.OPTForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.OPTForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.OPTForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.OPTForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_hidden_layers, num_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.OPTForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.OPTForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation.
This is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors
than the model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.OPTForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.OPTForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.OPTForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.OPTForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.OPTForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L833",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),eo=new mt({props:{anchor:"transformers.OPTForCausalLM.forward.example",$$slots:{default:[Du]},$$scope:{ctx:x}}}),dn=new Ie({}),cn=new ee({props:{name:"class transformers.TFOPTModel",anchor:"transformers.TFOPTModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFOPTModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig">OPTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_tf_opt.py#L783"}}),oo=new qs({props:{$$slots:{default:[Wu]},$$scope:{ctx:x}}}),mn=new ee({props:{name:"call",anchor:"transformers.TFOPTModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFOPTModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFOPTModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFOPTModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFOPTModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFOPTModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFOPTModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFOPTModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFOPTModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFOPTModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_tf_opt.py#L797",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPast"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPast</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPast"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPast</a> or <code>tuple(tf.Tensor)</code></p>
`}}),no=new qs({props:{$$slots:{default:[Hu]},$$scope:{ctx:x}}}),so=new mt({props:{anchor:"transformers.TFOPTModel.call.example",$$slots:{default:[Bu]},$$scope:{ctx:x}}}),fn=new Ie({}),gn=new ee({props:{name:"class transformers.TFOPTForCausalLM",anchor:"transformers.TFOPTForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFOPTForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig">OPTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_tf_opt.py#L869"}}),ro=new qs({props:{$$slots:{default:[Qu]},$$scope:{ctx:x}}}),yn=new ee({props:{name:"call",anchor:"transformers.TFOPTForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFOPTForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFOPTForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFOPTForCausalLM.call.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_hidden_layers, num_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFOPTForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFOPTForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation.
This is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors
than the model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFOPTForCausalLM.call.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.TFOPTForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFOPTForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFOPTForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFOPTForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_tf_opt.py#L894",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithPast"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithPast</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithPast"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithPast</a> or <code>tuple(tf.Tensor)</code>: A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithPast"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithPast</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithPast"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithPast</a> or <code>tuple(tf.Tensor)</code></p>
`}}),lo=new mt({props:{anchor:"transformers.TFOPTForCausalLM.call.example",$$slots:{default:[Uu]},$$scope:{ctx:x}}}),vn=new Ie({}),wn=new ee({props:{name:"class transformers.OPTForSequenceClassification",anchor:"transformers.OPTForSequenceClassification",parameters:[{name:"config",val:": OPTConfig"}],parametersDescription:[{anchor:"transformers.OPTForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig">OPTConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L1007"}}),On=new ee({props:{name:"forward",anchor:"transformers.OPTForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.OPTForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.OPTForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>If you want to change padding behavior, you should read <code>modeling_opt._prepare_decoder_attention_mask</code>
and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more
information on the default strategy.`,name:"attention_mask"},{anchor:"transformers.OPTForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.OPTForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.OPTForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.OPTForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.OPTForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.OPTForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.OPTForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.OPTForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L1019",returnDescription:`
<p>A <code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),po=new qs({props:{$$slots:{default:[Ku]},$$scope:{ctx:x}}}),uo=new mt({props:{anchor:"transformers.OPTForSequenceClassification.forward.example",$$slots:{default:[Vu]},$$scope:{ctx:x}}}),ho=new mt({props:{anchor:"transformers.OPTForSequenceClassification.forward.example-2",$$slots:{default:[Gu]},$$scope:{ctx:x}}}),Fn=new Ie({}),xn=new ee({props:{name:"class transformers.OPTForQuestionAnswering",anchor:"transformers.OPTForQuestionAnswering",parameters:[{name:"config",val:": OPTConfig"}],parametersDescription:[{anchor:"transformers.OPTForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig">OPTConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L1129"}}),Cn=new ee({props:{name:"forward",anchor:"transformers.OPTForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.OPTForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.OPTForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>If you want to change padding behavior, you should read <code>modeling_opt._prepare_decoder_attention_mask</code>
and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more
information on the default strategy.`,name:"attention_mask"},{anchor:"transformers.OPTForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.OPTForQuestionAnswering.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.OPTForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.OPTForQuestionAnswering.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.OPTForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.OPTForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.OPTForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.OPTForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.OPTForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_opt.py#L1140",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fo=new qs({props:{$$slots:{default:[Ru]},$$scope:{ctx:x}}}),go=new mt({props:{anchor:"transformers.OPTForQuestionAnswering.forward.example",$$slots:{default:[Zu]},$$scope:{ctx:x}}}),qn=new Ie({}),jn=new ee({props:{name:"class transformers.FlaxOPTModel",anchor:"transformers.FlaxOPTModel",parameters:[{name:"config",val:": OPTConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_flax_opt.py#L690"}}),An=new ee({props:{name:"__call__",anchor:"transformers.FlaxOPTModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"params",val:": dict = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"deterministic",val:": bool = True"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_flax_opt.py#L583",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),bo=new mt({props:{anchor:"transformers.FlaxOPTModel.__call__.example",$$slots:{default:[Ju]},$$scope:{ctx:x}}}),Ln=new Ie({}),In=new ee({props:{name:"class transformers.FlaxOPTForCausalLM",anchor:"transformers.FlaxOPTForCausalLM",parameters:[{name:"config",val:": OPTConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxOPTForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig">OPTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxOPTForCausalLM.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_flax_opt.py#L763"}}),Un=new ee({props:{name:"__call__",anchor:"transformers.FlaxOPTForCausalLM.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"params",val:": dict = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"deterministic",val:": bool = True"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/opt/modeling_flax_opt.py#L583",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/opt#transformers.OPTConfig"
>OPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),wo=new mt({props:{anchor:"transformers.FlaxOPTForCausalLM.__call__.example",$$slots:{default:[Yu]},$$scope:{ctx:x}}}),{c(){c=a("meta"),b=p(),_=a("h1"),m=a("a"),T=a("span"),v(l.$$.fragment),h=p(),M=a("span"),Ne=n("OPT"),Fe=p(),j=a("h2"),te=a("a"),ae=a("span"),v(F.$$.fragment),Se=p(),R=a("span"),De=n("Overview"),xe=p(),D=a("p"),We=n("The OPT model was proposed in "),re=a("a"),ie=n("Open Pre-trained Transformer Language Models"),He=n(` by Meta AI.
OPT is a series of open-sourced large causal language models which perform similar in performance to GPT3.`),ze=p(),K=a("p"),Be=n("The abstract from the paper is the following:"),Ee=p(),V=a("p"),be=a("em"),Qe=n("Large language models, which are often trained for hundreds of thousands of compute days, have shown remarkable capabilities for zero- and few-shot learning. Given their computational cost, these models are difficult to replicate without significant capital. For the few that are available through APIs, no access is granted to the full model weights, making them difficult to study. We present Open Pre-trained Transformers (OPT), a suite of decoder-only pre-trained transformers ranging from 125M to 175B parameters, which we aim to fully and responsibly share with interested researchers. We show that OPT-175B is comparable to GPT-3, while requiring only 1/7th the carbon footprint to develop. We are also releasing our logbook detailing the infrastructure challenges we faced, along with code for experimenting with all of the released models."),me=p(),C=a("p"),A=n("Tips:"),Me=p(),W=a("ul"),le=a("li"),Ue=n("OPT has the same architecture as "),Z=a("code"),Ke=n("BartDecoder"),Ve=n("."),L=p(),I=a("li"),de=n("Contrary to GPT2, OPT adds the EOS token "),ye=a("code"),Ge=n("</s>"),ce=n(" to the beginning of every prompt. "),ve=a("strong"),Re=n("Note"),J=n(": Make sure to pass "),we=a("code"),pe=n("use_fast=False"),Ze=n(" when loading OPT\u2019s tokenizer with "),oe=a("a"),N=n("AutoTokenizer"),Je=n(" to get the correct tokenizer."),H=p(),q=a("p"),Ye=n("This model was contributed by "),y=a("a"),z=n("Arthur Zucker"),_t=n(", "),Y=a("a"),Tt=n("Younes Belkada"),bt=n(", and "),E=a("a"),yt=n("Patrick Von Platen"),vt=n(`.
The original code can be found `),ke=a("a"),wt=n("here"),kt=n("."),G=p(),S=a("h2"),fe=a("a"),Xe=a("span"),v(B.$$.fragment),Pt=p(),et=a("span"),tt=n("Resources"),nt=p(),ne=a("p"),$t=n(`A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with OPT. If you\u2019re
interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it.
The resource should ideally demonstrate something new instead of duplicating an existing resource.`),xa=p(),v(zo.$$.fragment),za=p(),se=a("ul"),Eo=a("li"),jr=n("A notebook on "),Mo=a("a"),Ar=n("fine-tuning OPT with PEFT, bitsandbytes, and Transformers"),Lr=n(". \u{1F30E}"),Ir=p(),Co=a("li"),Nr=n("A blog post on "),qo=a("a"),Sr=n("decoding strategies with OPT"),Dr=n("."),Wr=p(),ts=a("li"),jo=a("a"),Hr=n("Causal language modeling"),Br=n(" chapter of the \u{1F917} Hugging Face Course."),Qr=p(),st=a("li"),os=a("a"),Ur=n("OPTForCausalLM"),Kr=n(" is supported by this "),Ao=a("a"),Vr=n("causal language modeling example script"),Gr=n(" and "),Lo=a("a"),Rr=n("notebook"),Zr=n("."),Jr=p(),at=a("li"),ns=a("a"),Yr=n("TFOPTForCausalLM"),Xr=n(" is supported by this "),Io=a("a"),ei=n("causal language modeling example script"),ti=n(" and "),No=a("a"),oi=n("notebook"),ni=n("."),si=p(),Qt=a("li"),ss=a("a"),ai=n("FlaxOPTForCausalLM"),ri=n(" is supported by this "),So=a("a"),ii=n("causal language modeling example script"),li=n("."),Ea=p(),v(Do.$$.fragment),Ma=p(),Ut=a("ul"),as=a("li"),Wo=a("a"),di=n("Token classification"),ci=n(" chapter of the \u{1F917} Hugging Face Course."),pi=p(),rt=a("li"),rs=a("a"),ui=n("OPTForSequenceClassification"),hi=n(" is supported by this "),Ho=a("a"),mi=n("example script"),fi=n(" and "),Bo=a("a"),gi=n("notebook"),_i=n("."),Ca=p(),v(Qo.$$.fragment),qa=p(),Kt=a("ul"),it=a("li"),is=a("a"),Ti=n("OPTForQuestionAnswering"),bi=n(" is supported by this "),Uo=a("a"),yi=n("question answering example script"),vi=n(" and "),Ko=a("a"),wi=n("notebook"),ki=n("."),Pi=p(),ls=a("li"),Vo=a("a"),$i=n("Question answering"),Oi=n(` chapter
of the \u{1F917} Hugging Face Course.`),ja=p(),ds=a("p"),Fi=n("\u26A1\uFE0F Inference"),Aa=p(),cs=a("ul"),Go=a("li"),xi=n("A blog bost on "),Ro=a("a"),zi=n("How \u{1F917} Accelerate runs very large models thanks to PyTorch"),Ei=n(" with OPT."),La=p(),Ot=a("h2"),Vt=a("a"),js=a("span"),v(Zo.$$.fragment),Mi=p(),As=a("span"),Ci=n("OPTConfig"),Ia=p(),Pe=a("div"),v(Jo.$$.fragment),qi=p(),Ft=a("p"),ji=n("This is the configuration class to store the configuration of a "),ps=a("a"),Ai=n("OPTModel"),Li=n(`. It is used to instantiate a OPT model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the OPT
`),Yo=a("a"),Ii=n("facebook/opt-350m"),Ni=n(" architecture."),Si=p(),xt=a("p"),Di=n("Configuration objects inherit from "),us=a("a"),Wi=n("PretrainedConfig"),Hi=n(` and can be used to control the model outputs. Read the
documentation from `),hs=a("a"),Bi=n("PretrainedConfig"),Qi=n(" for more information."),Ui=p(),v(Gt.$$.fragment),Na=p(),zt=a("h2"),Rt=a("a"),Ls=a("span"),v(Xo.$$.fragment),Ki=p(),Is=a("span"),Vi=n("OPTModel"),Sa=p(),$e=a("div"),v(en.$$.fragment),Gi=p(),tn=a("p"),Ri=n(`The bare OPT Model outputting raw hidden-states without any specific head on top.
This model inherits from `),ms=a("a"),Zi=n("PreTrainedModel"),Ji=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yi=p(),on=a("p"),Xi=n("This model is also a PyTorch "),nn=a("a"),el=n("torch.nn.Module"),tl=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ol=p(),Ce=a("div"),v(sn.$$.fragment),nl=p(),Et=a("p"),sl=n("The "),fs=a("a"),al=n("OPTModel"),rl=n(" forward method, overrides the "),Ns=a("code"),il=n("__call__"),ll=n(" special method."),dl=p(),v(Zt.$$.fragment),cl=p(),v(Jt.$$.fragment),Da=p(),Mt=a("h2"),Yt=a("a"),Ss=a("span"),v(an.$$.fragment),pl=p(),Ds=a("span"),ul=n("OPTForCausalLM"),Wa=p(),Ct=a("div"),v(rn.$$.fragment),hl=p(),Xt=a("div"),v(ln.$$.fragment),ml=p(),v(eo.$$.fragment),Ha=p(),qt=a("h2"),to=a("a"),Ws=a("span"),v(dn.$$.fragment),fl=p(),Hs=a("span"),gl=n("TFOPTModel"),Ba=p(),ue=a("div"),v(cn.$$.fragment),_l=p(),pn=a("p"),Tl=n(`The bare TF OPT Model outputting raw hidden-states without any specific head on top.
This model inherits from `),gs=a("a"),bl=n("TFPreTrainedModel"),yl=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vl=p(),un=a("p"),wl=n("This model is also a "),hn=a("a"),kl=n("tf.keras.Model"),Pl=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),$l=p(),v(oo.$$.fragment),Ol=p(),qe=a("div"),v(mn.$$.fragment),Fl=p(),jt=a("p"),xl=n("The "),_s=a("a"),zl=n("TFOPTModel"),El=n(" forward method, overrides the "),Bs=a("code"),Ml=n("__call__"),Cl=n(" special method."),ql=p(),v(no.$$.fragment),jl=p(),v(so.$$.fragment),Qa=p(),At=a("h2"),ao=a("a"),Qs=a("span"),v(fn.$$.fragment),Al=p(),Us=a("span"),Ll=n("TFOPTForCausalLM"),Ua=p(),X=a("div"),v(gn.$$.fragment),Il=p(),Ks=a("p"),Nl=n("The OPT Model transformer with a language modeling head on top."),Sl=p(),_n=a("p"),Dl=n("This model inherits from "),Ts=a("a"),Wl=n("TFPreTrainedModel"),Hl=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bl=p(),Tn=a("p"),Ql=n("This model is also a "),bn=a("a"),Ul=n("tf.keras.Model"),Kl=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Vl=p(),v(ro.$$.fragment),Gl=p(),io=a("div"),v(yn.$$.fragment),Rl=p(),v(lo.$$.fragment),Ka=p(),Lt=a("h2"),co=a("a"),Vs=a("span"),v(vn.$$.fragment),Zl=p(),Gs=a("span"),Jl=n("OPTForSequenceClassification"),Va=p(),Q=a("div"),v(wn.$$.fragment),Yl=p(),Rs=a("p"),Xl=n("The OPT Model transformer with a sequence classification head on top (linear layer)."),ed=p(),bs=a("p"),ys=a("a"),td=n("OPTForSequenceClassification"),od=n(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),nd=p(),Oe=a("p"),sd=n(`Since it does classification on the last token, it requires to know the position of the last token. If a
`),Zs=a("code"),ad=n("pad_token_id"),rd=n(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Js=a("code"),id=n("pad_token_id"),ld=n(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Ys=a("code"),dd=n("inputs_embeds"),cd=n(" are passed instead of "),Xs=a("code"),pd=n("input_ids"),ud=n(`, it does the same (take the last value in
each row of the batch).`),hd=p(),kn=a("p"),md=n("This model inherits from "),vs=a("a"),fd=n("PreTrainedModel"),gd=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_d=p(),Pn=a("p"),Td=n("This model is also a PyTorch "),$n=a("a"),bd=n("torch.nn.Module"),yd=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vd=p(),ge=a("div"),v(On.$$.fragment),wd=p(),It=a("p"),kd=n("The "),ws=a("a"),Pd=n("OPTForSequenceClassification"),$d=n(" forward method, overrides the "),ea=a("code"),Od=n("__call__"),Fd=n(" special method."),xd=p(),v(po.$$.fragment),zd=p(),v(uo.$$.fragment),Ed=p(),v(ho.$$.fragment),Ga=p(),Nt=a("h2"),mo=a("a"),ta=a("span"),v(Fn.$$.fragment),Md=p(),oa=a("span"),Cd=n("OPTForQuestionAnswering"),Ra=p(),he=a("div"),v(xn.$$.fragment),qd=p(),St=a("p"),jd=n(`The OPT Model transformer with a span classification head on top for extractive question-answering tasks like SQuAD
(a linear layers on top of the hidden-states output to compute `),na=a("code"),Ad=n("span start logits"),Ld=n(" and "),sa=a("code"),Id=n("span end logits"),Nd=n(")."),Sd=p(),zn=a("p"),Dd=n("This model inherits from "),ks=a("a"),Wd=n("PreTrainedModel"),Hd=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bd=p(),En=a("p"),Qd=n("This model is also a PyTorch "),Mn=a("a"),Ud=n("torch.nn.Module"),Kd=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Vd=p(),je=a("div"),v(Cn.$$.fragment),Gd=p(),Dt=a("p"),Rd=n("The "),Ps=a("a"),Zd=n("OPTForQuestionAnswering"),Jd=n(" forward method, overrides the "),aa=a("code"),Yd=n("__call__"),Xd=n(" special method."),ec=p(),v(fo.$$.fragment),tc=p(),v(go.$$.fragment),Za=p(),Wt=a("h2"),_o=a("a"),ra=a("span"),v(qn.$$.fragment),oc=p(),ia=a("span"),nc=n("FlaxOPTModel"),Ja=p(),Ht=a("div"),v(jn.$$.fragment),sc=p(),To=a("div"),v(An.$$.fragment),ac=p(),v(bo.$$.fragment),Ya=p(),Bt=a("h2"),yo=a("a"),la=a("span"),v(Ln.$$.fragment),rc=p(),da=a("span"),ic=n("FlaxOPTForCausalLM"),Xa=p(),U=a("div"),v(In.$$.fragment),lc=p(),ca=a("p"),dc=n(`OPT Model with a language modeling head on top (linear layer with weights tied to the input embeddings) e.g for
autoregressive tasks.`),cc=p(),Nn=a("p"),pc=n("This model inherits from "),$s=a("a"),uc=n("FlaxPreTrainedModel"),hc=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),mc=p(),Sn=a("p"),fc=n(`This model is also a Flax Linen
`),Dn=a("a"),gc=n("flax.nn.Module"),_c=n(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Tc=p(),pa=a("p"),bc=n("Finally, this model supports inherent JAX features such as:"),yc=p(),ot=a("ul"),ua=a("li"),Wn=a("a"),vc=n("Just-In-Time (JIT) compilation"),wc=p(),ha=a("li"),Hn=a("a"),kc=n("Automatic Differentiation"),Pc=p(),ma=a("li"),Bn=a("a"),$c=n("Vectorization"),Oc=p(),fa=a("li"),Qn=a("a"),Fc=n("Parallelization"),xc=p(),vo=a("div"),v(Un.$$.fragment),zc=p(),v(wo.$$.fragment),this.h()},l(o){const g=Au('[data-svelte="svelte-1phssyn"]',document.head);c=r(g,"META",{name:!0,content:!0}),g.forEach(t),b=u(o),_=r(o,"H1",{class:!0});var Kn=i(_);m=r(Kn,"A",{id:!0,class:!0,href:!0});var ga=i(m);T=r(ga,"SPAN",{});var _a=i(T);w(l.$$.fragment,_a),_a.forEach(t),ga.forEach(t),h=u(Kn),M=r(Kn,"SPAN",{});var Ta=i(M);Ne=s(Ta,"OPT"),Ta.forEach(t),Kn.forEach(t),Fe=u(o),j=r(o,"H2",{class:!0});var Vn=i(j);te=r(Vn,"A",{id:!0,class:!0,href:!0});var ba=i(te);ae=r(ba,"SPAN",{});var ya=i(ae);w(F.$$.fragment,ya),ya.forEach(t),ba.forEach(t),Se=u(Vn),R=r(Vn,"SPAN",{});var va=i(R);De=s(va,"Overview"),va.forEach(t),Vn.forEach(t),xe=u(o),D=r(o,"P",{});var Gn=i(D);We=s(Gn,"The OPT model was proposed in "),re=r(Gn,"A",{href:!0,rel:!0});var wa=i(re);ie=s(wa,"Open Pre-trained Transformer Language Models"),wa.forEach(t),He=s(Gn,` by Meta AI.
OPT is a series of open-sourced large causal language models which perform similar in performance to GPT3.`),Gn.forEach(t),ze=u(o),K=r(o,"P",{});var ka=i(K);Be=s(ka,"The abstract from the paper is the following:"),ka.forEach(t),Ee=u(o),V=r(o,"P",{});var Pa=i(V);be=r(Pa,"EM",{});var $a=i(be);Qe=s($a,"Large language models, which are often trained for hundreds of thousands of compute days, have shown remarkable capabilities for zero- and few-shot learning. Given their computational cost, these models are difficult to replicate without significant capital. For the few that are available through APIs, no access is granted to the full model weights, making them difficult to study. We present Open Pre-trained Transformers (OPT), a suite of decoder-only pre-trained transformers ranging from 125M to 175B parameters, which we aim to fully and responsibly share with interested researchers. We show that OPT-175B is comparable to GPT-3, while requiring only 1/7th the carbon footprint to develop. We are also releasing our logbook detailing the infrastructure challenges we faced, along with code for experimenting with all of the released models."),$a.forEach(t),Pa.forEach(t),me=u(o),C=r(o,"P",{});var Oa=i(C);A=s(Oa,"Tips:"),Oa.forEach(t),Me=u(o),W=r(o,"UL",{});var Rn=i(W);le=r(Rn,"LI",{});var Zn=i(le);Ue=s(Zn,"OPT has the same architecture as "),Z=r(Zn,"CODE",{});var Ac=i(Z);Ke=s(Ac,"BartDecoder"),Ac.forEach(t),Ve=s(Zn,"."),Zn.forEach(t),L=u(Rn),I=r(Rn,"LI",{});var lt=i(I);de=s(lt,"Contrary to GPT2, OPT adds the EOS token "),ye=r(lt,"CODE",{});var Lc=i(ye);Ge=s(Lc,"</s>"),Lc.forEach(t),ce=s(lt," to the beginning of every prompt. "),ve=r(lt,"STRONG",{});var Ic=i(ve);Re=s(Ic,"Note"),Ic.forEach(t),J=s(lt,": Make sure to pass "),we=r(lt,"CODE",{});var Nc=i(we);pe=s(Nc,"use_fast=False"),Nc.forEach(t),Ze=s(lt," when loading OPT\u2019s tokenizer with "),oe=r(lt,"A",{href:!0});var Sc=i(oe);N=s(Sc,"AutoTokenizer"),Sc.forEach(t),Je=s(lt," to get the correct tokenizer."),lt.forEach(t),Rn.forEach(t),H=u(o),q=r(o,"P",{});var dt=i(q);Ye=s(dt,"This model was contributed by "),y=r(dt,"A",{href:!0,rel:!0});var Dc=i(y);z=s(Dc,"Arthur Zucker"),Dc.forEach(t),_t=s(dt,", "),Y=r(dt,"A",{href:!0,rel:!0});var Wc=i(Y);Tt=s(Wc,"Younes Belkada"),Wc.forEach(t),bt=s(dt,", and "),E=r(dt,"A",{href:!0,rel:!0});var Hc=i(E);yt=s(Hc,"Patrick Von Platen"),Hc.forEach(t),vt=s(dt,`.
The original code can be found `),ke=r(dt,"A",{href:!0,rel:!0});var Bc=i(ke);wt=s(Bc,"here"),Bc.forEach(t),kt=s(dt,"."),dt.forEach(t),G=u(o),S=r(o,"H2",{class:!0});var tr=i(S);fe=r(tr,"A",{id:!0,class:!0,href:!0});var Qc=i(fe);Xe=r(Qc,"SPAN",{});var Uc=i(Xe);w(B.$$.fragment,Uc),Uc.forEach(t),Qc.forEach(t),Pt=u(tr),et=r(tr,"SPAN",{});var Kc=i(et);tt=s(Kc,"Resources"),Kc.forEach(t),tr.forEach(t),nt=u(o),ne=r(o,"P",{});var Vc=i(ne);$t=s(Vc,`A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with OPT. If you\u2019re
interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it.
The resource should ideally demonstrate something new instead of duplicating an existing resource.`),Vc.forEach(t),xa=u(o),w(zo.$$.fragment,o),za=u(o),se=r(o,"UL",{});var Ae=i(se);Eo=r(Ae,"LI",{});var or=i(Eo);jr=s(or,"A notebook on "),Mo=r(or,"A",{href:!0,rel:!0});var Gc=i(Mo);Ar=s(Gc,"fine-tuning OPT with PEFT, bitsandbytes, and Transformers"),Gc.forEach(t),Lr=s(or,". \u{1F30E}"),or.forEach(t),Ir=u(Ae),Co=r(Ae,"LI",{});var nr=i(Co);Nr=s(nr,"A blog post on "),qo=r(nr,"A",{href:!0,rel:!0});var Rc=i(qo);Sr=s(Rc,"decoding strategies with OPT"),Rc.forEach(t),Dr=s(nr,"."),nr.forEach(t),Wr=u(Ae),ts=r(Ae,"LI",{});var Ec=i(ts);jo=r(Ec,"A",{href:!0,rel:!0});var Zc=i(jo);Hr=s(Zc,"Causal language modeling"),Zc.forEach(t),Br=s(Ec," chapter of the \u{1F917} Hugging Face Course."),Ec.forEach(t),Qr=u(Ae),st=r(Ae,"LI",{});var Jn=i(st);os=r(Jn,"A",{href:!0});var Jc=i(os);Ur=s(Jc,"OPTForCausalLM"),Jc.forEach(t),Kr=s(Jn," is supported by this "),Ao=r(Jn,"A",{href:!0,rel:!0});var Yc=i(Ao);Vr=s(Yc,"causal language modeling example script"),Yc.forEach(t),Gr=s(Jn," and "),Lo=r(Jn,"A",{href:!0,rel:!0});var Xc=i(Lo);Rr=s(Xc,"notebook"),Xc.forEach(t),Zr=s(Jn,"."),Jn.forEach(t),Jr=u(Ae),at=r(Ae,"LI",{});var Yn=i(at);ns=r(Yn,"A",{href:!0});var ep=i(ns);Yr=s(ep,"TFOPTForCausalLM"),ep.forEach(t),Xr=s(Yn," is supported by this "),Io=r(Yn,"A",{href:!0,rel:!0});var tp=i(Io);ei=s(tp,"causal language modeling example script"),tp.forEach(t),ti=s(Yn," and "),No=r(Yn,"A",{href:!0,rel:!0});var op=i(No);oi=s(op,"notebook"),op.forEach(t),ni=s(Yn,"."),Yn.forEach(t),si=u(Ae),Qt=r(Ae,"LI",{});var Fa=i(Qt);ss=r(Fa,"A",{href:!0});var np=i(ss);ai=s(np,"FlaxOPTForCausalLM"),np.forEach(t),ri=s(Fa," is supported by this "),So=r(Fa,"A",{href:!0,rel:!0});var sp=i(So);ii=s(sp,"causal language modeling example script"),sp.forEach(t),li=s(Fa,"."),Fa.forEach(t),Ae.forEach(t),Ea=u(o),w(Do.$$.fragment,o),Ma=u(o),Ut=r(o,"UL",{});var sr=i(Ut);as=r(sr,"LI",{});var Mc=i(as);Wo=r(Mc,"A",{href:!0,rel:!0});var ap=i(Wo);di=s(ap,"Token classification"),ap.forEach(t),ci=s(Mc," chapter of the \u{1F917} Hugging Face Course."),Mc.forEach(t),pi=u(sr),rt=r(sr,"LI",{});var Xn=i(rt);rs=r(Xn,"A",{href:!0});var rp=i(rs);ui=s(rp,"OPTForSequenceClassification"),rp.forEach(t),hi=s(Xn," is supported by this "),Ho=r(Xn,"A",{href:!0,rel:!0});var ip=i(Ho);mi=s(ip,"example script"),ip.forEach(t),fi=s(Xn," and "),Bo=r(Xn,"A",{href:!0,rel:!0});var lp=i(Bo);gi=s(lp,"notebook"),lp.forEach(t),_i=s(Xn,"."),Xn.forEach(t),sr.forEach(t),Ca=u(o),w(Qo.$$.fragment,o),qa=u(o),Kt=r(o,"UL",{});var ar=i(Kt);it=r(ar,"LI",{});var es=i(it);is=r(es,"A",{href:!0});var dp=i(is);Ti=s(dp,"OPTForQuestionAnswering"),dp.forEach(t),bi=s(es," is supported by this "),Uo=r(es,"A",{href:!0,rel:!0});var cp=i(Uo);yi=s(cp,"question answering example script"),cp.forEach(t),vi=s(es," and "),Ko=r(es,"A",{href:!0,rel:!0});var pp=i(Ko);wi=s(pp,"notebook"),pp.forEach(t),ki=s(es,"."),es.forEach(t),Pi=u(ar),ls=r(ar,"LI",{});var Cc=i(ls);Vo=r(Cc,"A",{href:!0,rel:!0});var up=i(Vo);$i=s(up,"Question answering"),up.forEach(t),Oi=s(Cc,` chapter
of the \u{1F917} Hugging Face Course.`),Cc.forEach(t),ar.forEach(t),ja=u(o),ds=r(o,"P",{});var hp=i(ds);Fi=s(hp,"\u26A1\uFE0F Inference"),hp.forEach(t),Aa=u(o),cs=r(o,"UL",{});var mp=i(cs);Go=r(mp,"LI",{});var rr=i(Go);xi=s(rr,"A blog bost on "),Ro=r(rr,"A",{href:!0,rel:!0});var fp=i(Ro);zi=s(fp,"How \u{1F917} Accelerate runs very large models thanks to PyTorch"),fp.forEach(t),Ei=s(rr," with OPT."),rr.forEach(t),mp.forEach(t),La=u(o),Ot=r(o,"H2",{class:!0});var ir=i(Ot);Vt=r(ir,"A",{id:!0,class:!0,href:!0});var gp=i(Vt);js=r(gp,"SPAN",{});var _p=i(js);w(Zo.$$.fragment,_p),_p.forEach(t),gp.forEach(t),Mi=u(ir),As=r(ir,"SPAN",{});var Tp=i(As);Ci=s(Tp,"OPTConfig"),Tp.forEach(t),ir.forEach(t),Ia=u(o),Pe=r(o,"DIV",{class:!0});var ko=i(Pe);w(Jo.$$.fragment,ko),qi=u(ko),Ft=r(ko,"P",{});var Os=i(Ft);ji=s(Os,"This is the configuration class to store the configuration of a "),ps=r(Os,"A",{href:!0});var bp=i(ps);Ai=s(bp,"OPTModel"),bp.forEach(t),Li=s(Os,`. It is used to instantiate a OPT model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the OPT
`),Yo=r(Os,"A",{href:!0,rel:!0});var yp=i(Yo);Ii=s(yp,"facebook/opt-350m"),yp.forEach(t),Ni=s(Os," architecture."),Os.forEach(t),Si=u(ko),xt=r(ko,"P",{});var Fs=i(xt);Di=s(Fs,"Configuration objects inherit from "),us=r(Fs,"A",{href:!0});var vp=i(us);Wi=s(vp,"PretrainedConfig"),vp.forEach(t),Hi=s(Fs,` and can be used to control the model outputs. Read the
documentation from `),hs=r(Fs,"A",{href:!0});var wp=i(hs);Bi=s(wp,"PretrainedConfig"),wp.forEach(t),Qi=s(Fs," for more information."),Fs.forEach(t),Ui=u(ko),w(Gt.$$.fragment,ko),ko.forEach(t),Na=u(o),zt=r(o,"H2",{class:!0});var lr=i(zt);Rt=r(lr,"A",{id:!0,class:!0,href:!0});var kp=i(Rt);Ls=r(kp,"SPAN",{});var Pp=i(Ls);w(Xo.$$.fragment,Pp),Pp.forEach(t),kp.forEach(t),Ki=u(lr),Is=r(lr,"SPAN",{});var $p=i(Is);Vi=s($p,"OPTModel"),$p.forEach(t),lr.forEach(t),Sa=u(o),$e=r(o,"DIV",{class:!0});var Po=i($e);w(en.$$.fragment,Po),Gi=u(Po),tn=r(Po,"P",{});var dr=i(tn);Ri=s(dr,`The bare OPT Model outputting raw hidden-states without any specific head on top.
This model inherits from `),ms=r(dr,"A",{href:!0});var Op=i(ms);Zi=s(Op,"PreTrainedModel"),Op.forEach(t),Ji=s(dr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),dr.forEach(t),Yi=u(Po),on=r(Po,"P",{});var cr=i(on);Xi=s(cr,"This model is also a PyTorch "),nn=r(cr,"A",{href:!0,rel:!0});var Fp=i(nn);el=s(Fp,"torch.nn.Module"),Fp.forEach(t),tl=s(cr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),cr.forEach(t),ol=u(Po),Ce=r(Po,"DIV",{class:!0});var $o=i(Ce);w(sn.$$.fragment,$o),nl=u($o),Et=r($o,"P",{});var xs=i(Et);sl=s(xs,"The "),fs=r(xs,"A",{href:!0});var xp=i(fs);al=s(xp,"OPTModel"),xp.forEach(t),rl=s(xs," forward method, overrides the "),Ns=r(xs,"CODE",{});var zp=i(Ns);il=s(zp,"__call__"),zp.forEach(t),ll=s(xs," special method."),xs.forEach(t),dl=u($o),w(Zt.$$.fragment,$o),cl=u($o),w(Jt.$$.fragment,$o),$o.forEach(t),Po.forEach(t),Da=u(o),Mt=r(o,"H2",{class:!0});var pr=i(Mt);Yt=r(pr,"A",{id:!0,class:!0,href:!0});var Ep=i(Yt);Ss=r(Ep,"SPAN",{});var Mp=i(Ss);w(an.$$.fragment,Mp),Mp.forEach(t),Ep.forEach(t),pl=u(pr),Ds=r(pr,"SPAN",{});var Cp=i(Ds);ul=s(Cp,"OPTForCausalLM"),Cp.forEach(t),pr.forEach(t),Wa=u(o),Ct=r(o,"DIV",{class:!0});var ur=i(Ct);w(rn.$$.fragment,ur),hl=u(ur),Xt=r(ur,"DIV",{class:!0});var hr=i(Xt);w(ln.$$.fragment,hr),ml=u(hr),w(eo.$$.fragment,hr),hr.forEach(t),ur.forEach(t),Ha=u(o),qt=r(o,"H2",{class:!0});var mr=i(qt);to=r(mr,"A",{id:!0,class:!0,href:!0});var qp=i(to);Ws=r(qp,"SPAN",{});var jp=i(Ws);w(dn.$$.fragment,jp),jp.forEach(t),qp.forEach(t),fl=u(mr),Hs=r(mr,"SPAN",{});var Ap=i(Hs);gl=s(Ap,"TFOPTModel"),Ap.forEach(t),mr.forEach(t),Ba=u(o),ue=r(o,"DIV",{class:!0});var ct=i(ue);w(cn.$$.fragment,ct),_l=u(ct),pn=r(ct,"P",{});var fr=i(pn);Tl=s(fr,`The bare TF OPT Model outputting raw hidden-states without any specific head on top.
This model inherits from `),gs=r(fr,"A",{href:!0});var Lp=i(gs);bl=s(Lp,"TFPreTrainedModel"),Lp.forEach(t),yl=s(fr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fr.forEach(t),vl=u(ct),un=r(ct,"P",{});var gr=i(un);wl=s(gr,"This model is also a "),hn=r(gr,"A",{href:!0,rel:!0});var Ip=i(hn);kl=s(Ip,"tf.keras.Model"),Ip.forEach(t),Pl=s(gr,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),gr.forEach(t),$l=u(ct),w(oo.$$.fragment,ct),Ol=u(ct),qe=r(ct,"DIV",{class:!0});var Oo=i(qe);w(mn.$$.fragment,Oo),Fl=u(Oo),jt=r(Oo,"P",{});var zs=i(jt);xl=s(zs,"The "),_s=r(zs,"A",{href:!0});var Np=i(_s);zl=s(Np,"TFOPTModel"),Np.forEach(t),El=s(zs," forward method, overrides the "),Bs=r(zs,"CODE",{});var Sp=i(Bs);Ml=s(Sp,"__call__"),Sp.forEach(t),Cl=s(zs," special method."),zs.forEach(t),ql=u(Oo),w(no.$$.fragment,Oo),jl=u(Oo),w(so.$$.fragment,Oo),Oo.forEach(t),ct.forEach(t),Qa=u(o),At=r(o,"H2",{class:!0});var _r=i(At);ao=r(_r,"A",{id:!0,class:!0,href:!0});var Dp=i(ao);Qs=r(Dp,"SPAN",{});var Wp=i(Qs);w(fn.$$.fragment,Wp),Wp.forEach(t),Dp.forEach(t),Al=u(_r),Us=r(_r,"SPAN",{});var Hp=i(Us);Ll=s(Hp,"TFOPTForCausalLM"),Hp.forEach(t),_r.forEach(t),Ua=u(o),X=r(o,"DIV",{class:!0});var Le=i(X);w(gn.$$.fragment,Le),Il=u(Le),Ks=r(Le,"P",{});var Bp=i(Ks);Nl=s(Bp,"The OPT Model transformer with a language modeling head on top."),Bp.forEach(t),Sl=u(Le),_n=r(Le,"P",{});var Tr=i(_n);Dl=s(Tr,"This model inherits from "),Ts=r(Tr,"A",{href:!0});var Qp=i(Ts);Wl=s(Qp,"TFPreTrainedModel"),Qp.forEach(t),Hl=s(Tr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tr.forEach(t),Bl=u(Le),Tn=r(Le,"P",{});var br=i(Tn);Ql=s(br,"This model is also a "),bn=r(br,"A",{href:!0,rel:!0});var Up=i(bn);Ul=s(Up,"tf.keras.Model"),Up.forEach(t),Kl=s(br,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),br.forEach(t),Vl=u(Le),w(ro.$$.fragment,Le),Gl=u(Le),io=r(Le,"DIV",{class:!0});var yr=i(io);w(yn.$$.fragment,yr),Rl=u(yr),w(lo.$$.fragment,yr),yr.forEach(t),Le.forEach(t),Ka=u(o),Lt=r(o,"H2",{class:!0});var vr=i(Lt);co=r(vr,"A",{id:!0,class:!0,href:!0});var Kp=i(co);Vs=r(Kp,"SPAN",{});var Vp=i(Vs);w(vn.$$.fragment,Vp),Vp.forEach(t),Kp.forEach(t),Zl=u(vr),Gs=r(vr,"SPAN",{});var Gp=i(Gs);Jl=s(Gp,"OPTForSequenceClassification"),Gp.forEach(t),vr.forEach(t),Va=u(o),Q=r(o,"DIV",{class:!0});var _e=i(Q);w(wn.$$.fragment,_e),Yl=u(_e),Rs=r(_e,"P",{});var Rp=i(Rs);Xl=s(Rp,"The OPT Model transformer with a sequence classification head on top (linear layer)."),Rp.forEach(t),ed=u(_e),bs=r(_e,"P",{});var qc=i(bs);ys=r(qc,"A",{href:!0});var Zp=i(ys);td=s(Zp,"OPTForSequenceClassification"),Zp.forEach(t),od=s(qc,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),qc.forEach(t),nd=u(_e),Oe=r(_e,"P",{});var pt=i(Oe);sd=s(pt,`Since it does classification on the last token, it requires to know the position of the last token. If a
`),Zs=r(pt,"CODE",{});var Jp=i(Zs);ad=s(Jp,"pad_token_id"),Jp.forEach(t),rd=s(pt,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Js=r(pt,"CODE",{});var Yp=i(Js);id=s(Yp,"pad_token_id"),Yp.forEach(t),ld=s(pt,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Ys=r(pt,"CODE",{});var Xp=i(Ys);dd=s(Xp,"inputs_embeds"),Xp.forEach(t),cd=s(pt," are passed instead of "),Xs=r(pt,"CODE",{});var eu=i(Xs);pd=s(eu,"input_ids"),eu.forEach(t),ud=s(pt,`, it does the same (take the last value in
each row of the batch).`),pt.forEach(t),hd=u(_e),kn=r(_e,"P",{});var wr=i(kn);md=s(wr,"This model inherits from "),vs=r(wr,"A",{href:!0});var tu=i(vs);fd=s(tu,"PreTrainedModel"),tu.forEach(t),gd=s(wr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),wr.forEach(t),_d=u(_e),Pn=r(_e,"P",{});var kr=i(Pn);Td=s(kr,"This model is also a PyTorch "),$n=r(kr,"A",{href:!0,rel:!0});var ou=i($n);bd=s(ou,"torch.nn.Module"),ou.forEach(t),yd=s(kr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),kr.forEach(t),vd=u(_e),ge=r(_e,"DIV",{class:!0});var ut=i(ge);w(On.$$.fragment,ut),wd=u(ut),It=r(ut,"P",{});var Es=i(It);kd=s(Es,"The "),ws=r(Es,"A",{href:!0});var nu=i(ws);Pd=s(nu,"OPTForSequenceClassification"),nu.forEach(t),$d=s(Es," forward method, overrides the "),ea=r(Es,"CODE",{});var su=i(ea);Od=s(su,"__call__"),su.forEach(t),Fd=s(Es," special method."),Es.forEach(t),xd=u(ut),w(po.$$.fragment,ut),zd=u(ut),w(uo.$$.fragment,ut),Ed=u(ut),w(ho.$$.fragment,ut),ut.forEach(t),_e.forEach(t),Ga=u(o),Nt=r(o,"H2",{class:!0});var Pr=i(Nt);mo=r(Pr,"A",{id:!0,class:!0,href:!0});var au=i(mo);ta=r(au,"SPAN",{});var ru=i(ta);w(Fn.$$.fragment,ru),ru.forEach(t),au.forEach(t),Md=u(Pr),oa=r(Pr,"SPAN",{});var iu=i(oa);Cd=s(iu,"OPTForQuestionAnswering"),iu.forEach(t),Pr.forEach(t),Ra=u(o),he=r(o,"DIV",{class:!0});var ht=i(he);w(xn.$$.fragment,ht),qd=u(ht),St=r(ht,"P",{});var Ms=i(St);jd=s(Ms,`The OPT Model transformer with a span classification head on top for extractive question-answering tasks like SQuAD
(a linear layers on top of the hidden-states output to compute `),na=r(Ms,"CODE",{});var lu=i(na);Ad=s(lu,"span start logits"),lu.forEach(t),Ld=s(Ms," and "),sa=r(Ms,"CODE",{});var du=i(sa);Id=s(du,"span end logits"),du.forEach(t),Nd=s(Ms,")."),Ms.forEach(t),Sd=u(ht),zn=r(ht,"P",{});var $r=i(zn);Dd=s($r,"This model inherits from "),ks=r($r,"A",{href:!0});var cu=i(ks);Wd=s(cu,"PreTrainedModel"),cu.forEach(t),Hd=s($r,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$r.forEach(t),Bd=u(ht),En=r(ht,"P",{});var Or=i(En);Qd=s(Or,"This model is also a PyTorch "),Mn=r(Or,"A",{href:!0,rel:!0});var pu=i(Mn);Ud=s(pu,"torch.nn.Module"),pu.forEach(t),Kd=s(Or,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Or.forEach(t),Vd=u(ht),je=r(ht,"DIV",{class:!0});var Fo=i(je);w(Cn.$$.fragment,Fo),Gd=u(Fo),Dt=r(Fo,"P",{});var Cs=i(Dt);Rd=s(Cs,"The "),Ps=r(Cs,"A",{href:!0});var uu=i(Ps);Zd=s(uu,"OPTForQuestionAnswering"),uu.forEach(t),Jd=s(Cs," forward method, overrides the "),aa=r(Cs,"CODE",{});var hu=i(aa);Yd=s(hu,"__call__"),hu.forEach(t),Xd=s(Cs," special method."),Cs.forEach(t),ec=u(Fo),w(fo.$$.fragment,Fo),tc=u(Fo),w(go.$$.fragment,Fo),Fo.forEach(t),ht.forEach(t),Za=u(o),Wt=r(o,"H2",{class:!0});var Fr=i(Wt);_o=r(Fr,"A",{id:!0,class:!0,href:!0});var mu=i(_o);ra=r(mu,"SPAN",{});var fu=i(ra);w(qn.$$.fragment,fu),fu.forEach(t),mu.forEach(t),oc=u(Fr),ia=r(Fr,"SPAN",{});var gu=i(ia);nc=s(gu,"FlaxOPTModel"),gu.forEach(t),Fr.forEach(t),Ja=u(o),Ht=r(o,"DIV",{class:!0});var xr=i(Ht);w(jn.$$.fragment,xr),sc=u(xr),To=r(xr,"DIV",{class:!0});var zr=i(To);w(An.$$.fragment,zr),ac=u(zr),w(bo.$$.fragment,zr),zr.forEach(t),xr.forEach(t),Ya=u(o),Bt=r(o,"H2",{class:!0});var Er=i(Bt);yo=r(Er,"A",{id:!0,class:!0,href:!0});var _u=i(yo);la=r(_u,"SPAN",{});var Tu=i(la);w(Ln.$$.fragment,Tu),Tu.forEach(t),_u.forEach(t),rc=u(Er),da=r(Er,"SPAN",{});var bu=i(da);ic=s(bu,"FlaxOPTForCausalLM"),bu.forEach(t),Er.forEach(t),Xa=u(o),U=r(o,"DIV",{class:!0});var Te=i(U);w(In.$$.fragment,Te),lc=u(Te),ca=r(Te,"P",{});var yu=i(ca);dc=s(yu,`OPT Model with a language modeling head on top (linear layer with weights tied to the input embeddings) e.g for
autoregressive tasks.`),yu.forEach(t),cc=u(Te),Nn=r(Te,"P",{});var Mr=i(Nn);pc=s(Mr,"This model inherits from "),$s=r(Mr,"A",{href:!0});var vu=i($s);uc=s(vu,"FlaxPreTrainedModel"),vu.forEach(t),hc=s(Mr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Mr.forEach(t),mc=u(Te),Sn=r(Te,"P",{});var Cr=i(Sn);fc=s(Cr,`This model is also a Flax Linen
`),Dn=r(Cr,"A",{href:!0,rel:!0});var wu=i(Dn);gc=s(wu,"flax.nn.Module"),wu.forEach(t),_c=s(Cr,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Cr.forEach(t),Tc=u(Te),pa=r(Te,"P",{});var ku=i(pa);bc=s(ku,"Finally, this model supports inherent JAX features such as:"),ku.forEach(t),yc=u(Te),ot=r(Te,"UL",{});var xo=i(ot);ua=r(xo,"LI",{});var Pu=i(ua);Wn=r(Pu,"A",{href:!0,rel:!0});var $u=i(Wn);vc=s($u,"Just-In-Time (JIT) compilation"),$u.forEach(t),Pu.forEach(t),wc=u(xo),ha=r(xo,"LI",{});var Ou=i(ha);Hn=r(Ou,"A",{href:!0,rel:!0});var Fu=i(Hn);kc=s(Fu,"Automatic Differentiation"),Fu.forEach(t),Ou.forEach(t),Pc=u(xo),ma=r(xo,"LI",{});var xu=i(ma);Bn=r(xu,"A",{href:!0,rel:!0});var zu=i(Bn);$c=s(zu,"Vectorization"),zu.forEach(t),xu.forEach(t),Oc=u(xo),fa=r(xo,"LI",{});var Eu=i(fa);Qn=r(Eu,"A",{href:!0,rel:!0});var Mu=i(Qn);Fc=s(Mu,"Parallelization"),Mu.forEach(t),Eu.forEach(t),xo.forEach(t),xc=u(Te),vo=r(Te,"DIV",{class:!0});var qr=i(vo);w(Un.$$.fragment,qr),zc=u(qr),w(wo.$$.fragment,qr),qr.forEach(t),Te.forEach(t),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(eh)),d(m,"id","opt"),d(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(m,"href","#opt"),d(_,"class","relative group"),d(te,"id","overview"),d(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(te,"href","#overview"),d(j,"class","relative group"),d(re,"href","https://arxiv.org/pdf/2205.01068"),d(re,"rel","nofollow"),d(oe,"href","/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer"),d(y,"href","https://huggingface.co/ArthurZ"),d(y,"rel","nofollow"),d(Y,"href","https://huggingface.co/ybelkada"),d(Y,"rel","nofollow"),d(E,"href","https://huggingface.co/patrickvonplaten"),d(E,"rel","nofollow"),d(ke,"href","https://github.com/facebookresearch/metaseq"),d(ke,"rel","nofollow"),d(fe,"id","resources"),d(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fe,"href","#resources"),d(S,"class","relative group"),d(Mo,"href","https://colab.research.google.com/drive/1jCkpikz0J2o20FBQmYmAGdiKmJGOMo-o?usp=sharing"),d(Mo,"rel","nofollow"),d(qo,"href","https://huggingface.co/blog/introducing-csearch#62-example-two---opt"),d(qo,"rel","nofollow"),d(jo,"href","https://huggingface.co/course/en/chapter7/6?fw=pt#training-a-causal-language-model-from-scratch"),d(jo,"rel","nofollow"),d(os,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTForCausalLM"),d(Ao,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling#gpt-2gpt-and-causal-language-modeling"),d(Ao,"rel","nofollow"),d(Lo,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),d(Lo,"rel","nofollow"),d(ns,"href","/docs/transformers/main/en/model_doc/opt#transformers.TFOPTForCausalLM"),d(Io,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/language-modeling#run_clmpy"),d(Io,"rel","nofollow"),d(No,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling-tf.ipynb"),d(No,"rel","nofollow"),d(ss,"href","/docs/transformers/main/en/model_doc/opt#transformers.FlaxOPTForCausalLM"),d(So,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#causal-language-modeling"),d(So,"rel","nofollow"),d(Wo,"href","https://huggingface.co/course/chapter7/2?fw=pt"),d(Wo,"rel","nofollow"),d(rs,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTForSequenceClassification"),d(Ho,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/text-classification"),d(Ho,"rel","nofollow"),d(Bo,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification.ipynb"),d(Bo,"rel","nofollow"),d(is,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTForQuestionAnswering"),d(Uo,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/question-answering"),d(Uo,"rel","nofollow"),d(Ko,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering.ipynb"),d(Ko,"rel","nofollow"),d(Vo,"href","https://huggingface.co/course/chapter7/7?fw=pt"),d(Vo,"rel","nofollow"),d(Ro,"href","https://huggingface.co/blog/accelerate-large-models"),d(Ro,"rel","nofollow"),d(Vt,"id","transformers.OPTConfig"),d(Vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vt,"href","#transformers.OPTConfig"),d(Ot,"class","relative group"),d(ps,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTModel"),d(Yo,"href","https://huggingface.co/facebook/opt-350m"),d(Yo,"rel","nofollow"),d(us,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(hs,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Rt,"id","transformers.OPTModel"),d(Rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Rt,"href","#transformers.OPTModel"),d(zt,"class","relative group"),d(ms,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(nn,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(nn,"rel","nofollow"),d(fs,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTModel"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Yt,"id","transformers.OPTForCausalLM"),d(Yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Yt,"href","#transformers.OPTForCausalLM"),d(Mt,"class","relative group"),d(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(to,"id","transformers.TFOPTModel"),d(to,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(to,"href","#transformers.TFOPTModel"),d(qt,"class","relative group"),d(gs,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),d(hn,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(hn,"rel","nofollow"),d(_s,"href","/docs/transformers/main/en/model_doc/opt#transformers.TFOPTModel"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ao,"id","transformers.TFOPTForCausalLM"),d(ao,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ao,"href","#transformers.TFOPTForCausalLM"),d(At,"class","relative group"),d(Ts,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),d(bn,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(bn,"rel","nofollow"),d(io,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(co,"id","transformers.OPTForSequenceClassification"),d(co,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(co,"href","#transformers.OPTForSequenceClassification"),d(Lt,"class","relative group"),d(ys,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTForSequenceClassification"),d(vs,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d($n,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d($n,"rel","nofollow"),d(ws,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTForSequenceClassification"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(mo,"id","transformers.OPTForQuestionAnswering"),d(mo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(mo,"href","#transformers.OPTForQuestionAnswering"),d(Nt,"class","relative group"),d(ks,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Mn,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Mn,"rel","nofollow"),d(Ps,"href","/docs/transformers/main/en/model_doc/opt#transformers.OPTForQuestionAnswering"),d(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_o,"id","transformers.FlaxOPTModel"),d(_o,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(_o,"href","#transformers.FlaxOPTModel"),d(Wt,"class","relative group"),d(To,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(yo,"id","transformers.FlaxOPTForCausalLM"),d(yo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(yo,"href","#transformers.FlaxOPTForCausalLM"),d(Bt,"class","relative group"),d($s,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(Dn,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),d(Dn,"rel","nofollow"),d(Wn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(Wn,"rel","nofollow"),d(Hn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Hn,"rel","nofollow"),d(Bn,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(Bn,"rel","nofollow"),d(Qn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(Qn,"rel","nofollow"),d(vo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,g){e(document.head,c),f(o,b,g),f(o,_,g),e(_,m),e(m,T),k(l,T,null),e(_,h),e(_,M),e(M,Ne),f(o,Fe,g),f(o,j,g),e(j,te),e(te,ae),k(F,ae,null),e(j,Se),e(j,R),e(R,De),f(o,xe,g),f(o,D,g),e(D,We),e(D,re),e(re,ie),e(D,He),f(o,ze,g),f(o,K,g),e(K,Be),f(o,Ee,g),f(o,V,g),e(V,be),e(be,Qe),f(o,me,g),f(o,C,g),e(C,A),f(o,Me,g),f(o,W,g),e(W,le),e(le,Ue),e(le,Z),e(Z,Ke),e(le,Ve),e(W,L),e(W,I),e(I,de),e(I,ye),e(ye,Ge),e(I,ce),e(I,ve),e(ve,Re),e(I,J),e(I,we),e(we,pe),e(I,Ze),e(I,oe),e(oe,N),e(I,Je),f(o,H,g),f(o,q,g),e(q,Ye),e(q,y),e(y,z),e(q,_t),e(q,Y),e(Y,Tt),e(q,bt),e(q,E),e(E,yt),e(q,vt),e(q,ke),e(ke,wt),e(q,kt),f(o,G,g),f(o,S,g),e(S,fe),e(fe,Xe),k(B,Xe,null),e(S,Pt),e(S,et),e(et,tt),f(o,nt,g),f(o,ne,g),e(ne,$t),f(o,xa,g),k(zo,o,g),f(o,za,g),f(o,se,g),e(se,Eo),e(Eo,jr),e(Eo,Mo),e(Mo,Ar),e(Eo,Lr),e(se,Ir),e(se,Co),e(Co,Nr),e(Co,qo),e(qo,Sr),e(Co,Dr),e(se,Wr),e(se,ts),e(ts,jo),e(jo,Hr),e(ts,Br),e(se,Qr),e(se,st),e(st,os),e(os,Ur),e(st,Kr),e(st,Ao),e(Ao,Vr),e(st,Gr),e(st,Lo),e(Lo,Rr),e(st,Zr),e(se,Jr),e(se,at),e(at,ns),e(ns,Yr),e(at,Xr),e(at,Io),e(Io,ei),e(at,ti),e(at,No),e(No,oi),e(at,ni),e(se,si),e(se,Qt),e(Qt,ss),e(ss,ai),e(Qt,ri),e(Qt,So),e(So,ii),e(Qt,li),f(o,Ea,g),k(Do,o,g),f(o,Ma,g),f(o,Ut,g),e(Ut,as),e(as,Wo),e(Wo,di),e(as,ci),e(Ut,pi),e(Ut,rt),e(rt,rs),e(rs,ui),e(rt,hi),e(rt,Ho),e(Ho,mi),e(rt,fi),e(rt,Bo),e(Bo,gi),e(rt,_i),f(o,Ca,g),k(Qo,o,g),f(o,qa,g),f(o,Kt,g),e(Kt,it),e(it,is),e(is,Ti),e(it,bi),e(it,Uo),e(Uo,yi),e(it,vi),e(it,Ko),e(Ko,wi),e(it,ki),e(Kt,Pi),e(Kt,ls),e(ls,Vo),e(Vo,$i),e(ls,Oi),f(o,ja,g),f(o,ds,g),e(ds,Fi),f(o,Aa,g),f(o,cs,g),e(cs,Go),e(Go,xi),e(Go,Ro),e(Ro,zi),e(Go,Ei),f(o,La,g),f(o,Ot,g),e(Ot,Vt),e(Vt,js),k(Zo,js,null),e(Ot,Mi),e(Ot,As),e(As,Ci),f(o,Ia,g),f(o,Pe,g),k(Jo,Pe,null),e(Pe,qi),e(Pe,Ft),e(Ft,ji),e(Ft,ps),e(ps,Ai),e(Ft,Li),e(Ft,Yo),e(Yo,Ii),e(Ft,Ni),e(Pe,Si),e(Pe,xt),e(xt,Di),e(xt,us),e(us,Wi),e(xt,Hi),e(xt,hs),e(hs,Bi),e(xt,Qi),e(Pe,Ui),k(Gt,Pe,null),f(o,Na,g),f(o,zt,g),e(zt,Rt),e(Rt,Ls),k(Xo,Ls,null),e(zt,Ki),e(zt,Is),e(Is,Vi),f(o,Sa,g),f(o,$e,g),k(en,$e,null),e($e,Gi),e($e,tn),e(tn,Ri),e(tn,ms),e(ms,Zi),e(tn,Ji),e($e,Yi),e($e,on),e(on,Xi),e(on,nn),e(nn,el),e(on,tl),e($e,ol),e($e,Ce),k(sn,Ce,null),e(Ce,nl),e(Ce,Et),e(Et,sl),e(Et,fs),e(fs,al),e(Et,rl),e(Et,Ns),e(Ns,il),e(Et,ll),e(Ce,dl),k(Zt,Ce,null),e(Ce,cl),k(Jt,Ce,null),f(o,Da,g),f(o,Mt,g),e(Mt,Yt),e(Yt,Ss),k(an,Ss,null),e(Mt,pl),e(Mt,Ds),e(Ds,ul),f(o,Wa,g),f(o,Ct,g),k(rn,Ct,null),e(Ct,hl),e(Ct,Xt),k(ln,Xt,null),e(Xt,ml),k(eo,Xt,null),f(o,Ha,g),f(o,qt,g),e(qt,to),e(to,Ws),k(dn,Ws,null),e(qt,fl),e(qt,Hs),e(Hs,gl),f(o,Ba,g),f(o,ue,g),k(cn,ue,null),e(ue,_l),e(ue,pn),e(pn,Tl),e(pn,gs),e(gs,bl),e(pn,yl),e(ue,vl),e(ue,un),e(un,wl),e(un,hn),e(hn,kl),e(un,Pl),e(ue,$l),k(oo,ue,null),e(ue,Ol),e(ue,qe),k(mn,qe,null),e(qe,Fl),e(qe,jt),e(jt,xl),e(jt,_s),e(_s,zl),e(jt,El),e(jt,Bs),e(Bs,Ml),e(jt,Cl),e(qe,ql),k(no,qe,null),e(qe,jl),k(so,qe,null),f(o,Qa,g),f(o,At,g),e(At,ao),e(ao,Qs),k(fn,Qs,null),e(At,Al),e(At,Us),e(Us,Ll),f(o,Ua,g),f(o,X,g),k(gn,X,null),e(X,Il),e(X,Ks),e(Ks,Nl),e(X,Sl),e(X,_n),e(_n,Dl),e(_n,Ts),e(Ts,Wl),e(_n,Hl),e(X,Bl),e(X,Tn),e(Tn,Ql),e(Tn,bn),e(bn,Ul),e(Tn,Kl),e(X,Vl),k(ro,X,null),e(X,Gl),e(X,io),k(yn,io,null),e(io,Rl),k(lo,io,null),f(o,Ka,g),f(o,Lt,g),e(Lt,co),e(co,Vs),k(vn,Vs,null),e(Lt,Zl),e(Lt,Gs),e(Gs,Jl),f(o,Va,g),f(o,Q,g),k(wn,Q,null),e(Q,Yl),e(Q,Rs),e(Rs,Xl),e(Q,ed),e(Q,bs),e(bs,ys),e(ys,td),e(bs,od),e(Q,nd),e(Q,Oe),e(Oe,sd),e(Oe,Zs),e(Zs,ad),e(Oe,rd),e(Oe,Js),e(Js,id),e(Oe,ld),e(Oe,Ys),e(Ys,dd),e(Oe,cd),e(Oe,Xs),e(Xs,pd),e(Oe,ud),e(Q,hd),e(Q,kn),e(kn,md),e(kn,vs),e(vs,fd),e(kn,gd),e(Q,_d),e(Q,Pn),e(Pn,Td),e(Pn,$n),e($n,bd),e(Pn,yd),e(Q,vd),e(Q,ge),k(On,ge,null),e(ge,wd),e(ge,It),e(It,kd),e(It,ws),e(ws,Pd),e(It,$d),e(It,ea),e(ea,Od),e(It,Fd),e(ge,xd),k(po,ge,null),e(ge,zd),k(uo,ge,null),e(ge,Ed),k(ho,ge,null),f(o,Ga,g),f(o,Nt,g),e(Nt,mo),e(mo,ta),k(Fn,ta,null),e(Nt,Md),e(Nt,oa),e(oa,Cd),f(o,Ra,g),f(o,he,g),k(xn,he,null),e(he,qd),e(he,St),e(St,jd),e(St,na),e(na,Ad),e(St,Ld),e(St,sa),e(sa,Id),e(St,Nd),e(he,Sd),e(he,zn),e(zn,Dd),e(zn,ks),e(ks,Wd),e(zn,Hd),e(he,Bd),e(he,En),e(En,Qd),e(En,Mn),e(Mn,Ud),e(En,Kd),e(he,Vd),e(he,je),k(Cn,je,null),e(je,Gd),e(je,Dt),e(Dt,Rd),e(Dt,Ps),e(Ps,Zd),e(Dt,Jd),e(Dt,aa),e(aa,Yd),e(Dt,Xd),e(je,ec),k(fo,je,null),e(je,tc),k(go,je,null),f(o,Za,g),f(o,Wt,g),e(Wt,_o),e(_o,ra),k(qn,ra,null),e(Wt,oc),e(Wt,ia),e(ia,nc),f(o,Ja,g),f(o,Ht,g),k(jn,Ht,null),e(Ht,sc),e(Ht,To),k(An,To,null),e(To,ac),k(bo,To,null),f(o,Ya,g),f(o,Bt,g),e(Bt,yo),e(yo,la),k(Ln,la,null),e(Bt,rc),e(Bt,da),e(da,ic),f(o,Xa,g),f(o,U,g),k(In,U,null),e(U,lc),e(U,ca),e(ca,dc),e(U,cc),e(U,Nn),e(Nn,pc),e(Nn,$s),e($s,uc),e(Nn,hc),e(U,mc),e(U,Sn),e(Sn,fc),e(Sn,Dn),e(Dn,gc),e(Sn,_c),e(U,Tc),e(U,pa),e(pa,bc),e(U,yc),e(U,ot),e(ot,ua),e(ua,Wn),e(Wn,vc),e(ot,wc),e(ot,ha),e(ha,Hn),e(Hn,kc),e(ot,Pc),e(ot,ma),e(ma,Bn),e(Bn,$c),e(ot,Oc),e(ot,fa),e(fa,Qn),e(Qn,Fc),e(U,xc),e(U,vo),k(Un,vo,null),e(vo,zc),k(wo,vo,null),er=!0},p(o,[g]){const Kn={};g&2&&(Kn.$$scope={dirty:g,ctx:o}),Gt.$set(Kn);const ga={};g&2&&(ga.$$scope={dirty:g,ctx:o}),Zt.$set(ga);const _a={};g&2&&(_a.$$scope={dirty:g,ctx:o}),Jt.$set(_a);const Ta={};g&2&&(Ta.$$scope={dirty:g,ctx:o}),eo.$set(Ta);const Vn={};g&2&&(Vn.$$scope={dirty:g,ctx:o}),oo.$set(Vn);const ba={};g&2&&(ba.$$scope={dirty:g,ctx:o}),no.$set(ba);const ya={};g&2&&(ya.$$scope={dirty:g,ctx:o}),so.$set(ya);const va={};g&2&&(va.$$scope={dirty:g,ctx:o}),ro.$set(va);const Gn={};g&2&&(Gn.$$scope={dirty:g,ctx:o}),lo.$set(Gn);const wa={};g&2&&(wa.$$scope={dirty:g,ctx:o}),po.$set(wa);const ka={};g&2&&(ka.$$scope={dirty:g,ctx:o}),uo.$set(ka);const Pa={};g&2&&(Pa.$$scope={dirty:g,ctx:o}),ho.$set(Pa);const $a={};g&2&&($a.$$scope={dirty:g,ctx:o}),fo.$set($a);const Oa={};g&2&&(Oa.$$scope={dirty:g,ctx:o}),go.$set(Oa);const Rn={};g&2&&(Rn.$$scope={dirty:g,ctx:o}),bo.$set(Rn);const Zn={};g&2&&(Zn.$$scope={dirty:g,ctx:o}),wo.$set(Zn)},i(o){er||(P(l.$$.fragment,o),P(F.$$.fragment,o),P(B.$$.fragment,o),P(zo.$$.fragment,o),P(Do.$$.fragment,o),P(Qo.$$.fragment,o),P(Zo.$$.fragment,o),P(Jo.$$.fragment,o),P(Gt.$$.fragment,o),P(Xo.$$.fragment,o),P(en.$$.fragment,o),P(sn.$$.fragment,o),P(Zt.$$.fragment,o),P(Jt.$$.fragment,o),P(an.$$.fragment,o),P(rn.$$.fragment,o),P(ln.$$.fragment,o),P(eo.$$.fragment,o),P(dn.$$.fragment,o),P(cn.$$.fragment,o),P(oo.$$.fragment,o),P(mn.$$.fragment,o),P(no.$$.fragment,o),P(so.$$.fragment,o),P(fn.$$.fragment,o),P(gn.$$.fragment,o),P(ro.$$.fragment,o),P(yn.$$.fragment,o),P(lo.$$.fragment,o),P(vn.$$.fragment,o),P(wn.$$.fragment,o),P(On.$$.fragment,o),P(po.$$.fragment,o),P(uo.$$.fragment,o),P(ho.$$.fragment,o),P(Fn.$$.fragment,o),P(xn.$$.fragment,o),P(Cn.$$.fragment,o),P(fo.$$.fragment,o),P(go.$$.fragment,o),P(qn.$$.fragment,o),P(jn.$$.fragment,o),P(An.$$.fragment,o),P(bo.$$.fragment,o),P(Ln.$$.fragment,o),P(In.$$.fragment,o),P(Un.$$.fragment,o),P(wo.$$.fragment,o),er=!0)},o(o){$(l.$$.fragment,o),$(F.$$.fragment,o),$(B.$$.fragment,o),$(zo.$$.fragment,o),$(Do.$$.fragment,o),$(Qo.$$.fragment,o),$(Zo.$$.fragment,o),$(Jo.$$.fragment,o),$(Gt.$$.fragment,o),$(Xo.$$.fragment,o),$(en.$$.fragment,o),$(sn.$$.fragment,o),$(Zt.$$.fragment,o),$(Jt.$$.fragment,o),$(an.$$.fragment,o),$(rn.$$.fragment,o),$(ln.$$.fragment,o),$(eo.$$.fragment,o),$(dn.$$.fragment,o),$(cn.$$.fragment,o),$(oo.$$.fragment,o),$(mn.$$.fragment,o),$(no.$$.fragment,o),$(so.$$.fragment,o),$(fn.$$.fragment,o),$(gn.$$.fragment,o),$(ro.$$.fragment,o),$(yn.$$.fragment,o),$(lo.$$.fragment,o),$(vn.$$.fragment,o),$(wn.$$.fragment,o),$(On.$$.fragment,o),$(po.$$.fragment,o),$(uo.$$.fragment,o),$(ho.$$.fragment,o),$(Fn.$$.fragment,o),$(xn.$$.fragment,o),$(Cn.$$.fragment,o),$(fo.$$.fragment,o),$(go.$$.fragment,o),$(qn.$$.fragment,o),$(jn.$$.fragment,o),$(An.$$.fragment,o),$(bo.$$.fragment,o),$(Ln.$$.fragment,o),$(In.$$.fragment,o),$(Un.$$.fragment,o),$(wo.$$.fragment,o),er=!1},d(o){t(c),o&&t(b),o&&t(_),O(l),o&&t(Fe),o&&t(j),O(F),o&&t(xe),o&&t(D),o&&t(ze),o&&t(K),o&&t(Ee),o&&t(V),o&&t(me),o&&t(C),o&&t(Me),o&&t(W),o&&t(H),o&&t(q),o&&t(G),o&&t(S),O(B),o&&t(nt),o&&t(ne),o&&t(xa),O(zo,o),o&&t(za),o&&t(se),o&&t(Ea),O(Do,o),o&&t(Ma),o&&t(Ut),o&&t(Ca),O(Qo,o),o&&t(qa),o&&t(Kt),o&&t(ja),o&&t(ds),o&&t(Aa),o&&t(cs),o&&t(La),o&&t(Ot),O(Zo),o&&t(Ia),o&&t(Pe),O(Jo),O(Gt),o&&t(Na),o&&t(zt),O(Xo),o&&t(Sa),o&&t($e),O(en),O(sn),O(Zt),O(Jt),o&&t(Da),o&&t(Mt),O(an),o&&t(Wa),o&&t(Ct),O(rn),O(ln),O(eo),o&&t(Ha),o&&t(qt),O(dn),o&&t(Ba),o&&t(ue),O(cn),O(oo),O(mn),O(no),O(so),o&&t(Qa),o&&t(At),O(fn),o&&t(Ua),o&&t(X),O(gn),O(ro),O(yn),O(lo),o&&t(Ka),o&&t(Lt),O(vn),o&&t(Va),o&&t(Q),O(wn),O(On),O(po),O(uo),O(ho),o&&t(Ga),o&&t(Nt),O(Fn),o&&t(Ra),o&&t(he),O(xn),O(Cn),O(fo),O(go),o&&t(Za),o&&t(Wt),O(qn),o&&t(Ja),o&&t(Ht),O(jn),O(An),O(bo),o&&t(Ya),o&&t(Bt),O(Ln),o&&t(Xa),o&&t(U),O(In),O(Un),O(wo)}}}const eh={local:"opt",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.OPTConfig",title:"OPTConfig"},{local:"transformers.OPTModel",title:"OPTModel"},{local:"transformers.OPTForCausalLM",title:"OPTForCausalLM"},{local:"transformers.TFOPTModel",title:"TFOPTModel"},{local:"transformers.TFOPTForCausalLM",title:"TFOPTForCausalLM"},{local:"transformers.OPTForSequenceClassification",title:"OPTForSequenceClassification"},{local:"transformers.OPTForQuestionAnswering",title:"OPTForQuestionAnswering"},{local:"transformers.FlaxOPTModel",title:"FlaxOPTModel"},{local:"transformers.FlaxOPTForCausalLM",title:"FlaxOPTForCausalLM"}],title:"OPT"};function th(x){return Lu(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dh extends Cu{constructor(c){super();qu(this,c,th,Xu,ju,{})}}export{dh as default,eh as metadata};
