import{S as K2,i as V2,s as Y2,e as a,k as c,w as b,t as n,M as Z2,c as r,d as o,m as p,a as i,x as v,h as s,b as l,N as H2,G as e,g as u,y,q as w,o as $,B as x,v as J2,L as It}from"../../chunks/vendor-hf-doc-builder.js";import{T as Lt}from"../../chunks/Tip-hf-doc-builder.js";import{D as O}from"../../chunks/Docstring-hf-doc-builder.js";import{C as we}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ye}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Nt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Vr}from"../../chunks/PipelineTag-hf-doc-builder.js";function X2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function Q2(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, T5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="pt").input_ids  # Batch size 1

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function e$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function t$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, T5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

# training
input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="pt").input_ids
outputs = model(input_ids=input_ids, labels=labels)
loss = outputs.loss
logits = outputs.logits

# inference
input_ids = tokenizer(
    "summarize: studies have shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
outputs = model.generate(input_ids)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))
# studies have shown that owning a dog is good for you.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;summarize: studies have shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># studies have shown that owning a dog is good for you.</span>`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function o$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function n$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, T5EncoderModel

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5EncoderModel.from_pretrained("t5-small")
input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
outputs = model(input_ids=input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5EncoderModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5EncoderModel.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function s$(q){let m,k,g,_,T,d,f,F,Oe,je,I,he,J,E,Le,B,ue,Xe,Y,X,ne,R,re,Ne,H,Ie,Me,S,De,ie,me,C,P,fe,Q,Ce,_e,K,Se,Ae,A,Ge,Z,G,$e,D,Be,xe,U,Ue,V,We,ge,L,ze,N,Re,He;return{c(){m=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),d=c(),f=a("ul"),F=a("li"),Oe=n("having all inputs as keyword arguments (like PyTorch models), or"),je=c(),I=a("li"),he=n("having all inputs as a list, tuple or dict in the first positional argument."),J=c(),E=a("p"),Le=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a("code"),ue=n("model.fit()"),Xe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=a("code"),X=n("model.fit()"),ne=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),R=a("code"),re=n("fit()"),Ne=n(" and "),H=a("code"),Ie=n("predict()"),Me=n(`, such as when creating your own layers or models with
the Keras `),S=a("code"),De=n("Functional"),ie=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),me=c(),C=a("ul"),P=a("li"),fe=n("a single Tensor with "),Q=a("code"),Ce=n("input_ids"),_e=n(" only and nothing else: "),K=a("code"),Se=n("model(input_ids)"),Ae=c(),A=a("li"),Ge=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Z=a("code"),G=n("model([input_ids, attention_mask])"),$e=n(" or "),D=a("code"),Be=n("model([input_ids, attention_mask, token_type_ids])"),xe=c(),U=a("li"),Ue=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=a("code"),We=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ge=c(),L=a("p"),ze=n(`Note that when creating models and layers with
`),N=a("a"),Re=n("subclassing"),He=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){m=r(z,"P",{});var j=i(m);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var ft=i(g);_=s(ft,"transformers"),ft.forEach(o),T=s(j," accept two formats as input:"),j.forEach(o),d=p(z),f=r(z,"UL",{});var Te=i(f);F=r(Te,"LI",{});var Qe=i(F);Oe=s(Qe,"having all inputs as keyword arguments (like PyTorch models), or"),Qe.forEach(o),je=p(Te),I=r(Te,"LI",{});var et=i(I);he=s(et,"having all inputs as a list, tuple or dict in the first positional argument."),et.forEach(o),Te.forEach(o),J=p(z),E=r(z,"P",{});var M=i(E);Le=s(M,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r(M,"CODE",{});var _t=i(B);ue=s(_t,"model.fit()"),_t.forEach(o),Xe=s(M,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=r(M,"CODE",{});var tt=i(Y);X=s(tt,"model.fit()"),tt.forEach(o),ne=s(M,` supports! If, however, you want to use the second
format outside of Keras methods like `),R=r(M,"CODE",{});var se=i(R);re=s(se,"fit()"),se.forEach(o),Ne=s(M," and "),H=r(M,"CODE",{});var gt=i(H);Ie=s(gt,"predict()"),gt.forEach(o),Me=s(M,`, such as when creating your own layers or models with
the Keras `),S=r(M,"CODE",{});var Ke=i(S);De=s(Ke,"Functional"),Ke.forEach(o),ie=s(M,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),M.forEach(o),me=p(z),C=r(z,"UL",{});var W=i(C);P=r(W,"LI",{});var ee=i(P);fe=s(ee,"a single Tensor with "),Q=r(ee,"CODE",{});var Ve=i(Q);Ce=s(Ve,"input_ids"),Ve.forEach(o),_e=s(ee," only and nothing else: "),K=r(ee,"CODE",{});var Tt=i(K);Se=s(Tt,"model(input_ids)"),Tt.forEach(o),ee.forEach(o),Ae=p(W),A=r(W,"LI",{});var te=i(A);Ge=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Z=r(te,"CODE",{});var Ye=i(Z);G=s(Ye,"model([input_ids, attention_mask])"),Ye.forEach(o),$e=s(te," or "),D=r(te,"CODE",{});var kt=i(D);Be=s(kt,"model([input_ids, attention_mask, token_type_ids])"),kt.forEach(o),te.forEach(o),xe=p(W),U=r(W,"LI",{});var Ze=i(U);Ue=s(Ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=r(Ze,"CODE",{});var pt=i(V);We=s(pt,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),pt.forEach(o),Ze.forEach(o),W.forEach(o),ge=p(z),L=r(z,"P",{});var oe=i(L);ze=s(oe,`Note that when creating models and layers with
`),N=r(oe,"A",{href:!0,rel:!0});var bt=i(N);Re=s(bt,"subclassing"),bt.forEach(o),He=s(oe,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),oe.forEach(o),this.h()},h(){l(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),l(N,"rel","nofollow")},m(z,j){u(z,m,j),e(m,k),e(m,g),e(g,_),e(m,T),u(z,d,j),u(z,f,j),e(f,F),e(F,Oe),e(f,je),e(f,I),e(I,he),u(z,J,j),u(z,E,j),e(E,Le),e(E,B),e(B,ue),e(E,Xe),e(E,Y),e(Y,X),e(E,ne),e(E,R),e(R,re),e(E,Ne),e(E,H),e(H,Ie),e(E,Me),e(E,S),e(S,De),e(E,ie),u(z,me,j),u(z,C,j),e(C,P),e(P,fe),e(P,Q),e(Q,Ce),e(P,_e),e(P,K),e(K,Se),e(C,Ae),e(C,A),e(A,Ge),e(A,Z),e(Z,G),e(A,$e),e(A,D),e(D,Be),e(C,xe),e(C,U),e(U,Ue),e(U,V),e(V,We),u(z,ge,j),u(z,L,j),e(L,ze),e(L,N),e(N,Re),e(L,He)},d(z){z&&o(m),z&&o(d),z&&o(f),z&&o(J),z&&o(E),z&&o(me),z&&o(C),z&&o(ge),z&&o(L)}}}function a$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function r$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, TFT5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="tf").input_ids  # Batch size 1

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function i$(q){let m,k,g,_,T,d,f,F,Oe,je,I,he,J,E,Le,B,ue,Xe,Y,X,ne,R,re,Ne,H,Ie,Me,S,De,ie,me,C,P,fe,Q,Ce,_e,K,Se,Ae,A,Ge,Z,G,$e,D,Be,xe,U,Ue,V,We,ge,L,ze,N,Re,He;return{c(){m=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),d=c(),f=a("ul"),F=a("li"),Oe=n("having all inputs as keyword arguments (like PyTorch models), or"),je=c(),I=a("li"),he=n("having all inputs as a list, tuple or dict in the first positional argument."),J=c(),E=a("p"),Le=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a("code"),ue=n("model.fit()"),Xe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=a("code"),X=n("model.fit()"),ne=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),R=a("code"),re=n("fit()"),Ne=n(" and "),H=a("code"),Ie=n("predict()"),Me=n(`, such as when creating your own layers or models with
the Keras `),S=a("code"),De=n("Functional"),ie=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),me=c(),C=a("ul"),P=a("li"),fe=n("a single Tensor with "),Q=a("code"),Ce=n("input_ids"),_e=n(" only and nothing else: "),K=a("code"),Se=n("model(input_ids)"),Ae=c(),A=a("li"),Ge=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Z=a("code"),G=n("model([input_ids, attention_mask])"),$e=n(" or "),D=a("code"),Be=n("model([input_ids, attention_mask, token_type_ids])"),xe=c(),U=a("li"),Ue=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=a("code"),We=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ge=c(),L=a("p"),ze=n(`Note that when creating models and layers with
`),N=a("a"),Re=n("subclassing"),He=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){m=r(z,"P",{});var j=i(m);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var ft=i(g);_=s(ft,"transformers"),ft.forEach(o),T=s(j," accept two formats as input:"),j.forEach(o),d=p(z),f=r(z,"UL",{});var Te=i(f);F=r(Te,"LI",{});var Qe=i(F);Oe=s(Qe,"having all inputs as keyword arguments (like PyTorch models), or"),Qe.forEach(o),je=p(Te),I=r(Te,"LI",{});var et=i(I);he=s(et,"having all inputs as a list, tuple or dict in the first positional argument."),et.forEach(o),Te.forEach(o),J=p(z),E=r(z,"P",{});var M=i(E);Le=s(M,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r(M,"CODE",{});var _t=i(B);ue=s(_t,"model.fit()"),_t.forEach(o),Xe=s(M,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=r(M,"CODE",{});var tt=i(Y);X=s(tt,"model.fit()"),tt.forEach(o),ne=s(M,` supports! If, however, you want to use the second
format outside of Keras methods like `),R=r(M,"CODE",{});var se=i(R);re=s(se,"fit()"),se.forEach(o),Ne=s(M," and "),H=r(M,"CODE",{});var gt=i(H);Ie=s(gt,"predict()"),gt.forEach(o),Me=s(M,`, such as when creating your own layers or models with
the Keras `),S=r(M,"CODE",{});var Ke=i(S);De=s(Ke,"Functional"),Ke.forEach(o),ie=s(M,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),M.forEach(o),me=p(z),C=r(z,"UL",{});var W=i(C);P=r(W,"LI",{});var ee=i(P);fe=s(ee,"a single Tensor with "),Q=r(ee,"CODE",{});var Ve=i(Q);Ce=s(Ve,"input_ids"),Ve.forEach(o),_e=s(ee," only and nothing else: "),K=r(ee,"CODE",{});var Tt=i(K);Se=s(Tt,"model(input_ids)"),Tt.forEach(o),ee.forEach(o),Ae=p(W),A=r(W,"LI",{});var te=i(A);Ge=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Z=r(te,"CODE",{});var Ye=i(Z);G=s(Ye,"model([input_ids, attention_mask])"),Ye.forEach(o),$e=s(te," or "),D=r(te,"CODE",{});var kt=i(D);Be=s(kt,"model([input_ids, attention_mask, token_type_ids])"),kt.forEach(o),te.forEach(o),xe=p(W),U=r(W,"LI",{});var Ze=i(U);Ue=s(Ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=r(Ze,"CODE",{});var pt=i(V);We=s(pt,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),pt.forEach(o),Ze.forEach(o),W.forEach(o),ge=p(z),L=r(z,"P",{});var oe=i(L);ze=s(oe,`Note that when creating models and layers with
`),N=r(oe,"A",{href:!0,rel:!0});var bt=i(N);Re=s(bt,"subclassing"),bt.forEach(o),He=s(oe,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),oe.forEach(o),this.h()},h(){l(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),l(N,"rel","nofollow")},m(z,j){u(z,m,j),e(m,k),e(m,g),e(g,_),e(m,T),u(z,d,j),u(z,f,j),e(f,F),e(F,Oe),e(f,je),e(f,I),e(I,he),u(z,J,j),u(z,E,j),e(E,Le),e(E,B),e(B,ue),e(E,Xe),e(E,Y),e(Y,X),e(E,ne),e(E,R),e(R,re),e(E,Ne),e(E,H),e(H,Ie),e(E,Me),e(E,S),e(S,De),e(E,ie),u(z,me,j),u(z,C,j),e(C,P),e(P,fe),e(P,Q),e(Q,Ce),e(P,_e),e(P,K),e(K,Se),e(C,Ae),e(C,A),e(A,Ge),e(A,Z),e(Z,G),e(A,$e),e(A,D),e(D,Be),e(C,xe),e(C,U),e(U,Ue),e(U,V),e(V,We),u(z,ge,j),u(z,L,j),e(L,ze),e(L,N),e(N,Re),e(L,He)},d(z){z&&o(m),z&&o(d),z&&o(f),z&&o(J),z&&o(E),z&&o(me),z&&o(C),z&&o(ge),z&&o(L)}}}function d$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function l$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, TFT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5ForConditionalGeneration.from_pretrained("t5-small")

# training
inputs = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="tf").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="tf").input_ids
outputs = model(inputs, labels=labels)
loss = outputs.loss
logits = outputs.logits

# inference
inputs = tokenizer(
    "summarize: studies have shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
outputs = model.generate(inputs)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))
# studies have shown that owning a dog is good for you`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;summarize: studies have shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># studies have shown that owning a dog is good for you</span>`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function c$(q){let m,k,g,_,T,d,f,F,Oe,je,I,he,J,E,Le,B,ue,Xe,Y,X,ne,R,re,Ne,H,Ie,Me,S,De,ie,me,C,P,fe,Q,Ce,_e,K,Se,Ae,A,Ge,Z,G,$e,D,Be,xe,U,Ue,V,We,ge,L,ze,N,Re,He;return{c(){m=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),d=c(),f=a("ul"),F=a("li"),Oe=n("having all inputs as keyword arguments (like PyTorch models), or"),je=c(),I=a("li"),he=n("having all inputs as a list, tuple or dict in the first positional argument."),J=c(),E=a("p"),Le=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a("code"),ue=n("model.fit()"),Xe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=a("code"),X=n("model.fit()"),ne=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),R=a("code"),re=n("fit()"),Ne=n(" and "),H=a("code"),Ie=n("predict()"),Me=n(`, such as when creating your own layers or models with
the Keras `),S=a("code"),De=n("Functional"),ie=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),me=c(),C=a("ul"),P=a("li"),fe=n("a single Tensor with "),Q=a("code"),Ce=n("input_ids"),_e=n(" only and nothing else: "),K=a("code"),Se=n("model(input_ids)"),Ae=c(),A=a("li"),Ge=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Z=a("code"),G=n("model([input_ids, attention_mask])"),$e=n(" or "),D=a("code"),Be=n("model([input_ids, attention_mask, token_type_ids])"),xe=c(),U=a("li"),Ue=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=a("code"),We=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ge=c(),L=a("p"),ze=n(`Note that when creating models and layers with
`),N=a("a"),Re=n("subclassing"),He=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){m=r(z,"P",{});var j=i(m);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var ft=i(g);_=s(ft,"transformers"),ft.forEach(o),T=s(j," accept two formats as input:"),j.forEach(o),d=p(z),f=r(z,"UL",{});var Te=i(f);F=r(Te,"LI",{});var Qe=i(F);Oe=s(Qe,"having all inputs as keyword arguments (like PyTorch models), or"),Qe.forEach(o),je=p(Te),I=r(Te,"LI",{});var et=i(I);he=s(et,"having all inputs as a list, tuple or dict in the first positional argument."),et.forEach(o),Te.forEach(o),J=p(z),E=r(z,"P",{});var M=i(E);Le=s(M,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r(M,"CODE",{});var _t=i(B);ue=s(_t,"model.fit()"),_t.forEach(o),Xe=s(M,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=r(M,"CODE",{});var tt=i(Y);X=s(tt,"model.fit()"),tt.forEach(o),ne=s(M,` supports! If, however, you want to use the second
format outside of Keras methods like `),R=r(M,"CODE",{});var se=i(R);re=s(se,"fit()"),se.forEach(o),Ne=s(M," and "),H=r(M,"CODE",{});var gt=i(H);Ie=s(gt,"predict()"),gt.forEach(o),Me=s(M,`, such as when creating your own layers or models with
the Keras `),S=r(M,"CODE",{});var Ke=i(S);De=s(Ke,"Functional"),Ke.forEach(o),ie=s(M,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),M.forEach(o),me=p(z),C=r(z,"UL",{});var W=i(C);P=r(W,"LI",{});var ee=i(P);fe=s(ee,"a single Tensor with "),Q=r(ee,"CODE",{});var Ve=i(Q);Ce=s(Ve,"input_ids"),Ve.forEach(o),_e=s(ee," only and nothing else: "),K=r(ee,"CODE",{});var Tt=i(K);Se=s(Tt,"model(input_ids)"),Tt.forEach(o),ee.forEach(o),Ae=p(W),A=r(W,"LI",{});var te=i(A);Ge=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Z=r(te,"CODE",{});var Ye=i(Z);G=s(Ye,"model([input_ids, attention_mask])"),Ye.forEach(o),$e=s(te," or "),D=r(te,"CODE",{});var kt=i(D);Be=s(kt,"model([input_ids, attention_mask, token_type_ids])"),kt.forEach(o),te.forEach(o),xe=p(W),U=r(W,"LI",{});var Ze=i(U);Ue=s(Ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),V=r(Ze,"CODE",{});var pt=i(V);We=s(pt,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),pt.forEach(o),Ze.forEach(o),W.forEach(o),ge=p(z),L=r(z,"P",{});var oe=i(L);ze=s(oe,`Note that when creating models and layers with
`),N=r(oe,"A",{href:!0,rel:!0});var bt=i(N);Re=s(bt,"subclassing"),bt.forEach(o),He=s(oe,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),oe.forEach(o),this.h()},h(){l(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),l(N,"rel","nofollow")},m(z,j){u(z,m,j),e(m,k),e(m,g),e(g,_),e(m,T),u(z,d,j),u(z,f,j),e(f,F),e(F,Oe),e(f,je),e(f,I),e(I,he),u(z,J,j),u(z,E,j),e(E,Le),e(E,B),e(B,ue),e(E,Xe),e(E,Y),e(Y,X),e(E,ne),e(E,R),e(R,re),e(E,Ne),e(E,H),e(H,Ie),e(E,Me),e(E,S),e(S,De),e(E,ie),u(z,me,j),u(z,C,j),e(C,P),e(P,fe),e(P,Q),e(Q,Ce),e(P,_e),e(P,K),e(K,Se),e(C,Ae),e(C,A),e(A,Ge),e(A,Z),e(Z,G),e(A,$e),e(A,D),e(D,Be),e(C,xe),e(C,U),e(U,Ue),e(U,V),e(V,We),u(z,ge,j),u(z,L,j),e(L,ze),e(L,N),e(N,Re),e(L,He)},d(z){z&&o(m),z&&o(d),z&&o(f),z&&o(J),z&&o(E),z&&o(me),z&&o(C),z&&o(ge),z&&o(L)}}}function p$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function h$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, TFT5EncoderModel

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5EncoderModel.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
outputs = model(input_ids)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5EncoderModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5EncoderModel.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function u$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function m$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, FlaxT5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="np"
).input_ids
decoder_input_ids = tokenizer("Studies show that", return_tensors="np").input_ids

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>
<span class="hljs-meta">... </span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function f$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function _$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration
import jax.numpy as jnp

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function g$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function T$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

ARTICLE_TO_SUMMARIZE = "summarize: My friends are cool but they eat too many carbs."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], return_tensors="np")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"]).sequences
print(tokenizer.decode(summary_ids[0], skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;summarize: My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>]).sequences
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(summary_ids[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function k$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function b$(q){let m,k,g,_,T;return _=new we({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration
import jax.numpy as jnp

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "summarize: My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;summarize: My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),v(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),y(_,d,f),T=!0},p:It,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function v$(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function y$(q){let m,k,g,_,T,d,f,F,Oe,je,I,he,J,E,Le,B,ue,Xe,Y,X,ne,R,re,Ne,H,Ie,Me,S,De,ie,me,C,P,fe,Q,Ce,_e,K,Se,Ae,A,Ge,Z,G,$e,D,Be,xe,U,Ue,V,We,ge,L,ze,N,Re,He,z,j,ft,Te,Qe,et,M,_t,tt,se,gt,Ke,W,ee,Ve,Tt,te,Ye,kt,Ze,pt,oe,bt,Nc,ot,gd,Td,Xn,wu,$u,kd,bd,Qn,xu,zu,vd,yd,es,Eu,qu,wd,$d,ts,Fu,ju,xd,Yr,os,Mu,Cu,Ic,Zr,Au,Dc,Gt,zd,Co,Ed,Pu,Ou,Jr,Lu,Nu,Iu,qd,Ao,Fd,Du,Su,Xr,Gu,Bu,Uu,jd,Po,Md,Wu,Ru,Qr,Hu,Ku,Sc,Oo,Vu,ns,Yu,Zu,Gc,Bt,Ju,ss,Xu,Qu,as,em,tm,Bc,ei,Uc,to,Lo,Cd,rs,om,Ad,nm,Wc,vt,sm,Pd,am,rm,Od,im,dm,Ld,lm,cm,Rc,No,pm,ti,hm,um,Hc,oi,Nd,mm,Kc,ke,fm,Id,_m,gm,Dd,Tm,km,Sd,bm,vm,Gd,ym,wm,Bd,$m,xm,ni,zm,Em,Vc,si,qm,Yc,is,Zc,Io,Fm,ds,jm,Mm,Jc,ai,Ud,Cm,Xc,ri,Am,Qc,ls,ep,ae,Pm,Wd,Om,Lm,Rd,Nm,Im,Hd,Dm,Sm,Kd,Gm,Bm,Vd,Um,Wm,Yd,Rm,Hm,Zd,Km,Vm,tp,Ut,Ym,Jd,Zm,Jm,Xd,Xm,Qm,op,be,ef,Qd,tf,of,el,nf,sf,tl,af,rf,ol,df,lf,cs,cf,pf,nl,hf,uf,np,ps,sp,ii,mf,ap,di,hs,ff,sl,_f,gf,rp,Wt,Tf,us,kf,bf,ms,vf,yf,ip,Do,wf,al,$f,xf,dp,li,lp,oo,So,rl,fs,zf,il,Ef,cp,yt,qf,ci,Ff,jf,_s,Mf,Cf,gs,Af,Pf,pp,Ts,hp,nt,Of,dl,Lf,Nf,ll,If,Df,pi,Sf,Gf,cl,Bf,Uf,up,hi,Wf,mp,ks,fp,ui,Rf,_p,bs,gp,mi,Tp,no,Go,pl,vs,Hf,hl,Kf,kp,wt,Vf,ys,Yf,Zf,ul,Jf,Xf,ml,Qf,e_,bp,so,Bo,fl,ws,t_,_l,o_,vp,fi,n_,yp,$s,wp,Uo,xs,s_,zs,a_,r_,i_,Es,d_,qs,l_,c_,$p,Fs,xp,_i,js,p_,Ms,h_,u_,zp,Cs,Ep,gi,As,m_,Ps,f_,__,qp,Os,Fp,ve,Ls,g_,Ns,T_,k_,b_,Is,v_,Ds,y_,w_,$_,Ss,x_,Gs,z_,E_,q_,Rt,Ti,F_,j_,Bs,M_,C_,Us,A_,P_,O_,Ht,ki,L_,N_,Ws,I_,D_,Rs,S_,G_,B_,Wo,bi,U_,W_,Hs,R_,H_,K_,vi,Ks,V_,Y_,jp,Vs,Mp,yi,$t,wi,Z_,J_,Ys,X_,Q_,$i,eg,tg,Zs,og,ng,Cp,Js,Ap,Ro,Kt,xi,sg,ag,Xs,rg,ig,Qs,dg,lg,cg,Vt,zi,pg,hg,ea,ug,mg,ta,fg,_g,Pp,oa,Op,Ho,na,gg,sa,Tg,kg,bg,aa,vg,ra,yg,wg,Lp,ia,$g,gl,xg,Np,Ei,da,zg,la,Eg,qg,Ip,ao,Ko,Tl,ca,Fg,kl,jg,Dp,Dt,pa,Mg,St,Cg,qi,Ag,Pg,Fi,Og,Lg,ha,Ng,Ig,Dg,ro,Sg,ji,Gg,Bg,Mi,Ug,Wg,Sp,io,Vo,bl,ua,Rg,vl,Hg,Gp,de,ma,Kg,fa,Vg,_a,Yg,Zg,Jg,ga,Xg,Ci,Qg,eT,tT,Yt,Ta,oT,yl,nT,sT,ka,Ai,aT,wl,rT,iT,Pi,dT,$l,lT,cT,Yo,ba,pT,va,hT,xl,uT,mT,fT,Zo,ya,_T,zl,gT,TT,Oi,wa,Bp,lo,Jo,El,$a,kT,ql,bT,Up,Je,xa,vT,co,yT,Fl,wT,$T,za,xT,zT,ET,Ea,qT,Li,FT,jT,MT,Zt,qa,CT,jl,AT,PT,Fa,Ni,OT,Ml,LT,NT,Ii,IT,Cl,DT,ST,Xo,ja,GT,Al,BT,Wp,po,Qo,Pl,Ma,UT,Ol,WT,Rp,Ee,Ca,RT,Ll,HT,KT,Aa,VT,Pa,YT,ZT,JT,Oa,XT,Di,QT,ek,tk,La,ok,Na,nk,sk,ak,xt,Ia,rk,ho,ik,Si,dk,lk,Nl,ck,pk,hk,en,uk,tn,Hp,uo,on,Il,Da,mk,Dl,fk,Kp,qe,Sa,_k,Ga,gk,Sl,Tk,kk,bk,Ba,vk,Ua,yk,wk,$k,Wa,xk,Gi,zk,Ek,qk,Ra,Fk,Ha,jk,Mk,Ck,zt,Ka,Ak,mo,Pk,Bi,Ok,Lk,Gl,Nk,Ik,Dk,nn,Sk,sn,Vp,fo,an,Bl,Va,Gk,Ul,Bk,Yp,Fe,Ya,Uk,Wl,Wk,Rk,Za,Hk,Ja,Kk,Vk,Yk,Xa,Zk,Ui,Jk,Xk,Qk,Qa,eb,er,tb,ob,nb,Et,tr,sb,_o,ab,Wi,rb,ib,Rl,db,lb,cb,rn,pb,dn,Zp,go,ln,Hl,or,hb,Kl,ub,Jp,le,nr,mb,Vl,fb,_b,sr,gb,ar,Tb,kb,bb,rr,vb,Ri,yb,wb,$b,ir,xb,dr,zb,Eb,qb,cn,Fb,qt,lr,jb,To,Mb,Hi,Cb,Ab,Yl,Pb,Ob,Lb,pn,Nb,hn,Xp,ko,un,Zl,cr,Ib,Jl,Db,Qp,ce,pr,Sb,hr,Gb,Xl,Bb,Ub,Wb,ur,Rb,mr,Hb,Kb,Vb,fr,Yb,Ki,Zb,Jb,Xb,_r,Qb,gr,ev,tv,ov,mn,nv,Ft,Tr,sv,bo,av,Vi,rv,iv,Ql,dv,lv,cv,fn,pv,_n,eh,vo,gn,ec,kr,hv,tc,uv,th,pe,br,mv,oc,fv,_v,vr,gv,yr,Tv,kv,bv,wr,vv,Yi,yv,wv,$v,$r,xv,xr,zv,Ev,qv,Tn,Fv,jt,zr,jv,yo,Mv,Zi,Cv,Av,nc,Pv,Ov,Lv,kn,Nv,bn,oh,wo,vn,sc,Er,Iv,ac,Dv,nh,ht,qr,Sv,Mt,Fr,Gv,$o,Bv,rc,Uv,Wv,ic,Rv,Hv,Kv,yn,Vv,wn,Yv,$n,jr,Zv,xn,Jv,zn,Mr,Xv,En,sh,xo,qn,dc,Cr,Qv,lc,ey,ah,ut,Ar,ty,Ct,Pr,oy,zo,ny,cc,sy,ay,pc,ry,iy,dy,Fn,ly,jn,cy,Mn,Or,py,Cn,hy,An,Lr,uy,Pn,rh,Eo,On,hc,Nr,my,uc,fy,ih,qo,Ir,_y,Jt,Dr,gy,Fo,Ty,Ji,ky,by,mc,vy,yy,wy,Ln,dh;return d=new ye({}),re=new ye({}),rs=new ye({}),is=new we({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="pt").input_ids

# the forward function automatically creates the correct decoder_input_ids
loss = model(input_ids=input_ids, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the forward function automatically creates the correct decoder_input_ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">3.7837</span>`}}),ls=new we({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("translate English to German: The house is wonderful.", return_tensors="pt").input_ids
labels = tokenizer("Das Haus ist wunderbar.", return_tensors="pt").input_ids

# the forward function automatically creates the correct decoder_input_ids
loss = model(input_ids=input_ids, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;translate English to German: The house is wonderful.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;Das Haus ist wunderbar.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the forward function automatically creates the correct decoder_input_ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">0.2542</span>`}}),ps=new we({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration
import torch

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

# the following 2 hyperparameters are task-specific
max_source_length = 512
max_target_length = 128

# Suppose we have the following 2 training examples:
input_sequence_1 = "Welcome to NYC"
output_sequence_1 = "Bienvenue \xE0 NYC"

input_sequence_2 = "HuggingFace is a company"
output_sequence_2 = "HuggingFace est une entreprise"

# encode the inputs
task_prefix = "translate English to French: "
input_sequences = [input_sequence_1, input_sequence_2]

encoding = tokenizer(
    [task_prefix + sequence for sequence in input_sequences],
    padding="longest",
    max_length=max_source_length,
    truncation=True,
    return_tensors="pt",
)

input_ids, attention_mask = encoding.input_ids, encoding.attention_mask

# encode the targets
target_encoding = tokenizer(
    [output_sequence_1, output_sequence_2],
    padding="longest",
    max_length=max_target_length,
    truncation=True,
    return_tensors="pt",
)
labels = target_encoding.input_ids

# replace padding token id's of the labels by -100 so it's ignored by the loss
labels[labels == tokenizer.pad_token_id] = -100

# forward pass
loss = model(input_ids=input_ids, attention_mask=attention_mask, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the following 2 hyperparameters are task-specific</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>max_source_length = <span class="hljs-number">512</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>max_target_length = <span class="hljs-number">128</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Suppose we have the following 2 training examples:</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequence_1 = <span class="hljs-string">&quot;Welcome to NYC&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequence_1 = <span class="hljs-string">&quot;Bienvenue \xE0 NYC&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequence_2 = <span class="hljs-string">&quot;HuggingFace is a company&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequence_2 = <span class="hljs-string">&quot;HuggingFace est une entreprise&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># encode the inputs</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>task_prefix = <span class="hljs-string">&quot;translate English to French: &quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequences = [input_sequence_1, input_sequence_2]

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer(
<span class="hljs-meta">... </span>    [task_prefix + sequence <span class="hljs-keyword">for</span> sequence <span class="hljs-keyword">in</span> input_sequences],
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;longest&quot;</span>,
<span class="hljs-meta">... </span>    max_length=max_source_length,
<span class="hljs-meta">... </span>    truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids, attention_mask = encoding.input_ids, encoding.attention_mask

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># encode the targets</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_encoding = tokenizer(
<span class="hljs-meta">... </span>    [output_sequence_1, output_sequence_2],
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;longest&quot;</span>,
<span class="hljs-meta">... </span>    max_length=max_target_length,
<span class="hljs-meta">... </span>    truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = target_encoding.input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># replace padding token id&#x27;s of the labels by -100 so it&#x27;s ignored by the loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels[labels == tokenizer.pad_token_id] = -<span class="hljs-number">100</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, attention_mask=attention_mask, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">0.188</span>`}}),fs=new ye({}),Ts=new we({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("translate English to German: The house is wonderful.", return_tensors="pt").input_ids
outputs = model.generate(input_ids)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;translate English to German: The house is wonderful.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
Das Haus ist wunderbar.`}}),ks=new we({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

task_prefix = "translate English to German: "
# use different length sentences to test batching
sentences = ["The house is wonderful.", "I like to work in NYC."]

inputs = tokenizer([task_prefix + sentence for sentence in sentences], return_tensors="pt", padding=True)

output_sequences = model.generate(
    input_ids=inputs["input_ids"],
    attention_mask=inputs["attention_mask"],
    do_sample=False,  # disable sampling to test if batching affects output
)

print(tokenizer.batch_decode(output_sequences, skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>task_prefix = <span class="hljs-string">&quot;translate English to German: &quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># use different length sentences to test batching</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentences = [<span class="hljs-string">&quot;The house is wonderful.&quot;</span>, <span class="hljs-string">&quot;I like to work in NYC.&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([task_prefix + sentence <span class="hljs-keyword">for</span> sentence <span class="hljs-keyword">in</span> sentences], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequences = model.generate(
<span class="hljs-meta">... </span>    input_ids=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>],
<span class="hljs-meta">... </span>    attention_mask=inputs[<span class="hljs-string">&quot;attention_mask&quot;</span>],
<span class="hljs-meta">... </span>    do_sample=<span class="hljs-literal">False</span>,  <span class="hljs-comment"># disable sampling to test if batching affects output</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(output_sequences, skip_special_tokens=<span class="hljs-literal">True</span>))
[<span class="hljs-string">&#x27;Das Haus ist wunderbar.&#x27;</span>, <span class="hljs-string">&#x27;Ich arbeite gerne in NYC.&#x27;</span>]`}}),bs=new we({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids

sequence_ids = model.generate(input_ids)
sequences = tokenizer.batch_decode(sequence_ids)
sequences`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_ids = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences = tokenizer.batch_decode(sequence_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences
[<span class="hljs-string">&#x27;&lt;pad&gt;&lt;extra_id_0&gt; park offers&lt;extra_id_1&gt; the&lt;extra_id_2&gt; park.&lt;/s&gt;&#x27;</span>]`}}),vs=new ye({}),ws=new ye({}),$s=new Vr({props:{pipeline:"text-classification"}}),Fs=new Vr({props:{pipeline:"token-classification"}}),Cs=new Vr({props:{pipeline:"text-generation"}}),Os=new Vr({props:{pipeline:"summarization"}}),Vs=new Vr({props:{pipeline:"fill-mask"}}),Js=new Vr({props:{pipeline:"translation"}}),oa=new Vr({props:{pipeline:"question-answering"}}),ca=new ye({}),pa=new O({props:{name:"class transformers.T5Config",anchor:"transformers.T5Config",parameters:[{name:"vocab_size",val:" = 32128"},{name:"d_model",val:" = 512"},{name:"d_kv",val:" = 64"},{name:"d_ff",val:" = 2048"},{name:"num_layers",val:" = 6"},{name:"num_decoder_layers",val:" = None"},{name:"num_heads",val:" = 8"},{name:"relative_attention_num_buckets",val:" = 32"},{name:"relative_attention_max_distance",val:" = 128"},{name:"dropout_rate",val:" = 0.1"},{name:"layer_norm_epsilon",val:" = 1e-06"},{name:"initializer_factor",val:" = 1.0"},{name:"feed_forward_proj",val:" = 'relu'"},{name:"is_encoder_decoder",val:" = True"},{name:"use_cache",val:" = True"},{name:"pad_token_id",val:" = 0"},{name:"eos_token_id",val:" = 1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5Config.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32128) &#x2014;
Vocabulary size of the T5 model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Model">T5Model</a> or <a href="/docs/transformers/main/en/model_doc/t5#transformers.TFT5Model">TFT5Model</a>.`,name:"vocab_size"},{anchor:"transformers.T5Config.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Size of the encoder layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.T5Config.d_kv",description:`<strong>d_kv</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Size of the key, query, value projections per attention head. <code>d_kv</code> has to be equal to <code>d_model // num_heads</code>.`,name:"d_kv"},{anchor:"transformers.T5Config.d_ff",description:`<strong>d_ff</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Size of the intermediate feed forward layer in each <code>T5Block</code>.`,name:"d_ff"},{anchor:"transformers.T5Config.num_layers",description:`<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_layers"},{anchor:"transformers.T5Config.num_decoder_layers",description:`<strong>num_decoder_layers</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Number of hidden layers in the Transformer decoder. Will use the same value as <code>num_layers</code> if not set.`,name:"num_decoder_layers"},{anchor:"transformers.T5Config.num_heads",description:`<strong>num_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_heads"},{anchor:"transformers.T5Config.relative_attention_num_buckets",description:`<strong>relative_attention_num_buckets</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The number of buckets to use for each attention layer.`,name:"relative_attention_num_buckets"},{anchor:"transformers.T5Config.relative_attention_max_distance",description:`<strong>relative_attention_max_distance</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
The maximum distance of the longer sequences for the bucket separation.`,name:"relative_attention_max_distance"},{anchor:"transformers.T5Config.dropout_rate",description:`<strong>dropout_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The ratio for all dropout layers.`,name:"dropout_rate"},{anchor:"transformers.T5Config.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.T5Config.initializer_factor",description:`<strong>initializer_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"},{anchor:"transformers.T5Config.feed_forward_proj",description:`<strong>feed_forward_proj</strong> (<code>string</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
Type of feed forward layer to be used. Should be one of <code>&quot;relu&quot;</code> or <code>&quot;gated-gelu&quot;</code>. T5v1.1 uses the
<code>&quot;gated-gelu&quot;</code> feed forward projection. Original T5 uses <code>&quot;relu&quot;</code>.`,name:"feed_forward_proj"},{anchor:"transformers.T5Config.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/configuration_t5.py#L34"}}),ua=new ye({}),ma=new O({props:{name:"class transformers.T5Tokenizer",anchor:"transformers.T5Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"extra_ids",val:" = 100"},{name:"additional_special_tokens",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.T5Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.T5Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.T5Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.T5Tokenizer.extra_ids",description:`<strong>extra_ids</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Add a number of extra ids added to the vocabulary for use as sentinels. These tokens are
accessible as &#x201C;<extra<em>id{%d}&gt;&#x201D; where &#x201D;{%d}&#x201D; is a number between 0 and extra_ids-1. These tokens can be
retrieved by calling get_sentinel_tokens method and token ids can be by calling get_sentinel_token_ids
method
additional_special_tokens (<code>List[str]</code>, <em>optional</em>):
Additional special tokens used by the tokenizer.</extra<em>`,name:"extra_ids"},{anchor:"transformers.T5Tokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.T5Tokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L55"}}),Ta=new O({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L256",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ba=new O({props:{name:"get_special_tokens_mask",anchor:"transformers.T5Tokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L187",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ya=new O({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L234",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),wa=new O({props:{name:"save_vocabulary",anchor:"transformers.T5Tokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L336"}}),$a=new ye({}),xa=new O({props:{name:"class transformers.T5TokenizerFast",anchor:"transformers.T5TokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"extra_ids",val:" = 100"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.T5TokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.T5TokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.T5TokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.T5TokenizerFast.extra_ids",description:`<strong>extra_ids</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Add a number of extra ids added to the vocabulary for use as sentinels. These tokens are accessible as
&#x201C;<extra<em>id{%d}&gt;&#x201D; where &#x201D;{%d}&#x201D; is a number between 0 and extra_ids-1. These tokens can be retrieved by
calling get_sentinel_tokens method and token ids can be by calling get_sentinel_token_ids method</extra<em>`,name:"extra_ids"},{anchor:"transformers.T5TokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5_fast.py#L66"}}),qa=new O({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5_fast.py#L190",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ja=new O({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5_fast.py#L216",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Ma=new ye({}),Ca=new O({props:{name:"class transformers.T5Model",anchor:"transformers.T5Model",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1298"}}),Ia=new O({props:{name:"forward",anchor:"transformers.T5Model.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5Model.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5Model.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5Model.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.T5Model.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.T5Model.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5Model.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.T5Model.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.T5Model.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.T5Model.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.T5Model.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5Model.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.T5Model.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.T5Model.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5Model.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5Model.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1385",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),en=new Lt({props:{$$slots:{default:[X2]},$$scope:{ctx:q}}}),tn=new Nt({props:{anchor:"transformers.T5Model.forward.example",$$slots:{default:[Q2]},$$scope:{ctx:q}}}),Da=new ye({}),Sa=new O({props:{name:"class transformers.T5ForConditionalGeneration",anchor:"transformers.T5ForConditionalGeneration",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5ForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1501"}}),Ka=new O({props:{name:"forward",anchor:"transformers.T5ForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5ForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5ForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.T5ForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.T5ForConditionalGeneration.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.T5ForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.T5ForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5ForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5ForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.T5ForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[-100, 0, ..., config.vocab_size - 1]</code>. All labels set to <code>-100</code> are ignored (masked), the loss is only computed for
labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1593",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),nn=new Lt({props:{$$slots:{default:[e$]},$$scope:{ctx:q}}}),sn=new Nt({props:{anchor:"transformers.T5ForConditionalGeneration.forward.example",$$slots:{default:[t$]},$$scope:{ctx:q}}}),Va=new ye({}),Ya=new O({props:{name:"class transformers.T5EncoderModel",anchor:"transformers.T5EncoderModel",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5EncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1805"}}),tr=new O({props:{name:"forward",anchor:"transformers.T5EncoderModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5EncoderModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5EncoderModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5EncoderModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5EncoderModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5EncoderModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5EncoderModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5EncoderModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1872",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),rn=new Lt({props:{$$slots:{default:[o$]},$$scope:{ctx:q}}}),dn=new Nt({props:{anchor:"transformers.T5EncoderModel.forward.example",$$slots:{default:[n$]},$$scope:{ctx:q}}}),or=new ye({}),nr=new O({props:{name:"class transformers.TFT5Model",anchor:"transformers.TFT5Model",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1127"}}),cn=new Lt({props:{$$slots:{default:[s$]},$$scope:{ctx:q}}}),lr=new O({props:{name:"call",anchor:"transformers.TFT5Model.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5Model.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>inputs</code> for pretraining take a look at <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.TFT5Model.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Provide for sequence to sequence training. T5 uses the <code>pad_token_id</code> as the starting token for
<code>decoder_input_ids</code> generation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code>
have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.TFT5Model.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5Model.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.TFT5Model.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5Model.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFT5Model.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFT5Model.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFT5Model.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5Model.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFT5Model.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFT5Model.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFT5Model.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFT5Model.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFT5Model.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1155",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),pn=new Lt({props:{$$slots:{default:[a$]},$$scope:{ctx:q}}}),hn=new Nt({props:{anchor:"transformers.TFT5Model.call.example",$$slots:{default:[r$]},$$scope:{ctx:q}}}),cr=new ye({}),pr=new O({props:{name:"class transformers.TFT5ForConditionalGeneration",anchor:"transformers.TFT5ForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5ForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1279"}}),mn=new Lt({props:{$$slots:{default:[i$]},$$scope:{ctx:q}}}),Tr=new O({props:{name:"call",anchor:"transformers.TFT5ForConditionalGeneration.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5ForConditionalGeneration.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>inputs</code> for pretraining take a look at <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Provide for sequence to sequence training. T5 uses the <code>pad_token_id</code> as the starting token for
<code>decoder_input_ids</code> generation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code>
have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.TFT5ForConditionalGeneration.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFT5ForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFT5ForConditionalGeneration.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFT5ForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFT5ForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFT5ForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFT5ForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFT5ForConditionalGeneration.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFT5ForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1334",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),fn=new Lt({props:{$$slots:{default:[d$]},$$scope:{ctx:q}}}),_n=new Nt({props:{anchor:"transformers.TFT5ForConditionalGeneration.call.example",$$slots:{default:[l$]},$$scope:{ctx:q}}}),kr=new ye({}),br=new O({props:{name:"class transformers.TFT5EncoderModel",anchor:"transformers.TFT5EncoderModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5EncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1532"}}),Tn=new Lt({props:{$$slots:{default:[c$]},$$scope:{ctx:q}}}),zr=new O({props:{name:"call",anchor:"transformers.TFT5EncoderModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5EncoderModel.call.inputs",description:`<strong>inputs</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p>To know more on how to prepare <code>inputs</code> for pre-training take a look at <a href="./t5#training">T5 Training</a>.`,name:"inputs"},{anchor:"transformers.TFT5EncoderModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5EncoderModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5EncoderModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5EncoderModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFT5EncoderModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFT5EncoderModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFT5EncoderModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1555",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),kn=new Lt({props:{$$slots:{default:[p$]},$$scope:{ctx:q}}}),bn=new Nt({props:{anchor:"transformers.TFT5EncoderModel.call.example",$$slots:{default:[h$]},$$scope:{ctx:q}}}),Er=new ye({}),qr=new O({props:{name:"class transformers.FlaxT5Model",anchor:"transformers.FlaxT5Model",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1367"}}),Fr=new O({props:{name:"__call__",anchor:"transformers.FlaxT5Model.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": ndarray = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5Model.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5Model.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5Model.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5Model.__call__.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5Model.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),yn=new Lt({props:{$$slots:{default:[u$]},$$scope:{ctx:q}}}),wn=new Nt({props:{anchor:"transformers.FlaxT5Model.__call__.example",$$slots:{default:[m$]},$$scope:{ctx:q}}}),jr=new O({props:{name:"encode",anchor:"transformers.FlaxT5Model.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5Model.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5Model.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5Model.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5Model.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1072",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xn=new Nt({props:{anchor:"transformers.FlaxT5Model.encode.example",$$slots:{default:[f$]},$$scope:{ctx:q}}}),Mr=new O({props:{name:"decode",anchor:"transformers.FlaxT5Model.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For training, <code>decoder_input_ids</code> should be provided.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5Model.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5Model.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxT5Model.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5Model.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxT5Model.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5Model.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5Model.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1130",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),En=new Nt({props:{anchor:"transformers.FlaxT5Model.decode.example",$$slots:{default:[_$]},$$scope:{ctx:q}}}),Cr=new ye({}),Ar=new O({props:{name:"class transformers.FlaxT5ForConditionalGeneration",anchor:"transformers.FlaxT5ForConditionalGeneration",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1605"}}),Pr=new O({props:{name:"__call__",anchor:"transformers.FlaxT5ForConditionalGeneration.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": ndarray = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fn=new Lt({props:{$$slots:{default:[g$]},$$scope:{ctx:q}}}),jn=new Nt({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.example",$$slots:{default:[T$]},$$scope:{ctx:q}}}),Or=new O({props:{name:"encode",anchor:"transformers.FlaxT5ForConditionalGeneration.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1072",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Cn=new Nt({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.example",$$slots:{default:[k$]},$$scope:{ctx:q}}}),Lr=new O({props:{name:"decode",anchor:"transformers.FlaxT5ForConditionalGeneration.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For training, <code>decoder_input_ids</code> should be provided.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1608",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pn=new Nt({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.example",$$slots:{default:[b$]},$$scope:{ctx:q}}}),Nr=new ye({}),Ir=new O({props:{name:"class transformers.FlaxT5EncoderModel",anchor:"transformers.FlaxT5EncoderModel",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1454"}}),Dr=new O({props:{name:"__call__",anchor:"transformers.FlaxT5EncoderModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5EncoderModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5EncoderModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5EncoderModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5EncoderModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5EncoderModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1457"}}),Ln=new Lt({props:{$$slots:{default:[v$]},$$scope:{ctx:q}}}),{c(){m=a("meta"),k=c(),g=a("h1"),_=a("a"),T=a("span"),b(d.$$.fragment),f=c(),F=a("span"),Oe=n("T5"),je=c(),I=a("div"),he=a("a"),J=a("img"),Le=c(),B=a("a"),ue=a("img"),Y=c(),X=a("h2"),ne=a("a"),R=a("span"),b(re.$$.fragment),Ne=c(),H=a("span"),Ie=n("Overview"),Me=c(),S=a("p"),De=n("The T5 model was presented in "),ie=a("a"),me=n("Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer"),C=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan Narang,
Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu.`),P=c(),fe=a("p"),Q=n("The abstract from the paper is the following:"),Ce=c(),_e=a("p"),K=a("em"),Se=n(`Transfer learning, where a model is first pre-trained on a data-rich task before being fine-tuned on a downstream
task, has emerged as a powerful technique in natural language processing (NLP). The effectiveness of transfer learning
has given rise to a diversity of approaches, methodology, and practice. In this paper, we explore the landscape of
transfer learning techniques for NLP by introducing a unified framework that converts every language problem into a
text-to-text format. Our systematic study compares pretraining objectives, architectures, unlabeled datasets, transfer
approaches, and other factors on dozens of language understanding tasks. By combining the insights from our exploration
with scale and our new \u201CColossal Clean Crawled Corpus\u201D, we achieve state-of-the-art results on many benchmarks covering
summarization, question answering, text classification, and more. To facilitate future work on transfer learning for
NLP, we release our dataset, pre-trained models, and code.`),Ae=c(),A=a("p"),Ge=n("Tips:"),Z=c(),G=a("ul"),$e=a("li"),D=a("p"),Be=n(`T5 is an encoder-decoder model pre-trained on a multi-task mixture of unsupervised and supervised tasks and for which
each task is converted into a text-to-text format. T5 works well on a variety of tasks out-of-the-box by prepending a
different prefix to the input corresponding to each task, e.g., for translation: `),xe=a("em"),U=n("translate English to German: \u2026"),Ue=n(`,
for summarization: `),V=a("em"),We=n("summarize: \u2026"),ge=n("."),L=c(),ze=a("li"),N=a("p"),Re=n("The pretraining includes both supervised and self-supervised training. Supervised training is conducted on downstream tasks provided by the GLUE and SuperGLUE benchmarks (converting them into text-to-text tasks as explained above)."),He=c(),z=a("li"),j=a("p"),ft=n("Self-supervised training uses corrupted tokens, by randomly removing 15% of the tokens and replacing them with individual sentinel tokens (if several consecutive tokens are marked for removal, the whole group is replaced with a single sentinel token). The input of the encoder is the corrupted sentence, the input of the decoder is the original sentence and the target is then the dropped out tokens delimited by their sentinel tokens."),Te=c(),Qe=a("li"),et=a("p"),M=n("T5 uses relative scalar embeddings. Encoder input padding can be done on the left and on the right."),_t=c(),tt=a("li"),se=a("p"),gt=n("See the "),Ke=a("a"),W=n("training"),ee=n(", "),Ve=a("a"),Tt=n("inference"),te=n(" and "),Ye=a("a"),kt=n("scripts"),Ze=n(" sections below for all details regarding usage."),pt=c(),oe=a("p"),bt=n("T5 comes in different sizes:"),Nc=c(),ot=a("ul"),gd=a("li"),Td=a("p"),Xn=a("a"),wu=n("t5-small"),$u=c(),kd=a("li"),bd=a("p"),Qn=a("a"),xu=n("t5-base"),zu=c(),vd=a("li"),yd=a("p"),es=a("a"),Eu=n("t5-large"),qu=c(),wd=a("li"),$d=a("p"),ts=a("a"),Fu=n("t5-3b"),ju=c(),xd=a("li"),Yr=a("p"),os=a("a"),Mu=n("t5-11b"),Cu=n("."),Ic=c(),Zr=a("p"),Au=n("Based on the original T5 model, Google has released some follow-up works:"),Dc=c(),Gt=a("ul"),zd=a("li"),Co=a("p"),Ed=a("strong"),Pu=n("T5v1.1"),Ou=n(`: T5v1.1 is an improved version of T5 with some architectural tweaks, and is pre-trained on C4 only without
mixing in the supervised tasks. Refer to the documentation of T5v1.1 which can be found `),Jr=a("a"),Lu=n("here"),Nu=n("."),Iu=c(),qd=a("li"),Ao=a("p"),Fd=a("strong"),Du=n("mT5"),Su=n(`: mT5 is a multilingual T5 model. It is pre-trained on the mC4 corpus, which includes 101 languages. Refer to
the documentation of mT5 which can be found `),Xr=a("a"),Gu=n("here"),Bu=n("."),Uu=c(),jd=a("li"),Po=a("p"),Md=a("strong"),Wu=n("byT5"),Ru=n(`: byT5 is a T5 model pre-trained on byte sequences rather than SentencePiece subword token sequences. Refer
to the documentation of byT5 which can be found `),Qr=a("a"),Hu=n("here"),Ku=n("."),Sc=c(),Oo=a("p"),Vu=n("All checkpoints can be found on the "),ns=a("a"),Yu=n("hub"),Zu=n("."),Gc=c(),Bt=a("p"),Ju=n("This model was contributed by "),ss=a("a"),Xu=n("thomwolf"),Qu=n(". The original code can be found "),as=a("a"),em=n("here"),tm=n("."),Bc=c(),ei=a("a"),Uc=c(),to=a("h2"),Lo=a("a"),Cd=a("span"),b(rs.$$.fragment),om=c(),Ad=a("span"),nm=n("Training"),Wc=c(),vt=a("p"),sm=n(`T5 is an encoder-decoder model and converts all NLP problems into a text-to-text format. It is trained using teacher
forcing. This means that for training, we always need an input sequence and a corresponding target sequence. The input
sequence is fed to the model using `),Pd=a("code"),am=n("input_ids"),rm=n(`. The target sequence is shifted to the right, i.e., prepended by a
start-sequence token and fed to the decoder using the `),Od=a("code"),im=n("decoder_input_ids"),dm=n(`. In teacher-forcing style, the target
sequence is then appended by the EOS token and corresponds to the `),Ld=a("code"),lm=n("labels"),cm=n(`. The PAD token is hereby used as the
start-sequence token. T5 can be trained / fine-tuned both in a supervised and unsupervised fashion.`),Rc=c(),No=a("p"),pm=n("One can use "),ti=a("a"),hm=n("T5ForConditionalGeneration"),um=n(` (or the Tensorflow/Flax variant), which includes the
language modeling head on top of the decoder.`),Hc=c(),oi=a("ul"),Nd=a("li"),mm=n("Unsupervised denoising training"),Kc=c(),ke=a("p"),fm=n("In this setup, spans of the input sequence are masked by so-called sentinel tokens ("),Id=a("em"),_m=n("a.k.a"),gm=n(` unique mask tokens) and
the output sequence is formed as a concatenation of the same sentinel tokens and the `),Dd=a("em"),Tm=n("real"),km=n(` masked tokens. Each
sentinel token represents a unique mask token for this sentence and should start with `),Sd=a("code"),bm=n("<extra_id_0>"),vm=n(`,
`),Gd=a("code"),ym=n("<extra_id_1>"),wm=n(", \u2026 up to "),Bd=a("code"),$m=n("<extra_id_99>"),xm=n(`. As a default, 100 sentinel tokens are available in
`),ni=a("a"),zm=n("T5Tokenizer"),Em=n("."),Vc=c(),si=a("p"),qm=n(`For instance, the sentence \u201CThe cute dog walks in the park\u201D with the masks put on \u201Ccute dog\u201D and \u201Cthe\u201D should be
processed as follows:`),Yc=c(),b(is.$$.fragment),Zc=c(),Io=a("p"),Fm=n("If you\u2019re interested in pre-training T5 on a new corpus, check out the "),ds=a("a"),jm=n("run_t5_mlm_flax.py"),Mm=n(` script in the Examples
directory.`),Jc=c(),ai=a("ul"),Ud=a("li"),Cm=n("Supervised training"),Xc=c(),ri=a("p"),Am=n(`In this setup, the input sequence and output sequence are a standard sequence-to-sequence input-output mapping.
Suppose that we want to fine-tune the model for translation for example, and we have a training example: the input
sequence \u201CThe house is wonderful.\u201D and output sequence \u201CDas Haus ist wunderbar.\u201D, then they should be prepared for
the model as follows:`),Qc=c(),b(ls.$$.fragment),ep=c(),ae=a("p"),Pm=n("As you can see, only 2 inputs are required for the model in order to compute a loss: "),Wd=a("code"),Om=n("input_ids"),Lm=n(` (which are the
`),Rd=a("code"),Nm=n("input_ids"),Im=n(" of the encoded input sequence) and "),Hd=a("code"),Dm=n("labels"),Sm=n(" (which are the "),Kd=a("code"),Gm=n("input_ids"),Bm=n(` of the encoded
target sequence). The model will automatically create the `),Vd=a("code"),Um=n("decoder_input_ids"),Wm=n(" based on the "),Yd=a("code"),Rm=n("labels"),Hm=n(`, by
shifting them one position to the right and prepending the `),Zd=a("code"),Km=n("config.decoder_start_token_id"),Vm=n(`, which for T5 is
equal to 0 (i.e. the id of the pad token). Also note the task prefix: we prepend the input sequence with \u2018translate
English to German: \u2019 before encoding it. This will help in improving the performance, as this task prefix was used
during T5\u2019s pre-training.`),tp=c(),Ut=a("p"),Ym=n(`However, the example above only shows a single training example. In practice, one trains deep learning models in
batches. This entails that we must pad/truncate examples to the same length. For encoder-decoder models, one
typically defines a `),Jd=a("code"),Zm=n("max_source_length"),Jm=n(" and "),Xd=a("code"),Xm=n("max_target_length"),Qm=n(`, which determine the maximum length of the
input and output sequences respectively (otherwise they are truncated). These should be carefully set depending on
the task.`),op=c(),be=a("p"),ef=n("In addition, we must make sure that padding token id\u2019s of the "),Qd=a("code"),tf=n("labels"),of=n(` are not taken into account by the loss
function. In PyTorch and Tensorflow, this can be done by replacing them with -100, which is the `),el=a("code"),nf=n("ignore_index"),sf=n(`
of the `),tl=a("code"),af=n("CrossEntropyLoss"),rf=n(". In Flax, one can use the "),ol=a("code"),df=n("decoder_attention_mask"),lf=n(` to ignore padded tokens from
the loss (see the `),cs=a("a"),cf=n("Flax summarization script"),pf=n(` for details). We also pass
`),nl=a("code"),hf=n("attention_mask"),uf=n(` as additional input to the model, which makes sure that padding tokens of the inputs are
ignored. The code example below illustrates all of this.`),np=c(),b(ps.$$.fragment),sp=c(),ii=a("p"),mf=n("Additional training tips:"),ap=c(),di=a("ul"),hs=a("li"),ff=n("T5 models need a slightly higher learning rate than the default one set in the "),sl=a("code"),_f=n("Trainer"),gf=n(` when using the AdamW
optimizer. Typically, 1e-4 and 3e-4 work well for most problems (classification, summarization, translation, question
answering, question generation). Note that T5 was pre-trained using the AdaFactor optimizer.`),rp=c(),Wt=a("p"),Tf=n("According to "),us=a("a"),kf=n("this forum post"),bf=n(`, task prefixes matter when
(1) doing multi-task training (2) your task is similar or related to one of the supervised tasks used in T5\u2019s
pre-training mixture (see Appendix D of the `),ms=a("a"),vf=n("paper"),yf=n(` for the task prefixes
used).`),ip=c(),Do=a("p"),wf=n(`If training on TPU, it is recommended to pad all examples of the dataset to the same length or make use of
`),al=a("em"),$f=n("pad_to_multiple_of"),xf=n(` to have a small number of predefined bucket sizes to fit all examples in. Dynamically padding
batches to the longest example is not recommended on TPU as it triggers a recompilation for every batch shape that is
encountered during training thus significantly slowing down the training. only padding up to the longest example in a
batch) leads to very slow training on TPU.`),dp=c(),li=a("a"),lp=c(),oo=a("h2"),So=a("a"),rl=a("span"),b(fs.$$.fragment),zf=c(),il=a("span"),Ef=n("Inference"),cp=c(),yt=a("p"),qf=n("At inference time, it is recommended to use "),ci=a("a"),Ff=n("generate()"),jf=n(`. This
method takes care of encoding the input and feeding the encoded hidden states via cross-attention layers to the decoder
and auto-regressively generates the decoder output. Check out `),_s=a("a"),Mf=n("this blog post"),Cf=n(` to know all the details about generating text with Transformers.
There\u2019s also `),gs=a("a"),Af=n("this blog post"),Pf=n(` which explains how
generation works in general in encoder-decoder models.`),pp=c(),b(Ts.$$.fragment),hp=c(),nt=a("p"),Of=n("Note that T5 uses the "),dl=a("code"),Lf=n("pad_token_id"),Nf=n(" as the "),ll=a("code"),If=n("decoder_start_token_id"),Df=n(`, so when doing generation without using
`),pi=a("a"),Sf=n("generate()"),Gf=n(", make sure you start it with the "),cl=a("code"),Bf=n("pad_token_id"),Uf=n("."),up=c(),hi=a("p"),Wf=n("The example above only shows a single example. You can also do batched inference, like so:"),mp=c(),b(ks.$$.fragment),fp=c(),ui=a("p"),Rf=n(`Because T5 has been trained with the span-mask denoising objective,
it can be used to predict the sentinel (masked-out) tokens during inference.
The predicted tokens will then be placed between the sentinel tokens.`),_p=c(),b(bs.$$.fragment),gp=c(),mi=a("a"),Tp=c(),no=a("h2"),Go=a("a"),pl=a("span"),b(vs.$$.fragment),Hf=c(),hl=a("span"),Kf=n("Performance"),kp=c(),wt=a("p"),Vf=n("If you\u2019d like a faster training and inference performance, install "),ys=a("a"),Yf=n("apex"),Zf=n(" and then the model will automatically use "),ul=a("code"),Jf=n("apex.normalization.FusedRMSNorm"),Xf=n(" instead of "),ml=a("code"),Qf=n("T5LayerNorm"),e_=n(". The former uses an optimized fused kernel which is several times faster than the latter."),bp=c(),so=a("h2"),Bo=a("a"),fl=a("span"),b(ws.$$.fragment),t_=c(),_l=a("span"),o_=n("Resources"),vp=c(),fi=a("p"),n_=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with T5. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),yp=c(),b($s.$$.fragment),wp=c(),Uo=a("ul"),xs=a("li"),s_=n("A notebook for how to "),zs=a("a"),a_=n("finetune T5 for classification and multiple choice"),r_=n("."),i_=c(),Es=a("li"),d_=n("A notebook for how to "),qs=a("a"),l_=n("finetune T5 for sentiment span extraction"),c_=n(". \u{1F30E}"),$p=c(),b(Fs.$$.fragment),xp=c(),_i=a("ul"),js=a("li"),p_=n("A notebook for how to "),Ms=a("a"),h_=n("finetune T5 for named entity recognition"),u_=n(". \u{1F30E}"),zp=c(),b(Cs.$$.fragment),Ep=c(),gi=a("ul"),As=a("li"),m_=n("A notebook for "),Ps=a("a"),f_=n("Finetuning CodeT5 for generating docstrings from Ruby code"),__=n("."),qp=c(),b(Os.$$.fragment),Fp=c(),ve=a("ul"),Ls=a("li"),g_=n("A notebook to "),Ns=a("a"),T_=n("Finetune T5-base-dutch to perform Dutch abstractive summarization on a TPU"),k_=n("."),b_=c(),Is=a("li"),v_=n("A notebook for how to "),Ds=a("a"),y_=n("finetune T5 for summarization in PyTorch and track experiments with WandB"),w_=n(". \u{1F30E}"),$_=c(),Ss=a("li"),x_=n("A blog post on "),Gs=a("a"),z_=n("Distributed Training: Train BART/T5 for Summarization using \u{1F917} Transformers and Amazon SageMaker"),E_=n("."),q_=c(),Rt=a("li"),Ti=a("a"),F_=n("T5ForConditionalGeneration"),j_=n(" is supported by this "),Bs=a("a"),M_=n("example script"),C_=n(" and "),Us=a("a"),A_=n("noteboook"),P_=n("."),O_=c(),Ht=a("li"),ki=a("a"),L_=n("TFT5ForConditionalGeneration"),N_=n(" is supported by this "),Ws=a("a"),I_=n("example script"),D_=n(" and "),Rs=a("a"),S_=n("notebook"),G_=n("."),B_=c(),Wo=a("li"),bi=a("a"),U_=n("FlaxT5ForConditionalGeneration"),W_=n(" is supported by this "),Hs=a("a"),R_=n("example script"),H_=n("."),K_=c(),vi=a("li"),Ks=a("a"),V_=n("Summarization"),Y_=n(" chapter of the \u{1F917} Hugging Face course."),jp=c(),b(Vs.$$.fragment),Mp=c(),yi=a("ul"),$t=a("li"),wi=a("a"),Z_=n("FlaxT5ForConditionalGeneration"),J_=n(" is supported by this "),Ys=a("a"),X_=n("example script"),Q_=n(" for training T5 with a span-masked language model objective. The script also shows how to train a T5 tokenizer. "),$i=a("a"),eg=n("FlaxT5ForConditionalGeneration"),tg=n(" is also supported by this "),Zs=a("a"),og=n("notebook"),ng=n("."),Cp=c(),b(Js.$$.fragment),Ap=c(),Ro=a("ul"),Kt=a("li"),xi=a("a"),sg=n("T5ForConditionalGeneration"),ag=n(" is supported by this "),Xs=a("a"),rg=n("example script"),ig=n(" and "),Qs=a("a"),dg=n("notebook"),lg=n("."),cg=c(),Vt=a("li"),zi=a("a"),pg=n("TFT5ForConditionalGeneration"),hg=n(" is supported by this "),ea=a("a"),ug=n("example script"),mg=n(" and "),ta=a("a"),fg=n("notebook"),_g=n("."),Pp=c(),b(oa.$$.fragment),Op=c(),Ho=a("ul"),na=a("li"),gg=n("A notebook on how to "),sa=a("a"),Tg=n("finetune T5 for question answering with TensorFlow 2"),kg=n(". \u{1F30E}"),bg=c(),aa=a("li"),vg=n("A notebook on how to "),ra=a("a"),yg=n("finetune T5 for question answering on a TPU"),wg=n("."),Lp=c(),ia=a("p"),$g=n("\u{1F680} "),gl=a("strong"),xg=n("Deploy"),Np=c(),Ei=a("ul"),da=a("li"),zg=n("A blog post on how to deploy "),la=a("a"),Eg=n("T5 11B for inference for less than $500"),qg=n("."),Ip=c(),ao=a("h2"),Ko=a("a"),Tl=a("span"),b(ca.$$.fragment),Fg=c(),kl=a("span"),jg=n("T5Config"),Dp=c(),Dt=a("div"),b(pa.$$.fragment),Mg=c(),St=a("p"),Cg=n("This is the configuration class to store the configuration of a "),qi=a("a"),Ag=n("T5Model"),Pg=n(" or a "),Fi=a("a"),Og=n("TFT5Model"),Lg=n(`. It is used to
instantiate a T5 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the T5
`),ha=a("a"),Ng=n("t5-small"),Ig=n(" architecture."),Dg=c(),ro=a("p"),Sg=n("Configuration objects inherit from "),ji=a("a"),Gg=n("PretrainedConfig"),Bg=n(` and can be used to control the model outputs. Read the
documentation from `),Mi=a("a"),Ug=n("PretrainedConfig"),Wg=n(" for more information."),Sp=c(),io=a("h2"),Vo=a("a"),bl=a("span"),b(ua.$$.fragment),Rg=c(),vl=a("span"),Hg=n("T5Tokenizer"),Gp=c(),de=a("div"),b(ma.$$.fragment),Kg=c(),fa=a("p"),Vg=n("Construct a T5 tokenizer. Based on "),_a=a("a"),Yg=n("SentencePiece"),Zg=n("."),Jg=c(),ga=a("p"),Xg=n("This tokenizer inherits from "),Ci=a("a"),Qg=n("PreTrainedTokenizer"),eT=n(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),tT=c(),Yt=a("div"),b(Ta.$$.fragment),oT=c(),yl=a("p"),nT=n(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),sT=c(),ka=a("ul"),Ai=a("li"),aT=n("single sequence: "),wl=a("code"),rT=n("X </s>"),iT=c(),Pi=a("li"),dT=n("pair of sequences: "),$l=a("code"),lT=n("A </s> B </s>"),cT=c(),Yo=a("div"),b(ba.$$.fragment),pT=c(),va=a("p"),hT=n(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),xl=a("code"),uT=n("prepare_for_model"),mT=n(" method."),fT=c(),Zo=a("div"),b(ya.$$.fragment),_T=c(),zl=a("p"),gT=n(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),TT=c(),Oi=a("div"),b(wa.$$.fragment),Bp=c(),lo=a("h2"),Jo=a("a"),El=a("span"),b($a.$$.fragment),kT=c(),ql=a("span"),bT=n("T5TokenizerFast"),Up=c(),Je=a("div"),b(xa.$$.fragment),vT=c(),co=a("p"),yT=n("Construct a \u201Cfast\u201D T5 tokenizer (backed by HuggingFace\u2019s "),Fl=a("em"),wT=n("tokenizers"),$T=n(` library). Based on
`),za=a("a"),xT=n("Unigram"),zT=n("."),ET=c(),Ea=a("p"),qT=n("This tokenizer inherits from "),Li=a("a"),FT=n("PreTrainedTokenizerFast"),jT=n(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),MT=c(),Zt=a("div"),b(qa.$$.fragment),CT=c(),jl=a("p"),AT=n(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),PT=c(),Fa=a("ul"),Ni=a("li"),OT=n("single sequence: "),Ml=a("code"),LT=n("X </s>"),NT=c(),Ii=a("li"),IT=n("pair of sequences: "),Cl=a("code"),DT=n("A </s> B </s>"),ST=c(),Xo=a("div"),b(ja.$$.fragment),GT=c(),Al=a("p"),BT=n(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),Wp=c(),po=a("h2"),Qo=a("a"),Pl=a("span"),b(Ma.$$.fragment),UT=c(),Ol=a("span"),WT=n("T5Model"),Rp=c(),Ee=a("div"),b(Ca.$$.fragment),RT=c(),Ll=a("p"),HT=n("The bare T5 Model transformer outputting raw hidden-states without any specific head on top."),KT=c(),Aa=a("p"),VT=n("The T5 model was proposed in "),Pa=a("a"),YT=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),ZT=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),JT=c(),Oa=a("p"),XT=n("This model inherits from "),Di=a("a"),QT=n("PreTrainedModel"),ek=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),tk=c(),La=a("p"),ok=n("This model is also a PyTorch "),Na=a("a"),nk=n("torch.nn.Module"),sk=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ak=c(),xt=a("div"),b(Ia.$$.fragment),rk=c(),ho=a("p"),ik=n("The "),Si=a("a"),dk=n("T5Model"),lk=n(" forward method, overrides the "),Nl=a("code"),ck=n("__call__"),pk=n(" special method."),hk=c(),b(en.$$.fragment),uk=c(),b(tn.$$.fragment),Hp=c(),uo=a("h2"),on=a("a"),Il=a("span"),b(Da.$$.fragment),mk=c(),Dl=a("span"),fk=n("T5ForConditionalGeneration"),Kp=c(),qe=a("div"),b(Sa.$$.fragment),_k=c(),Ga=a("p"),gk=n("T5 Model with a "),Sl=a("code"),Tk=n("language modeling"),kk=n(" head on top."),bk=c(),Ba=a("p"),vk=n("The T5 model was proposed in "),Ua=a("a"),yk=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),wk=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),$k=c(),Wa=a("p"),xk=n("This model inherits from "),Gi=a("a"),zk=n("PreTrainedModel"),Ek=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qk=c(),Ra=a("p"),Fk=n("This model is also a PyTorch "),Ha=a("a"),jk=n("torch.nn.Module"),Mk=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ck=c(),zt=a("div"),b(Ka.$$.fragment),Ak=c(),mo=a("p"),Pk=n("The "),Bi=a("a"),Ok=n("T5ForConditionalGeneration"),Lk=n(" forward method, overrides the "),Gl=a("code"),Nk=n("__call__"),Ik=n(" special method."),Dk=c(),b(nn.$$.fragment),Sk=c(),b(sn.$$.fragment),Vp=c(),fo=a("h2"),an=a("a"),Bl=a("span"),b(Va.$$.fragment),Gk=c(),Ul=a("span"),Bk=n("T5EncoderModel"),Yp=c(),Fe=a("div"),b(Ya.$$.fragment),Uk=c(),Wl=a("p"),Wk=n("The bare T5 Model transformer outputting encoder\u2019s raw hidden-states without any specific head on top."),Rk=c(),Za=a("p"),Hk=n("The T5 model was proposed in "),Ja=a("a"),Kk=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),Vk=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Yk=c(),Xa=a("p"),Zk=n("This model inherits from "),Ui=a("a"),Jk=n("PreTrainedModel"),Xk=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Qk=c(),Qa=a("p"),eb=n("This model is also a PyTorch "),er=a("a"),tb=n("torch.nn.Module"),ob=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),nb=c(),Et=a("div"),b(tr.$$.fragment),sb=c(),_o=a("p"),ab=n("The "),Wi=a("a"),rb=n("T5EncoderModel"),ib=n(" forward method, overrides the "),Rl=a("code"),db=n("__call__"),lb=n(" special method."),cb=c(),b(rn.$$.fragment),pb=c(),b(dn.$$.fragment),Zp=c(),go=a("h2"),ln=a("a"),Hl=a("span"),b(or.$$.fragment),hb=c(),Kl=a("span"),ub=n("TFT5Model"),Jp=c(),le=a("div"),b(nr.$$.fragment),mb=c(),Vl=a("p"),fb=n("The bare T5 Model transformer outputting raw hidden-stateswithout any specific head on top."),_b=c(),sr=a("p"),gb=n("The T5 model was proposed in "),ar=a("a"),Tb=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),kb=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),bb=c(),rr=a("p"),vb=n("This model inherits from "),Ri=a("a"),yb=n("TFPreTrainedModel"),wb=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$b=c(),ir=a("p"),xb=n("This model is also a "),dr=a("a"),zb=n("tf.keras.Model"),Eb=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),qb=c(),b(cn.$$.fragment),Fb=c(),qt=a("div"),b(lr.$$.fragment),jb=c(),To=a("p"),Mb=n("The "),Hi=a("a"),Cb=n("TFT5Model"),Ab=n(" forward method, overrides the "),Yl=a("code"),Pb=n("__call__"),Ob=n(" special method."),Lb=c(),b(pn.$$.fragment),Nb=c(),b(hn.$$.fragment),Xp=c(),ko=a("h2"),un=a("a"),Zl=a("span"),b(cr.$$.fragment),Ib=c(),Jl=a("span"),Db=n("TFT5ForConditionalGeneration"),Qp=c(),ce=a("div"),b(pr.$$.fragment),Sb=c(),hr=a("p"),Gb=n("T5 Model with a "),Xl=a("code"),Bb=n("language modeling"),Ub=n(" head on top."),Wb=c(),ur=a("p"),Rb=n("The T5 model was proposed in "),mr=a("a"),Hb=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),Kb=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Vb=c(),fr=a("p"),Yb=n("This model inherits from "),Ki=a("a"),Zb=n("TFPreTrainedModel"),Jb=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xb=c(),_r=a("p"),Qb=n("This model is also a "),gr=a("a"),ev=n("tf.keras.Model"),tv=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ov=c(),b(mn.$$.fragment),nv=c(),Ft=a("div"),b(Tr.$$.fragment),sv=c(),bo=a("p"),av=n("The "),Vi=a("a"),rv=n("TFT5ForConditionalGeneration"),iv=n(" forward method, overrides the "),Ql=a("code"),dv=n("__call__"),lv=n(" special method."),cv=c(),b(fn.$$.fragment),pv=c(),b(_n.$$.fragment),eh=c(),vo=a("h2"),gn=a("a"),ec=a("span"),b(kr.$$.fragment),hv=c(),tc=a("span"),uv=n("TFT5EncoderModel"),th=c(),pe=a("div"),b(br.$$.fragment),mv=c(),oc=a("p"),fv=n("The bare T5 Model transformer outputting encoder\u2019s raw hidden-stateswithout any specific head on top."),_v=c(),vr=a("p"),gv=n("The T5 model was proposed in "),yr=a("a"),Tv=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),kv=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),bv=c(),wr=a("p"),vv=n("This model inherits from "),Yi=a("a"),yv=n("TFPreTrainedModel"),wv=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$v=c(),$r=a("p"),xv=n("This model is also a "),xr=a("a"),zv=n("tf.keras.Model"),Ev=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),qv=c(),b(Tn.$$.fragment),Fv=c(),jt=a("div"),b(zr.$$.fragment),jv=c(),yo=a("p"),Mv=n("The "),Zi=a("a"),Cv=n("TFT5EncoderModel"),Av=n(" forward method, overrides the "),nc=a("code"),Pv=n("__call__"),Ov=n(" special method."),Lv=c(),b(kn.$$.fragment),Nv=c(),b(bn.$$.fragment),oh=c(),wo=a("h2"),vn=a("a"),sc=a("span"),b(Er.$$.fragment),Iv=c(),ac=a("span"),Dv=n("FlaxT5Model"),nh=c(),ht=a("div"),b(qr.$$.fragment),Sv=c(),Mt=a("div"),b(Fr.$$.fragment),Gv=c(),$o=a("p"),Bv=n("The "),rc=a("code"),Uv=n("FlaxT5PreTrainedModel"),Wv=n(" forward method, overrides the "),ic=a("code"),Rv=n("__call__"),Hv=n(" special method."),Kv=c(),b(yn.$$.fragment),Vv=c(),b(wn.$$.fragment),Yv=c(),$n=a("div"),b(jr.$$.fragment),Zv=c(),b(xn.$$.fragment),Jv=c(),zn=a("div"),b(Mr.$$.fragment),Xv=c(),b(En.$$.fragment),sh=c(),xo=a("h2"),qn=a("a"),dc=a("span"),b(Cr.$$.fragment),Qv=c(),lc=a("span"),ey=n("FlaxT5ForConditionalGeneration"),ah=c(),ut=a("div"),b(Ar.$$.fragment),ty=c(),Ct=a("div"),b(Pr.$$.fragment),oy=c(),zo=a("p"),ny=n("The "),cc=a("code"),sy=n("FlaxT5PreTrainedModel"),ay=n(" forward method, overrides the "),pc=a("code"),ry=n("__call__"),iy=n(" special method."),dy=c(),b(Fn.$$.fragment),ly=c(),b(jn.$$.fragment),cy=c(),Mn=a("div"),b(Or.$$.fragment),py=c(),b(Cn.$$.fragment),hy=c(),An=a("div"),b(Lr.$$.fragment),uy=c(),b(Pn.$$.fragment),rh=c(),Eo=a("h2"),On=a("a"),hc=a("span"),b(Nr.$$.fragment),my=c(),uc=a("span"),fy=n("FlaxT5EncoderModel"),ih=c(),qo=a("div"),b(Ir.$$.fragment),_y=c(),Jt=a("div"),b(Dr.$$.fragment),gy=c(),Fo=a("p"),Ty=n("The "),Ji=a("a"),ky=n("FlaxT5EncoderModel"),by=n(" forward method, overrides the "),mc=a("code"),vy=n("__call__"),yy=n(" special method."),wy=c(),b(Ln.$$.fragment),this.h()},l(t){const h=Z2('[data-svelte="svelte-1phssyn"]',document.head);m=r(h,"META",{name:!0,content:!0}),h.forEach(o),k=p(t),g=r(t,"H1",{class:!0});var Sr=i(g);_=r(Sr,"A",{id:!0,class:!0,href:!0});var fc=i(_);T=r(fc,"SPAN",{});var _c=i(T);v(d.$$.fragment,_c),_c.forEach(o),fc.forEach(o),f=p(Sr),F=r(Sr,"SPAN",{});var gc=i(F);Oe=s(gc,"T5"),gc.forEach(o),Sr.forEach(o),je=p(t),I=r(t,"DIV",{class:!0});var Gr=i(I);he=r(Gr,"A",{href:!0});var Tc=i(he);J=r(Tc,"IMG",{alt:!0,src:!0}),Tc.forEach(o),Le=p(Gr),B=r(Gr,"A",{href:!0});var kc=i(B);ue=r(kc,"IMG",{alt:!0,src:!0}),kc.forEach(o),Gr.forEach(o),Y=p(t),X=r(t,"H2",{class:!0});var Br=i(X);ne=r(Br,"A",{id:!0,class:!0,href:!0});var bc=i(ne);R=r(bc,"SPAN",{});var vc=i(R);v(re.$$.fragment,vc),vc.forEach(o),bc.forEach(o),Ne=p(Br),H=r(Br,"SPAN",{});var yc=i(H);Ie=s(yc,"Overview"),yc.forEach(o),Br.forEach(o),Me=p(t),S=r(t,"P",{});var Ur=i(S);De=s(Ur,"The T5 model was presented in "),ie=r(Ur,"A",{href:!0,rel:!0});var wc=i(ie);me=s(wc,"Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer"),wc.forEach(o),C=s(Ur,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan Narang,
Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu.`),Ur.forEach(o),P=p(t),fe=r(t,"P",{});var $c=i(fe);Q=s($c,"The abstract from the paper is the following:"),$c.forEach(o),Ce=p(t),_e=r(t,"P",{});var xc=i(_e);K=r(xc,"EM",{});var zc=i(K);Se=s(zc,`Transfer learning, where a model is first pre-trained on a data-rich task before being fine-tuned on a downstream
task, has emerged as a powerful technique in natural language processing (NLP). The effectiveness of transfer learning
has given rise to a diversity of approaches, methodology, and practice. In this paper, we explore the landscape of
transfer learning techniques for NLP by introducing a unified framework that converts every language problem into a
text-to-text format. Our systematic study compares pretraining objectives, architectures, unlabeled datasets, transfer
approaches, and other factors on dozens of language understanding tasks. By combining the insights from our exploration
with scale and our new \u201CColossal Clean Crawled Corpus\u201D, we achieve state-of-the-art results on many benchmarks covering
summarization, question answering, text classification, and more. To facilitate future work on transfer learning for
NLP, we release our dataset, pre-trained models, and code.`),zc.forEach(o),xc.forEach(o),Ae=p(t),A=r(t,"P",{});var Ec=i(A);Ge=s(Ec,"Tips:"),Ec.forEach(o),Z=p(t),G=r(t,"UL",{});var mt=i(G);$e=r(mt,"LI",{});var qc=i($e);D=r(qc,"P",{});var jo=i(D);Be=s(jo,`T5 is an encoder-decoder model pre-trained on a multi-task mixture of unsupervised and supervised tasks and for which
each task is converted into a text-to-text format. T5 works well on a variety of tasks out-of-the-box by prepending a
different prefix to the input corresponding to each task, e.g., for translation: `),xe=r(jo,"EM",{});var Fc=i(xe);U=s(Fc,"translate English to German: \u2026"),Fc.forEach(o),Ue=s(jo,`,
for summarization: `),V=r(jo,"EM",{});var jc=i(V);We=s(jc,"summarize: \u2026"),jc.forEach(o),ge=s(jo,"."),jo.forEach(o),qc.forEach(o),L=p(mt),ze=r(mt,"LI",{});var Mc=i(ze);N=r(Mc,"P",{});var Cc=i(N);Re=s(Cc,"The pretraining includes both supervised and self-supervised training. Supervised training is conducted on downstream tasks provided by the GLUE and SuperGLUE benchmarks (converting them into text-to-text tasks as explained above)."),Cc.forEach(o),Mc.forEach(o),He=p(mt),z=r(mt,"LI",{});var My=i(z);j=r(My,"P",{});var Cy=i(j);ft=s(Cy,"Self-supervised training uses corrupted tokens, by randomly removing 15% of the tokens and replacing them with individual sentinel tokens (if several consecutive tokens are marked for removal, the whole group is replaced with a single sentinel token). The input of the encoder is the corrupted sentence, the input of the decoder is the original sentence and the target is then the dropped out tokens delimited by their sentinel tokens."),Cy.forEach(o),My.forEach(o),Te=p(mt),Qe=r(mt,"LI",{});var Ay=i(Qe);et=r(Ay,"P",{});var Py=i(et);M=s(Py,"T5 uses relative scalar embeddings. Encoder input padding can be done on the left and on the right."),Py.forEach(o),Ay.forEach(o),_t=p(mt),tt=r(mt,"LI",{});var Oy=i(tt);se=r(Oy,"P",{});var Nn=i(se);gt=s(Nn,"See the "),Ke=r(Nn,"A",{href:!0});var Ly=i(Ke);W=s(Ly,"training"),Ly.forEach(o),ee=s(Nn,", "),Ve=r(Nn,"A",{href:!0});var Ny=i(Ve);Tt=s(Ny,"inference"),Ny.forEach(o),te=s(Nn," and "),Ye=r(Nn,"A",{href:!0});var Iy=i(Ye);kt=s(Iy,"scripts"),Iy.forEach(o),Ze=s(Nn," sections below for all details regarding usage."),Nn.forEach(o),Oy.forEach(o),mt.forEach(o),pt=p(t),oe=r(t,"P",{});var Dy=i(oe);bt=s(Dy,"T5 comes in different sizes:"),Dy.forEach(o),Nc=p(t),ot=r(t,"UL",{});var Xt=i(ot);gd=r(Xt,"LI",{});var Sy=i(gd);Td=r(Sy,"P",{});var Gy=i(Td);Xn=r(Gy,"A",{href:!0,rel:!0});var By=i(Xn);wu=s(By,"t5-small"),By.forEach(o),Gy.forEach(o),Sy.forEach(o),$u=p(Xt),kd=r(Xt,"LI",{});var Uy=i(kd);bd=r(Uy,"P",{});var Wy=i(bd);Qn=r(Wy,"A",{href:!0,rel:!0});var Ry=i(Qn);xu=s(Ry,"t5-base"),Ry.forEach(o),Wy.forEach(o),Uy.forEach(o),zu=p(Xt),vd=r(Xt,"LI",{});var Hy=i(vd);yd=r(Hy,"P",{});var Ky=i(yd);es=r(Ky,"A",{href:!0,rel:!0});var Vy=i(es);Eu=s(Vy,"t5-large"),Vy.forEach(o),Ky.forEach(o),Hy.forEach(o),qu=p(Xt),wd=r(Xt,"LI",{});var Yy=i(wd);$d=r(Yy,"P",{});var Zy=i($d);ts=r(Zy,"A",{href:!0,rel:!0});var Jy=i(ts);Fu=s(Jy,"t5-3b"),Jy.forEach(o),Zy.forEach(o),Yy.forEach(o),ju=p(Xt),xd=r(Xt,"LI",{});var Xy=i(xd);Yr=r(Xy,"P",{});var $y=i(Yr);os=r($y,"A",{href:!0,rel:!0});var Qy=i(os);Mu=s(Qy,"t5-11b"),Qy.forEach(o),Cu=s($y,"."),$y.forEach(o),Xy.forEach(o),Xt.forEach(o),Ic=p(t),Zr=r(t,"P",{});var ew=i(Zr);Au=s(ew,"Based on the original T5 model, Google has released some follow-up works:"),ew.forEach(o),Dc=p(t),Gt=r(t,"UL",{});var Xi=i(Gt);zd=r(Xi,"LI",{});var tw=i(zd);Co=r(tw,"P",{});var Ac=i(Co);Ed=r(Ac,"STRONG",{});var ow=i(Ed);Pu=s(ow,"T5v1.1"),ow.forEach(o),Ou=s(Ac,`: T5v1.1 is an improved version of T5 with some architectural tweaks, and is pre-trained on C4 only without
mixing in the supervised tasks. Refer to the documentation of T5v1.1 which can be found `),Jr=r(Ac,"A",{href:!0});var nw=i(Jr);Lu=s(nw,"here"),nw.forEach(o),Nu=s(Ac,"."),Ac.forEach(o),tw.forEach(o),Iu=p(Xi),qd=r(Xi,"LI",{});var sw=i(qd);Ao=r(sw,"P",{});var Pc=i(Ao);Fd=r(Pc,"STRONG",{});var aw=i(Fd);Du=s(aw,"mT5"),aw.forEach(o),Su=s(Pc,`: mT5 is a multilingual T5 model. It is pre-trained on the mC4 corpus, which includes 101 languages. Refer to
the documentation of mT5 which can be found `),Xr=r(Pc,"A",{href:!0});var rw=i(Xr);Gu=s(rw,"here"),rw.forEach(o),Bu=s(Pc,"."),Pc.forEach(o),sw.forEach(o),Uu=p(Xi),jd=r(Xi,"LI",{});var iw=i(jd);Po=r(iw,"P",{});var Oc=i(Po);Md=r(Oc,"STRONG",{});var dw=i(Md);Wu=s(dw,"byT5"),dw.forEach(o),Ru=s(Oc,`: byT5 is a T5 model pre-trained on byte sequences rather than SentencePiece subword token sequences. Refer
to the documentation of byT5 which can be found `),Qr=r(Oc,"A",{href:!0});var lw=i(Qr);Hu=s(lw,"here"),lw.forEach(o),Ku=s(Oc,"."),Oc.forEach(o),iw.forEach(o),Xi.forEach(o),Sc=p(t),Oo=r(t,"P",{});var lh=i(Oo);Vu=s(lh,"All checkpoints can be found on the "),ns=r(lh,"A",{href:!0,rel:!0});var cw=i(ns);Yu=s(cw,"hub"),cw.forEach(o),Zu=s(lh,"."),lh.forEach(o),Gc=p(t),Bt=r(t,"P",{});var Qi=i(Bt);Ju=s(Qi,"This model was contributed by "),ss=r(Qi,"A",{href:!0,rel:!0});var pw=i(ss);Xu=s(pw,"thomwolf"),pw.forEach(o),Qu=s(Qi,". The original code can be found "),as=r(Qi,"A",{href:!0,rel:!0});var hw=i(as);em=s(hw,"here"),hw.forEach(o),tm=s(Qi,"."),Qi.forEach(o),Bc=p(t),ei=r(t,"A",{id:!0}),i(ei).forEach(o),Uc=p(t),to=r(t,"H2",{class:!0});var ch=i(to);Lo=r(ch,"A",{id:!0,class:!0,href:!0});var uw=i(Lo);Cd=r(uw,"SPAN",{});var mw=i(Cd);v(rs.$$.fragment,mw),mw.forEach(o),uw.forEach(o),om=p(ch),Ad=r(ch,"SPAN",{});var fw=i(Ad);nm=s(fw,"Training"),fw.forEach(o),ch.forEach(o),Wc=p(t),vt=r(t,"P",{});var In=i(vt);sm=s(In,`T5 is an encoder-decoder model and converts all NLP problems into a text-to-text format. It is trained using teacher
forcing. This means that for training, we always need an input sequence and a corresponding target sequence. The input
sequence is fed to the model using `),Pd=r(In,"CODE",{});var _w=i(Pd);am=s(_w,"input_ids"),_w.forEach(o),rm=s(In,`. The target sequence is shifted to the right, i.e., prepended by a
start-sequence token and fed to the decoder using the `),Od=r(In,"CODE",{});var gw=i(Od);im=s(gw,"decoder_input_ids"),gw.forEach(o),dm=s(In,`. In teacher-forcing style, the target
sequence is then appended by the EOS token and corresponds to the `),Ld=r(In,"CODE",{});var Tw=i(Ld);lm=s(Tw,"labels"),Tw.forEach(o),cm=s(In,`. The PAD token is hereby used as the
start-sequence token. T5 can be trained / fine-tuned both in a supervised and unsupervised fashion.`),In.forEach(o),Rc=p(t),No=r(t,"P",{});var ph=i(No);pm=s(ph,"One can use "),ti=r(ph,"A",{href:!0});var kw=i(ti);hm=s(kw,"T5ForConditionalGeneration"),kw.forEach(o),um=s(ph,` (or the Tensorflow/Flax variant), which includes the
language modeling head on top of the decoder.`),ph.forEach(o),Hc=p(t),oi=r(t,"UL",{});var bw=i(oi);Nd=r(bw,"LI",{});var vw=i(Nd);mm=s(vw,"Unsupervised denoising training"),vw.forEach(o),bw.forEach(o),Kc=p(t),ke=r(t,"P",{});var st=i(ke);fm=s(st,"In this setup, spans of the input sequence are masked by so-called sentinel tokens ("),Id=r(st,"EM",{});var yw=i(Id);_m=s(yw,"a.k.a"),yw.forEach(o),gm=s(st,` unique mask tokens) and
the output sequence is formed as a concatenation of the same sentinel tokens and the `),Dd=r(st,"EM",{});var ww=i(Dd);Tm=s(ww,"real"),ww.forEach(o),km=s(st,` masked tokens. Each
sentinel token represents a unique mask token for this sentence and should start with `),Sd=r(st,"CODE",{});var $w=i(Sd);bm=s($w,"<extra_id_0>"),$w.forEach(o),vm=s(st,`,
`),Gd=r(st,"CODE",{});var xw=i(Gd);ym=s(xw,"<extra_id_1>"),xw.forEach(o),wm=s(st,", \u2026 up to "),Bd=r(st,"CODE",{});var zw=i(Bd);$m=s(zw,"<extra_id_99>"),zw.forEach(o),xm=s(st,`. As a default, 100 sentinel tokens are available in
`),ni=r(st,"A",{href:!0});var Ew=i(ni);zm=s(Ew,"T5Tokenizer"),Ew.forEach(o),Em=s(st,"."),st.forEach(o),Vc=p(t),si=r(t,"P",{});var qw=i(si);qm=s(qw,`For instance, the sentence \u201CThe cute dog walks in the park\u201D with the masks put on \u201Ccute dog\u201D and \u201Cthe\u201D should be
processed as follows:`),qw.forEach(o),Yc=p(t),v(is.$$.fragment,t),Zc=p(t),Io=r(t,"P",{});var hh=i(Io);Fm=s(hh,"If you\u2019re interested in pre-training T5 on a new corpus, check out the "),ds=r(hh,"A",{href:!0,rel:!0});var Fw=i(ds);jm=s(Fw,"run_t5_mlm_flax.py"),Fw.forEach(o),Mm=s(hh,` script in the Examples
directory.`),hh.forEach(o),Jc=p(t),ai=r(t,"UL",{});var jw=i(ai);Ud=r(jw,"LI",{});var Mw=i(Ud);Cm=s(Mw,"Supervised training"),Mw.forEach(o),jw.forEach(o),Xc=p(t),ri=r(t,"P",{});var Cw=i(ri);Am=s(Cw,`In this setup, the input sequence and output sequence are a standard sequence-to-sequence input-output mapping.
Suppose that we want to fine-tune the model for translation for example, and we have a training example: the input
sequence \u201CThe house is wonderful.\u201D and output sequence \u201CDas Haus ist wunderbar.\u201D, then they should be prepared for
the model as follows:`),Cw.forEach(o),Qc=p(t),v(ls.$$.fragment,t),ep=p(t),ae=r(t,"P",{});var Pe=i(ae);Pm=s(Pe,"As you can see, only 2 inputs are required for the model in order to compute a loss: "),Wd=r(Pe,"CODE",{});var Aw=i(Wd);Om=s(Aw,"input_ids"),Aw.forEach(o),Lm=s(Pe,` (which are the
`),Rd=r(Pe,"CODE",{});var Pw=i(Rd);Nm=s(Pw,"input_ids"),Pw.forEach(o),Im=s(Pe," of the encoded input sequence) and "),Hd=r(Pe,"CODE",{});var Ow=i(Hd);Dm=s(Ow,"labels"),Ow.forEach(o),Sm=s(Pe," (which are the "),Kd=r(Pe,"CODE",{});var Lw=i(Kd);Gm=s(Lw,"input_ids"),Lw.forEach(o),Bm=s(Pe,` of the encoded
target sequence). The model will automatically create the `),Vd=r(Pe,"CODE",{});var Nw=i(Vd);Um=s(Nw,"decoder_input_ids"),Nw.forEach(o),Wm=s(Pe," based on the "),Yd=r(Pe,"CODE",{});var Iw=i(Yd);Rm=s(Iw,"labels"),Iw.forEach(o),Hm=s(Pe,`, by
shifting them one position to the right and prepending the `),Zd=r(Pe,"CODE",{});var Dw=i(Zd);Km=s(Dw,"config.decoder_start_token_id"),Dw.forEach(o),Vm=s(Pe,`, which for T5 is
equal to 0 (i.e. the id of the pad token). Also note the task prefix: we prepend the input sequence with \u2018translate
English to German: \u2019 before encoding it. This will help in improving the performance, as this task prefix was used
during T5\u2019s pre-training.`),Pe.forEach(o),tp=p(t),Ut=r(t,"P",{});var ed=i(Ut);Ym=s(ed,`However, the example above only shows a single training example. In practice, one trains deep learning models in
batches. This entails that we must pad/truncate examples to the same length. For encoder-decoder models, one
typically defines a `),Jd=r(ed,"CODE",{});var Sw=i(Jd);Zm=s(Sw,"max_source_length"),Sw.forEach(o),Jm=s(ed," and "),Xd=r(ed,"CODE",{});var Gw=i(Xd);Xm=s(Gw,"max_target_length"),Gw.forEach(o),Qm=s(ed,`, which determine the maximum length of the
input and output sequences respectively (otherwise they are truncated). These should be carefully set depending on
the task.`),ed.forEach(o),op=p(t),be=r(t,"P",{});var at=i(be);ef=s(at,"In addition, we must make sure that padding token id\u2019s of the "),Qd=r(at,"CODE",{});var Bw=i(Qd);tf=s(Bw,"labels"),Bw.forEach(o),of=s(at,` are not taken into account by the loss
function. In PyTorch and Tensorflow, this can be done by replacing them with -100, which is the `),el=r(at,"CODE",{});var Uw=i(el);nf=s(Uw,"ignore_index"),Uw.forEach(o),sf=s(at,`
of the `),tl=r(at,"CODE",{});var Ww=i(tl);af=s(Ww,"CrossEntropyLoss"),Ww.forEach(o),rf=s(at,". In Flax, one can use the "),ol=r(at,"CODE",{});var Rw=i(ol);df=s(Rw,"decoder_attention_mask"),Rw.forEach(o),lf=s(at,` to ignore padded tokens from
the loss (see the `),cs=r(at,"A",{href:!0,rel:!0});var Hw=i(cs);cf=s(Hw,"Flax summarization script"),Hw.forEach(o),pf=s(at,` for details). We also pass
`),nl=r(at,"CODE",{});var Kw=i(nl);hf=s(Kw,"attention_mask"),Kw.forEach(o),uf=s(at,` as additional input to the model, which makes sure that padding tokens of the inputs are
ignored. The code example below illustrates all of this.`),at.forEach(o),np=p(t),v(ps.$$.fragment,t),sp=p(t),ii=r(t,"P",{});var Vw=i(ii);mf=s(Vw,"Additional training tips:"),Vw.forEach(o),ap=p(t),di=r(t,"UL",{});var Yw=i(di);hs=r(Yw,"LI",{});var uh=i(hs);ff=s(uh,"T5 models need a slightly higher learning rate than the default one set in the "),sl=r(uh,"CODE",{});var Zw=i(sl);_f=s(Zw,"Trainer"),Zw.forEach(o),gf=s(uh,` when using the AdamW
optimizer. Typically, 1e-4 and 3e-4 work well for most problems (classification, summarization, translation, question
answering, question generation). Note that T5 was pre-trained using the AdaFactor optimizer.`),uh.forEach(o),Yw.forEach(o),rp=p(t),Wt=r(t,"P",{});var td=i(Wt);Tf=s(td,"According to "),us=r(td,"A",{href:!0,rel:!0});var Jw=i(us);kf=s(Jw,"this forum post"),Jw.forEach(o),bf=s(td,`, task prefixes matter when
(1) doing multi-task training (2) your task is similar or related to one of the supervised tasks used in T5\u2019s
pre-training mixture (see Appendix D of the `),ms=r(td,"A",{href:!0,rel:!0});var Xw=i(ms);vf=s(Xw,"paper"),Xw.forEach(o),yf=s(td,` for the task prefixes
used).`),td.forEach(o),ip=p(t),Do=r(t,"P",{});var mh=i(Do);wf=s(mh,`If training on TPU, it is recommended to pad all examples of the dataset to the same length or make use of
`),al=r(mh,"EM",{});var Qw=i(al);$f=s(Qw,"pad_to_multiple_of"),Qw.forEach(o),xf=s(mh,` to have a small number of predefined bucket sizes to fit all examples in. Dynamically padding
batches to the longest example is not recommended on TPU as it triggers a recompilation for every batch shape that is
encountered during training thus significantly slowing down the training. only padding up to the longest example in a
batch) leads to very slow training on TPU.`),mh.forEach(o),dp=p(t),li=r(t,"A",{id:!0}),i(li).forEach(o),lp=p(t),oo=r(t,"H2",{class:!0});var fh=i(oo);So=r(fh,"A",{id:!0,class:!0,href:!0});var e5=i(So);rl=r(e5,"SPAN",{});var t5=i(rl);v(fs.$$.fragment,t5),t5.forEach(o),e5.forEach(o),zf=p(fh),il=r(fh,"SPAN",{});var o5=i(il);Ef=s(o5,"Inference"),o5.forEach(o),fh.forEach(o),cp=p(t),yt=r(t,"P",{});var Dn=i(yt);qf=s(Dn,"At inference time, it is recommended to use "),ci=r(Dn,"A",{href:!0});var n5=i(ci);Ff=s(n5,"generate()"),n5.forEach(o),jf=s(Dn,`. This
method takes care of encoding the input and feeding the encoded hidden states via cross-attention layers to the decoder
and auto-regressively generates the decoder output. Check out `),_s=r(Dn,"A",{href:!0,rel:!0});var s5=i(_s);Mf=s(s5,"this blog post"),s5.forEach(o),Cf=s(Dn,` to know all the details about generating text with Transformers.
There\u2019s also `),gs=r(Dn,"A",{href:!0,rel:!0});var a5=i(gs);Af=s(a5,"this blog post"),a5.forEach(o),Pf=s(Dn,` which explains how
generation works in general in encoder-decoder models.`),Dn.forEach(o),pp=p(t),v(Ts.$$.fragment,t),hp=p(t),nt=r(t,"P",{});var Qt=i(nt);Of=s(Qt,"Note that T5 uses the "),dl=r(Qt,"CODE",{});var r5=i(dl);Lf=s(r5,"pad_token_id"),r5.forEach(o),Nf=s(Qt," as the "),ll=r(Qt,"CODE",{});var i5=i(ll);If=s(i5,"decoder_start_token_id"),i5.forEach(o),Df=s(Qt,`, so when doing generation without using
`),pi=r(Qt,"A",{href:!0});var d5=i(pi);Sf=s(d5,"generate()"),d5.forEach(o),Gf=s(Qt,", make sure you start it with the "),cl=r(Qt,"CODE",{});var l5=i(cl);Bf=s(l5,"pad_token_id"),l5.forEach(o),Uf=s(Qt,"."),Qt.forEach(o),up=p(t),hi=r(t,"P",{});var c5=i(hi);Wf=s(c5,"The example above only shows a single example. You can also do batched inference, like so:"),c5.forEach(o),mp=p(t),v(ks.$$.fragment,t),fp=p(t),ui=r(t,"P",{});var p5=i(ui);Rf=s(p5,`Because T5 has been trained with the span-mask denoising objective,
it can be used to predict the sentinel (masked-out) tokens during inference.
The predicted tokens will then be placed between the sentinel tokens.`),p5.forEach(o),_p=p(t),v(bs.$$.fragment,t),gp=p(t),mi=r(t,"A",{id:!0}),i(mi).forEach(o),Tp=p(t),no=r(t,"H2",{class:!0});var _h=i(no);Go=r(_h,"A",{id:!0,class:!0,href:!0});var h5=i(Go);pl=r(h5,"SPAN",{});var u5=i(pl);v(vs.$$.fragment,u5),u5.forEach(o),h5.forEach(o),Hf=p(_h),hl=r(_h,"SPAN",{});var m5=i(hl);Kf=s(m5,"Performance"),m5.forEach(o),_h.forEach(o),kp=p(t),wt=r(t,"P",{});var Sn=i(wt);Vf=s(Sn,"If you\u2019d like a faster training and inference performance, install "),ys=r(Sn,"A",{href:!0,rel:!0});var f5=i(ys);Yf=s(f5,"apex"),f5.forEach(o),Zf=s(Sn," and then the model will automatically use "),ul=r(Sn,"CODE",{});var _5=i(ul);Jf=s(_5,"apex.normalization.FusedRMSNorm"),_5.forEach(o),Xf=s(Sn," instead of "),ml=r(Sn,"CODE",{});var g5=i(ml);Qf=s(g5,"T5LayerNorm"),g5.forEach(o),e_=s(Sn,". The former uses an optimized fused kernel which is several times faster than the latter."),Sn.forEach(o),bp=p(t),so=r(t,"H2",{class:!0});var gh=i(so);Bo=r(gh,"A",{id:!0,class:!0,href:!0});var T5=i(Bo);fl=r(T5,"SPAN",{});var k5=i(fl);v(ws.$$.fragment,k5),k5.forEach(o),T5.forEach(o),t_=p(gh),_l=r(gh,"SPAN",{});var b5=i(_l);o_=s(b5,"Resources"),b5.forEach(o),gh.forEach(o),vp=p(t),fi=r(t,"P",{});var v5=i(fi);n_=s(v5,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with T5. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),v5.forEach(o),yp=p(t),v($s.$$.fragment,t),wp=p(t),Uo=r(t,"UL",{});var Th=i(Uo);xs=r(Th,"LI",{});var kh=i(xs);s_=s(kh,"A notebook for how to "),zs=r(kh,"A",{href:!0,rel:!0});var y5=i(zs);a_=s(y5,"finetune T5 for classification and multiple choice"),y5.forEach(o),r_=s(kh,"."),kh.forEach(o),i_=p(Th),Es=r(Th,"LI",{});var bh=i(Es);d_=s(bh,"A notebook for how to "),qs=r(bh,"A",{href:!0,rel:!0});var w5=i(qs);l_=s(w5,"finetune T5 for sentiment span extraction"),w5.forEach(o),c_=s(bh,". \u{1F30E}"),bh.forEach(o),Th.forEach(o),$p=p(t),v(Fs.$$.fragment,t),xp=p(t),_i=r(t,"UL",{});var $5=i(_i);js=r($5,"LI",{});var vh=i(js);p_=s(vh,"A notebook for how to "),Ms=r(vh,"A",{href:!0,rel:!0});var x5=i(Ms);h_=s(x5,"finetune T5 for named entity recognition"),x5.forEach(o),u_=s(vh,". \u{1F30E}"),vh.forEach(o),$5.forEach(o),zp=p(t),v(Cs.$$.fragment,t),Ep=p(t),gi=r(t,"UL",{});var z5=i(gi);As=r(z5,"LI",{});var yh=i(As);m_=s(yh,"A notebook for "),Ps=r(yh,"A",{href:!0,rel:!0});var E5=i(Ps);f_=s(E5,"Finetuning CodeT5 for generating docstrings from Ruby code"),E5.forEach(o),__=s(yh,"."),yh.forEach(o),z5.forEach(o),qp=p(t),v(Os.$$.fragment,t),Fp=p(t),ve=r(t,"UL",{});var rt=i(ve);Ls=r(rt,"LI",{});var wh=i(Ls);g_=s(wh,"A notebook to "),Ns=r(wh,"A",{href:!0,rel:!0});var q5=i(Ns);T_=s(q5,"Finetune T5-base-dutch to perform Dutch abstractive summarization on a TPU"),q5.forEach(o),k_=s(wh,"."),wh.forEach(o),b_=p(rt),Is=r(rt,"LI",{});var $h=i(Is);v_=s($h,"A notebook for how to "),Ds=r($h,"A",{href:!0,rel:!0});var F5=i(Ds);y_=s(F5,"finetune T5 for summarization in PyTorch and track experiments with WandB"),F5.forEach(o),w_=s($h,". \u{1F30E}"),$h.forEach(o),$_=p(rt),Ss=r(rt,"LI",{});var xh=i(Ss);x_=s(xh,"A blog post on "),Gs=r(xh,"A",{href:!0,rel:!0});var j5=i(Gs);z_=s(j5,"Distributed Training: Train BART/T5 for Summarization using \u{1F917} Transformers and Amazon SageMaker"),j5.forEach(o),E_=s(xh,"."),xh.forEach(o),q_=p(rt),Rt=r(rt,"LI",{});var Wr=i(Rt);Ti=r(Wr,"A",{href:!0});var M5=i(Ti);F_=s(M5,"T5ForConditionalGeneration"),M5.forEach(o),j_=s(Wr," is supported by this "),Bs=r(Wr,"A",{href:!0,rel:!0});var C5=i(Bs);M_=s(C5,"example script"),C5.forEach(o),C_=s(Wr," and "),Us=r(Wr,"A",{href:!0,rel:!0});var A5=i(Us);A_=s(A5,"noteboook"),A5.forEach(o),P_=s(Wr,"."),Wr.forEach(o),O_=p(rt),Ht=r(rt,"LI",{});var Rr=i(Ht);ki=r(Rr,"A",{href:!0});var P5=i(ki);L_=s(P5,"TFT5ForConditionalGeneration"),P5.forEach(o),N_=s(Rr," is supported by this "),Ws=r(Rr,"A",{href:!0,rel:!0});var O5=i(Ws);I_=s(O5,"example script"),O5.forEach(o),D_=s(Rr," and "),Rs=r(Rr,"A",{href:!0,rel:!0});var L5=i(Rs);S_=s(L5,"notebook"),L5.forEach(o),G_=s(Rr,"."),Rr.forEach(o),B_=p(rt),Wo=r(rt,"LI",{});var Lc=i(Wo);bi=r(Lc,"A",{href:!0});var N5=i(bi);U_=s(N5,"FlaxT5ForConditionalGeneration"),N5.forEach(o),W_=s(Lc," is supported by this "),Hs=r(Lc,"A",{href:!0,rel:!0});var I5=i(Hs);R_=s(I5,"example script"),I5.forEach(o),H_=s(Lc,"."),Lc.forEach(o),K_=p(rt),vi=r(rt,"LI",{});var xy=i(vi);Ks=r(xy,"A",{href:!0,rel:!0});var D5=i(Ks);V_=s(D5,"Summarization"),D5.forEach(o),Y_=s(xy," chapter of the \u{1F917} Hugging Face course."),xy.forEach(o),rt.forEach(o),jp=p(t),v(Vs.$$.fragment,t),Mp=p(t),yi=r(t,"UL",{});var S5=i(yi);$t=r(S5,"LI",{});var Mo=i($t);wi=r(Mo,"A",{href:!0});var G5=i(wi);Z_=s(G5,"FlaxT5ForConditionalGeneration"),G5.forEach(o),J_=s(Mo," is supported by this "),Ys=r(Mo,"A",{href:!0,rel:!0});var B5=i(Ys);X_=s(B5,"example script"),B5.forEach(o),Q_=s(Mo," for training T5 with a span-masked language model objective. The script also shows how to train a T5 tokenizer. "),$i=r(Mo,"A",{href:!0});var U5=i($i);eg=s(U5,"FlaxT5ForConditionalGeneration"),U5.forEach(o),tg=s(Mo," is also supported by this "),Zs=r(Mo,"A",{href:!0,rel:!0});var W5=i(Zs);og=s(W5,"notebook"),W5.forEach(o),ng=s(Mo,"."),Mo.forEach(o),S5.forEach(o),Cp=p(t),v(Js.$$.fragment,t),Ap=p(t),Ro=r(t,"UL",{});var zh=i(Ro);Kt=r(zh,"LI",{});var Hr=i(Kt);xi=r(Hr,"A",{href:!0});var R5=i(xi);sg=s(R5,"T5ForConditionalGeneration"),R5.forEach(o),ag=s(Hr," is supported by this "),Xs=r(Hr,"A",{href:!0,rel:!0});var H5=i(Xs);rg=s(H5,"example script"),H5.forEach(o),ig=s(Hr," and "),Qs=r(Hr,"A",{href:!0,rel:!0});var K5=i(Qs);dg=s(K5,"notebook"),K5.forEach(o),lg=s(Hr,"."),Hr.forEach(o),cg=p(zh),Vt=r(zh,"LI",{});var Kr=i(Vt);zi=r(Kr,"A",{href:!0});var V5=i(zi);pg=s(V5,"TFT5ForConditionalGeneration"),V5.forEach(o),hg=s(Kr," is supported by this "),ea=r(Kr,"A",{href:!0,rel:!0});var Y5=i(ea);ug=s(Y5,"example script"),Y5.forEach(o),mg=s(Kr," and "),ta=r(Kr,"A",{href:!0,rel:!0});var Z5=i(ta);fg=s(Z5,"notebook"),Z5.forEach(o),_g=s(Kr,"."),Kr.forEach(o),zh.forEach(o),Pp=p(t),v(oa.$$.fragment,t),Op=p(t),Ho=r(t,"UL",{});var Eh=i(Ho);na=r(Eh,"LI",{});var qh=i(na);gg=s(qh,"A notebook on how to "),sa=r(qh,"A",{href:!0,rel:!0});var J5=i(sa);Tg=s(J5,"finetune T5 for question answering with TensorFlow 2"),J5.forEach(o),kg=s(qh,". \u{1F30E}"),qh.forEach(o),bg=p(Eh),aa=r(Eh,"LI",{});var Fh=i(aa);vg=s(Fh,"A notebook on how to "),ra=r(Fh,"A",{href:!0,rel:!0});var X5=i(ra);yg=s(X5,"finetune T5 for question answering on a TPU"),X5.forEach(o),wg=s(Fh,"."),Fh.forEach(o),Eh.forEach(o),Lp=p(t),ia=r(t,"P",{});var zy=i(ia);$g=s(zy,"\u{1F680} "),gl=r(zy,"STRONG",{});var Q5=i(gl);xg=s(Q5,"Deploy"),Q5.forEach(o),zy.forEach(o),Np=p(t),Ei=r(t,"UL",{});var e1=i(Ei);da=r(e1,"LI",{});var jh=i(da);zg=s(jh,"A blog post on how to deploy "),la=r(jh,"A",{href:!0,rel:!0});var t1=i(la);Eg=s(t1,"T5 11B for inference for less than $500"),t1.forEach(o),qg=s(jh,"."),jh.forEach(o),e1.forEach(o),Ip=p(t),ao=r(t,"H2",{class:!0});var Mh=i(ao);Ko=r(Mh,"A",{id:!0,class:!0,href:!0});var o1=i(Ko);Tl=r(o1,"SPAN",{});var n1=i(Tl);v(ca.$$.fragment,n1),n1.forEach(o),o1.forEach(o),Fg=p(Mh),kl=r(Mh,"SPAN",{});var s1=i(kl);jg=s(s1,"T5Config"),s1.forEach(o),Mh.forEach(o),Dp=p(t),Dt=r(t,"DIV",{class:!0});var od=i(Dt);v(pa.$$.fragment,od),Mg=p(od),St=r(od,"P",{});var Gn=i(St);Cg=s(Gn,"This is the configuration class to store the configuration of a "),qi=r(Gn,"A",{href:!0});var a1=i(qi);Ag=s(a1,"T5Model"),a1.forEach(o),Pg=s(Gn," or a "),Fi=r(Gn,"A",{href:!0});var r1=i(Fi);Og=s(r1,"TFT5Model"),r1.forEach(o),Lg=s(Gn,`. It is used to
instantiate a T5 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the T5
`),ha=r(Gn,"A",{href:!0,rel:!0});var i1=i(ha);Ng=s(i1,"t5-small"),i1.forEach(o),Ig=s(Gn," architecture."),Gn.forEach(o),Dg=p(od),ro=r(od,"P",{});var nd=i(ro);Sg=s(nd,"Configuration objects inherit from "),ji=r(nd,"A",{href:!0});var d1=i(ji);Gg=s(d1,"PretrainedConfig"),d1.forEach(o),Bg=s(nd,` and can be used to control the model outputs. Read the
documentation from `),Mi=r(nd,"A",{href:!0});var l1=i(Mi);Ug=s(l1,"PretrainedConfig"),l1.forEach(o),Wg=s(nd," for more information."),nd.forEach(o),od.forEach(o),Sp=p(t),io=r(t,"H2",{class:!0});var Ch=i(io);Vo=r(Ch,"A",{id:!0,class:!0,href:!0});var c1=i(Vo);bl=r(c1,"SPAN",{});var p1=i(bl);v(ua.$$.fragment,p1),p1.forEach(o),c1.forEach(o),Rg=p(Ch),vl=r(Ch,"SPAN",{});var h1=i(vl);Hg=s(h1,"T5Tokenizer"),h1.forEach(o),Ch.forEach(o),Gp=p(t),de=r(t,"DIV",{class:!0});var it=i(de);v(ma.$$.fragment,it),Kg=p(it),fa=r(it,"P",{});var Ah=i(fa);Vg=s(Ah,"Construct a T5 tokenizer. Based on "),_a=r(Ah,"A",{href:!0,rel:!0});var u1=i(_a);Yg=s(u1,"SentencePiece"),u1.forEach(o),Zg=s(Ah,"."),Ah.forEach(o),Jg=p(it),ga=r(it,"P",{});var Ph=i(ga);Xg=s(Ph,"This tokenizer inherits from "),Ci=r(Ph,"A",{href:!0});var m1=i(Ci);Qg=s(m1,"PreTrainedTokenizer"),m1.forEach(o),eT=s(Ph,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Ph.forEach(o),tT=p(it),Yt=r(it,"DIV",{class:!0});var sd=i(Yt);v(Ta.$$.fragment,sd),oT=p(sd),yl=r(sd,"P",{});var f1=i(yl);nT=s(f1,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),f1.forEach(o),sT=p(sd),ka=r(sd,"UL",{});var Oh=i(ka);Ai=r(Oh,"LI",{});var Ey=i(Ai);aT=s(Ey,"single sequence: "),wl=r(Ey,"CODE",{});var _1=i(wl);rT=s(_1,"X </s>"),_1.forEach(o),Ey.forEach(o),iT=p(Oh),Pi=r(Oh,"LI",{});var qy=i(Pi);dT=s(qy,"pair of sequences: "),$l=r(qy,"CODE",{});var g1=i($l);lT=s(g1,"A </s> B </s>"),g1.forEach(o),qy.forEach(o),Oh.forEach(o),sd.forEach(o),cT=p(it),Yo=r(it,"DIV",{class:!0});var Lh=i(Yo);v(ba.$$.fragment,Lh),pT=p(Lh),va=r(Lh,"P",{});var Nh=i(va);hT=s(Nh,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),xl=r(Nh,"CODE",{});var T1=i(xl);uT=s(T1,"prepare_for_model"),T1.forEach(o),mT=s(Nh," method."),Nh.forEach(o),Lh.forEach(o),fT=p(it),Zo=r(it,"DIV",{class:!0});var Ih=i(Zo);v(ya.$$.fragment,Ih),_T=p(Ih),zl=r(Ih,"P",{});var k1=i(zl);gT=s(k1,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),k1.forEach(o),Ih.forEach(o),TT=p(it),Oi=r(it,"DIV",{class:!0});var b1=i(Oi);v(wa.$$.fragment,b1),b1.forEach(o),it.forEach(o),Bp=p(t),lo=r(t,"H2",{class:!0});var Dh=i(lo);Jo=r(Dh,"A",{id:!0,class:!0,href:!0});var v1=i(Jo);El=r(v1,"SPAN",{});var y1=i(El);v($a.$$.fragment,y1),y1.forEach(o),v1.forEach(o),kT=p(Dh),ql=r(Dh,"SPAN",{});var w1=i(ql);bT=s(w1,"T5TokenizerFast"),w1.forEach(o),Dh.forEach(o),Up=p(t),Je=r(t,"DIV",{class:!0});var eo=i(Je);v(xa.$$.fragment,eo),vT=p(eo),co=r(eo,"P",{});var ad=i(co);yT=s(ad,"Construct a \u201Cfast\u201D T5 tokenizer (backed by HuggingFace\u2019s "),Fl=r(ad,"EM",{});var $1=i(Fl);wT=s($1,"tokenizers"),$1.forEach(o),$T=s(ad,` library). Based on
`),za=r(ad,"A",{href:!0,rel:!0});var x1=i(za);xT=s(x1,"Unigram"),x1.forEach(o),zT=s(ad,"."),ad.forEach(o),ET=p(eo),Ea=r(eo,"P",{});var Sh=i(Ea);qT=s(Sh,"This tokenizer inherits from "),Li=r(Sh,"A",{href:!0});var z1=i(Li);FT=s(z1,"PreTrainedTokenizerFast"),z1.forEach(o),jT=s(Sh,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Sh.forEach(o),MT=p(eo),Zt=r(eo,"DIV",{class:!0});var rd=i(Zt);v(qa.$$.fragment,rd),CT=p(rd),jl=r(rd,"P",{});var E1=i(jl);AT=s(E1,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),E1.forEach(o),PT=p(rd),Fa=r(rd,"UL",{});var Gh=i(Fa);Ni=r(Gh,"LI",{});var Fy=i(Ni);OT=s(Fy,"single sequence: "),Ml=r(Fy,"CODE",{});var q1=i(Ml);LT=s(q1,"X </s>"),q1.forEach(o),Fy.forEach(o),NT=p(Gh),Ii=r(Gh,"LI",{});var jy=i(Ii);IT=s(jy,"pair of sequences: "),Cl=r(jy,"CODE",{});var F1=i(Cl);DT=s(F1,"A </s> B </s>"),F1.forEach(o),jy.forEach(o),Gh.forEach(o),rd.forEach(o),ST=p(eo),Xo=r(eo,"DIV",{class:!0});var Bh=i(Xo);v(ja.$$.fragment,Bh),GT=p(Bh),Al=r(Bh,"P",{});var j1=i(Al);BT=s(j1,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),j1.forEach(o),Bh.forEach(o),eo.forEach(o),Wp=p(t),po=r(t,"H2",{class:!0});var Uh=i(po);Qo=r(Uh,"A",{id:!0,class:!0,href:!0});var M1=i(Qo);Pl=r(M1,"SPAN",{});var C1=i(Pl);v(Ma.$$.fragment,C1),C1.forEach(o),M1.forEach(o),UT=p(Uh),Ol=r(Uh,"SPAN",{});var A1=i(Ol);WT=s(A1,"T5Model"),A1.forEach(o),Uh.forEach(o),Rp=p(t),Ee=r(t,"DIV",{class:!0});var At=i(Ee);v(Ca.$$.fragment,At),RT=p(At),Ll=r(At,"P",{});var P1=i(Ll);HT=s(P1,"The bare T5 Model transformer outputting raw hidden-states without any specific head on top."),P1.forEach(o),KT=p(At),Aa=r(At,"P",{});var Wh=i(Aa);VT=s(Wh,"The T5 model was proposed in "),Pa=r(Wh,"A",{href:!0,rel:!0});var O1=i(Pa);YT=s(O1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),O1.forEach(o),ZT=s(Wh,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Wh.forEach(o),JT=p(At),Oa=r(At,"P",{});var Rh=i(Oa);XT=s(Rh,"This model inherits from "),Di=r(Rh,"A",{href:!0});var L1=i(Di);QT=s(L1,"PreTrainedModel"),L1.forEach(o),ek=s(Rh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Rh.forEach(o),tk=p(At),La=r(At,"P",{});var Hh=i(La);ok=s(Hh,"This model is also a PyTorch "),Na=r(Hh,"A",{href:!0,rel:!0});var N1=i(Na);nk=s(N1,"torch.nn.Module"),N1.forEach(o),sk=s(Hh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Hh.forEach(o),ak=p(At),xt=r(At,"DIV",{class:!0});var Bn=i(xt);v(Ia.$$.fragment,Bn),rk=p(Bn),ho=r(Bn,"P",{});var id=i(ho);ik=s(id,"The "),Si=r(id,"A",{href:!0});var I1=i(Si);dk=s(I1,"T5Model"),I1.forEach(o),lk=s(id," forward method, overrides the "),Nl=r(id,"CODE",{});var D1=i(Nl);ck=s(D1,"__call__"),D1.forEach(o),pk=s(id," special method."),id.forEach(o),hk=p(Bn),v(en.$$.fragment,Bn),uk=p(Bn),v(tn.$$.fragment,Bn),Bn.forEach(o),At.forEach(o),Hp=p(t),uo=r(t,"H2",{class:!0});var Kh=i(uo);on=r(Kh,"A",{id:!0,class:!0,href:!0});var S1=i(on);Il=r(S1,"SPAN",{});var G1=i(Il);v(Da.$$.fragment,G1),G1.forEach(o),S1.forEach(o),mk=p(Kh),Dl=r(Kh,"SPAN",{});var B1=i(Dl);fk=s(B1,"T5ForConditionalGeneration"),B1.forEach(o),Kh.forEach(o),Kp=p(t),qe=r(t,"DIV",{class:!0});var Pt=i(qe);v(Sa.$$.fragment,Pt),_k=p(Pt),Ga=r(Pt,"P",{});var Vh=i(Ga);gk=s(Vh,"T5 Model with a "),Sl=r(Vh,"CODE",{});var U1=i(Sl);Tk=s(U1,"language modeling"),U1.forEach(o),kk=s(Vh," head on top."),Vh.forEach(o),bk=p(Pt),Ba=r(Pt,"P",{});var Yh=i(Ba);vk=s(Yh,"The T5 model was proposed in "),Ua=r(Yh,"A",{href:!0,rel:!0});var W1=i(Ua);yk=s(W1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),W1.forEach(o),wk=s(Yh,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Yh.forEach(o),$k=p(Pt),Wa=r(Pt,"P",{});var Zh=i(Wa);xk=s(Zh,"This model inherits from "),Gi=r(Zh,"A",{href:!0});var R1=i(Gi);zk=s(R1,"PreTrainedModel"),R1.forEach(o),Ek=s(Zh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Zh.forEach(o),qk=p(Pt),Ra=r(Pt,"P",{});var Jh=i(Ra);Fk=s(Jh,"This model is also a PyTorch "),Ha=r(Jh,"A",{href:!0,rel:!0});var H1=i(Ha);jk=s(H1,"torch.nn.Module"),H1.forEach(o),Mk=s(Jh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Jh.forEach(o),Ck=p(Pt),zt=r(Pt,"DIV",{class:!0});var Un=i(zt);v(Ka.$$.fragment,Un),Ak=p(Un),mo=r(Un,"P",{});var dd=i(mo);Pk=s(dd,"The "),Bi=r(dd,"A",{href:!0});var K1=i(Bi);Ok=s(K1,"T5ForConditionalGeneration"),K1.forEach(o),Lk=s(dd," forward method, overrides the "),Gl=r(dd,"CODE",{});var V1=i(Gl);Nk=s(V1,"__call__"),V1.forEach(o),Ik=s(dd," special method."),dd.forEach(o),Dk=p(Un),v(nn.$$.fragment,Un),Sk=p(Un),v(sn.$$.fragment,Un),Un.forEach(o),Pt.forEach(o),Vp=p(t),fo=r(t,"H2",{class:!0});var Xh=i(fo);an=r(Xh,"A",{id:!0,class:!0,href:!0});var Y1=i(an);Bl=r(Y1,"SPAN",{});var Z1=i(Bl);v(Va.$$.fragment,Z1),Z1.forEach(o),Y1.forEach(o),Gk=p(Xh),Ul=r(Xh,"SPAN",{});var J1=i(Ul);Bk=s(J1,"T5EncoderModel"),J1.forEach(o),Xh.forEach(o),Yp=p(t),Fe=r(t,"DIV",{class:!0});var Ot=i(Fe);v(Ya.$$.fragment,Ot),Uk=p(Ot),Wl=r(Ot,"P",{});var X1=i(Wl);Wk=s(X1,"The bare T5 Model transformer outputting encoder\u2019s raw hidden-states without any specific head on top."),X1.forEach(o),Rk=p(Ot),Za=r(Ot,"P",{});var Qh=i(Za);Hk=s(Qh,"The T5 model was proposed in "),Ja=r(Qh,"A",{href:!0,rel:!0});var Q1=i(Ja);Kk=s(Q1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),Q1.forEach(o),Vk=s(Qh,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Qh.forEach(o),Yk=p(Ot),Xa=r(Ot,"P",{});var eu=i(Xa);Zk=s(eu,"This model inherits from "),Ui=r(eu,"A",{href:!0});var e2=i(Ui);Jk=s(e2,"PreTrainedModel"),e2.forEach(o),Xk=s(eu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),eu.forEach(o),Qk=p(Ot),Qa=r(Ot,"P",{});var tu=i(Qa);eb=s(tu,"This model is also a PyTorch "),er=r(tu,"A",{href:!0,rel:!0});var t2=i(er);tb=s(t2,"torch.nn.Module"),t2.forEach(o),ob=s(tu,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),tu.forEach(o),nb=p(Ot),Et=r(Ot,"DIV",{class:!0});var Wn=i(Et);v(tr.$$.fragment,Wn),sb=p(Wn),_o=r(Wn,"P",{});var ld=i(_o);ab=s(ld,"The "),Wi=r(ld,"A",{href:!0});var o2=i(Wi);rb=s(o2,"T5EncoderModel"),o2.forEach(o),ib=s(ld," forward method, overrides the "),Rl=r(ld,"CODE",{});var n2=i(Rl);db=s(n2,"__call__"),n2.forEach(o),lb=s(ld," special method."),ld.forEach(o),cb=p(Wn),v(rn.$$.fragment,Wn),pb=p(Wn),v(dn.$$.fragment,Wn),Wn.forEach(o),Ot.forEach(o),Zp=p(t),go=r(t,"H2",{class:!0});var ou=i(go);ln=r(ou,"A",{id:!0,class:!0,href:!0});var s2=i(ln);Hl=r(s2,"SPAN",{});var a2=i(Hl);v(or.$$.fragment,a2),a2.forEach(o),s2.forEach(o),hb=p(ou),Kl=r(ou,"SPAN",{});var r2=i(Kl);ub=s(r2,"TFT5Model"),r2.forEach(o),ou.forEach(o),Jp=p(t),le=r(t,"DIV",{class:!0});var dt=i(le);v(nr.$$.fragment,dt),mb=p(dt),Vl=r(dt,"P",{});var i2=i(Vl);fb=s(i2,"The bare T5 Model transformer outputting raw hidden-stateswithout any specific head on top."),i2.forEach(o),_b=p(dt),sr=r(dt,"P",{});var nu=i(sr);gb=s(nu,"The T5 model was proposed in "),ar=r(nu,"A",{href:!0,rel:!0});var d2=i(ar);Tb=s(d2,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),d2.forEach(o),kb=s(nu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),nu.forEach(o),bb=p(dt),rr=r(dt,"P",{});var su=i(rr);vb=s(su,"This model inherits from "),Ri=r(su,"A",{href:!0});var l2=i(Ri);yb=s(l2,"TFPreTrainedModel"),l2.forEach(o),wb=s(su,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),su.forEach(o),$b=p(dt),ir=r(dt,"P",{});var au=i(ir);xb=s(au,"This model is also a "),dr=r(au,"A",{href:!0,rel:!0});var c2=i(dr);zb=s(c2,"tf.keras.Model"),c2.forEach(o),Eb=s(au,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),au.forEach(o),qb=p(dt),v(cn.$$.fragment,dt),Fb=p(dt),qt=r(dt,"DIV",{class:!0});var Rn=i(qt);v(lr.$$.fragment,Rn),jb=p(Rn),To=r(Rn,"P",{});var cd=i(To);Mb=s(cd,"The "),Hi=r(cd,"A",{href:!0});var p2=i(Hi);Cb=s(p2,"TFT5Model"),p2.forEach(o),Ab=s(cd," forward method, overrides the "),Yl=r(cd,"CODE",{});var h2=i(Yl);Pb=s(h2,"__call__"),h2.forEach(o),Ob=s(cd," special method."),cd.forEach(o),Lb=p(Rn),v(pn.$$.fragment,Rn),Nb=p(Rn),v(hn.$$.fragment,Rn),Rn.forEach(o),dt.forEach(o),Xp=p(t),ko=r(t,"H2",{class:!0});var ru=i(ko);un=r(ru,"A",{id:!0,class:!0,href:!0});var u2=i(un);Zl=r(u2,"SPAN",{});var m2=i(Zl);v(cr.$$.fragment,m2),m2.forEach(o),u2.forEach(o),Ib=p(ru),Jl=r(ru,"SPAN",{});var f2=i(Jl);Db=s(f2,"TFT5ForConditionalGeneration"),f2.forEach(o),ru.forEach(o),Qp=p(t),ce=r(t,"DIV",{class:!0});var lt=i(ce);v(pr.$$.fragment,lt),Sb=p(lt),hr=r(lt,"P",{});var iu=i(hr);Gb=s(iu,"T5 Model with a "),Xl=r(iu,"CODE",{});var _2=i(Xl);Bb=s(_2,"language modeling"),_2.forEach(o),Ub=s(iu," head on top."),iu.forEach(o),Wb=p(lt),ur=r(lt,"P",{});var du=i(ur);Rb=s(du,"The T5 model was proposed in "),mr=r(du,"A",{href:!0,rel:!0});var g2=i(mr);Hb=s(g2,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),g2.forEach(o),Kb=s(du,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),du.forEach(o),Vb=p(lt),fr=r(lt,"P",{});var lu=i(fr);Yb=s(lu,"This model inherits from "),Ki=r(lu,"A",{href:!0});var T2=i(Ki);Zb=s(T2,"TFPreTrainedModel"),T2.forEach(o),Jb=s(lu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lu.forEach(o),Xb=p(lt),_r=r(lt,"P",{});var cu=i(_r);Qb=s(cu,"This model is also a "),gr=r(cu,"A",{href:!0,rel:!0});var k2=i(gr);ev=s(k2,"tf.keras.Model"),k2.forEach(o),tv=s(cu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cu.forEach(o),ov=p(lt),v(mn.$$.fragment,lt),nv=p(lt),Ft=r(lt,"DIV",{class:!0});var Hn=i(Ft);v(Tr.$$.fragment,Hn),sv=p(Hn),bo=r(Hn,"P",{});var pd=i(bo);av=s(pd,"The "),Vi=r(pd,"A",{href:!0});var b2=i(Vi);rv=s(b2,"TFT5ForConditionalGeneration"),b2.forEach(o),iv=s(pd," forward method, overrides the "),Ql=r(pd,"CODE",{});var v2=i(Ql);dv=s(v2,"__call__"),v2.forEach(o),lv=s(pd," special method."),pd.forEach(o),cv=p(Hn),v(fn.$$.fragment,Hn),pv=p(Hn),v(_n.$$.fragment,Hn),Hn.forEach(o),lt.forEach(o),eh=p(t),vo=r(t,"H2",{class:!0});var pu=i(vo);gn=r(pu,"A",{id:!0,class:!0,href:!0});var y2=i(gn);ec=r(y2,"SPAN",{});var w2=i(ec);v(kr.$$.fragment,w2),w2.forEach(o),y2.forEach(o),hv=p(pu),tc=r(pu,"SPAN",{});var $2=i(tc);uv=s($2,"TFT5EncoderModel"),$2.forEach(o),pu.forEach(o),th=p(t),pe=r(t,"DIV",{class:!0});var ct=i(pe);v(br.$$.fragment,ct),mv=p(ct),oc=r(ct,"P",{});var x2=i(oc);fv=s(x2,"The bare T5 Model transformer outputting encoder\u2019s raw hidden-stateswithout any specific head on top."),x2.forEach(o),_v=p(ct),vr=r(ct,"P",{});var hu=i(vr);gv=s(hu,"The T5 model was proposed in "),yr=r(hu,"A",{href:!0,rel:!0});var z2=i(yr);Tv=s(z2,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),z2.forEach(o),kv=s(hu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),hu.forEach(o),bv=p(ct),wr=r(ct,"P",{});var uu=i(wr);vv=s(uu,"This model inherits from "),Yi=r(uu,"A",{href:!0});var E2=i(Yi);yv=s(E2,"TFPreTrainedModel"),E2.forEach(o),wv=s(uu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uu.forEach(o),$v=p(ct),$r=r(ct,"P",{});var mu=i($r);xv=s(mu,"This model is also a "),xr=r(mu,"A",{href:!0,rel:!0});var q2=i(xr);zv=s(q2,"tf.keras.Model"),q2.forEach(o),Ev=s(mu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),mu.forEach(o),qv=p(ct),v(Tn.$$.fragment,ct),Fv=p(ct),jt=r(ct,"DIV",{class:!0});var Kn=i(jt);v(zr.$$.fragment,Kn),jv=p(Kn),yo=r(Kn,"P",{});var hd=i(yo);Mv=s(hd,"The "),Zi=r(hd,"A",{href:!0});var F2=i(Zi);Cv=s(F2,"TFT5EncoderModel"),F2.forEach(o),Av=s(hd," forward method, overrides the "),nc=r(hd,"CODE",{});var j2=i(nc);Pv=s(j2,"__call__"),j2.forEach(o),Ov=s(hd," special method."),hd.forEach(o),Lv=p(Kn),v(kn.$$.fragment,Kn),Nv=p(Kn),v(bn.$$.fragment,Kn),Kn.forEach(o),ct.forEach(o),oh=p(t),wo=r(t,"H2",{class:!0});var fu=i(wo);vn=r(fu,"A",{id:!0,class:!0,href:!0});var M2=i(vn);sc=r(M2,"SPAN",{});var C2=i(sc);v(Er.$$.fragment,C2),C2.forEach(o),M2.forEach(o),Iv=p(fu),ac=r(fu,"SPAN",{});var A2=i(ac);Dv=s(A2,"FlaxT5Model"),A2.forEach(o),fu.forEach(o),nh=p(t),ht=r(t,"DIV",{class:!0});var Vn=i(ht);v(qr.$$.fragment,Vn),Sv=p(Vn),Mt=r(Vn,"DIV",{class:!0});var Yn=i(Mt);v(Fr.$$.fragment,Yn),Gv=p(Yn),$o=r(Yn,"P",{});var ud=i($o);Bv=s(ud,"The "),rc=r(ud,"CODE",{});var P2=i(rc);Uv=s(P2,"FlaxT5PreTrainedModel"),P2.forEach(o),Wv=s(ud," forward method, overrides the "),ic=r(ud,"CODE",{});var O2=i(ic);Rv=s(O2,"__call__"),O2.forEach(o),Hv=s(ud," special method."),ud.forEach(o),Kv=p(Yn),v(yn.$$.fragment,Yn),Vv=p(Yn),v(wn.$$.fragment,Yn),Yn.forEach(o),Yv=p(Vn),$n=r(Vn,"DIV",{class:!0});var _u=i($n);v(jr.$$.fragment,_u),Zv=p(_u),v(xn.$$.fragment,_u),_u.forEach(o),Jv=p(Vn),zn=r(Vn,"DIV",{class:!0});var gu=i(zn);v(Mr.$$.fragment,gu),Xv=p(gu),v(En.$$.fragment,gu),gu.forEach(o),Vn.forEach(o),sh=p(t),xo=r(t,"H2",{class:!0});var Tu=i(xo);qn=r(Tu,"A",{id:!0,class:!0,href:!0});var L2=i(qn);dc=r(L2,"SPAN",{});var N2=i(dc);v(Cr.$$.fragment,N2),N2.forEach(o),L2.forEach(o),Qv=p(Tu),lc=r(Tu,"SPAN",{});var I2=i(lc);ey=s(I2,"FlaxT5ForConditionalGeneration"),I2.forEach(o),Tu.forEach(o),ah=p(t),ut=r(t,"DIV",{class:!0});var Zn=i(ut);v(Ar.$$.fragment,Zn),ty=p(Zn),Ct=r(Zn,"DIV",{class:!0});var Jn=i(Ct);v(Pr.$$.fragment,Jn),oy=p(Jn),zo=r(Jn,"P",{});var md=i(zo);ny=s(md,"The "),cc=r(md,"CODE",{});var D2=i(cc);sy=s(D2,"FlaxT5PreTrainedModel"),D2.forEach(o),ay=s(md," forward method, overrides the "),pc=r(md,"CODE",{});var S2=i(pc);ry=s(S2,"__call__"),S2.forEach(o),iy=s(md," special method."),md.forEach(o),dy=p(Jn),v(Fn.$$.fragment,Jn),ly=p(Jn),v(jn.$$.fragment,Jn),Jn.forEach(o),cy=p(Zn),Mn=r(Zn,"DIV",{class:!0});var ku=i(Mn);v(Or.$$.fragment,ku),py=p(ku),v(Cn.$$.fragment,ku),ku.forEach(o),hy=p(Zn),An=r(Zn,"DIV",{class:!0});var bu=i(An);v(Lr.$$.fragment,bu),uy=p(bu),v(Pn.$$.fragment,bu),bu.forEach(o),Zn.forEach(o),rh=p(t),Eo=r(t,"H2",{class:!0});var vu=i(Eo);On=r(vu,"A",{id:!0,class:!0,href:!0});var G2=i(On);hc=r(G2,"SPAN",{});var B2=i(hc);v(Nr.$$.fragment,B2),B2.forEach(o),G2.forEach(o),my=p(vu),uc=r(vu,"SPAN",{});var U2=i(uc);fy=s(U2,"FlaxT5EncoderModel"),U2.forEach(o),vu.forEach(o),ih=p(t),qo=r(t,"DIV",{class:!0});var yu=i(qo);v(Ir.$$.fragment,yu),_y=p(yu),Jt=r(yu,"DIV",{class:!0});var fd=i(Jt);v(Dr.$$.fragment,fd),gy=p(fd),Fo=r(fd,"P",{});var _d=i(Fo);Ty=s(_d,"The "),Ji=r(_d,"A",{href:!0});var W2=i(Ji);ky=s(W2,"FlaxT5EncoderModel"),W2.forEach(o),by=s(_d," forward method, overrides the "),mc=r(_d,"CODE",{});var R2=i(mc);vy=s(R2,"__call__"),R2.forEach(o),yy=s(_d," special method."),_d.forEach(o),wy=p(fd),v(Ln.$$.fragment,fd),fd.forEach(o),yu.forEach(o),this.h()},h(){l(m,"name","hf:doc:metadata"),l(m,"content",JSON.stringify(w$)),l(_,"id","t5"),l(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_,"href","#t5"),l(g,"class","relative group"),l(J,"alt","Models"),H2(J.src,E="https://img.shields.io/badge/All_model_pages-t5-blueviolet")||l(J,"src",E),l(he,"href","https://huggingface.co/models?filter=t5"),l(ue,"alt","Spaces"),H2(ue.src,Xe="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||l(ue,"src",Xe),l(B,"href","https://huggingface.co/spaces/docs-demos/t5-base"),l(I,"class","flex flex-wrap space-x-1"),l(ne,"id","overview"),l(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ne,"href","#overview"),l(X,"class","relative group"),l(ie,"href","https://arxiv.org/pdf/1910.10683.pdf"),l(ie,"rel","nofollow"),l(Ke,"href","#training"),l(Ve,"href","#inference"),l(Ye,"href","#scripts"),l(Xn,"href","https://huggingface.co/t5-small"),l(Xn,"rel","nofollow"),l(Qn,"href","https://huggingface.co/t5-base"),l(Qn,"rel","nofollow"),l(es,"href","https://huggingface.co/t5-large"),l(es,"rel","nofollow"),l(ts,"href","https://huggingface.co/t5-3b"),l(ts,"rel","nofollow"),l(os,"href","https://huggingface.co/t5-11b"),l(os,"rel","nofollow"),l(Jr,"href","t5v1.1"),l(Xr,"href","mt5"),l(Qr,"href","byt5"),l(ns,"href","https://huggingface.co/models?search=t5"),l(ns,"rel","nofollow"),l(ss,"href","https://huggingface.co/thomwolf"),l(ss,"rel","nofollow"),l(as,"href","https://github.com/google-research/text-to-text-transfer-transformer"),l(as,"rel","nofollow"),l(ei,"id","training"),l(Lo,"id","training"),l(Lo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Lo,"href","#training"),l(to,"class","relative group"),l(ti,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l(ni,"href","/docs/transformers/main/en/model_doc/mt5#transformers.T5Tokenizer"),l(ds,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling"),l(ds,"rel","nofollow"),l(cs,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/summarization"),l(cs,"rel","nofollow"),l(us,"href","https://discuss.huggingface.co/t/t5-finetuning-tips/684"),l(us,"rel","nofollow"),l(ms,"href","https://arxiv.org/pdf/1910.10683.pdf"),l(ms,"rel","nofollow"),l(li,"id","inference"),l(So,"id","inference"),l(So,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(So,"href","#inference"),l(oo,"class","relative group"),l(ci,"href","/docs/transformers/main/en/main_classes/text_generation#transformers.GenerationMixin.generate"),l(_s,"href","https://huggingface.co/blog/how-to-generate"),l(_s,"rel","nofollow"),l(gs,"href","https://huggingface.co/blog/encoder-decoder#encoder-decoder"),l(gs,"rel","nofollow"),l(pi,"href","/docs/transformers/main/en/main_classes/text_generation#transformers.GenerationMixin.generate"),l(mi,"id","scripts"),l(Go,"id","performance"),l(Go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Go,"href","#performance"),l(no,"class","relative group"),l(ys,"href","https://github.com/NVIDIA/apex#quick-start"),l(ys,"rel","nofollow"),l(Bo,"id","resources"),l(Bo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Bo,"href","#resources"),l(so,"class","relative group"),l(zs,"href","https://colab.research.google.com/github/patil-suraj/exploring-T5/blob/master/t5_fine_tuning.ipynb"),l(zs,"rel","nofollow"),l(qs,"href","https://colab.research.google.com/github/enzoampil/t5-intro/blob/master/t5_qa_training_pytorch_span_extraction.ipynb"),l(qs,"rel","nofollow"),l(Ms,"href","https://colab.research.google.com/drive/1obr78FY_cBmWY5ODViCmzdY6O1KB65Vc?usp=sharing"),l(Ms,"rel","nofollow"),l(Ps,"href","https://colab.research.google.com/github/NielsRogge/Transformers-Tutorials/blob/master/T5/Fine_tune_CodeT5_for_generating_docstrings_from_Ruby_code.ipynb"),l(Ps,"rel","nofollow"),l(Ns,"href","https://colab.research.google.com/github/NielsRogge/Transformers-Tutorials/blob/master/T5/Fine_tuning_Dutch_T5_base_on_CNN_Daily_Mail_for_summarization_(on_TPU_using_HuggingFace_Accelerate).ipynb"),l(Ns,"rel","nofollow"),l(Ds,"href","https://colab.research.google.com/github/abhimishra91/transformers-tutorials/blob/master/transformers_summarization_wandb.ipynb#scrollTo=OKRpFvYhBauC"),l(Ds,"rel","nofollow"),l(Gs,"href","https://huggingface.co/blog/sagemaker-distributed-training-seq2seq"),l(Gs,"rel","nofollow"),l(Ti,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l(Bs,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/summarization"),l(Bs,"rel","nofollow"),l(Us,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/summarization.ipynb"),l(Us,"rel","nofollow"),l(ki,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),l(Ws,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/summarization"),l(Ws,"rel","nofollow"),l(Rs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/summarization-tf.ipynb"),l(Rs,"rel","nofollow"),l(bi,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),l(Hs,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/summarization"),l(Hs,"rel","nofollow"),l(Ks,"href","https://huggingface.co/course/chapter7/5?fw=pt#summarization"),l(Ks,"rel","nofollow"),l(wi,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),l(Ys,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#t5-like-span-masked-language-modeling"),l(Ys,"rel","nofollow"),l($i,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),l(Zs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/masked_language_modeling_flax.ipynb"),l(Zs,"rel","nofollow"),l(xi,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l(Xs,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/translation"),l(Xs,"rel","nofollow"),l(Qs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/translation.ipynb"),l(Qs,"rel","nofollow"),l(zi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),l(ea,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/translation"),l(ea,"rel","nofollow"),l(ta,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/translation-tf.ipynb"),l(ta,"rel","nofollow"),l(sa,"href","https://colab.research.google.com/github/snapthat/TF-T5-text-to-text/blob/master/snapthatT5/notebooks/TF-T5-Datasets%20Training.ipynb"),l(sa,"rel","nofollow"),l(ra,"href","https://colab.research.google.com/github/patil-suraj/exploring-T5/blob/master/T5_on_TPU.ipynb#scrollTo=QLGiFCDqvuil"),l(ra,"rel","nofollow"),l(la,"href","https://www.philschmid.de/deploy-t5-11b"),l(la,"rel","nofollow"),l(Ko,"id","transformers.T5Config"),l(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ko,"href","#transformers.T5Config"),l(ao,"class","relative group"),l(qi,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5Model"),l(Fi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5Model"),l(ha,"href","https://huggingface.co/t5-small"),l(ha,"rel","nofollow"),l(ji,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(Mi,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Vo,"id","transformers.T5Tokenizer"),l(Vo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Vo,"href","#transformers.T5Tokenizer"),l(io,"class","relative group"),l(_a,"href","https://github.com/google/sentencepiece"),l(_a,"rel","nofollow"),l(Ci,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),l(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Yo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Zo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Oi,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Jo,"id","transformers.T5TokenizerFast"),l(Jo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Jo,"href","#transformers.T5TokenizerFast"),l(lo,"class","relative group"),l(za,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),l(za,"rel","nofollow"),l(Li,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),l(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Xo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Qo,"id","transformers.T5Model"),l(Qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Qo,"href","#transformers.T5Model"),l(po,"class","relative group"),l(Pa,"href","https://arxiv.org/abs/1910.10683"),l(Pa,"rel","nofollow"),l(Di,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Na,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Na,"rel","nofollow"),l(Si,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5Model"),l(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(on,"id","transformers.T5ForConditionalGeneration"),l(on,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(on,"href","#transformers.T5ForConditionalGeneration"),l(uo,"class","relative group"),l(Ua,"href","https://arxiv.org/abs/1910.10683"),l(Ua,"rel","nofollow"),l(Gi,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Ha,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ha,"rel","nofollow"),l(Bi,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l(zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(an,"id","transformers.T5EncoderModel"),l(an,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(an,"href","#transformers.T5EncoderModel"),l(fo,"class","relative group"),l(Ja,"href","https://arxiv.org/abs/1910.10683"),l(Ja,"rel","nofollow"),l(Ui,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(er,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(er,"rel","nofollow"),l(Wi,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5EncoderModel"),l(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ln,"id","transformers.TFT5Model"),l(ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ln,"href","#transformers.TFT5Model"),l(go,"class","relative group"),l(ar,"href","https://arxiv.org/abs/1910.10683"),l(ar,"rel","nofollow"),l(Ri,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(dr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(dr,"rel","nofollow"),l(Hi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5Model"),l(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(un,"id","transformers.TFT5ForConditionalGeneration"),l(un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(un,"href","#transformers.TFT5ForConditionalGeneration"),l(ko,"class","relative group"),l(mr,"href","https://arxiv.org/abs/1910.10683"),l(mr,"rel","nofollow"),l(Ki,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(gr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(gr,"rel","nofollow"),l(Vi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),l(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(gn,"id","transformers.TFT5EncoderModel"),l(gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(gn,"href","#transformers.TFT5EncoderModel"),l(vo,"class","relative group"),l(yr,"href","https://arxiv.org/abs/1910.10683"),l(yr,"rel","nofollow"),l(Yi,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(xr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(xr,"rel","nofollow"),l(Zi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5EncoderModel"),l(jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(vn,"id","transformers.FlaxT5Model"),l(vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(vn,"href","#transformers.FlaxT5Model"),l(wo,"class","relative group"),l(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(qn,"id","transformers.FlaxT5ForConditionalGeneration"),l(qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(qn,"href","#transformers.FlaxT5ForConditionalGeneration"),l(xo,"class","relative group"),l(Ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Mn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(An,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(On,"id","transformers.FlaxT5EncoderModel"),l(On,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(On,"href","#transformers.FlaxT5EncoderModel"),l(Eo,"class","relative group"),l(Ji,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5EncoderModel"),l(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(qo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,m),u(t,k,h),u(t,g,h),e(g,_),e(_,T),y(d,T,null),e(g,f),e(g,F),e(F,Oe),u(t,je,h),u(t,I,h),e(I,he),e(he,J),e(I,Le),e(I,B),e(B,ue),u(t,Y,h),u(t,X,h),e(X,ne),e(ne,R),y(re,R,null),e(X,Ne),e(X,H),e(H,Ie),u(t,Me,h),u(t,S,h),e(S,De),e(S,ie),e(ie,me),e(S,C),u(t,P,h),u(t,fe,h),e(fe,Q),u(t,Ce,h),u(t,_e,h),e(_e,K),e(K,Se),u(t,Ae,h),u(t,A,h),e(A,Ge),u(t,Z,h),u(t,G,h),e(G,$e),e($e,D),e(D,Be),e(D,xe),e(xe,U),e(D,Ue),e(D,V),e(V,We),e(D,ge),e(G,L),e(G,ze),e(ze,N),e(N,Re),e(G,He),e(G,z),e(z,j),e(j,ft),e(G,Te),e(G,Qe),e(Qe,et),e(et,M),e(G,_t),e(G,tt),e(tt,se),e(se,gt),e(se,Ke),e(Ke,W),e(se,ee),e(se,Ve),e(Ve,Tt),e(se,te),e(se,Ye),e(Ye,kt),e(se,Ze),u(t,pt,h),u(t,oe,h),e(oe,bt),u(t,Nc,h),u(t,ot,h),e(ot,gd),e(gd,Td),e(Td,Xn),e(Xn,wu),e(ot,$u),e(ot,kd),e(kd,bd),e(bd,Qn),e(Qn,xu),e(ot,zu),e(ot,vd),e(vd,yd),e(yd,es),e(es,Eu),e(ot,qu),e(ot,wd),e(wd,$d),e($d,ts),e(ts,Fu),e(ot,ju),e(ot,xd),e(xd,Yr),e(Yr,os),e(os,Mu),e(Yr,Cu),u(t,Ic,h),u(t,Zr,h),e(Zr,Au),u(t,Dc,h),u(t,Gt,h),e(Gt,zd),e(zd,Co),e(Co,Ed),e(Ed,Pu),e(Co,Ou),e(Co,Jr),e(Jr,Lu),e(Co,Nu),e(Gt,Iu),e(Gt,qd),e(qd,Ao),e(Ao,Fd),e(Fd,Du),e(Ao,Su),e(Ao,Xr),e(Xr,Gu),e(Ao,Bu),e(Gt,Uu),e(Gt,jd),e(jd,Po),e(Po,Md),e(Md,Wu),e(Po,Ru),e(Po,Qr),e(Qr,Hu),e(Po,Ku),u(t,Sc,h),u(t,Oo,h),e(Oo,Vu),e(Oo,ns),e(ns,Yu),e(Oo,Zu),u(t,Gc,h),u(t,Bt,h),e(Bt,Ju),e(Bt,ss),e(ss,Xu),e(Bt,Qu),e(Bt,as),e(as,em),e(Bt,tm),u(t,Bc,h),u(t,ei,h),u(t,Uc,h),u(t,to,h),e(to,Lo),e(Lo,Cd),y(rs,Cd,null),e(to,om),e(to,Ad),e(Ad,nm),u(t,Wc,h),u(t,vt,h),e(vt,sm),e(vt,Pd),e(Pd,am),e(vt,rm),e(vt,Od),e(Od,im),e(vt,dm),e(vt,Ld),e(Ld,lm),e(vt,cm),u(t,Rc,h),u(t,No,h),e(No,pm),e(No,ti),e(ti,hm),e(No,um),u(t,Hc,h),u(t,oi,h),e(oi,Nd),e(Nd,mm),u(t,Kc,h),u(t,ke,h),e(ke,fm),e(ke,Id),e(Id,_m),e(ke,gm),e(ke,Dd),e(Dd,Tm),e(ke,km),e(ke,Sd),e(Sd,bm),e(ke,vm),e(ke,Gd),e(Gd,ym),e(ke,wm),e(ke,Bd),e(Bd,$m),e(ke,xm),e(ke,ni),e(ni,zm),e(ke,Em),u(t,Vc,h),u(t,si,h),e(si,qm),u(t,Yc,h),y(is,t,h),u(t,Zc,h),u(t,Io,h),e(Io,Fm),e(Io,ds),e(ds,jm),e(Io,Mm),u(t,Jc,h),u(t,ai,h),e(ai,Ud),e(Ud,Cm),u(t,Xc,h),u(t,ri,h),e(ri,Am),u(t,Qc,h),y(ls,t,h),u(t,ep,h),u(t,ae,h),e(ae,Pm),e(ae,Wd),e(Wd,Om),e(ae,Lm),e(ae,Rd),e(Rd,Nm),e(ae,Im),e(ae,Hd),e(Hd,Dm),e(ae,Sm),e(ae,Kd),e(Kd,Gm),e(ae,Bm),e(ae,Vd),e(Vd,Um),e(ae,Wm),e(ae,Yd),e(Yd,Rm),e(ae,Hm),e(ae,Zd),e(Zd,Km),e(ae,Vm),u(t,tp,h),u(t,Ut,h),e(Ut,Ym),e(Ut,Jd),e(Jd,Zm),e(Ut,Jm),e(Ut,Xd),e(Xd,Xm),e(Ut,Qm),u(t,op,h),u(t,be,h),e(be,ef),e(be,Qd),e(Qd,tf),e(be,of),e(be,el),e(el,nf),e(be,sf),e(be,tl),e(tl,af),e(be,rf),e(be,ol),e(ol,df),e(be,lf),e(be,cs),e(cs,cf),e(be,pf),e(be,nl),e(nl,hf),e(be,uf),u(t,np,h),y(ps,t,h),u(t,sp,h),u(t,ii,h),e(ii,mf),u(t,ap,h),u(t,di,h),e(di,hs),e(hs,ff),e(hs,sl),e(sl,_f),e(hs,gf),u(t,rp,h),u(t,Wt,h),e(Wt,Tf),e(Wt,us),e(us,kf),e(Wt,bf),e(Wt,ms),e(ms,vf),e(Wt,yf),u(t,ip,h),u(t,Do,h),e(Do,wf),e(Do,al),e(al,$f),e(Do,xf),u(t,dp,h),u(t,li,h),u(t,lp,h),u(t,oo,h),e(oo,So),e(So,rl),y(fs,rl,null),e(oo,zf),e(oo,il),e(il,Ef),u(t,cp,h),u(t,yt,h),e(yt,qf),e(yt,ci),e(ci,Ff),e(yt,jf),e(yt,_s),e(_s,Mf),e(yt,Cf),e(yt,gs),e(gs,Af),e(yt,Pf),u(t,pp,h),y(Ts,t,h),u(t,hp,h),u(t,nt,h),e(nt,Of),e(nt,dl),e(dl,Lf),e(nt,Nf),e(nt,ll),e(ll,If),e(nt,Df),e(nt,pi),e(pi,Sf),e(nt,Gf),e(nt,cl),e(cl,Bf),e(nt,Uf),u(t,up,h),u(t,hi,h),e(hi,Wf),u(t,mp,h),y(ks,t,h),u(t,fp,h),u(t,ui,h),e(ui,Rf),u(t,_p,h),y(bs,t,h),u(t,gp,h),u(t,mi,h),u(t,Tp,h),u(t,no,h),e(no,Go),e(Go,pl),y(vs,pl,null),e(no,Hf),e(no,hl),e(hl,Kf),u(t,kp,h),u(t,wt,h),e(wt,Vf),e(wt,ys),e(ys,Yf),e(wt,Zf),e(wt,ul),e(ul,Jf),e(wt,Xf),e(wt,ml),e(ml,Qf),e(wt,e_),u(t,bp,h),u(t,so,h),e(so,Bo),e(Bo,fl),y(ws,fl,null),e(so,t_),e(so,_l),e(_l,o_),u(t,vp,h),u(t,fi,h),e(fi,n_),u(t,yp,h),y($s,t,h),u(t,wp,h),u(t,Uo,h),e(Uo,xs),e(xs,s_),e(xs,zs),e(zs,a_),e(xs,r_),e(Uo,i_),e(Uo,Es),e(Es,d_),e(Es,qs),e(qs,l_),e(Es,c_),u(t,$p,h),y(Fs,t,h),u(t,xp,h),u(t,_i,h),e(_i,js),e(js,p_),e(js,Ms),e(Ms,h_),e(js,u_),u(t,zp,h),y(Cs,t,h),u(t,Ep,h),u(t,gi,h),e(gi,As),e(As,m_),e(As,Ps),e(Ps,f_),e(As,__),u(t,qp,h),y(Os,t,h),u(t,Fp,h),u(t,ve,h),e(ve,Ls),e(Ls,g_),e(Ls,Ns),e(Ns,T_),e(Ls,k_),e(ve,b_),e(ve,Is),e(Is,v_),e(Is,Ds),e(Ds,y_),e(Is,w_),e(ve,$_),e(ve,Ss),e(Ss,x_),e(Ss,Gs),e(Gs,z_),e(Ss,E_),e(ve,q_),e(ve,Rt),e(Rt,Ti),e(Ti,F_),e(Rt,j_),e(Rt,Bs),e(Bs,M_),e(Rt,C_),e(Rt,Us),e(Us,A_),e(Rt,P_),e(ve,O_),e(ve,Ht),e(Ht,ki),e(ki,L_),e(Ht,N_),e(Ht,Ws),e(Ws,I_),e(Ht,D_),e(Ht,Rs),e(Rs,S_),e(Ht,G_),e(ve,B_),e(ve,Wo),e(Wo,bi),e(bi,U_),e(Wo,W_),e(Wo,Hs),e(Hs,R_),e(Wo,H_),e(ve,K_),e(ve,vi),e(vi,Ks),e(Ks,V_),e(vi,Y_),u(t,jp,h),y(Vs,t,h),u(t,Mp,h),u(t,yi,h),e(yi,$t),e($t,wi),e(wi,Z_),e($t,J_),e($t,Ys),e(Ys,X_),e($t,Q_),e($t,$i),e($i,eg),e($t,tg),e($t,Zs),e(Zs,og),e($t,ng),u(t,Cp,h),y(Js,t,h),u(t,Ap,h),u(t,Ro,h),e(Ro,Kt),e(Kt,xi),e(xi,sg),e(Kt,ag),e(Kt,Xs),e(Xs,rg),e(Kt,ig),e(Kt,Qs),e(Qs,dg),e(Kt,lg),e(Ro,cg),e(Ro,Vt),e(Vt,zi),e(zi,pg),e(Vt,hg),e(Vt,ea),e(ea,ug),e(Vt,mg),e(Vt,ta),e(ta,fg),e(Vt,_g),u(t,Pp,h),y(oa,t,h),u(t,Op,h),u(t,Ho,h),e(Ho,na),e(na,gg),e(na,sa),e(sa,Tg),e(na,kg),e(Ho,bg),e(Ho,aa),e(aa,vg),e(aa,ra),e(ra,yg),e(aa,wg),u(t,Lp,h),u(t,ia,h),e(ia,$g),e(ia,gl),e(gl,xg),u(t,Np,h),u(t,Ei,h),e(Ei,da),e(da,zg),e(da,la),e(la,Eg),e(da,qg),u(t,Ip,h),u(t,ao,h),e(ao,Ko),e(Ko,Tl),y(ca,Tl,null),e(ao,Fg),e(ao,kl),e(kl,jg),u(t,Dp,h),u(t,Dt,h),y(pa,Dt,null),e(Dt,Mg),e(Dt,St),e(St,Cg),e(St,qi),e(qi,Ag),e(St,Pg),e(St,Fi),e(Fi,Og),e(St,Lg),e(St,ha),e(ha,Ng),e(St,Ig),e(Dt,Dg),e(Dt,ro),e(ro,Sg),e(ro,ji),e(ji,Gg),e(ro,Bg),e(ro,Mi),e(Mi,Ug),e(ro,Wg),u(t,Sp,h),u(t,io,h),e(io,Vo),e(Vo,bl),y(ua,bl,null),e(io,Rg),e(io,vl),e(vl,Hg),u(t,Gp,h),u(t,de,h),y(ma,de,null),e(de,Kg),e(de,fa),e(fa,Vg),e(fa,_a),e(_a,Yg),e(fa,Zg),e(de,Jg),e(de,ga),e(ga,Xg),e(ga,Ci),e(Ci,Qg),e(ga,eT),e(de,tT),e(de,Yt),y(Ta,Yt,null),e(Yt,oT),e(Yt,yl),e(yl,nT),e(Yt,sT),e(Yt,ka),e(ka,Ai),e(Ai,aT),e(Ai,wl),e(wl,rT),e(ka,iT),e(ka,Pi),e(Pi,dT),e(Pi,$l),e($l,lT),e(de,cT),e(de,Yo),y(ba,Yo,null),e(Yo,pT),e(Yo,va),e(va,hT),e(va,xl),e(xl,uT),e(va,mT),e(de,fT),e(de,Zo),y(ya,Zo,null),e(Zo,_T),e(Zo,zl),e(zl,gT),e(de,TT),e(de,Oi),y(wa,Oi,null),u(t,Bp,h),u(t,lo,h),e(lo,Jo),e(Jo,El),y($a,El,null),e(lo,kT),e(lo,ql),e(ql,bT),u(t,Up,h),u(t,Je,h),y(xa,Je,null),e(Je,vT),e(Je,co),e(co,yT),e(co,Fl),e(Fl,wT),e(co,$T),e(co,za),e(za,xT),e(co,zT),e(Je,ET),e(Je,Ea),e(Ea,qT),e(Ea,Li),e(Li,FT),e(Ea,jT),e(Je,MT),e(Je,Zt),y(qa,Zt,null),e(Zt,CT),e(Zt,jl),e(jl,AT),e(Zt,PT),e(Zt,Fa),e(Fa,Ni),e(Ni,OT),e(Ni,Ml),e(Ml,LT),e(Fa,NT),e(Fa,Ii),e(Ii,IT),e(Ii,Cl),e(Cl,DT),e(Je,ST),e(Je,Xo),y(ja,Xo,null),e(Xo,GT),e(Xo,Al),e(Al,BT),u(t,Wp,h),u(t,po,h),e(po,Qo),e(Qo,Pl),y(Ma,Pl,null),e(po,UT),e(po,Ol),e(Ol,WT),u(t,Rp,h),u(t,Ee,h),y(Ca,Ee,null),e(Ee,RT),e(Ee,Ll),e(Ll,HT),e(Ee,KT),e(Ee,Aa),e(Aa,VT),e(Aa,Pa),e(Pa,YT),e(Aa,ZT),e(Ee,JT),e(Ee,Oa),e(Oa,XT),e(Oa,Di),e(Di,QT),e(Oa,ek),e(Ee,tk),e(Ee,La),e(La,ok),e(La,Na),e(Na,nk),e(La,sk),e(Ee,ak),e(Ee,xt),y(Ia,xt,null),e(xt,rk),e(xt,ho),e(ho,ik),e(ho,Si),e(Si,dk),e(ho,lk),e(ho,Nl),e(Nl,ck),e(ho,pk),e(xt,hk),y(en,xt,null),e(xt,uk),y(tn,xt,null),u(t,Hp,h),u(t,uo,h),e(uo,on),e(on,Il),y(Da,Il,null),e(uo,mk),e(uo,Dl),e(Dl,fk),u(t,Kp,h),u(t,qe,h),y(Sa,qe,null),e(qe,_k),e(qe,Ga),e(Ga,gk),e(Ga,Sl),e(Sl,Tk),e(Ga,kk),e(qe,bk),e(qe,Ba),e(Ba,vk),e(Ba,Ua),e(Ua,yk),e(Ba,wk),e(qe,$k),e(qe,Wa),e(Wa,xk),e(Wa,Gi),e(Gi,zk),e(Wa,Ek),e(qe,qk),e(qe,Ra),e(Ra,Fk),e(Ra,Ha),e(Ha,jk),e(Ra,Mk),e(qe,Ck),e(qe,zt),y(Ka,zt,null),e(zt,Ak),e(zt,mo),e(mo,Pk),e(mo,Bi),e(Bi,Ok),e(mo,Lk),e(mo,Gl),e(Gl,Nk),e(mo,Ik),e(zt,Dk),y(nn,zt,null),e(zt,Sk),y(sn,zt,null),u(t,Vp,h),u(t,fo,h),e(fo,an),e(an,Bl),y(Va,Bl,null),e(fo,Gk),e(fo,Ul),e(Ul,Bk),u(t,Yp,h),u(t,Fe,h),y(Ya,Fe,null),e(Fe,Uk),e(Fe,Wl),e(Wl,Wk),e(Fe,Rk),e(Fe,Za),e(Za,Hk),e(Za,Ja),e(Ja,Kk),e(Za,Vk),e(Fe,Yk),e(Fe,Xa),e(Xa,Zk),e(Xa,Ui),e(Ui,Jk),e(Xa,Xk),e(Fe,Qk),e(Fe,Qa),e(Qa,eb),e(Qa,er),e(er,tb),e(Qa,ob),e(Fe,nb),e(Fe,Et),y(tr,Et,null),e(Et,sb),e(Et,_o),e(_o,ab),e(_o,Wi),e(Wi,rb),e(_o,ib),e(_o,Rl),e(Rl,db),e(_o,lb),e(Et,cb),y(rn,Et,null),e(Et,pb),y(dn,Et,null),u(t,Zp,h),u(t,go,h),e(go,ln),e(ln,Hl),y(or,Hl,null),e(go,hb),e(go,Kl),e(Kl,ub),u(t,Jp,h),u(t,le,h),y(nr,le,null),e(le,mb),e(le,Vl),e(Vl,fb),e(le,_b),e(le,sr),e(sr,gb),e(sr,ar),e(ar,Tb),e(sr,kb),e(le,bb),e(le,rr),e(rr,vb),e(rr,Ri),e(Ri,yb),e(rr,wb),e(le,$b),e(le,ir),e(ir,xb),e(ir,dr),e(dr,zb),e(ir,Eb),e(le,qb),y(cn,le,null),e(le,Fb),e(le,qt),y(lr,qt,null),e(qt,jb),e(qt,To),e(To,Mb),e(To,Hi),e(Hi,Cb),e(To,Ab),e(To,Yl),e(Yl,Pb),e(To,Ob),e(qt,Lb),y(pn,qt,null),e(qt,Nb),y(hn,qt,null),u(t,Xp,h),u(t,ko,h),e(ko,un),e(un,Zl),y(cr,Zl,null),e(ko,Ib),e(ko,Jl),e(Jl,Db),u(t,Qp,h),u(t,ce,h),y(pr,ce,null),e(ce,Sb),e(ce,hr),e(hr,Gb),e(hr,Xl),e(Xl,Bb),e(hr,Ub),e(ce,Wb),e(ce,ur),e(ur,Rb),e(ur,mr),e(mr,Hb),e(ur,Kb),e(ce,Vb),e(ce,fr),e(fr,Yb),e(fr,Ki),e(Ki,Zb),e(fr,Jb),e(ce,Xb),e(ce,_r),e(_r,Qb),e(_r,gr),e(gr,ev),e(_r,tv),e(ce,ov),y(mn,ce,null),e(ce,nv),e(ce,Ft),y(Tr,Ft,null),e(Ft,sv),e(Ft,bo),e(bo,av),e(bo,Vi),e(Vi,rv),e(bo,iv),e(bo,Ql),e(Ql,dv),e(bo,lv),e(Ft,cv),y(fn,Ft,null),e(Ft,pv),y(_n,Ft,null),u(t,eh,h),u(t,vo,h),e(vo,gn),e(gn,ec),y(kr,ec,null),e(vo,hv),e(vo,tc),e(tc,uv),u(t,th,h),u(t,pe,h),y(br,pe,null),e(pe,mv),e(pe,oc),e(oc,fv),e(pe,_v),e(pe,vr),e(vr,gv),e(vr,yr),e(yr,Tv),e(vr,kv),e(pe,bv),e(pe,wr),e(wr,vv),e(wr,Yi),e(Yi,yv),e(wr,wv),e(pe,$v),e(pe,$r),e($r,xv),e($r,xr),e(xr,zv),e($r,Ev),e(pe,qv),y(Tn,pe,null),e(pe,Fv),e(pe,jt),y(zr,jt,null),e(jt,jv),e(jt,yo),e(yo,Mv),e(yo,Zi),e(Zi,Cv),e(yo,Av),e(yo,nc),e(nc,Pv),e(yo,Ov),e(jt,Lv),y(kn,jt,null),e(jt,Nv),y(bn,jt,null),u(t,oh,h),u(t,wo,h),e(wo,vn),e(vn,sc),y(Er,sc,null),e(wo,Iv),e(wo,ac),e(ac,Dv),u(t,nh,h),u(t,ht,h),y(qr,ht,null),e(ht,Sv),e(ht,Mt),y(Fr,Mt,null),e(Mt,Gv),e(Mt,$o),e($o,Bv),e($o,rc),e(rc,Uv),e($o,Wv),e($o,ic),e(ic,Rv),e($o,Hv),e(Mt,Kv),y(yn,Mt,null),e(Mt,Vv),y(wn,Mt,null),e(ht,Yv),e(ht,$n),y(jr,$n,null),e($n,Zv),y(xn,$n,null),e(ht,Jv),e(ht,zn),y(Mr,zn,null),e(zn,Xv),y(En,zn,null),u(t,sh,h),u(t,xo,h),e(xo,qn),e(qn,dc),y(Cr,dc,null),e(xo,Qv),e(xo,lc),e(lc,ey),u(t,ah,h),u(t,ut,h),y(Ar,ut,null),e(ut,ty),e(ut,Ct),y(Pr,Ct,null),e(Ct,oy),e(Ct,zo),e(zo,ny),e(zo,cc),e(cc,sy),e(zo,ay),e(zo,pc),e(pc,ry),e(zo,iy),e(Ct,dy),y(Fn,Ct,null),e(Ct,ly),y(jn,Ct,null),e(ut,cy),e(ut,Mn),y(Or,Mn,null),e(Mn,py),y(Cn,Mn,null),e(ut,hy),e(ut,An),y(Lr,An,null),e(An,uy),y(Pn,An,null),u(t,rh,h),u(t,Eo,h),e(Eo,On),e(On,hc),y(Nr,hc,null),e(Eo,my),e(Eo,uc),e(uc,fy),u(t,ih,h),u(t,qo,h),y(Ir,qo,null),e(qo,_y),e(qo,Jt),y(Dr,Jt,null),e(Jt,gy),e(Jt,Fo),e(Fo,Ty),e(Fo,Ji),e(Ji,ky),e(Fo,by),e(Fo,mc),e(mc,vy),e(Fo,yy),e(Jt,wy),y(Ln,Jt,null),dh=!0},p(t,[h]){const Sr={};h&2&&(Sr.$$scope={dirty:h,ctx:t}),en.$set(Sr);const fc={};h&2&&(fc.$$scope={dirty:h,ctx:t}),tn.$set(fc);const _c={};h&2&&(_c.$$scope={dirty:h,ctx:t}),nn.$set(_c);const gc={};h&2&&(gc.$$scope={dirty:h,ctx:t}),sn.$set(gc);const Gr={};h&2&&(Gr.$$scope={dirty:h,ctx:t}),rn.$set(Gr);const Tc={};h&2&&(Tc.$$scope={dirty:h,ctx:t}),dn.$set(Tc);const kc={};h&2&&(kc.$$scope={dirty:h,ctx:t}),cn.$set(kc);const Br={};h&2&&(Br.$$scope={dirty:h,ctx:t}),pn.$set(Br);const bc={};h&2&&(bc.$$scope={dirty:h,ctx:t}),hn.$set(bc);const vc={};h&2&&(vc.$$scope={dirty:h,ctx:t}),mn.$set(vc);const yc={};h&2&&(yc.$$scope={dirty:h,ctx:t}),fn.$set(yc);const Ur={};h&2&&(Ur.$$scope={dirty:h,ctx:t}),_n.$set(Ur);const wc={};h&2&&(wc.$$scope={dirty:h,ctx:t}),Tn.$set(wc);const $c={};h&2&&($c.$$scope={dirty:h,ctx:t}),kn.$set($c);const xc={};h&2&&(xc.$$scope={dirty:h,ctx:t}),bn.$set(xc);const zc={};h&2&&(zc.$$scope={dirty:h,ctx:t}),yn.$set(zc);const Ec={};h&2&&(Ec.$$scope={dirty:h,ctx:t}),wn.$set(Ec);const mt={};h&2&&(mt.$$scope={dirty:h,ctx:t}),xn.$set(mt);const qc={};h&2&&(qc.$$scope={dirty:h,ctx:t}),En.$set(qc);const jo={};h&2&&(jo.$$scope={dirty:h,ctx:t}),Fn.$set(jo);const Fc={};h&2&&(Fc.$$scope={dirty:h,ctx:t}),jn.$set(Fc);const jc={};h&2&&(jc.$$scope={dirty:h,ctx:t}),Cn.$set(jc);const Mc={};h&2&&(Mc.$$scope={dirty:h,ctx:t}),Pn.$set(Mc);const Cc={};h&2&&(Cc.$$scope={dirty:h,ctx:t}),Ln.$set(Cc)},i(t){dh||(w(d.$$.fragment,t),w(re.$$.fragment,t),w(rs.$$.fragment,t),w(is.$$.fragment,t),w(ls.$$.fragment,t),w(ps.$$.fragment,t),w(fs.$$.fragment,t),w(Ts.$$.fragment,t),w(ks.$$.fragment,t),w(bs.$$.fragment,t),w(vs.$$.fragment,t),w(ws.$$.fragment,t),w($s.$$.fragment,t),w(Fs.$$.fragment,t),w(Cs.$$.fragment,t),w(Os.$$.fragment,t),w(Vs.$$.fragment,t),w(Js.$$.fragment,t),w(oa.$$.fragment,t),w(ca.$$.fragment,t),w(pa.$$.fragment,t),w(ua.$$.fragment,t),w(ma.$$.fragment,t),w(Ta.$$.fragment,t),w(ba.$$.fragment,t),w(ya.$$.fragment,t),w(wa.$$.fragment,t),w($a.$$.fragment,t),w(xa.$$.fragment,t),w(qa.$$.fragment,t),w(ja.$$.fragment,t),w(Ma.$$.fragment,t),w(Ca.$$.fragment,t),w(Ia.$$.fragment,t),w(en.$$.fragment,t),w(tn.$$.fragment,t),w(Da.$$.fragment,t),w(Sa.$$.fragment,t),w(Ka.$$.fragment,t),w(nn.$$.fragment,t),w(sn.$$.fragment,t),w(Va.$$.fragment,t),w(Ya.$$.fragment,t),w(tr.$$.fragment,t),w(rn.$$.fragment,t),w(dn.$$.fragment,t),w(or.$$.fragment,t),w(nr.$$.fragment,t),w(cn.$$.fragment,t),w(lr.$$.fragment,t),w(pn.$$.fragment,t),w(hn.$$.fragment,t),w(cr.$$.fragment,t),w(pr.$$.fragment,t),w(mn.$$.fragment,t),w(Tr.$$.fragment,t),w(fn.$$.fragment,t),w(_n.$$.fragment,t),w(kr.$$.fragment,t),w(br.$$.fragment,t),w(Tn.$$.fragment,t),w(zr.$$.fragment,t),w(kn.$$.fragment,t),w(bn.$$.fragment,t),w(Er.$$.fragment,t),w(qr.$$.fragment,t),w(Fr.$$.fragment,t),w(yn.$$.fragment,t),w(wn.$$.fragment,t),w(jr.$$.fragment,t),w(xn.$$.fragment,t),w(Mr.$$.fragment,t),w(En.$$.fragment,t),w(Cr.$$.fragment,t),w(Ar.$$.fragment,t),w(Pr.$$.fragment,t),w(Fn.$$.fragment,t),w(jn.$$.fragment,t),w(Or.$$.fragment,t),w(Cn.$$.fragment,t),w(Lr.$$.fragment,t),w(Pn.$$.fragment,t),w(Nr.$$.fragment,t),w(Ir.$$.fragment,t),w(Dr.$$.fragment,t),w(Ln.$$.fragment,t),dh=!0)},o(t){$(d.$$.fragment,t),$(re.$$.fragment,t),$(rs.$$.fragment,t),$(is.$$.fragment,t),$(ls.$$.fragment,t),$(ps.$$.fragment,t),$(fs.$$.fragment,t),$(Ts.$$.fragment,t),$(ks.$$.fragment,t),$(bs.$$.fragment,t),$(vs.$$.fragment,t),$(ws.$$.fragment,t),$($s.$$.fragment,t),$(Fs.$$.fragment,t),$(Cs.$$.fragment,t),$(Os.$$.fragment,t),$(Vs.$$.fragment,t),$(Js.$$.fragment,t),$(oa.$$.fragment,t),$(ca.$$.fragment,t),$(pa.$$.fragment,t),$(ua.$$.fragment,t),$(ma.$$.fragment,t),$(Ta.$$.fragment,t),$(ba.$$.fragment,t),$(ya.$$.fragment,t),$(wa.$$.fragment,t),$($a.$$.fragment,t),$(xa.$$.fragment,t),$(qa.$$.fragment,t),$(ja.$$.fragment,t),$(Ma.$$.fragment,t),$(Ca.$$.fragment,t),$(Ia.$$.fragment,t),$(en.$$.fragment,t),$(tn.$$.fragment,t),$(Da.$$.fragment,t),$(Sa.$$.fragment,t),$(Ka.$$.fragment,t),$(nn.$$.fragment,t),$(sn.$$.fragment,t),$(Va.$$.fragment,t),$(Ya.$$.fragment,t),$(tr.$$.fragment,t),$(rn.$$.fragment,t),$(dn.$$.fragment,t),$(or.$$.fragment,t),$(nr.$$.fragment,t),$(cn.$$.fragment,t),$(lr.$$.fragment,t),$(pn.$$.fragment,t),$(hn.$$.fragment,t),$(cr.$$.fragment,t),$(pr.$$.fragment,t),$(mn.$$.fragment,t),$(Tr.$$.fragment,t),$(fn.$$.fragment,t),$(_n.$$.fragment,t),$(kr.$$.fragment,t),$(br.$$.fragment,t),$(Tn.$$.fragment,t),$(zr.$$.fragment,t),$(kn.$$.fragment,t),$(bn.$$.fragment,t),$(Er.$$.fragment,t),$(qr.$$.fragment,t),$(Fr.$$.fragment,t),$(yn.$$.fragment,t),$(wn.$$.fragment,t),$(jr.$$.fragment,t),$(xn.$$.fragment,t),$(Mr.$$.fragment,t),$(En.$$.fragment,t),$(Cr.$$.fragment,t),$(Ar.$$.fragment,t),$(Pr.$$.fragment,t),$(Fn.$$.fragment,t),$(jn.$$.fragment,t),$(Or.$$.fragment,t),$(Cn.$$.fragment,t),$(Lr.$$.fragment,t),$(Pn.$$.fragment,t),$(Nr.$$.fragment,t),$(Ir.$$.fragment,t),$(Dr.$$.fragment,t),$(Ln.$$.fragment,t),dh=!1},d(t){o(m),t&&o(k),t&&o(g),x(d),t&&o(je),t&&o(I),t&&o(Y),t&&o(X),x(re),t&&o(Me),t&&o(S),t&&o(P),t&&o(fe),t&&o(Ce),t&&o(_e),t&&o(Ae),t&&o(A),t&&o(Z),t&&o(G),t&&o(pt),t&&o(oe),t&&o(Nc),t&&o(ot),t&&o(Ic),t&&o(Zr),t&&o(Dc),t&&o(Gt),t&&o(Sc),t&&o(Oo),t&&o(Gc),t&&o(Bt),t&&o(Bc),t&&o(ei),t&&o(Uc),t&&o(to),x(rs),t&&o(Wc),t&&o(vt),t&&o(Rc),t&&o(No),t&&o(Hc),t&&o(oi),t&&o(Kc),t&&o(ke),t&&o(Vc),t&&o(si),t&&o(Yc),x(is,t),t&&o(Zc),t&&o(Io),t&&o(Jc),t&&o(ai),t&&o(Xc),t&&o(ri),t&&o(Qc),x(ls,t),t&&o(ep),t&&o(ae),t&&o(tp),t&&o(Ut),t&&o(op),t&&o(be),t&&o(np),x(ps,t),t&&o(sp),t&&o(ii),t&&o(ap),t&&o(di),t&&o(rp),t&&o(Wt),t&&o(ip),t&&o(Do),t&&o(dp),t&&o(li),t&&o(lp),t&&o(oo),x(fs),t&&o(cp),t&&o(yt),t&&o(pp),x(Ts,t),t&&o(hp),t&&o(nt),t&&o(up),t&&o(hi),t&&o(mp),x(ks,t),t&&o(fp),t&&o(ui),t&&o(_p),x(bs,t),t&&o(gp),t&&o(mi),t&&o(Tp),t&&o(no),x(vs),t&&o(kp),t&&o(wt),t&&o(bp),t&&o(so),x(ws),t&&o(vp),t&&o(fi),t&&o(yp),x($s,t),t&&o(wp),t&&o(Uo),t&&o($p),x(Fs,t),t&&o(xp),t&&o(_i),t&&o(zp),x(Cs,t),t&&o(Ep),t&&o(gi),t&&o(qp),x(Os,t),t&&o(Fp),t&&o(ve),t&&o(jp),x(Vs,t),t&&o(Mp),t&&o(yi),t&&o(Cp),x(Js,t),t&&o(Ap),t&&o(Ro),t&&o(Pp),x(oa,t),t&&o(Op),t&&o(Ho),t&&o(Lp),t&&o(ia),t&&o(Np),t&&o(Ei),t&&o(Ip),t&&o(ao),x(ca),t&&o(Dp),t&&o(Dt),x(pa),t&&o(Sp),t&&o(io),x(ua),t&&o(Gp),t&&o(de),x(ma),x(Ta),x(ba),x(ya),x(wa),t&&o(Bp),t&&o(lo),x($a),t&&o(Up),t&&o(Je),x(xa),x(qa),x(ja),t&&o(Wp),t&&o(po),x(Ma),t&&o(Rp),t&&o(Ee),x(Ca),x(Ia),x(en),x(tn),t&&o(Hp),t&&o(uo),x(Da),t&&o(Kp),t&&o(qe),x(Sa),x(Ka),x(nn),x(sn),t&&o(Vp),t&&o(fo),x(Va),t&&o(Yp),t&&o(Fe),x(Ya),x(tr),x(rn),x(dn),t&&o(Zp),t&&o(go),x(or),t&&o(Jp),t&&o(le),x(nr),x(cn),x(lr),x(pn),x(hn),t&&o(Xp),t&&o(ko),x(cr),t&&o(Qp),t&&o(ce),x(pr),x(mn),x(Tr),x(fn),x(_n),t&&o(eh),t&&o(vo),x(kr),t&&o(th),t&&o(pe),x(br),x(Tn),x(zr),x(kn),x(bn),t&&o(oh),t&&o(wo),x(Er),t&&o(nh),t&&o(ht),x(qr),x(Fr),x(yn),x(wn),x(jr),x(xn),x(Mr),x(En),t&&o(sh),t&&o(xo),x(Cr),t&&o(ah),t&&o(ut),x(Ar),x(Pr),x(Fn),x(jn),x(Or),x(Cn),x(Lr),x(Pn),t&&o(rh),t&&o(Eo),x(Nr),t&&o(ih),t&&o(qo),x(Ir),x(Dr),x(Ln)}}}const w$={local:"t5",sections:[{local:"overview",title:"Overview"},{local:"training",title:"Training"},{local:"inference",title:"Inference"},{local:"performance",title:"Performance"},{local:"resources",title:"Resources"},{local:"transformers.T5Config",title:"T5Config"},{local:"transformers.T5Tokenizer",title:"T5Tokenizer"},{local:"transformers.T5TokenizerFast",title:"T5TokenizerFast"},{local:"transformers.T5Model",title:"T5Model"},{local:"transformers.T5ForConditionalGeneration",title:"T5ForConditionalGeneration"},{local:"transformers.T5EncoderModel",title:"T5EncoderModel"},{local:"transformers.TFT5Model",title:"TFT5Model"},{local:"transformers.TFT5ForConditionalGeneration",title:"TFT5ForConditionalGeneration"},{local:"transformers.TFT5EncoderModel",title:"TFT5EncoderModel"},{local:"transformers.FlaxT5Model",title:"FlaxT5Model"},{local:"transformers.FlaxT5ForConditionalGeneration",title:"FlaxT5ForConditionalGeneration"},{local:"transformers.FlaxT5EncoderModel",title:"FlaxT5EncoderModel"}],title:"T5"};function $$(q){return J2(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class C$ extends K2{constructor(m){super();V2(this,m,$$,y$,Y2,{})}}export{C$ as default,w$ as metadata};
